Home

Agilent E4982A
LCR Meter
Help

The E4982A help system provides an easy access to the information related to the use of Agilent E4982A LCR Meter.

You can navigate this help system through the navigation tools provided in the left or you can directly access the chapters:

Precautions | Calibration and Compensation
Quick Start | Setting Control Functions
Basic Operations | Using Windows
Measurement | Programming
Specifications | Using this Help (Read me first)
Product Information | Revision History

To understand the conventions and navigation system used in this help system, refer to Using this Help.

To know about the new features of the E4982A, refer to Revision History.

E4982A Firmware Revision | A.01.1x
Help Edition No. | 1.2
Help Revision Date | 11 October,2012

© Copyright 2012 Agilent Technologies


Using this Help

This help provides operation and programming documentation in a searchable electronic format for the E4982A LCR Meter. This section describes the usage of this help system.

  • Opening E4982A Help

  • Closing E4982A Help

  • Viewing E4982A Help on PC

  • Context Sensitive Help

  • Switching between E4982A Help and Measurement View

  • Navigating E4982A Help

  • Conventions used in E4982A Help

E4982A Online Help

Opening E4982A Help

This help system is provided in Microsoft Compressed HTML Help format (E4982A_Help.chm). This help can be also be viewed on a normal PC.

To open E4982A help, use either of the following methods:

  • By pressing the Help key located in the ENTRY Block.

  • By pressing the F1 key on a keyboard attached with the E4982A.

  • By double-clicking E4982_Help.chm (located in D:\Agilent\Help).

Closing E4982A Help

To close the E4982A help, click [image], located on the top right of the E4982A help viewer.

Viewing E4982A Help on your PC

The E4982A help can be opened and viewed on a normal PC. The help file (E4982_Help.chm) is located in the E4982A LCR Meter hard disk at D:\Agilent\Help. Copy it to a local hard disk drive on your PC, then double-click it to view.

Context Sensitive Help

Context sensitive help is a special feature of the E4982A help which allows you to get information about the selected softkey by pressing the Help key on the E4982A or by pressing F1 on a keyboard attached to the E4982A or by clicking the help button in the dialog box. This special feature is known as context sensitive help as you receive information quickly based on the area you are working on in the firmware of the E4982A. It reduces the search time of relevant information required to complete a task.

Switching between E4982A Help and Measurement View

The Foc Key, located in the Entry Block, can be used to switch between the E4982A Measurement View and Help View.

Navigating E4982A Help

The E4982A help system provides several ways to navigate through the information related to the use of E4982A LCR Meter. This section describes the navigation system of the E4982A help which consists of:

  • Navigation bar

  • Quick Access

  • Toolbar

Navigation bar

Navigation bar comprises of tabs related to Contents, Index, Search and Glossary. The Contents tab contains the main navigational structure of the E4982A help. The Glossary tab contains a text explanation of the terms significant to the E4982A LCR Meter. The Index tab is an additional tool that can be used to navigate different topics according to their alphabetical listing. The Search tab can be used to search any term/phrase in the E4982A online Help.

Toolbar

The toolbar can be used to navigate through the help. The Home option can be used to return to the home page of the E4982A help, containing Quick Access to chapters in the help. The Back and Forward option can be used to toggle between visited topics. The Print option can be used to print selected or all topics in the E4982A help.

Quick Access

Quick access, located on the Home Page of the E4982A help, is a convenient and quick way to access the contents of the E4982A help.

Conventions used in E4982A Help

Naming Conventions Used in this Help

Convention

Description

Example

Normal Text

Normal text is displayed in Verdana, 12 pt.

This is normal text.

File Name/Path

File names and path associated with them as displayed as Bold in Arial with 12 pt size.

C:\Documents and Settings\test.txt

example2.xls

Hard keys

Hard Keys (Keys located on the Front panel of E4982A) are displayed in Blue color, Bold in Verdana with 12 pt size.

List Meas

Foc

Compen

Softkeys

Also knows as menu keys, are the names of menu appearing in the Firmware (Software) of E4982A and are displayed as Bold in Arial with 12 pt size.

Parameter

Clear Bin Count

Meas Setup

Soft Links

Soft links displays a Popup window containing detailed information about a particular topic. There are two type of Popup:

1. Graphical Popup

Graphical Popup windows can contain graphics as well as text.

2. Text Only Popup

Text only Popup windows can contain only text and are displayed with a yellow background.

Click here to see an example of a graphical popup window.

Click here to see an example of a text only popup window.

Hard Links

Hard links shifts the focus of the active window to display more information about a particular topic.

BLOCK Names

E4982A Front Panel is divided into 8 blocks. These blocks are displayed in ALL CAPS, Green Color, Bold in Arial with 12 pt size, followed by the word 'Block'.

SETUP Block

MEASUREMENT Block

CAL/COMPEN Block

Note

This Note sign denotes important information. It calls attention to a condition that is essential for you to understand.

  • This is a Note.

Caution

This Caution sign denotes a hazard. It calls attention to a procedure, practice or condition that if not correctly performed or adhered to, could result in damage to or destruction of part or all of the instrument.

  • This is a Caution.

Warning

This warning sign denotes a hazard. It calls attention to a procedure, practice or condition that if not correctly performed or adhered to, could result in injury or death to personnel.

  • This is a Warning.


Precautions

  • Safety

  • Notices

  • Installing Software

  • Protecting LCR System

  • Before Contacting Us


Safety

Safety Summary

The following general safety precautions must be observed during all phases of operation, service, and repair of this instrument. Failure to comply with these precautions or with specific WARNINGS elsewhere in this manual may impair the protection provided by the equipment. Such noncompliance would also violate safety standards of design, manufacture, and intended use of the instrument. Agilent Technologies assumes no liability for the customer's failure to comply with these precautions.

  • The E4982A complies with INSTALLATION CATEGORY II as well as POLLUTION DEGREE 2 in IEC61010-1. The E4982A is an INDOOR USE product.

  • The LEDs in the E4982A are Class 1 in accordance with IEC60825-1, CLASS 1 LED PRODUCT.

  • Ground the Instrument

    To avoid electric shock, the instrument chassis and cabinet must be grounded with the supplied power cable's grounding prong.

  • DO NOT Operate in an Explosive Atmosphere

    Do not operate the instrument in the presence of inflammable gasses or fumes. Operation of any electrical instrument in such an environment clearly constitutes a safety hazard.

  • Keep Away from Live Circuits

    Operators must not remove instrument covers. Component replacement and internal adjustments must be made by qualified maintenance personnel. Do not replace components with the power cable connected. Under certain conditions, dangerous voltage levels may remain even after the power cable has been disconnected. To avoid injuries, always disconnect the power and discharge circuits before touching them.

  • DO NOT Service or Adjust the Instrument Alone

    Do not attempt internal service or adjustment unless another person, capable of rendering first aid and resuscitation, is present.

  • DO NOT Substitute Parts or Modify the Instrument

    To avoid the danger of introducing additional hazards, do not install substitute parts or perform unauthorized modifications to the instrument. Return the instrument to an Agilent Technologies Sales and Service Office for service and repair to ensure that safety features are maintained in operational condition.

  • Dangerous Procedure Warnings

    Warnings, such as the example below, precede potentially dangerous procedures throughout this manual. Instructions contained in the warnings must be followed.

  • Dangerous voltage levels, capable of causing death, are present in this instrument. Use extreme caution when handling, testing, and adjusting this instrument.

Safety Symbols

Instruction Manual symbol: the product is marked with this symbol when it is necessary for the user to refer to the instrument manual.

Alternating current.

Direct current.

On (Supply).

Off (Supply).

A chassis terminal; a connection to the instrument's chassis, which includes all exposed metal structure.

Stand-by.


Notices

The information contained in this document is subject to change without notice.

This document contains proprietary information that is protected by copyright. All rights are reserved. No part of this document may be photocopied, reproduced, or translated to another language without the prior written consent of Agilent Technologies.

Microsoft®,MS-DOS®,Windows®,Visual C++®,Visual Basic®,VBA® and Excel® are registered trademarks of Microsoft Corporation.

Java® is registered trademark of Sun Microsystems Corporation.

© Copyright 2012 Agilent Technologies. All rights reserved.

Certification

Agilent Technologies certifies that this product met its published specifications at the time of shipment from the factory. Agilent Technologies further certifies that its calibration measurements are traceable to the United States National Institute of Standards and Technology, to the extent allowed by the Institution's calibration facility or by the calibration facilities of other International Standards Organization members.

Documentation Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement will control.

Exclusive Remedies

The remedies provided herein are Buyer's sole and exclusive remedies. Agilent Technologies shall not be liable for any direct, indirect, special, incidental, or consequential damages, whether based on contract, tort, or any other legal theory.

Assistance

Product maintenance agreements and other customer assistance agreements are available for Agilent Technologies products.

For any assistance, contact your nearest Agilent Technologies Sales and Service Office.

Sample Program

The customer shall have the personal, non-transferable rights to use, copy, or modify SAMPLE PROGRAMS in this manual for the customer's internal operations. The customer shall use the SAMPLE PROGRAMS solely and exclusively for their own purposes and shall not license, lease, market, or distribute the SAMPLE PROGRAMS or modification of any part thereof.

Agilent Technologies shall not be liable for the quality, performance, or behavior of the SAMPLE PROGRAMS. Agilent Technologies especially disclaims any responsibility for the operation of the SAMPLE PROGRAMS to be uninterrupted or error-free. The SAMPLE PROGRAMS are provided AS IS.

AGILENT TECHNOLOGIES DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Agilent Technologies shall not be liable for any infringement of any patent, trademark, copyright, or other proprietary right by the SAMPLE PROGRAMS or their use. Agilent Technologies does not warrant that the SAMPLE PROGRAMS are free from infringements of such rights of third parties. However, Agilent Technologies will not knowingly infringe or deliver software that infringes the patent, trademark, copyright, or other proprietary right of a third party.

Useful Sample Excel VBA Library are available in the sample program section.


Installing Software

Updating Pre-Installed Software

Do not update pre-installed software unless Agilent recommends to do so. Before updating or installing software refer to Windows Support Information in http://www.agilent.com/find/e4982a for more information.

Installing User Application Software

You can install commercial application software for Windows on the E4982A at your own risk. Some application software may affect the measurement performance, especially measurement speed.


Protecting E4982A

To protect your E4982A, follow the instructions below:

  1. Read the warning labels and specifications

Do not exceed the values provided in the specifications guide or as indicated by the yellow warning labels on the front panel of the E4982A. Refer to the specifications for the conditions required to meet the listed specifications. There will be information regarding E4982A settings, and calibration requirements.

  2. Do NOT Plug off Power Cable during Shutdown Process

Do Not Plug off Power cable until completely completing the shutdown process.

If you directly interrupt the power supply to the power cable receptacle when the power supply is ON, or turn OFF the Line Switch (Always ON), the shutdown process will not work. This could damage the HDD of the E4982A.

  3. Do NOT Modify or Reconfigure the Operating System

The Microsoft Windows operating system has been modified and optimized by Agilent to improve the performance of the E4982A.

    • Do NOT install a standard version of the Windows operating system on the E4982A.

    • Do NOT change advanced performance settings or group policies.

    • Do NOT add or delete any hard disk drive partitions on the E4982A.

    • Do NOT delete the Agilent user account.

    • Do NOT modify any of the Agilent software registry entries.

    • Do NOT change the settings of Standards and Formats in Regional Options and Languages from default setting (English).

  4. Install Antivirus Protection

The E4982A does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the E4982A to the LAN (Internet).

In addition, the use of a firewall could help to protect the E4982A from viruses. However, some firewalls could limit DCOM connectivity of the E4982A.

  5. Install Windows Critical Updates

The E4982A is always shipped with the latest service packs and critical updates that were available at the time when Firmware is updated. We recommend that you maintain the latest available protection for your E4982A by automatically accepting and installing the latest critical security patches from the Microsoft Windows Update website: http://windowsupdate.microsoft.com

  6. Run Error Check and Disk Defragmenter

When the E4982A is shutdown unexpectedly or power is removed without first shutting down, large amounts of Hard Disk Drive space is rendered unusable. If inappropriate shutdown is performed repeatedly, the E4982A could become unstable and no longer work.

This HDD space can be recovered by first running Windows Error-checking to find and correct errors on the disk, and then the Disk Defragmenter to recover Hard Disk Drive space. See the Windows Help file for more information about Disk Defragmenter.

To run error check and defragmenter follow the procedure below:

  1. Start > My Computer.

  2. Right click on C:\ drive, then click Properties.

  3. Click the Tools tab.

Error-checking

  1. Click Check Now....

  2. Check Automatically fix file system errors.

  3. Click Start.

  4. Click Yes to run disk check on next restart.

  5. Manually restart the E4982A. The disk check will run before Windows restarts.

Periodically, check the second box in addition to the first box. The error-checking process takes much longer, but performs a complete check.

Defragmentation

  1. Click Defragment Now....

  2. Click Defragment to begin the defragment process.

  3. Click Close when defragmentation is complete.

  7. Precaution for Use of Hard Disk

Do NOT Modify or delete any Files and Folders in Drive other than D and E: Drive.(These two drives, D and E are available to use as Data backup). Doing so will result in malfunctioning of the device. It is required to execute the System recovery if there are any troubles with the above operations.

  8. Precaution for RF input connector and cable

    • Do not apply DC voltage or current to the test port. Applying DC voltage or current may lead to device failure. In particular, the capacitor might remain charged. Connect the measurement sample (DUT) to the test port (or the test fixture, cables, etc. connected to the test port) after the analyzer has been completely discharged. The maximum DC limit of test port is 35V.

    • Do NOT bend, bump or flex any device under test (DUT) connected to the input of the E4982A (such as filters, couplers etc). This will reduce the amount of strain placed on the input connector and the mounting hardware. Make sure externally connected items are properly supported (not freely suspended) from the input.

    • Do NOT bend cables repeatedly, as this may damage the cable instantly. Limit the number of connections and disconnections to reduce wear. Inspect connectors prior to using; look for dirt, nicks, and other signs of damage or wear. A bad connector can ruin a good connector instantly. Clean dirty connectors to prevent poor electrical connections and damage to the connector. For more information on cable and connector care, refer to www.agilent.com/find/cable_care

  9. Precautions for Electrostatic Discharge (ESD)

ESD can damage or destroy electronic components. Whenever possible, conduct testing at a static-safe workstation. Keep static-generating materials at least one meter away from all components. Before connecting any coaxial cable to an analyzer, momentarily short the center and outer conductors of the cable together.

  10. Maintain working environment condition

Control your environment. Maintain temperature & humidity with a satisfactory range within the instruments specification and prevent large fluctuations.

  11. Precautions for transportation

    • Do NOT pick the instrument with your hand over the front panel. If the instrument slips, damage may occur to the keypad, knob, or input connectors. Lift the Instrument by the handles when transporting.

    • Do NOT use styrene pellets as packaging materials as these may cause damage to the E4982A by generating static electricity.

  12. Check for Proper Ventilation

Periodically check and clean the cooling vents of the E4982A. Inadequate airflow can result in excessive operating temperatures which can lead to instrument failures. When installing the product in a cabinet, the convection into and out of the instrument must not be restricted.

See the installation guide in detail.

  13. Precautions for Proper Grounding

    • Proper grounding prevents building-up of static charge which may be harmful to the E4982A.

    • Do NOT defeat the earth-grounding protection by using an extension cable, power cable, or autotransformer without a protective ground conductor.


Before Contacting Us

If you encounter the following problems during startup or operation of the E4982A, in which initial registration of the Windows Operating System has been properly performed, execute system recovery and update the Firmware revision.

The system starts up, but the normal measurement screen does not appear

  • The system automatically shuts down immediately after the startup, or the startup process stops.

  • The measurement screen appears, but "Power on test fail" or "Calibration data lost" is displayed in the instrument message/warning area against a red background in the lower-left part of the screen. The system enters the service mode. (The instrument status bar in the lower-right displays SVC in red).

Unstable Operation

  • The system hangs up while the instrument is controlled from external PCs.

  • The blue screen appears and the system hangs up.

  • The response is much slower than usual.

When execution of system recovery does not result in normal operation, a failure may have occurred. Contact Agilent customer contacts.


Quick Start

Quick Start helps you to understand the E4982A operation quickly.

  • Front Panel

  • Rear Panel

  • Screen Area

  • Key Operation Overview


Front Panel

Standby Switch

This is the switch used for choosing between power-on ( | ) and standby (O) state of E4982A. Do not connect any USB memory at power ON.

To turn OFF the power to the E4982A, be sure to follow the steps described below:

  1. First, press this standby switch or send a shutdown command from the external controller to activate the shutdown process (the processing of software and hardware necessary to turn OFF the power supply). This will put the E4982A into the standby state.
  2. Next, if necessary, turn OFF power supply to the Power Cable Receptacle (to LINE) on the rear panel.

The color on the button indicates the status as shown below:

Indicator Color | Description
Green | Normal power ON status.
Orange | Standby status.
Red | Illegal power ON status.

  • Under normal use, never directly interrupt the power supply to the power cable receptacle on the rear panel when the power supply is on. Always keep the Line Switch (Always ON) at (|). Never turn it OFF (O).

If you directly interrupt the power supply to the power cable receptacle when the power supply is ON, or turn OFF the Line Switch (Always ON), the shutdown process will not work. This could damage the software and hardware of the E4982A and lead to device failure.

Turning ON the power supply after a faulty shutdown may cause the system to start up in a condition called "safe mode." If this occurs, first shut down the system to put it into the standby state and then turn on the power supply again to start up the system in normal mode.

LCD Screen

The E4982A is equipped with a 10.4-inch TFT color, touch-sensitive LCD screen for displaying measurement value, setup state, result of data processing, result of evaluation, settings, softkeys, indications and other measurement related information. The touch screen LCD allows you to manipulate softkeys by touching the LCD screen directly with a finger. For more information on the LCD screen, see Screen Area.

  • Do not press the surface of the LCD screen with a sharp object (e.g., a nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.
  • Valid pixels are 99.998 % and more. Below 0.002 % of fixed points of black, blue, green or red are not regarded as failure.

SETUP Block

A group of keys used to set up the basic measurement conditions of E4982A.

Key Name | Description
Table Prev | Selects the previous table as the active table.
Table Next | Selects the next table as the active table.
Stim Prev | Can be used at single point measurement display and list measurement display to view the previous point as the active point.
Stim Next | Can be used at single point measurement display and list measurement display to view the next point as the active point.
List Meas | Displays list measurement display of all the points in the active table.
Point Meas | Displays single point measurement display of the active point.
Stim Table | Displays four tab: Stimulus, Cal Kit, Compen Kit and Comparator. These four displays can be switched in sequence by repeatedly pressing this key.
Meas Setup | Displays the Measurement Setup softkey menu bar on the right side of the display. These softkeys are used to select the measurement setup parameter. This menu is displayed in either one of these two types of measurement displays:single point measurement display and list measurement display.

MEASUREMENT Block

A group of keys used to set up the parameters, display settings, perform analysis function and export data of E4982A.

Key Name | Description
Prmtr | Displays the Parameter softkey menu bar on the right side of the display. These softkeys are used to select the measurement parameter.
Display | Displays the Display softkey menu bar on the right side of the display. This menu is used to specify how to display the measurement results.
Analysis | Displays the Analysis softkey menu bar on the right side of the display. Manipulating this menu is enables you to use the analytical function.
Data Export | Displays the Data Export softkey menu bar on the right side of the display. This menu is used to export image and data as well as to set file utility.

TRIGGER Block

A group of keys used to set trigger mode and trigger E4982A.

Key Name | Description
Trigger | Generates trigger when pressed, if the trigger mode is set to Manual.
Trigger Mode | Displays the Trigger Mode softkey menu bar on the right side of the display. This menu is used to specify the trigger mode, delay and input polarity.

NAVIGATION Block (No Label on the Front Panel)

The keys and knob in the NAVIGATION Block are used to navigate between softkey menus, selected (highlighted) areas in a dialog box as well as to change a numeric value in the data entry area by stepping up or down. When selecting one of two or more objects (softkey menus, data entry areas, etc.) to manipulate with the NAVIGATION Block keys displayed on the screen, first press the Foc key in the ENTRY Block to select the object to be manipulated (placing focus on the object) and then manipulate the NAVIGATION Block keys (knob) to move among selected (highlighted) objects or change numeric values.

The following descriptions show how the NAVIGATION Block keys work both when the focus is on a softkey menu and when the focus is on the data entry area.

When the focus is on a softkey menu (softkey menu is selected)

When the focus is placed on a softkey menu, the NAVIGATION Block keys work as described below.

Key Name | Description
Rotary Knob (turned clockwise or counterclockwise) | Moves the softkey selection (highlighted display) up or down.
Up/Down Arrow | Moves the softkey selection (highlighted display) up or down.
Right Arrow | Displays the softkey menu one layer above.
Left Arrow | Displays the softkey menu one layer below.
Enter or [image] Knob (pressed) | Executes the function of the selected softkey.

After pressing the data entry softkey, the focus automatically moves to the data entry area.

When the focus is on the data entry area (data entry area is selected)

When the focus is placed on the data entry area, the NAVIGATION Block keys work as described below.

Key Name | Description
Rotary Knob (turned clockwise or counterclockwise) | Increases or decreases the numeric value in the data entry area in small steps.
Up/Down Arrow | Increases or decreases the numeric value in the data entry area in large steps.
Left/Right Arrow | Moves the cursor (|) in the data entry area laterally back and forth. Use it together with the ENTRY Block keys to change data one character at a time.
Enter or [image] Knob (pressed) | Finishes the entry in the data entry area and moves the focus to the softkey menu.

CAL/COMPEN Block

A group of keys used to set up the functions to control and manage calibration and compensation of E4982A.

Key Name | Description
Cal | Displays the Calibration softkey menu bar on the right side of the display. This menu is used to execute calibration.
Compen | Displays the Compensation softkey menu bar on the right side of the display. This menu is used to execute compensation.
Cal Wizard | Displays the Calibration Wizard that guides you step by step in performing calibration.
Compen Wizard | Displays the Compensation Wizard that guides you step by step in performing compensation.

ENTRY Block

A group of keys used for entering numeric data is provided on the front panel of the E4982A.

Key Name | Description
0, 1, 2, 3 ..... 9 , . (numeric keys) | Type numeric characters or a decimal point at the position of the cursor in the data entry area.
+/- | +/- alternately changes the sign (+, - ) of a numeric value in the data entry area.
G/n, M/u, k/m, x1 | Adds a prefix to the numeric data typed by using the numeric key and +/- key. One of the two prefixes written on the surface of the key is automatically selected depending on the parameter to be entered. x1 is entered without a prefix.
Entry Off | Turns OFF the data entry bar if it is displayed. If the dialog box is displayed, it cancels the entry and closes the dialog box. If the data entry bar and dialog box are not displayed, it turns the softkey menu display to OFF if it is ON, except for Stim Table softkey.
Bk Sp | Backspace key.
Foc | Changes the selection (focus) among the objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys. The objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys include softkey menus, data entry areas, and dialog boxes. When two or more of these are displayed on the screen and need selecting, use this key to change the selection (focus) among the objects to be manipulated. When a softkey menu is selected, the menu name area at the top of the menu is displayed in blue. When a data entry area is selected, the data entry bar is displayed in blue. When a table is selected, the frame of the table window is displayed in light gray. While a dialog box is displayed, the focus is fixed on the dialog box and cannot be changed.
Help | Displays help for E4982A.

FUNCTION Block

A group of function keys with default setting. However, these settings can be changed at System > Misc Setup > F1 Key/F2 Key/F3 Key followed by the setting option. By default, the function keys are set as follows:

Key Name | Description
F1 | Capture Image. Captures the image of the current screen display.
F2 | File Utility. It pops-up the Windows Explorer window.
F3 | Toggle Beeper Warning.

INSTR STATE Block

A group of keys related to the control/management function, and the presetting of the E4982A (returning it to the preset state).

Key Name | Description
Save/Recall | Displays the Save/Recall softkey menu bar on the right side of the display. This menu is used to save the E4982A setup state and measurement data in a storage device of the E4982A and to recall them up when required.
System | Displays the System softkey menu bar on the right side of the display. This menu is used to control and manage the entire measuring instrument.
Preset | Use this key to set the E4982A to an initialized state called the Preset State. Click Undo Preset to return to the setting prior to the preset action.

Test Head Interface

This interface includes the three ports used to connect the test head: RF OUT, PORT 1, and PORT 2. All ports are N-type connectors (female).

  • Do not apply DC voltage or DC current to the test head interface as this could result in damage.

  • To prevent the E4982A from malfunctioning, do not apply DC voltage or DC current to the test head’s DUT port. The capacitor in particular could be charged. When you connect a capacitor, discharge it sufficiently before connecting it to the test fixture that is connected to the test head’s DUT port.

Front USB Port

Two USB (Universal Serial Bus) ports are provided that can be used for connecting to USB keyboard, USB mouse, and/or USB memory.

  • The specifications of this port are identical to those of the Rear USB port.

Ground Terminal

Ground terminal is connected to the chassis of the E4982A and is provided with the E4982A. You can connect a banana-type plug to this terminal for grounding.


Rear Panel

Power Cable Receptacle

This is the receptacle used for connecting the power cable.

The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the E4982A. When the power supply must be cut off to avoid such danger as electric shock, pull out the power cable plug (on the power outlet side or device side of the cable). For the procedure for turning OFF the main in normal use, see the description in Standby Switch.

  • Only use the three-wire grounded power cable provided with the instrument.

External Trigger Input Port

Connector type: BNC connector (female)

This terminal allows you to input a trigger signal to execute a measurement command. The rising edge (or falling edge) from the LOW state (or HIGH state) in the TTL compatible signal is detected as trigger by this external trigger input terminal. To trigger measurements by inputting signals into this terminal, it is necessary to set the trigger source to EXTERNAL (external trigger input terminal) in advance.

External Monitor Output Port

Connector type: 15-pin VGA connector (female)

A terminal to which an external color monitor (display device) can be connected. By connecting a color monitor to this terminal, the same information shown on the LCD screen of the main body can be displayed on an external color monitor.

Ethernet Port

Connector type: 8-pin RJ-45 connector

Connecting E4982A to a LAN enables you to access the hard disk drive of E4982A from an external PC or to control E4982A by using SICL-LAN or telnet.

GPIB Port

The connection of an external controller through General Purpose Interface Bus (GPIB) connector allows you to configure an automatic measurement system.

This GPIB port is used only for controlling the E4982A from an external controller. Use USB/GPIB interface to control other devices from the E4982A. You cannot control other devices from the E4982A through this GPIB port.

Handler Interface

This interface is used for exchanging data with automatic equipment (handler) in a production line.

Reference Signal Ports (10MHz)

The specification for the signals is specified in the Data Sheet.

Input (REF IN)

The reference signal input connector is used for phase-locking the measurement signal from the E4982A to the external frequency reference signal. Inputting reference signal to this connector improves the accuracy and frequency stability of the measurement signal from the E4982A. When the frequency reference signal is sent to this connector, the measurement signal from the E4982A is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the E4982A is automatically used. The ExtRef on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

Output (REF OUT)

A connector to output the internal frequency reference signal from the E4982A. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the E4982A and used under this condition.

USB Interface Port (USBTMC)

Through this port, you can control the E4982A from external controllers. For more information on the measurement system using the USB port, see the USB Remote Control System.

Specification | Value
Connector type | Universal serial bus (USB), type B (4 contact positions), Female (jack)
Compliance Standards | USBTMC-USB488 and USB2.0

USB Ports

Four USB (Universal Serial Bus) ports are provided that can be used for connecting to USB keyboard, USB mouse, and/or USB memory. See Connecting External Accessories for more detail.

Serial Number Plate

The label showing the product number, serial number and the installed option number. The accessory and system rack options are not listed on this label. (CFGxxx or ATOxxx in the first line is Agilent Use Only.)

Reserved Ports

These ports are not available for use.

Line Switch (Always ON)

Always keep this switch on (|).

  • Do not use this switch to turn OFF (O) the mains. Doing so may cause the instrument to fail. For more information, see the description of the Standby Switch.

Hard Disk Drive

Built in hard disk drive

Certificate of Authenticity Label

The label shows the licence information of the Windows Operating System.


Screen Area

The E4982A display screen include the six types of displays (two measurement displays and four setup displays) as explained in the table below:

Display type |  | Function
Measurement display | Single-point measurement display | Measurement is done at the specified single measurement point and the result is shown on this display.
 | List measurement display | All measurements are preset in the specified table according to the sequence of the measurement point numbers and are listed on the display. Plotting mode is available.
Setup display | Measurement point setup display | A display for setting up measurement points. The required measurement points are set sequentially, starting from measurement point number 1, by inputting measurement conditions (measurement frequency, averaging factor and test signal level). A maximum of 201 measurement points can be set in each of the eight tables.
 | Calibration kit setup display | A display for setting up the calibration kit definition (value) for the measurement point set up on the measurement point setup display.
 | Compensation kit setup display | A display for setting up the compensation kit definition (value) for the measurement point set up on the measurement point setup display.
 | Bin sorting setup display | A display for setting up the conditions for bin sorting (sorting by measurement result).


Single-Point Measurement Display

The single point measurement display shown in the following figure appears when you press the Point Meas key.

Title area

Enter your preferred title to be displayed in here.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, use the mouse to click at the table number area.

Measurement point number

Displays the active measurement point number. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the measurement point number selection softkey menu, use the mouse to click at the measurement point number area.

Measurement frequency

Indicates the measurement frequency of the active measurement point. The conditions (measurement frequency of measurement point, averaging factor, oscillator level for the measurement point number) for each table are set in measurement point setup display.

Oscillator level (Power)

Displays the oscillator level of the active measurement point. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

Averaging factor

Displays the measurement averaging factor of the active measurement point. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

Test signal current level monitor value

Displays the monitor value of the current level applied to the DUT in the measurement.

Test signal voltage level monitor value

Displays the monitor value of the voltage level applied to the DUT in the measurement.

Meas Time

Displays the measurement mode that represents the speed of the measurement. Refer to How to Change Measurement Mode.

DC resistance (Rdc) measurement value

When the DC resistance (Rdc) measurement function is turned ON, the measurement result is shown here. The limit for making “pass or fail” judgment can be set for the DC resistance (Rdc) measurement result, and this can be used for checking the contact condition of the measurement electrodes and the DUT in the case of impedance measurement.

  • It is not suitable for low resistance measurement because the E4982A's DC resistance (Rdc) measurement function utilizes a two-terminal method.

Root Menu

Displays the generic softkey menu for a set of the softkeys described in Softkeys.

Softkey Menu Name

Displays the grouping name of a collection of softkeys. At the top level, this name often but not necessarily corresponds to the name of the selected hardkeys.

Softkeys

The softkeys are shown here. To operate the softkeys, first press the Stim Table, Meas Setup, Prmtr, Data Export, Display, Trigger Mode, Analysis, Save/Recall or System as described in Key Operation Overview to call up the desired softkey menu. Then select the desired softkey using any of the following methods:

  • Turn the rotary knob on the front panel clockwise or counterclockwise to vertically move the selection cursor over the softkey label. Then press the rotary knob to select the softkey.

  • Press the arrow keys on the front panel to vertically move the selection cursor over the softkey label. Then press Enter to select the softkey.

  • Click the softkey label with the mouse connected to the E4982A.

  • Press the arrow keys ([h] and [i]) of the keyboard connected to the E4982A to vertically move the selection cursor over the softkey label. Then press the ENTER key to select the softkey.

  • As the E4982A comes with touch screen LCD, you can select the desired softkey by touching the LCD screen directly with a finger. Do not press the surface of the LCD screen with a sharp object (e.g., a nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.

Date/time

Displays the current date and time. To change the date and time settings, refer to Change Date/Time Settings.

Instrument status

Displays the status of crucial operating conditions of the E4982A.

Display | Definition
UnCal (red display) Cor (blue display) | Calibration is not executed. Calibration is executed.
Cmp (blue display) | Compensation is executed.
Del (blue display) | Fixture compensation (electrical length and delay time compensation) has been set (a value other than 0 has been set for the electrical length of the fixture).
Int (blue display) | The trigger mode is internal trigger mode. The E4982A itself executes the trigger continuously.
Man (blue display) | The trigger mode is manual trigger mode. Trigger is executed when the Trigger key on the front panel is pressed.
Ext (blue display) | The trigger mode is external trigger mode. Trigger is executed by a signal sent through the external trigger input terminal or the handler interface. When the handler interface external trigger voltage is set from 5 to 15 volt, Ext L (5 to 9 V) or Ext M (9.1 to 15 V) is displayed.
Bus (blue display) | The trigger mode is bus trigger mode. Trigger is executed via GPIB, USB or LAN.
ExtRef (blue display) | The external frequency reference signal is input and the E4982A test signal is phase-locked to that reference signal.
Comptr (blue display) | Comparator (BIN sort) is turned ON.
Log (blue display) | Displayed when logging is started. To start logging, press Analysis > Start Logging. Refer to Data Logging for Statistical Analysis.
Svc (red display) | The E4982A is in service mode. The service mode is used for self-diagnosis and repair of the E4982A. This means that you cannot obtain a measurement guaranteed by the specifications. If this indicator is lit during normal use, the instrument may be malfunctioning.
Ovld (red display) | An overload has occurred in the measurement circuit, and the measurement value is not correct. This indicator lights is up when the DUT is attached to or detached from the measurement terminals during measurement.
AC OFF (red display) | Displayed when the AC output is switched OFF. To switch ON the AC output, press System > Service > AC Output > ON.

Measurement parameter/measurement value

Displays the measurement parameter/measurement value. The E4982A displays a maximum of four measurement values for measurement parameters at one time.

  • The four measurement parameters shown on the single point measurement display are called “measurement parameter 1,” “measurement parameter 2,” “measurement parameter 3,” and “measurement parameter 4” in that order from the top of the display area.
  • You can directly call up the measurement parameter selection softkey menu by clicking at the measurement parameter area.


List Measurement Display

The list measurement display shown in the following figure appears when you press the List Meas key.

Measurement point number

This is the number of the measurement point set in the measurement point setup display.

Measurement frequency

See measurement frequency.

Averaging factor

See averaging factor.

Oscillator level

See oscillator level (power).

Label 1 to label 4

You can select one parameter for each of the four labels. Click on the parameter column and the Parameter softkey is displayed. Select one of the parameter among the given selection.

Vertical scroll bar

You can scroll the table showing the parameters of each measurement point by moving the scroll bar’s thumb vertically while keeping the mouse button left-clicked and then releasing it at the desired location. You can also scroll the table by clicking the scroll arrows at the ends of the scroll bar or by clicking in the areas in the scroll bar above or below the thumb to move the displayed area one frame up or down, respectively.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, click at the table number area.


Measurement Point Setup Display

The measurement point setup display shown in the following figure appears when you press the Stim Table key the required number of times.

Measurement point setup tab

When the Stimulus tab is displayed in front of the other three tabs, the screen shows the measurement point setup display. If another setup display appears, click this tab or press Stim Table key several times to get the measurement point setup display.

Measurement point number

This number indicates the measurement point. Measurement is done in the order of these measurement point numbers.

  • Measurement is enabled at the measurement point when the measurement conditions e.g. measurement frequency, averaging factor, oscillator level are entered. Measurement points must be set up sequentially starting from point 1.

Measurement frequency

Enter the measurement frequency for each measurement point. For more information, see measurement frequency.

Averaging factor

Enter the averaging factor for each measurement point. For more information, see averaging factor.

Oscillator level

See oscillator level (power). Also, refer to How to Change Oscillator Level to select the Oscillator level unit between dBm, V and A.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, click at the table number area.


Calibration Kit Setup Display

The calibration kit setup display shown in the following figure appears when you press the Stim Table key the required number of times.

Calibration kit setup tab

When the Cal Kit tab is displayed in front of the other three tabs, the screen shows the calibration kit setup display. If another setup display appears, click this tab or press Stim Table key several times to get the calibration kit setup display.

Calibration kit selection

You can choose either to use the predetermined value for the 7-mm calibration kit (7-mm standard) or user-defined value as the calibration kit definition. To use the Agilent Technologies 16195B 7-mm calibration kit, select 16195B. In case of selecting 16195B, all calibration kit values should have been entered and you are not allowed to change the definition.

If you select User Defined, you are allowed to enter the values for the calibration kit definition. If you select the Fixed Model, enter the definition for measurement point number 1, which is then automatically applied to the other measurement point numbers.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, click at the table number area.

Measurement point number/measurement frequency

Displays the measurement points (measurement point number and measurement frequency) in the selected measurement point table.

Open standard value

Enter the open standard value.

Short standard value

Enter the short standard value.

Load standard value

Enter the load standard value.

Circuit model

Select one of the three circuit models (Rs-Ls, Ls-Q, or Cp-D) for the load parameter.

Offset delay

Depending on the calibration kit used, offset delay may have to be set. In such cases, enter the offset delay values for open standard, short standard, and load standard.

DC standard value

Enter the calibration kit definition for E4982A DC resistance (Rdc) measurement.


Compensation Kit Setup Display

Compensation Kit Setup

The compensation kit setup display shown in the following figure appears when you press the Stim Table key the required number of times.

Compensation kit setup tab

When the Compen Kit tab is displayed in front of the other three tabs, the screen shows the compensation kit setup display. If another setup display appears, click this tab with the mouse or press Stim Table key several times to get the compensation kit setup display.

Compensation kit selection

You can choose either to use the predetermined value for the 7-mm calibration kit (7-mm standard) or user-defined value as the compensation kit definition. To use the 7-mm calibration kit, select Default. In case of selecting Default, all compensation kit values should have been entered and you are not allowed to change the definition.

If you select User Defined, you are allowed to enter the values for the compensation kit definition. If you select the Fixed Model, enter the definition for measurement point number 1, which is then automatically applied to the other measurement point numbers.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, click at the table number area.

Measurement point number/measurement frequency

Displays the measurement points (measurement point number and measurement frequency) in the selected measurement point table.

Open standard value

Enter the open standard value.

Short standard value

Enter the short standard value.

DC standard value

Enter the compensation kit definition for E4982A DC resistance (Rdc) measurement.


Bin Sorting Setup Display

The BIN sorting setup display shown in the following figure appears when you press the Stim Table key the required number of times.

Comparator (bin sorting) setup tab

When the Comparator tab is displayed in front of the other three tabs, the screen shows the bin sorting setup display. If another setup display appears, click this tab or press Stim Table key several times to get the bin sorting setup display.

Table number

Highlights the active table number. The E4982A has eight tables and each table allows a maximum of 201 measurement points to be set. Use the measurement point setup display to set the measurement point conditions (measurement frequency, averaging factor, oscillator level for the measurement point number) for each table.

  • To directly call up the table associated with the table number, click at the table number area.

Good BINS

Allows you to set the number of BINs as good bins and bad BINs. For example, Good Bin ~ Bin 10 sets BINs 1 to 10 as good and BINs 11 to 13 as bad bins. The bad bins are highlighted in red, as shown below.

DC resistance (Rdc) upper and lower limit values

Allows you to set the upper and lower limit values for the DC resistance (Rdc) measurement result.

BIN number, BIN ON/OFF

Allows you to set the bin number and ON/OFF state. You can set the conditions for sorting parts into a maximum of 13 bins. If you turn OFF a bin, the bin is regarded as non-existent.

Sorting conditions

This area is used to set the sorting conditions for each bin. Four sorting conditions are applied to each bin, and the components that meet all four of a bin’s conditions are sorted into that bin.

OUT OF GOOD BINS line

This line indicates the last GOOD BINS and can be placed at the desired BIN boundary. To position this line, click on the drop-down button of GOOD BINS to choose the BIN number (indicating the last GOOD BIN). Components sorted into BINs below this line are judged as OUT OF GOOD BINS. The OUT OF GOOD BINS judgment result can be confirmed when the display color of the item ‘BIN sort result’ changes to red. This signal is also output to the handler interface. For more information, refer to OUT OF GOOD BINS Setting.


Key Operation Overview

  • Key Operation

  • Short Cut Key

Key Operation

Table below shows the E4982A key operation list:

Operation | Front panel |  |  | External device
 | (Rotary knob) | (Arrow keys) | SETUP / MEASUREMENT / TRIGGER / CAL/COMPEN / ENTRY / FUNCTION / INSTR STATE | Keyboard | Mouse
Direct calling up of softkey top menu | (Disabled)*1 | (Disabled)*1 | Press Stim Table, Meas Setup, Prmtr, Data Export, Display, Trigger Mode, Analysis, Save/Recall and System | (Disabled)*1 | Click on the Root Menu softkey button at the top-right of the screen area
Upward movement of selected position*2 | Turn clockwise | Press | (Disabled) | Press | Click on the selected item*3
Downward movement of selected position*2 | Turn counterclockwise | Press | (Disabled) | Press | Click on the selected item*3
Leftward movement of selected position*2 | (Disabled) | Press | (Disabled) | Press | Click on the selected item*3
Rightward movement of selected position*2 | (Disabled) | Press | (Disabled) | Press | Click on the selected item*3
Entry of numerical value | (Disabled) | (Disabled) | Press 1-9,0,. and +/- | Press 1-9,0,. and - | (Disabled)
Character entry | (Disabled) | Click on character in character entry window | (Disabled) | Press A - Z and other non-numerical characters | Click on character in character entry window
Execution of entry and selection | Press | Press Enter | Press G/n, M/m, k/m and x1 (also performs execution of entry) | Press Enter | (Selection is executed by clicking on selected item)

*1. You can execute this function from menu softkey.

*2. The selected position refers to the highlighted menu name and cell on the display. Subsequent entry or selection applies to that position.

*3.Normally, the function is executed simultaneously with the movement to the selected position (you need not press the Enter or other key).

For softkey navigation methods, refer to Softkeys.

Short Cut Key

When you use an external key board or other external input device, the short cut key can be used. The each front panel key is assigned with the following keys.

For example, pressing the keys of "K", Ctrl and Alt on an external key board at the same time is equivalent to pressing Analysis.


Basic Operations

Basic operation procedure of E4982A LCR Meter is described here by using measurement examples. This is intended to familiarize you with the E4982A if you are using this instrument for the first time.

  • Must Have Items

  • Preparation for Measurement

  • Setting Measurement Conditions

  • Calibration and Compensation Using Wizard

  • Displaying DUT Connection and Measurement


Must Have Items

To use the examples of measurement shown in this topic, prepare the following items:

Name | Quantity
Agilent E4982A LCR meter | 1
Test head (with 1-meter cable) *1 | 1
N(m)-SMA(f) adapter *1 | 3
Wrench (for 3.5-mm/SMA connector) *1 | 1
Agilent 16195B 7-mm calibration kit *2 | 1
Test fixture stand *3 | 1
3.5-mm-to-7-mm adapter *4 | 1
Agilent 16196A SMD Test Fixture *5 | 1
Torque Wrench (Agilent P/N 8710-1766, 1.36 N•m, 12 lb-in) | 1
DUT: Chip inductor (connectable to test fixture to be used) | 1

*1. Included with the E4982A.

*2. Included with the Option 700.

*3. Included with the Option 710.

*4. Included with the Option 720.

*5. Other test fixtures can be used if compatible with the 7-mm connector of the same type.

Other topics about Basic operations


Preparation for Measurement

  • Connection between test head and fixture stand

  • Turning ON the power

Other topics about Basic operations

Connection between test head and fixture stand

Connect the test head (with 1-meter cable) and test fixture stand to the E4982A as shown in the below figure. The figure does not show the test fixture for connection of the DUT (which will be installed on the test head). Open/short/load calibration at the 7-mm-terminal on the tip of the test head is described later.

  1. Attach the test head to the test fixture stand with two screws. At this point, do not tighten the screws completely.

  2. Align the 3.5-mm-to-7-mm adapter with the hole in the test fixture stand and gently insert the adapter.

  3. Tighten the connector nut of the 3.5-mm connector with the provided wrench (for 3.5 mm/SMA connector).

  4. Firmly, tighten the two screws.

  5. Attach the three N(m)-SMA(f) adapters to the RF OUT, PORT 1, and PORT 2 terminals of the E4982A test head interface. Connect the three SMA(m) connectors (RF OUT, PORT 1, PORT 2) of the test head cable to the SMA(f) terminals of the adapters. Then tighten each of the connectors using the provided wrench (for 3.5-mm/SMA connector).

    • Be sure to use the provided wrench (for 3.5 mm/SMA connector) when tightening the connector nut of the 3.5-mm connector. Using another wrench could result in damage to the connector, which would cause incorrect measurements in the future.

Turning ON the power

Press the standby switch in the lower-left area of the E4982A front panel to turn ON the power.

  • Extra caution is required when you power ON or OFF the E4982A.

  • Under normal circumstances, always press the standby switch, or send the shutdown command from the external controller, to actuate the E4982A shutdown process. Never cut OFF the power supply directly by disconnecting the power cable plug from the rear panel of the unit.

  • If the power supply is cut OFF directly by disconnecting the power cable plug or by disconnecting the power supply to the AC outlet, the shutdown process will not be carried out, and there is a risk of damage to the software or hardware of the E4982A.

When the standby switch is pressed, the E4982A starts the self-test. After confirmation of normal operation, the measurement display appears based on the power-on default settings. The below figure is an example of a display when power is turned ON and the default setting is single point measurement display.


Setting Measurement Conditions

This section explains how to set the measuring conditions.

  • The following explanation of how to set measuring conditions assumes that you are using the keys on the front panel of the E4982A. To understand the setting procedure when using a keyboard or mouse, see Key Operation Overview

  • Presetting the E4982A

  • How to set the measurement point (frequency/averaging factor level/oscillator level)

Other topics about Basic operations

Presetting the E4982A

  1. Press the Preset key on the right corner of the front panel.

  2. Click the Preset softkey to preset the E4982A to its initial set state, which is also known as Preset state.

How to set the measurement point (frequency/averaging factor level/oscillator level)

With the E4982A, you must enter the desired measurement point along with its conditions in the measurement point setup display before starting measurement. The following procedure shows a case when four measurement points with different frequencies (i.e., 1 MHz, 10 MHz, 100 MHz, and 1 GHz) are set up.

For all four points, the averaging factor is assumed as 1 and the oscillator level as -13 dBm.

  1. Press the Stim Table key and the measurement point setup display appears.

  2. Press the [image] key once to move the cursor to the Frequency cell of measurement point 2.

  3. Press 1 > 0 > M/μ consecutively and set the frequency of measurement point number 2 to 10 MHz.

  4. Press the 1 > 0 > 0 > M/μ consecutively and set the frequency of measurement point number 3 to 100 MHz.

  5. Press the 1 > G/n consecutively and set the frequency of measurement point number 4 to 1 GHz.

  6. Press the Point Meas key to go back to the first single point measurement display.

  7. Refer to How to Change Oscillator Level to learn how to change the oscillator level and its unit.

  8. Refer to How to Change Averaging Factor to learn how to set the averaging factor.


Calibration and Compensation Using Wizard

After completing measurement point setting, perform calibration and compensation.

  • Calibration and compensation are carried out at the same point as the normally set measurement point; therefore, the measurement point setting should have been completed before calibration and compensation. Calibration and compensation using wizard function ensures easy execution of calibration and compensation by displaying clear and simple guidance.
  • Setting with the Calibration and Compensation Wizard

  • Executing Open Calibration

  • Executing Short Calibration

  • Executing Low-Loss Capacitor Calibration

  • Executing Load Calibration

  • Connection of Test Fixture

  • Executing Open Compensation

  • Executing Short Compensation

Other topics about Basic operations


DUT Connection and Display of Measurement Result

This section explains how to set the DUT connection and perform measurement using E4982A.

  • DUT connection and measurement

  • How to change measurement point

  • How to change measurement parameters

  • Measurement and display of all set measurement points (list measurement)

Other topics about Basic operations

DUT connection and measurement

  1. Connect the DUT according to the Operation Manual for the test fixture. The measurement result is displayed as shown the below figure.

How to change measurement point

In the above figure, the measurement result is only displayed for the 1 MHz point among the four measurement points (1 MHz, 10 MHz, 100 MHz and 1 GHz) set according to How to set the measurement point (frequency/averaging factor/oscillator level).

Follow these steps to change the measurement point on which you want to perform measurements and display results.

  1. Click the Root Menu button at the top right corner of the screen to display the softkey menu. The softkey menu appears on the right side of the display.

  2. From the E4982A Root softkey menu, select Active Point.

  3. Select the desired measurement point number, which is in this case is 4.

  4. Alternatively, toggle between Stim Prev and Stim Next hardkeys to select the desired measurement point number.

How to change measurement parameters

Set which of the four measurement parameters should appear on the display by following these steps.

  1. Press the Prmtr key. The measurement parameter selection menu appears in the softkey area on the right side of the display.

  2. Select the measurement parameter which you desire to change, in this case Parameter 1 to display the softkey menu of Parameter 1 on the right side of the display.

  3. Select the desired measurement parameter, in this case Ls.

Measurement and display of all set measurement points (list measurement)

In the above figures, only one of the set measurement points is selected for measurement and display. However, measurement and display can also be executed at all of the set measurement points simultaneously by following the below step.

  1. On the single point measurement display, press the List Meas key once to select the list measurement display.

  2. Press the List Meas key again to view the list measurement display in plotting mode.


Measurement

This section describes how to set the measurement conditions, including measurement frequency and averaging, of the Agilent E4982A LCR Meter. The installation of the 4287A must be completed before performing the measurement.

  • How to Preset the E4982A

  • How to Set Measurement Point

  • Setting up dc Resistance (Rdc) Measurement

  • Making Trigger

  • Executing Measurement and Displaying Results

  • Sorting According to Measurement Results

  • Obtaining Statistical Data on Measurement Results

  • Storing and Retrieving E4982A Internal Information and File Management

  • Improvement of Measurement Throughput


How to Preset the E4982A

  • Presetting the E4982A

  • Undo Presetting

Other topics about Measurement

Presetting the E4982A

To return to the initialize state called the Preset State, press the Preset key > Preset. All the setting prior to preset, including the measurement, calibration and compensation data is deleted.

  • To ensure correct setting, it is best to preset the E4982A before you start a new setting.

Undo Presetting

To return to the setting prior to preset action, press Preset > Undo Preset.


How to Set Measurement Point

  • How to Bring up the Measurement Point Setup Display

  • How to Specify Table Number for Setup

  • How to Add Measurement Points

  • How to Change Measurement Mode

  • How to Change Frequency of a Set Measurement Point

  • How to Change Averaging Factor

  • How to Change Oscillator Level

Other topics about Measurement


How to Bring up the Measurement Point Setup Display

You can bring up the measurement point setup display by following the below steps:

  1. Press the Stim Table key and the measurement point setup display appears.

  • When you display the measurement point setup display from the setup state for the first time, the preset data has already been input for measurement point number 1 of each table (table 1 to 8), For example, frequency is set to 1 MHz, averaging factor is 1, and oscillator level is -13.0 dBm.

  • Press Stim Table > Stimulus Table > Exit to close the measurement point setup display and return to list measurement display.


How to Specify Table Number for Setup

The E4982A has eight tables that allow a maximum of 201 measurement points to be set. To set the measurement point (or to set the calibration kit, compensation kit, or BIN sort), first specify the table number by following one of the step below.

  • Option 1: Click on the table number to activate the table. The specified table is highlighted to indicate that it is the current active table.

  • Option 2: Press either Table Prev or Table Next key to toggle between tables and select the table. Table Prev selects the previous table as the active table. Table Next selects the next table as the active table.

  • Option 3: Click on the Root Menu softkey button at the top-right of the screen. From the E4982A Root softkey menu, click on Active Table softkey and enter the desired table number.

  • To clear the contents of a table, press Stim Table > Stimulus Table > Clear Table.

  • You can copy the contents of one table to another by using Stim Table > Stimulus Table > Copy Table and Paste Table.


How to Add Measurement Points

At the preset state, the measurement point number 1 of each table (table 1 to 8) has data consisting of a frequency of 1 MHz, averaging factor of 1, and oscillator level of -13.0 dBm.

To add new measurement points to those already entered in the specified table, perform the following steps.

  1. Select the cell one level below the active cell. The figure below shows the selection of frequency cell for new measurement point to be added.

    • Selectable cells are displayed brighter than other cells.
  2. Enter the frequency of the measurement point to be added. To enter 2 MHz, for example, press 2 and M/μ sequentially.

If you add frequency as a new measurement point, the same settings of the averaging factor and oscillator level as those of the previous measurement point are automatically entered.

  3. Repeat Steps 1 and 2 to add the required measurement points. The figure below shows an example of setting measurement points at intervals of 1 MHz, from 1 MHz to 10 MHz.

Optionally, you can use the Quick Edit table to enter the frequency, averaging count and oscillator level for several number of points at once. From the Stimulus Table softkey menu, click on Quick Edit softkey. At the Quick Edit window, enter the desired frequency type (Linear or Log), start and stop frequency, oscillator level unit, start and stop oscillator level, averaging count and the number of points you desire to enter. The setting shown in the figure below will give the same results as figure e4982a028.

Another option to add a row is by using Stim Table > Stimulus Table > Copy Row and Paste Row.

Press Stim Table > Stimulus Table > Delete Row to delete any undesired row.


How to Change Measurement Mode

Change the measurement speed and accuracy by following these steps:

Stim Table > Meas Time > Mode 1|Mode 2|Mode 3.

The modes are defined as per the following table:

Softkey Label | Measurement Speed | Accuracy
Mode 1 | Fast | Worse
Mode 2 | Middle / Average | Middle
Mode 3 | Slow | Better
  • Calibration and Compensation is not valid if the measurement mode is changed.


How to Change Frequency of a Set Measurement Point

Change the frequency of an already set measurement point by following these steps:

  1. Select the frequency cell at the measurement point you want to change.

  2. Enter a new frequency. To enter 5.5 MHz, for example, press 5, . and 5 and then M/μ. Optionally, click to highlight the value in the frequency cell. Then, by using mouse scroll button, scroll up or down to change the value in the cell.

  • Calibration and Compensation is NOT valid when any frequency point is changed.


How to Change Averaging Factor

Change the averaging factor of an already set measurement point by following these steps:

  1. Select the averaging factor cell at the measurement point you want to change.

  2. Enter a new averaging factor. To set the averaging factor to 10 for example, press 1 and 0 and then ×1. Optionally, click to highlight the value in the averaging factor. Then, by using mouse scroll button, scroll up or down to change the value in the cell.

  • Calibration and Compensation is valid even if the averaging factor is changed.


How to Change Oscillator Level

Change the oscillator level of an already set measurement point by following these steps:

  1. Select the oscillator level cell at the measurement point you want to change.

  2. Enter a new oscillator level. To set the oscillator level to -10 dBm, for example, press -, 1 and 0 and then ×1. Optionally, click to highlight the value in the oscillator level. Then, by using mouse scroll button, scroll up or down to change the value in the cell.

  • You have the option of entering either Power, Voltage or Current value. When you enter one of the value, the rest of the value changes accordingly. For example, when you enter -10 dBm as the value for Power, the Voltage and Current value changes automatically, according to the Power value. An asterisk also appears at Power title column, indicating that its the active column. This unit is also used at the oscillator level in the single point measurement display.

  • Calibration and Compensation is not valid if the oscillator level is changed.


Setting up dc Resistance (Rdc) Measurement

  • Turning ON/OFF

  • Turning ON/OFF Offset Cancel Function

  • Turning ON/OFF AC Signal

  • Setting Rdc Measurement Averaging Factor

Other topics about Measurement

Turning ON/OFF

Follow these steps to turn ON/OFF the Rdc measurement.

1. Press the Meas Setup key on the front panel to display the Meas Setup softkey menu.

2. Press the Rdc Meas key on the softkey menu to toggle ON/OFF the Rdc measurement.

Softkey label | Rdc measurement
Rdc Meas [ON] | ON
Rdc Meas [OFF] | OFF

Turning ON/OFF offset cancel function

  • Rdc offset cancel function is only available in SCPI command.

Turning ON/OFF AC Signal

Follow these steps to turn ON/OFF the AC signal while the Rdc measurement is made.

1. Press the Meas Setup key on the front panel to display the Meas Setup softkey menu.

2. Press the AC key on the softkey menu to toggle between ON/OFF softkey.

Setting Rdc Measurement Averaging Factor

Press Meas Setup > Meas Setup > Avg Count and enter the averaging factor of Rdc measurement. This setting is valid for all tables. By default, the averaging factor is set to 128 and you can change it to any value between 1 to 6000.


Making Trigger

  • Selecting Trigger Source

  • Setting Point Delay

  • Setting Trigger Delay

Other topics about Measurement

Selecting Trigger Source

The trigger source generates a cue signal that initiates a measurement process. Four types of trigger sources are available:

  1. Press Trigger Mode, then select the desired trigger source.

    Trigger Sources

    Function

    Internal (Internal)

    Uses a consecutive signal generated by the firmware as a trigger source. Triggers are sent immediately following the completion of each measurement.

    External (External)

    Uses the external trigger input terminal (BNC) or handler interface as a trigger source.

    Manual (Manual)

    A trigger is generated by pressing Trigger.

    Bus (Bus)

    A trigger is generated through GPIB/LAN/USB.

  2. When External is selected as a trigger source, click Input Polarity to select trigger polarity.

    Softkey Label

    Function

    Negative

    Detect external trigger with negative edge.

    Positive

    Detect external trigger with positive edge.

  • The setting for trigger polarity is NOT valid for the external trigger from the handler interface.

Setting Point Delay

Set the pre-measurement wait time for each measurement point.

  1. Press Trigger Mode > Point Delay.

  2. Enter the point delay time.

Setting Trigger Delay

Set the external trigger delay time at each point. The trigger delay works when the trigger source is set to external.

  1. Press Trigger Mode > Trigger Delay.

  2. Enter an external trigger delay time.


Executing Measurement and Displaying Results

  • Connecting the DUT

  • Selecting Single Point Measurement or List Measurement

  • How to Select the Measurement Point Table

  • Selection of Measurement Point

  • Selection of Measurement Parameters in Single Point Measurement Display

  • Selection of Display Parameters in List Measurement Display

  • Setting How the Instrument Displays Measurement Results

  • Using User Define Parameter

  • Plotting the List Measurement Result

  • Hide the Screen Display and Other Display Functions

Other topics about Measurement


Connecting the DUT

When using a dedicated test fixture, see the Operation Manual of the test fixture for details on how to connect the DUT.


Selecting Single Point Measurement or List Measurement

When the setup display appears, press the Point Meas key to display the single point measurement display.

Press List Meas key to display the list measurement display. You can plot the measurement result on the screen by pressing List Meas key again.


How to Select the Measurement Point Table

Follow the steps to select the measurement point table according to How to Set the Measurement Point.

Follow the steps to specify the measurement point table according to How to Specify Table Number for Setup.


Selection of Measurement Point

There are several ways to select the measurement point.

  • Option 1 : At either single point measurement display or list measurement display, press Stim Prev or Stim Next key to select the desired measurement point.
    At the single point measurement display, point number is shown at the top-left of the screen.

  • Option 2: Click on the Root Menu softkey button at the top-right of the screen. From the E4982A Root softkey menu, click on Active Point softkey and enter the desired measurement point.

  • Option 3: Alternatively, when you are at list measurement display, you can use the mouse to click on the desired measurement point.


Selection of Measurement Parameters in Single Point Measurement Display

In the single point measurement display, a maximum of four parameters can be simultaneously displayed for the selected measurement point. Follow these steps to set the measurement parameters.

  1. Press the Prmtr to display the Parameter softkey menu.

  2. Select the desired measurement parameter number from the Parameter softkey menu (Parameter-1[ ] to Parameter-4 [ ]), and the measurement parameter selection softkey menu for the selected measurement parameter number appears.

  3. Select the desired measurement parameter from the softkey menu.

Category | Softkey label | Measurement parameter
Polar | |Z| | Absolute value of impedance
 | |Y| | Absolute value of admittance
 | θz (rad) | Impedance phase (radian)
 | θy (rad) | Admittance phase (radian)
 | θz (deg) | Impedance phase (degree)
 | θy (deg) | Admittance phase (degree)
LCR | Rs | Equivalent series resistance
 | Rp | Equivalent parallel resistance
 | Ls | Equivalent series inductance
 | Lp | Equivalent parallel inductance
 | Cs | Equivalent series capacitance
 | Cp | Equivalent parallel capacitance
Complex | R | Equivalent series resistance
 | G | Equivalent parallel conductance
 | X | Equivalent series reactance
 | B | Equivalent parallel susceptance
Factor | Q | Quality factor
 | D | Dissipation factor
Define User Formats... | Γ (db) | Default: Gamma in dB
 | Γ (deg) | Default: Gamma is degree
 | I-mon | Default: Test signal current level monitor value in A
 | V-mon | Default: Test signal voltage level monitor value in V


Selection of Display Parameters in List Measurement Display

In the list measurement display, a maximum of seven parameters can be simultaneously displayed for the listed measurement points. Follow these steps to set the list display parameters.

  1. Press Display > Select List Parameters.

  2. Select the desired column label (Column 1 to Column 7) from the softkey menu, and the display parameter selection softkey menu for the selected label appears.

  3. Select the desired display parameter from the softkey menu.

Softkey Label | List display parameter
Parameter 1 | The measurement parameter set as measurement parameter 1
Parameter 2 | The measurement parameter set as measurement parameter 2
Parameter 3 | The measurement parameter set as measurement parameter 3
Parameter 4 | The measurement parameter set as measurement parameter 4
I-monitor | Test signal current level monitor value
V-monitor | Test signal voltage level monitor value
Frequency | Measurement frequency
Avg Count | Averaging factor
Osc Level | Test signal level (power)
Rdc | DC resistance measurement value
OFF | Turn OFF the column


Setting How the Instrument Displays Measurement Results

Setting How the Instrument Displays Measurement Results (Enabling/Disabling Deviation Measurement Mode)

You can have the instrument display measurement results as absolute values or as deviations relative to the reference value (deviation measurement mode). You can change this setting for each of the measurement parameters 1 through 4. In deviation mode, you can set the instrument to display deviations as they are (Deviation mode) or as percentages relative to the reference value (% Dev. mode).

How the instrument displays measurement results differs according to the modes, as summarized in the table below.

deviation measurement mode | OFF | Deviation | %Dev
How measurement results are displayed | Meas | Meas-Ref | Meas-Ref --------------× 100 Ref

where Meas and Ref mean the following:

Meas : Measured value

Ref: Reference value (Display > Setup Prmtr Display > Parameter [1-4] > Reference)

  • When you are testing DUTs while using the bin sorting function, the bin sorting performs regardless of deviation measurement mode settings. However, the instrument displays measurement results according to the deviation measurement mode.

Follow these steps to set the deviation measurement mode.

  1. Press Display > Setup Prmtr Display.

  2. Select the desired parameter label (Parameter 1 to Parameter 4) from the softkey menu, and the deviation setup softkey menu for the selected label appear along with fixed MSD softkey menu.

  3. Select Math Mode softkey menu to select the mode:

Softkey Label | Deviation measurement mode
Math Mode [OFF] | OFF
Math Mode [Deviation] | ON (absolute deviation mode)
Math Mode [% Dev] | ON (percent deviation mode)
  4. Click the Data -> Reference softkey menu to set the data relative to the reference value. Click the softkey again to change the reference value.

  5. Select the Reference softkey menu to manually enter the reference value when you select Deviation or % Dev.


Using User Define Parameter

  • Overview

  • Defining the Format for User Define Parameter

  • Using Character Map

Other topics about Executing Measurement and Displaying Results

Overview

The User Define Parameter allows you to create the user custom parameter. You can define the parameter other than the pre-defined parameter. In addition, if you use this with the BIN sorting function, the user defined parameter can be compared with the limit.

Defining the Format for User Define Parameter

  1. Press Prmtr > Define User Formats... to display the User Format dialog box.

  2. Define the label, equation and unit.

Label

Define the label of user parameter. To display special characters such as θ (theta), you can use the character map.

Equation

The following function can be used for the equation.

Type | Function | Output Type | Note
Parameters | z() | complex | Impedance in complex
 | freq() | scalar | Frequency in Hz
 | osc() |  | Osc level in dBm (independent from the setting of :SOUR:UNIT)
 | idx() |  | Point Number
 | var(n,index) | complex | Get the user define variable value stored by :CALC:UFOR:VAR{1-10}. n:1-10, index: <index> of the parameter of this command
Formatted Data | fmt_z() | Scalar | |Z|
 | fmt_y() |  | |Y|
 | fmt_ls() |  | Ls
 | fmt_lp() |  | Lp
 | fmt_cs() |  | Cs
 | fmt_cp() |  | Cp
 | fmt_rs() |  | Rs
 | fmt_rp() |  | Rp
 | fmt_q() |  | Q
 | fmt_d() |  | D
 | fmt_r() |  | R
 | fmt_x() |  | X
 | fmt_g() |  | G
 | fmt_b() |  | B
 | fmt_tzr() |  | θz (radian)
 | fmt_tzd() |  | θz (degree)
 | fmt_tyr() |  | θy (radian)
 | fmt_tyd() |  | θy (degree)
Constants | pi() | Scalar | circular constant
 | e() |  | napier's constant
Complex Functions | cpx(scalar1, scalar2) | Complex | create complex from two scalar values. scalar1 is real part, scalar2 is imaginary part
 | conj(cmplx) |  | complex conjugate
 | re(cmplx) | Scalar | real part Example Usage: R[fmt_r()]=re(z())
 | im(cmplx) |  | imaginary part Example Usage: X[fmt_x()]=im(z())
 | abs(cmplx) |  | absolute Example Usage: Z[fmt_z()]=abs(z())
 | norm(cmplx) |  | norm: sum of squares of Re and Im
 | phase(cmplx) |  | argument of complex value (parameter is in degree and the range is -180 to 180 degree)
Basic Functions | ln(cmplx) | Complex | natural logarithm
 | log10(cmplx) |  | base 10 logarithm (common logarithm)
 | pow(cmplx, cmplx) |  | power
 | exp(cmplx) |  | exponential
 | sqrt(cmplx) |  | square root
Trigonometric Functions | sin(cmplx) | Complex | sine (input complex parameter is in radian) Example Usage: X[fmt_x()]=im(z())=abs(z())*sin(atan2(z()))
 | cos(cmplx) |  | cosine (input complex parameter is in radian.) Example Usage: R[fmt_r()]=re(z())=abs(z())*cos(atan2(z()))
 | tan(cmplx) |  | tangent (input complex parameter is in radian)
 | asin(scalar) | Scalar | arc sine
 | acos(scalar) |  | arc cosine
 | atan(scalar) |  | arc tangent
 | atan2(cmplx) |  | arc tangent, input: angle of complex in radian
 | atan2(scalar1, scalar2) |  | arc tangent, input: angle in radian which is specified by scalar1 and scalar2 points
Angle Conversions | deg(scalar) | Scalar | degree from radian
 | rad(scalar) |  | radian from degree

At default, Γ (gamma) in dB, Γ (gamma) in degree, Vmon and Imon are specified as examples.

Unit

Define the unit of user parameter up to 4 letters or characters. To display the special character such as Ω (ohm), you can use the character map.

Using Character Map

Use the Character Map to show special characters. An example procedure to show the symbol of Ω (ohm) is as follows.

  1. Check Advanced View box. (a)

  2. Select Unicode as Character set, then type 2126 in Go to Unicode. (b)

  3. The symbol of Ω is displayed at the upper-left corner. (c)

  4. Click Select and then Copy button. (d)

  5. Select desired cell and paste the character. (e)


Plotting the List Measurement Result

  • Overview

  • Plotting the Points of List Measurement

  • Selecting Scale Type

  • Auto Scaling

  • Quick Access for Softkey

Other topics about Executing Measurement and Displaying Results

Overview

The E4982A allows you to see the measurement result at glance as plotting in the frequency domain. Auto scaling function and log/linear scaling are available.

Plotting the Points of List Measurement

  1. Press Display > List type to select Plot for display type of the List Measurement.

    • Pressing List Meas toggles between List and Plot of display Type.

Selecting Scale Type

Linear and log scale type can be selected for X and Y axis.

  1. Press Display > Scale > [Prmtr n] Y-Axis to select the linear or log scale for Y-Axis of each parameter.

  2. Press Display > Scale > X-Axis Type to select the linear, log or order base scale for X-Axis

Auto Scaling

Auto Scale Once

The auto scale function adjusts the scale of Y-Axis for each parameter. This auto scaling is executed just once when you press the softkey.

  • Press Display > Scale > Auto Scale All to execute the auto scale for all parameters.

  • Press Display > Scale > [Prmtr n] Auto Scale to execute the auto scale for the selected parameter.

Auto Scaling Continuously according to the Measurement Result

The auto scale continuous function automatically changes the scale continuously by following the measurement results for all parameters.

  • Press Display > Scale > Auto Scale Continuous to activate the auto scale continuous function.

Quick Access for Softkey

When you click the area shown below on the screen with mouse or touch screen, the following softkey menu is displayed.

Area | Displayed Softkey
A | Display > Scale
B | Prmtr > Parameter n
C | Display > Setup Prmtr Display > Parameter n


Hide the Screen Display and Other Display Functions

  • Hide the Screen Display

  • Other Display Functions

Other topics about Executing Measurement and Displaying Results

Hide the Screen Display

The screen display of measurement results, softkey menu and instrument status can be hidden with only the menu bar left visible on the screen. If you hide the screen display, it is not updated; this allows you to minimize measurement time.

  1. Press Display > Display

    The figure below shows the view when the screen display is turned OFF.

  1. Press any hardkey or touch the screen in order to display the measurement screen again.

Other Display Functions

Title Area

Display > Display > Title Area > ON|OFF turns ON and OFF the title area at the top of the window where the title is displayed.

Edit Title Label

Press Display > Display > Edit Title Label to enter the title at the Title Area.

Data & Time

Pressing Display > Display > Date & Time toggles between OFF, LIVE and STAMP.

Softkey Label | Display Status
OFF | Turns OFF the Date and Time display at the bottom of the window.
LIVE | Displays the date and time in real time.
STAMP | Displays the date and time captured when the Date & Time softkey is clicked.

The Date & Time is displayed at the bottom-right of the window as shown in the below figure.

Restore

After maximizing the window, press Display > Display > Restore to restore the window to its previous size.

Minimize and Maximize

Press Display > Display > Minimize to minimize the window to a taskbar button. To restore the minimized window to its previous size, click its taskbar button.

Press Display > Display > Maximize to maximize the window so it covers the full screen.

Alternatively, click on the minimize or maximize button [image] on the top-right of the screen.


Sorting According to Measurement Results

The BIN sort functions for sorting parts based on the obtained measurement is described in the below sections:

  • Overview of BIN Sort Function

  • Setting Measurement Point

  • Setting Measurement Parameter

  • Setting Limit Mode and Reference Value

  • Setting BIN Range

  • Setting BIN ON and OFF

  • Setting Faulty BIN

  • Setting Upper and Lower Limit Values for DC Resistance Measurement

  • Turning ON BIN Sorting and Displaying the Result

  • BIN Count Function

  • Example of Setting for BIN Sorting

Other topics about Measurement


Overview of BIN Sort Function

  • Concept of setting E4982A's BINs

  • Internal flow of BIN sort judgement

Other topics about Sorting According to Measurement Results

The BIN sorting function of the Agilent E4982A is designed to determine based on the obtained measurement data, where a DUT (device under test) is placed according to the preset sorting conditions. By using this function, the result is shown on the display and signals are sent to the handler interface.

The BIN sorting function can be used for two purposes:

  • for manual measurement.

  • for automatic sorting by a handler (automatic sorter).

Concept of setting E4982A's BINs

Each BIN sorting condition based on the obtained measurements is set according to the principles mentioned below and as illustrated in the following Concept of E4982A BIN sort setting (set items for each table) table.

  • A maximum of 13 BINs can be set for each measurement point table (unused BINs are turned OFF).

  • BINs are sequentially evaluated from BIN 1 to BIN 13. The first BIN that meets the appropriate conditions is selected in sorting. For details, refer to Internal flow of BIN sort judgment.

  • Each BIN can be assigned a maximum of four sorting conditions. Only the BINs that meet all of these preset sorting conditions can be selected in sorting.

  • Four sorting conditions—measurement point (measurement point number), measurement parameter, limit mode and reference value—are set as BIN range setting conditions that is common to all BINs.

  • Settings for each BIN and for each sorting condition includes the upper limit value, lower limit value, and BIN range mode.

  • Even after sorting conditions have been set, each BIN can be turned ON (active) or OFF (inactive, where the BIN is assumed to be non-existent) if required. Furthermore, for each BIN under each sorting condition, the condition setting can be turned ON (active) or OFF (inactive and regarded as meeting the conditions at all times).

  • BINs can be specified as faulty BINs. If a BIN is selected as faulty as a result of BIN sorting, the BIN number is sent as output to the handler interface together with the result of OUT_OF_GOOD_BINS.

  • If devices cannot be sorted to any of the preset BINs, only the result of OUT_OF_GOOD_BINS is produced as output and the BIN number is not produced as output.

Concept of E4982A BIN sort setting (set items for each table)

 | Sorting condition 1 | Sorting condition 2 | Sorting condition 3 | Sorting condition 4
 | Measurement point number Measurement parameter Limit mode Reference value | Measurement point number Measurement parameter Limit mode Reference value | Measurement point number Measurement parameter Limit mode Reference value | Measurement point number Measurement parameter Limit mode Reference value
BIN 1 (allows setting ON/OFF) | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode
BIN 2 (allows setting ON/OFF) | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode
BIN 3 (allows setting ON/OFF) | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode
: | : | : | : | :
BIN 13 (allows setting ON/OFF) | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode | Upper limit value Lower limit value BIN range mode

Measurement point number | Selected from the measurement points set according to the measurement point setup table. This is set as a measurement point dedicated to BIN sorting, separately from the selection of the measurement point on the display (single point measurement display or list measurement display) which is used to indicate the measurement value.
Measurement parameter | As with the setting of the measurement point, it is set as a measurement parameter dedicated to BIN sorting, separately from the selection of the measurement parameter on the display (single point measurement display or list measurement display) which is used to indicate the measurement value.
Limit mode | The mode of selecting the format for inputting limit values (upper limit value and lower limit value) for each BIN. This mode is selected from three options: absolute mode (ABS: setting the limit value as an absolute value), percentage mode (%: setting the limit value as a percentage of the reference value), and deviation mode (DEV: setting the limit value as a difference from the reference value).
Reference value | The reference value used when percentage mode or deviation mode is selected as the limit mode.
BIN ON/OFF | Allows the BIN to be turned ON (active) and OFF (inactive). When turned OFF, the relevant BIN is inactive (the BIN is regarded as non-existent).
Upper limit value | An upper limit value to determine the range of a BIN. The upper limit value must be equal to or greater than the lower limit value.
Lower limit value | A lower limit value to determine the range of a BIN. The lower limit value must be equal to or less than the upper limit value.
BIN range mode | The mode of setting the BIN range according to the limit values (upper limit value and lower limit value). This mode is selected from three options: In (BIN range at minimum equal to the lower limit value and at maximum equal to the upper limit value or any range within these values), Out (BIN range at maximum equal to or less than the lower limit value or at minimum equal to or greater than the upper limit value), and OFF (limit values are irrelevant and entire range is set as BIN range).

Internal flow of BIN sort judgement

The BIN sort judgment is made according to the flow shown in the figure below.


Setting Measurement Point

The following describes how to set the measurement point for BIN sorting under each sorting condition (1 to 4).

  • To set the conditions for BIN sorting, the required measurement points should have been set in the measurement point setup display. If they were not, set the required measurement points according to Setting Measurement Conditions.

Setting of measurement points in BIN sorting is independent of selection of measurement points in the measurement display (single point measurement or list measurement).
Therefore, in order to use BIN sorting appropriately, the measurement points in BIN sorting need to be set up as follows.

  1. When two or more measurement points are set in BIN sorting, you must choose the list measurement display.

  2. When the list measurement display is chosen, you must select measurement points of BIN sorting from the measurement points in the list measurement display.

  3. When you choose the single measurement display, the measurement point of BIN sorting must be the same as that in the single measurement display. Especially, when the list measurement display is changed to the single measurement display, it is necessary to confirm that the measurement point of BIN sorting is the same as that in the single measurement display.

  4. Press the Stim Table key until the Comparator setup display tab appears.

  5. Click on the desired table number for BIN sort setting in the tool bar at the bottom of the display.

  3. Click in the measurement point (stimulus) cell in the sorting condition to be set (one of conditions 1 to 4).

  4. Enter the measurement point number. Optionally, click to highlight the value in the stimulus cell. Then, by using mouse scroll button, scroll up or down to change the value in the cell.


Setting Measurement Parameter

After setting the measurement point number, select the measurement parameter for BIN sorting.

  • Similar to setting the measurement point, selecting the measurement parameter in BIN sorting is independent of the selection of the measurement parameter in the measurement display (single point measurement or list measurement).
  1. Click in the measurement parameter cell in the sorting condition to be set (one of conditions 1 to 4).

  2. Click the drop-down button at the right edge of the cell.

  3. Select the desired measurement parameter from the drop-down list box to select it.

The below figure shows the selection of measurement parameter for sorting condition 1.


Setting Limit Mode and Reference Value

  • Setting limit mode

  • Reference value/setting

Other topics about Sorting According to Measurement Results

Setting limit mode

This procedure determines the format used to set the upper and lower limits of the measurement values for BIN sorting.

  1. Click in the BIN limit setting mode cell in the sorting condition to be set (one of the conditions 1 to 4).

  2. Click on the drop-down button at the right edge of the cell.

  3. Click the desired limit mode from the drop-down list box to select. The options are as below.

Limit mode | Definition
ABS | Absolute mode. The limits of each BIN are set as absolute values. If you select this mode, you do not need to set the reference value (nominal).
Dev | Deviation mode. The limit value of each BIN is set as a difference with respect to the reference value. Use the same unit as that of the set measurement parameter.
% | Percentage mode. The limit value of each BIN is set as a percentage of the reference value.

The following figure shows the selection of limit mode for sorting condition 1.

Reference value/setting

When you select percentage mode (%) or deviation mode (DEV) as the limit mode, you must set the reference value (Reference).

  • When you select absolute mode (ABS) as the BIN limit mode, you do not need to set the reference value (Reference). In fact, this value cannot be set in ABS mode.
  1. Click in the reference value (Reference) cell in the sorting condition to be set (one of the conditions 1 to 4). Prior to this, ensure that the limit mode is set as % or DEV.

  2. Press the entry block numeric keys (0 to 9,- or .) to enter the reference value and then press the desired unit key (G/n, M/μ, k/m, or ×1).

To enter 50 nH, for example, press 5, 0, and then G/n.

The following figure shows the result of entering BIN limit setting reference value as mentioned above for sorting condition 1.


Setting BIN Range

  • Setting upper limit value

  • Setting lower limit value

  • Selecting BIN range mode

  • Copying/Pasting/Clearing BIN setting

Other topics about Sorting According to Measurement Results

Set the actual BIN range after setting the BIN range setting conditions according to Setting Measurement Point, Setting Measurement Parameter and Setting Limit Mode and Reference Value.

Setting upper limit value

Follow these steps to set the BIN upper limit value.

  1. Click on the ON/OFF button under the BIN to be set to turn ON the BIN.

  2. Click in the cell corresponding to the column of the desired sorting condition (one of conditions 1 to 4) on the row of the upper limit value of the BIN to be set.

  3. Press the entry block numeric keys (0 to 9,- or .) to enter the upper limit value of the BIN to be set and then press the desired unit key (G/n, M/μ, k/m, or ×1).

To set the upper limit value to 51 nH when the limit mode is in absolute mode, for example, press 5, 1, and then G/n.

To set the upper limit value to +1% of the reference value (Reference) when the limit mode is in percentage mode, press 1 and then ×1.

The following figure shows the result of setting upper limit value of BIN 1 as mentioned above for sorting condition 1.

Setting lower limit value

Follow these steps to set the lower limit value after setting the upper limit value of the BIN:

  1. Click in the cell corresponding to the column of the desired sorting condition (one of conditions 1 to 4) on the row of the lower limit value of the BIN to be set.

  2. Press the entry block numeric keys (0 to 9,- or .) to enter the lower limit value of the BIN to be set and then press the desired unit key (G/n, M/μ, k/m, or ×1).

To set the lower limit value to 49 nH when the limit mode is in absolute mode, for example, press 4, 9, and then G/n.

To set the lower limit value to -1% of the reference value (Nominal) when the limit mode is in percentage mode, press - and 1 and then ×1.

The following figure shows the result of setting lower limit value of BIN 1 as mentioned above for sorting condition 1.

Selecting BIN range mode

You can select whether the BIN range should be inside or outside of the set limit values (upper and lower limit values) or whether the BIN range should cover the entire range regardless of the limit values.

  1. Click in the cell corresponding to the column of the desired sorting condition (one of conditions 1 to 4) on the In/Out row of the BIN to be set.

  2. Click on the drop-down button at the right edge of the cell.

  3. Click on the desired BIN range mode from the drop-down list box to select it.

Bin range mode | Definition
In | Inside. This mode ensures that the BIN range is inside the set limit values (upper and lower limit values).
Out | Outside. This mode ensures that the BIN range is outside the set limit values (upper and lower limit values). Namely, the BIN is used when the result is equal to or greater than the upper limit value or equal to or less than the lower limit value.
All | The entire range. In this mode the BIN range covers the entire range regardless of the set limit values (upper and lower limit values). Namely, the system assumes that any measurement result is within the set range.

The following figure shows the result of selecting BIN range mode for sorting condition 1.

Copying/Pasting/Clearing BIN setting

Copying/Pasting BIN setting

You can copy and past the BIN setting from one bin to another.

  1. Select the Bin which you want to copy the setting.

  2. Click Copy Bin.

  3. Select the Bin which you want to paste the setting.

  4. Click Paste Bin.

Clearing BIN setting

  • To clear a BIN setting, select the bin, then click Clear Bin.

  • To clear all BIN setting, click All Tables > Clear All Bin Tables.


Setting BIN ON and OFF

In the presetting, all BINs are turned OFF (inactive), and the BIN is regarded as non-existent. This requires the BIN to be turned ON (activated) either before or after setting the BIN range to make the new settings active. You can set the condition of a specific BIN and then turn it OFF temporarily. After that you can turn it ON whenever required (the setting of the BIN range is not affected by turning the BIN ON and OFF).

  1. Click on the ON/OFF button under the BIN to be set to turn ON or OFF the BIN.

The following figure shows an example where BIN 1 is turned ON.


Setting Faulty BIN

Setting Faulty BIN (OUT OF GOOD BINS)

You can predetermine the number of faulty BINs. If a BIN is evaluated as faulty by BIN sorting, the result of OUT_OF_GOOD_BINS as well as the BIN number is output to the handler interface.

  1. Click on the drop-down button of Good Bin to select the number of good bins and bad bins.

For example, selecting Good Bin ~ Bin 3 sets BINs 1 to 3 as good and BINs 4 to 13 as bad bins. The bad bins is out of good bin and they are highlighted in red.


Setting Upper and Lower Limit Values for DC Resistance Measurement

When the DC resistance (Rdc) measurement is activated, the E4982A starts DC resistance measurement before impedance measurement. In this case, pass and fail evaluation is made according to the preset test limit after DC resistance measurement. If the result deviates from the test limit, the /RDC_OUT_OF_RANGE signal of the handler interface is activated and the DC resistance measurement result is displayed in red.

Use the following steps to set the upper and lower limit values for the DC resistance measurement.

  1. Click in the DC resistance upper limit value cell in the upper-left corner of the BIN sort setup table.

  2. Press the entry block numeric keys (0 to 9,- or .) to enter the upper limit value of the DC resistance and then press the unit key (G/n, M/μ, k/m, or ×1).

To set the upper limit value to 20 Ω, for example, press 2, 0, and then ×1.

The following figure shows the result of setting upper limit value for DC resistance (Rdc).

  3. Similarly, set the DC resistance lower limit value.


Turning ON BIN Sorting and Displaying the Result

When BIN sorting setup is completed, follow these steps to turn ON the BIN sorting function.

  1. Press the Analysis key to display the Analysis softkey menu.

  2. Click on the Comparator softkey to turn ON/OFF the BIN sorting execution (the setting toggles with each press of the key).

Softkey Label | Display Status
Comparator [ON] | ON (BIN sorting is executed)
Comparator [OFF] | OFF (BIN sorting is not executed)

When BIN sorting is turned ON, the BIN sorting result is displayed for each measurement in the BIN sorting result area in the lower left area of the display.

The following figure shows the BIN sort result display. In this example, the latest bin is BIN 1.

  • In the above figure, Latest shows the BIN number of the BIN sort result. When the measurement result is not sorted in any of the BINs, OUT is displayed. When Overload or Rdc limit deviation occurred, Invalid is displayed. When the measurement result is sorted in Good Bins defined by Setting Faulty BIN, the BIN sort result is displayed in blue; when the measurement result is sorted in Faulty Bins the BIN sort result is displayed in red.


BIN Count Function

  • Turning ON BIN Count

  • Listing the BIN Count results

  • Initializing the contents of the BIN counts to zero (resetting the counter)

Other topics about Sorting According to Measurement Results

The BIN Count function counts the frequency by incrementing the BIN count corresponding to the BIN Sorting result by 1 each time the measurement ends. The frequency of each BIN can be viewed on the display when necessary.

Turning ON BIN Count

If BIN Count is turned ON, the BIN frequency corresponding to the result is increased by 1 each time BIN Sorting is run by the measurement.

BIN Count can be turned ON using the following procedure:

  1. Press the Analysis key to display the Analysis softkey menu.

  2. Click on the Bin Count softkey to turn ON/OFF the BIN Count.

Softkey Label | Status of BIN Count
Count [ON] | ON
Count [OFF] | OFF
  • Even when BIN Count is turned ON, the counter value does not change unless BIN Sorting is actually running.

Listing the BIN Count results

The BIN Count results is listed at the bottom of the LCD display when Comparator is turned ON. To turn ON the Comparator, refer to Turning ON BIN Sorting and Displaying the Result.

Initializing the contents of the BIN counts to zero (resetting the counter)

The contents of all BIN counts (for example the value in the counter) can be initialized (resetting) to zero using the following procedure:

  1. Press the Analysis key to display the Analysis softkey menu.

  2. Click on the Clear Bin Count softkey to initialize the contents of all BIN counts to zero.


Example of Setting for BIN Sorting

The following introduces an example of setting an actual BIN sort setting table. The sorting conditions to be set are shown in the below table.

BIN | Condition 1 | Condition 2
 | Measurement point number: 6 (100 MHz) Measurement parameter: Ls | Measurement point number: 6 (100 MHz) Measurement parameter: Q
BIN 1 |  |
BIN 2 |  |
BIN 3 |  |
OUT OF BINS |  |

  • When both Condition 1 and Condition 2 in the above table are met, the DUT is placed in the appropriate BIN. In the above table, “” denotes that this point is included, and “” denotes that this point is not included.

Perform the following steps to set these conditions in the E4982A.

  • Setting for Measurement Point Number, Measurement Parameter and BIN Range Setting Mode for Condition 1

  • Setting for Measurement Point Number, Measurement Parameter and BIN Range Setting Mode for Condition 2

  • Setting the Measurement Value Range for Sorting into BIN 1 to BIN 3

  • OUT OF GOOD BINS Setting

  • Displaying the BIN sorting results

Other topics about Sorting According to Measurement Results


Setting for Condition1

Setting the Measurement Point Number, Measurement Parameter and BIN Range Setting Mode for Condition1

  1. Press the Stim Table key until the Comparator setup display tab appears.

  2. Use the following procedure to set the measurement point number for Condition 1:

    1. Click in the measurement point (stimulus) cell in the Condition 1 column to select the cell.

    2. Enter the measurement point number. Optionally, click to highlight the value in the stimulus cell. Then, by using mouse, scroll button, scroll up or down to change the value in the cell. In this example, measurement point is set to 6.

  3. Set the measurement parameter for Condition 1 to Ls.

  4. Next, use the following procedure to set the setting mode for the range of sorting for Condition 1.

    1. Click in the BIN limit setting mode cell in the Condition 1 column to select the cell.

    2. Click on the drop-down button at the right edge of the cell.

    3. Click % from the drop-down list box.

    4. Click in the reference value (Reference) cell below the limit setting mode (Mode) cell.

    5. Press 5, 0, and then G/n keys in the entry block on the front panel sequentially to input 50 nH as the reference value.


Setting for Condition 2

Setting the Measurement Point Number, Measurement Parameter and BIN Range Setting Mode for Condition 2

  1. Similar to the steps of setting for Condition 1, set the measurement point number for Condition 2 by following these steps:

  1. Click in the measurement point (stimulus) cell in the Condition 2 column to select the cell.

  2. Enter the measurement point number. Optionally, click to highlight the value in the stimulus cell. Then, by using mouse scroll button, scroll up or down to change the value in the cell. In this example, measurement point is set to 6.

  2. Set the measurement parameter for Condition 2 to Q.

  • The setting mode for the range for sorting in Condition 2 is not changed from the default setting ABS (absolute value setting). When set with an absolute value, the reference value is not required and 0 is indicated in the Reference cell.


Setting the Measurement Value Range

Setting the Measurement Value Range for Sorting into BIN 1 to BIN 3

After setting the measurement point number, measurement parameter, and BIN range setting mode for both Condition 1 and Condition 2, set the measurement value range for sorting into BIN 1 to BIN 3.

  1. Set the BIN 1 setting to ON.

  2. Set the upper limit measurement value for sorting into BIN 1 for Condition 1 by following this procedure.

  1. Click on the BIN 1 Upper Limit cell in the Condition 1 column to select the cell.

  2. Press the 1 key in the entry block on the front panel and then press the x1 key to enter +1% as the upper limit value for Condition 1 of BIN 1.

  3. Set the lower limit measurement value for sorting into BIN 1 for Condition 1 by following the below steps.

  1. Click on the BIN 1 Lower Limit cell in the Condition 1 column to select the cell.

  2. Press the - and 1 keys in the entry block on the front panel and then press the x1 key to enter -1% as the upper limit value for BIN 1.

  4. Set the BIN range mode for sorting into BIN 1 for Condition 1 to In. The figure below shows the setting for Condition 1.

  5. Set the upper limit measurement value for sorting into BIN 1 for Condition 2 by following the below steps.

  1. Click on the BIN 1 Upper Limit cell in the Condition 2 column to select the cell.

  2. Press the 1 key in the entry block on the front panel and then press the G/n key to enter 1G as the upper limit value for Condition 2 of BIN 1.

  • Instead of setting the upper limit to infinite, 1G is entered as a sufficiently large value. The In/Out cell is left unchanged in the default setting In (the BIN range is between the upper limit and lower limit).
  6. Set the lower limit measurement value for sorting into BIN 1 for Condition 2 by following the below steps.

  1. Click on the BIN 1 Lower Limit cell in the Condition 2 column to select the cell.

  2. Press the 1, 0 and 0 keys in the entry block on the front panel and then press the x1 key to enter -100 as the upper limit value for BIN 1.

  7. Set the BIN range mode for sorting into BIN 1 for Condition 2 to In.

  8. In the same manner as for BIN 1, set the measurement value ranges for BIN 2 and BIN 3 as shown in the figure below.


OUT OF GOOD BINS Setting

Follow these steps to set OUT OF GOOD BINS.

  1. Click on the drop-down button of Good Bin to select the number of good bins and bad bins.

  2. Click Good Bin ~ Bin 3.

  3. The GOOD BINS are highlighted in green, hence BIN 1 to BIN 3 are highlighted in green according to the settings. Measurement results that do not meet the conditions set for BIN 1 to BIN 3 are judged to be OUT OF GOOD BINS and are highlighted in red.


Displaying the BIN Sorting Results

Follow these steps to display the BIN sort result on the LCD display:

  1. Press the Analysis key to display the Analysis softkey menu.

  2. Click on the Comparator softkey to turn ON the comparator function. The BIN sorting result is displayed for each measurement at the lower left area of the display.


Obtaining Statistical Data on Measurement Results

  • Overview of Functions for Statistical Analysis

  • Data Logging for Statistical Analysis

  • Executing Statistical Analysis and Displaying Results

  • Saving Measurement Data for Statistical Analysis

Other topics about Measurement


Overview of Functions for Statistical Analysis

Agilent E4982A’s functions for statistical analysis allow you to store the required values of measurement results (four measurement parameters, test signal voltage level monitor value, test signal current level monitor value, DC resistance measurement value) in the order of measurement internally in the unit. These functions also allow you to calculate and display statistical data based on the stored data.

The parameter names and definitions of the statistical data that can be calculated and displayed are shown in the below table.

Parameter name | Definition
Mean value (Mean) |
Standard Deviation (SD) |
3*SD/Mean |
Minimum value (Min) | Smallest measured value among normal measurements*1
Maximum value (Max) | Largest measured value among normal measurements
Number of normal measurements (Total = n) | Number of measurements performed normally
Number of Rdc limit deviations (Rdc Fail) | Number of measurements where Rdc measurement value deviated from the limit value
Number of overloads (Ovld) | Number of measurements where overloaded occurred
Number of abnormal measurements (Abnorm.) | Number of measurements where either Rdc limit deviation or overload occurred
Total number of measurements (All) | The total number of measurements (including abnormal measurements)

*1. Measurements where neither Rdc limit deviation nor overload occur.


Data Logging for Statistical Analysis

Perform the following steps to log the data to be used in statistical analysis.

  1. From the seven parameters (measurement parameter 1, measurement parameter 2, measurement parameter 3, measurement parameter 4, test signal voltage level monitor value (I-mon), test signal current level monitor value (V-mon), and DC resistance measurement value (Rdc)), select the parameters for statistical analysis and display them on the single point measurement display or on the list measurement display.
  • Parameters displayed on the measurement display are subjected to statistical analysis. Accordingly, make sure that parameters that should not be subjected to statistical analysis are not displayed on the measurement display. For how to turn the parameter display OFF, refer to Executing Measurement and Displaying Results.

When measuring with multiple measurement points on the list measurement display, each of the measurement points are subjected to statistical analysis.

  2. Press the Analysis key to display the Analysis softkey menu.

  3. Click on the Log Size softkey and enter the maximum data logging size.

  • A single data logging size is required for all parameters in the same measurement. For example, if seven parameters are displayed in the single point measurement display and list measurement with four measuring points are to be performed with 1000 data logged for each point, it is necessary to set the data logging size to 7 × 4 × 1,000 = 28,000.

The data logging size can be set to a maximum of 1,000,000,000 (points).

  4. Click on the Start Logging softkey to start logging.

  5. Activate the measurement trigger and execute measurement the required number of times.

  • When the trigger mode is free run, data logging starts at the time the Start Logging softkey is clicked.


Executing Statistical Analysis and Displaying Results

The following procedure is used to execute statistical analysis and display results.

  1. Press the Analysis key to display the Analysis softkey menu.

  2. Click on the Open Results View softkey to display the Statistics softkey menu.

  3. From the softkey menu, click on the parameter's tab to be subjected to statistical analysis and show the results of the statistical analysis of the parameters on the display.


Saving Measurement Data for Statistical Analysis

The following procedure can be used to save measurement data for statistical analysis on the E4982A's hard disk or on an external hard disk or USB drive.

Option 1:

  1. Press the Analysis key to display the Analysis softkey menu, OR press the Data Export key to display the Data Export softkey menu.

  2. Click either one of the following softkeys to display the window for saving measurement data for statistical analysis.

Softkey Label | Display Status
Export as Binary... | Displays the window for saving measurement data for the statistical analysis in binary format (IEEE 754, Single Precision, Little-endian).
Export as CSV... | Displays the window for saving measurement data for the statistical analysis in ASCII format.

Figure below shows the Export as Binary... and Export as CSV... softkeys (Analysis > Analysis > Export as Binary...|Export as CSV...).

Figure below shows windows for saving results of statistical analysis (left: Binary format; right: ASCII format).

  3. Enter the filename in the File name box.
  • You are not required to add the extension following the filename (the “.csv” or ".dta" filename extension is automatically added).
  4. Click on the Save button to save the results of the statistical analysis.


Storing and Retrieving E4982A Internal Information and File Management

  • Saving Setting Status

  • Recalling Setting Status

  • Saving Screen Displays

  • Saving the List Measurement Display in CSV Format

  • Saving the Setup Table in CSV Format

  • Saving the BIN Sorting Setup Table in CSV Format

Other topics about Measurement


Saving Setting Status

  1. Press Save/Recall > Save Recall > Save State.

  2. The Save State softkey menu appears.

  3. Click the softkey corresponding to the destination you want to save.

Softkey

Functionality

State 1 to State 8

Saves the instrument state into the state number.

AutoRec.sta

Saves the instrument state as the auto recall setting. The E4982A is automatically configured with this state at the startup.

This key saves the state into the "D:\Autorec.sta".

When Autorec.sta file is found on the D: drive at startup, the E4982A is automatically configured using the saved settings. To disable the auto recall function, delete the Autorec.sta files.

Save As...

Saves the instrument state as your desired file name.

  • If D:\Autorec.sta is found in the system at startup, the E4982A is automatically configured using the saved settings. To disable the auto recall function, delete the Autorec.sta files.

  • An asterisk (*) in the upper right of the softkey indicates that the corresponding file of the softkey already exists. If you save into the existing file, the existing file is copied as backup.sta and then overwritten.


Recalling Setting Status

Follow the procedure below to recall the internal setting data from the state file.

  1. Press Save/Recall > Save Recall > Recall State.

  2. The Recall State softkey menu appears.

  3. If you saved the State file as State1 to State 8, it will be shown as an active softkey. Figure below shows that State 2 is saved and available for recall.

Optionally, you can click on State File... and select the available state file to recall. Similarly, to recall Autorec.sta file, click on State File... and select D:\Autorec.sta.

  4. Any state file stored at D:\State folder can be recalled by pressing Save/Recall > Recall by File Name. All the state file stored in this folder will be shown. Click on the desired state file to recall it, as shown in the below figure.

  5. To return to the setting prior to the recall action, press Save/Recall > Save Recall > Recall State > Undo Recall.


Saving Screen Displays

Follow this procedure to save the E4982A’s current screen display on a storage device in the Portable Network Graphics (.png) or Windows bitmap format (.bmp).

  1. Set the E4982A to show the screen display that you want to capture.

  2. Press Data Export > Dump Screen Image.

  3. The Save As dialog box for saving the screen is displayed.

  4. Enter the filename in the File name box.
  • You are not required to add the extension following the filename (the “.png” filename extension is automatically added). You may select .bmp instead.
  5. Click the Save button to save the screen display.

  • Data Export > File Utility opens the Windows Explorer. This function allows you to find and view your output file easily.

  • Pressing F1 key of function key also can save the screen display.


Saving the List Measurement Display in CSV Format

The following procedure can be used to save the setting values and measurement result list components of the list measurement display of the E4982A on a storage device in the CSV format (.csv).

  1. Set the E4982A to show the list measurement display that you want to save.

  2. Press Data Export > Export List Data....

  3. The Save As dialog box for saving the list measurement is displayed.

  4. Enter the filename in the File name box.
  • You are not required to add the extension following the filename (the “.csv” filename extension is automatically added).
  5. Click the Save button to save the list measurement display.

Example of Saved List Measurement Display Data (CSV format)

The saved CSV-format data is a text file. This file can be opened using a text editor such as Notepad application. Figure below shows an example of the setup table data in CSV-format.

The CSV-format data can be displayed with a formatted style in a spreadsheet application. Figure below shows the CSV data displayed in Microsoft Excel.


Saving the Setup Table in CSV Format

The following procedure can be used to save the setting values and measurement result list components of the measurement point setup table, calibration kit setup table and compensation kit setup table of the E4982A on a storage device in the CSV format (.csv).

  1. Set the E4982A to show the setup table that you want to save.

  2. Press Data Export > Export All Setup Tables.... (or Press Stim Table > All Table > Export All Setup Tables....)

  3. The setup table Save As dialog box is displayed.

  4. Enter the filename in the File name box.
  • You are not required to add the extension following the filename (the “.csv” filename extension is automatically added).
  5. Click on the Save button to save the setup table.

Example of Saved Setup Table Data (CSV format)

The saved CSV-format data is a text file. This file can be opened using a text editor such as Notepad application. Figure below shows an example of the setup table data in CSV-format.

The CSV-format data can be displayed with a formatted style in a spreadsheet application. Figure below shows the CSV data displayed in Microsoft Excel.

Recalling the setting

You can recall the setting.

  1. Press Stim Table > All Table > Import All Setup Tables....

  2. Open dialog box is displayed.

  3. Select the desired file.


Saving the BIN Sorting Setup Table in CSV Format

The following procedure can be used to save the setting values and measurement result list components of the BIN sorting setup table of the E4982A on a storage device in the CSV format (.csv).

  1. Set the E4982A to show the BIN sorting setup display that you want to save.

  2. Press Data Export > Export All Bin Tables....

  3. The setup table Save As dialog box is displayed. (or Press Stim Table > Select Comparator Tab > All Table > Export All Setup Tables....)

  4. Enter the filename in the File name box.
  • You are not required to add the extension following the filename (the “.csv” filename extension is automatically added).
  5. Click on the Save button to save the BIN sorting setup table.

Example of Saved BIN Sorting Setup Table Data (CSV format)

The saved CSV-format data is a text file. This file can be opened using a text editor such as Notepad application. Figure below shows an example of the setup table data in CSV-format.

The CSV-format data can be displayed with a formatted style in a spreadsheet application. Figure below shows the CSV data displayed in Microsoft Excel.

Recalling the setting

You can recall the setting.

  1. Click All Table > Import All BIN Tables....

  2. Open dialog box is displayed.

  3. Select the desired file.


Improvement of Measurement Throughput

This section describes several ways to improve the throughput of measurement with the E4982A.

  • Disabling Web Server

  • Optimizing the Settings of the Display

Other topics about Measurement


Disabling Web Server

Web server off allows you to stabilize the time from INDEX to EOM.

  1. Press System > Network Setup > Web Server to turn OFF.

Remote Control Using HTTP is not available when the web server is turned off.


Optimizing the Settings of the Display

  • Hiding the Screen Display

  • Optimizing the Display Contents

Other topics about Improvement of Measurement Throughput

Hiding the Screen Display

With the E4982A, you can minimize the measurement time by adjusting the screen display settings used during the measurement.

If no information needs to be displayed on the E4982A's LCD display (for example, when measurement is made through GPIB), you should hide the screen display. When the screen display is turned OFF, no time is required for redrawing the image, and this significantly shortens the measurement time.

For the procedure on how to hide the screen display, refer to Hide the Screen Display.

Optimizing the Display Contents

If it is not possible to hide the screen display, try the following settings:

1. Set the screen display to the list measurement display

If it is not necessary to display measured values in the large size of single point measurement display, set the screen display to the list measurement display. The single point measurement display requires a longer time for redrawing images than does the list measurement display because of the wider area used to display the measurement. Use of the list measurement display therefore reduces the measurement time.

For the procedure used to set the list measurement display, refer to Selecting Single Point Measurement or List Measurement.

2. Minimize the number of parameters shown

If one or more parameters do not need to be shown in the list measurement display, turn OFF the display. Each time measurement runs, the rewrite process occurs for the parameters currently shown on the display; thus, measurement time is accordingly lengthened.

For the procedure of hiding the parameters shown, refer to Selection of Display Parameters in List Measurement Display.

3. Resize the firmware window

If its not necessary to view the windows in full screen, set the firmware window as small as possible. Resizing the firmware window as small as possible improves the drawing time (faster).

For the procedure of resizing the firmware window, refer to Minimize and Maximize.

4. Set :DISPlay:UPDate to OFF (:DISPlay:UPDate OFF)

If the :DISPlay:UPDate is set to OFF (0), the firmware stops periodic drawing to improve cycle time. Alternatively, press System > Misc Setup > Periodic Update to turn off the periodic drawing.

For further details, refer to :DISP:UPD.

  • When periodic updates is set to OFF, the image on the display is updated when the last point in the table is measured or a GPIB command (except for query command) is executed.

5. Hide the softkey display

When the softkey is displayed, the firmware updates the information on the labels. As such, if it is not necessary to view, hide the softkey display.

To hide the softkey display, press the Entry Off hardkey or Root Menu button at the upper-right of the screen once or twice.


Calibration and Compensation

  • Perform calibration and compensation after completing measurement point setting.

  • Calibration and Compensation Using Wizard

  • Calibration and Compensation Functions

  • How to Define Calibration Kit

  • How to Define Compensation Kit


Calibration and Compensation using Wizard

  • Setting with the Calibration and Compensation Wizard

  • Executing Open Calibration

  • Executing Short Calibration

  • Executing Low-Loss Capacitor Calibration

  • Executing Load Calibration

  • Connection of Test Fixture

  • Executing Open Compensation

  • Executing Short Compensation

  • Preventing Mistakes During Execution of Calibration and Compensation


Setting with the Calibration and Compensation Wizard

Perform the following steps before using the calibration and compensation wizard to make settings.

  • When using test fixtures other than 16191A, 16192A, 16193A, 16194A, 16196A, 16196B, 16196C, 16196D, or 16197A, register the electrical length as described in Registering the Electrical Length of Unregistered Test Fixtures before making settings using the calibration and compensation wizard.

  1. Press Meas Setup to activate the softkey menu.

  2. Click Cal/Compen Wizard Settings....

  3. Cal/Compen Wizard Settings dialog box appears.

    • When using the E4982A for measurement, open, short and load calibrations must be performed under any circumstance. The calibration and compensation wizard setting feature has been designed so that, in addition to these three essential settings, your desired calibration and compensation settings may be selected.

  4. On the Options group, confirm that All Tables check box is not selected, so that calibration and compensation is only performed for the measurement point in the selected measurement point table.

    • Auto Recall stores calibration and compensation data and recalls the data every time the E4982A is turned ON. Auto Recall does not recall the data when firmware is restarted.

  5. On the Calibration group, confirm that Low-Loss C check box is selected.

  6. On the Compensation group, confirm that only Open and Short check boxes are selected.

  7. On the Compensation group, select the Fixture model number of the test fixture from the drop down box.

    • When using USER defined fixtures, the electrical length must be registered as described in Registering the Electrical Length of Unregistered Test Fixtures.

    • The fixture you select is for the Compensation Wizard only. In Compensation function, you need to select your desired fixture with the Fixture softkey in the Meas Setup menu or the Fixture tab in the Compensation windows.

  8. Under Averaging, select the Custom Averaging check box.

  9. Enter the minimum averaging count in Minimum Count.

    • If you have set up averaging for individual points in the stimulus table, the custom averaging setting will override the averaging settings for averaging count less than the minimum count set. For averaging count more than custom averaging minimum count, it will perform the averaging as set in stimulus table.

  10. Click OK to close the dialog box.

  • To cancel the calibration and compensation wizard, click Cancel.

  • For more information on setting the DC resistance (Rdc) limit, please see Setting up dc Resistance (Rdc) measurement and Setting the Limit for DC Resistance (Rdc).


Executing Open Calibration

Use the following procedure to perform Open calibration using the 7-mm calibration kit using Wizard.

  1. Press Cal Wizard to display the Calibration Wizard.

  2. Spin the knurled nut of the 7-mm connector of the test head installed on the test fixture stand to be protruded to its full extent at the top.

  3. Place the Open standard on the 7-mm test head terminal and turn the Open standard clockwise until it is fully secured using the torque wrench.

  4. Click Open to perform the Open calibration.

  2. Click Cancel to stop the calibration and exit the Calibration Wizard.

  3. For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Executing Short Calibration

Use the following procedure to perform Short calibration using the 7-mm calibration kit using Wizard.

  1. Press Cal Wizard to display the Calibration Wizard.

  2. Execute Open calibration.

  3. Remove the Open standard from the 7-mm connector of the test head installed on the test fixture stand.

  4. Spin the knurled nut of the 7-mm connector of the test head installed on the test fixture stand to be protruded to its full extent at the top.

  5. Place the Short standard on the 7-mm test head terminal and turn the Short standard clockwise until it is fully secured using the torque wrench.

  6. Click Short to perform the Short calibration.

  3. Click Back to perform Open calibration again.

  4. Click Cancel to stop the calibration and exit the Calibration Wizard.

  5. For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Executing Low-Loss Capacitor Calibration

Use the following procedure to perform Low-Loss Capacitor calibration using the 7-mm calibration kit using Wizard.

  • Low-Loss Capacitor calibration is executed only when there are measurement points of 300 MHz and above.

  1. Press Cal Wizard to display the Calibration Wizard.

  2. Execute Open calibration.

  3. Execute Short calibration.

  4. Remove the Short standard from the 7-mm connector of the test head installed on the test fixture stand.

  5. Spin the knurled nut of the 7-mm connector of the test head installed on the test fixture stand to be protruded to its full extent at the top.

  6. Place the Low-Loss Capacitor standard on the 7-mm connector of the test head installed on the test fixture stand and turn the Low-Loss Capacitor standard clockwise until snug using the torque wrench.

    • When connecting the Low-Loss Capacitor, do not turn the knob. Lightly hold the knob to prevent the inner coaxial electrodes from moving when turning the outer connector nut of the Low-Loss Capacitor.

  7. Click Low Loss C to perform the Low-Loss Capacitor calibration.

  • Click Back to perform Short calibration again.

  • Click Cancel to stop the calibration and exit the Calibration Wizard.

  • For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Executing Load Calibration

Use the following procedure to perform Load calibration using the 7-mm calibration kit using Wizard.

  1. Press Cal Wizard to display the Calibration Wizard.

  2. Execute Open calibration.

  3. Execute Short calibration.

  4. Execute Low-Loss Capacitor calibration.

  5. Remove the Low-Loss Capacitor standard from the 7-mm connector of the test head installed on the test fixture stand.

  6. Spin the knurled nut of the 7-mm connector of the test head installed on the test fixture stand to be protruded to its full extent at the top.

  7. Place the Load standard on the 7-mm connector of the test head installed on the test fixture stand and turn the Load standard clockwise until snug using the torque wrench.

  8. Click Load to perform the Load calibration.

    • Click Back to perform Low-Loss Capacitor calibration again.

    • Click Cancel to stop the calibration and exit the Calibration Wizard.

  9. Click Save to finish the calibration.

  • For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Connection of Test Fixture

Connect the test fixture as follows.

  1. Turn the 7-mm connector nut of the test head counterclockwise until the connector sleeve is fully retracted.

  2. Set the test fixture on top of the test head with the 7-mm connectors aligned. Ensure that the two holes on the test fixture is mounted on the two mount posts of the test fixture stand.

  3. Turn the 7-mm connector nut of the test head counterclockwise to secure the connection.


Executing Open Compensation

Use the following procedure to perform Open compensation using Wizard.

  1. Press Compen Wizard to display the Compensation Wizard.

  2. Set the DUT connection terminal of the test fixture to the state in which Open compensation is performed. For information on the procedure to set the Open state, see the Operation Manual for the test fixture to be used.

  3. Click Open.

    • Click Cancel to stop the compensation and exit the Compensation Wizard.

    • For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Executing Short Compensation

Use the following procedure to perform Open compensation using Wizard.

  1. Press Compen Wizard to display the Compensation Wizard.

  2. Execute Open Compensation.

  3. Set the DUT connection terminal of the test fixture to the state in which Short compensation is performed. For information on the procedure to set the Short state, see the Operation Manual for the test fixture to be used.

  4. Click Short.

    • Click Back to perform Open compensation again.

    • Click Cancel to stop the compensation and exit the Compensation Wizard.

  5. Click Save to finish the compensation.

    • For more information on setting the DC resistance (Rdc) limit, please see Setting the Limit for DC Resistance (Rdc).


Preventing Mistakes During Execution of Calibration and Compensation

Setting limit values for the DC resistance (Rdc) measurement value when calibration and compensation are executed makes it possible to detect an improperly attached standard during calibration or any abnormality with the measurement terminals during compensation.

Setting the limit for DC resistance (Rdc)

  1. Press Meas Setup to activate the softkey menu.

  2. Click Cal/Compen Wizard Settings...

  3. Cal/Compen Wizard Settings dialog box appears.

  4. The following settings should be made in the Cal/Compen Wizard Settings dialog box:

    • Under Options, select whether you want the calibration and compensation to be performed for all tables.

    • To automatically store the setting conditions of the E4982A and the calibration and compensation data in the autorec.sta file upon completion of the calibration/compensation, select the Auto Recall check box.

    • Under Calibration, select the calibration to be performed in addition to Open/Short/Load calibration.

    • Under Compensation, select the compensation to be executed.

    • Select the Fixture to be used.

  5. Under Rdc Limit in Calibration, select the Rdc Limit check box.

  6. Under Rdc Limit in Compensation, select the Rdc Limit check box.

  7. The following settings should be made in Rdc Limit in Calibration:

    • Enter the minimum DC resistance (Min) for Open calibration.

    • Enter the maximum DC resistance (Max) and minimum DC resistance (Min) for Load calibration.

    • Enter the maximum DC resistance (Max) for Short calibration.

  8. The following settings should be made in Rdc Limit in Compensation:

    • Enter the minimum DC resistance (Min) for Open compensation.

    • Enter the maximum DC resistance (Max) for Short compensation.


Calibration and Compensation Functions

  • Types of Calibration and Compensation functions

  • Calibration Reference Plane and Required Calibration and Compensation

  • Performing Manual Calibration

  • Performing Port Extension Compensation (Fixture Selection)

  • Performing Manual Compensation


Types of Calibration and Compensation Functions

The E4982A has four calibration and compensation function as shown in the table below:

Type of calibration and compensation functions | Procedures | Effect
Open/short/load calibration | Connect each of three standards (open/short/load calibration standards) to the desired reference plane (terminal) and measure all of the calibration data*1. This reference plane is called a calibrated reference plane. | Removes the error factors from the measuring instrument through to the calibration reference plane. To perform calibration at the terminal connected with the DUT, no other calibrations or compensations are necessary.
Low-loss capacitor calibration | Connect a low-loss capacitor*2 to the reference plane for calibration and measure calibration data (immediately after open/short/load calibration). This is possible only when a 7-mm terminal is used as a reference plane for calibration. | Reduces measurement error of high Q (low dissipation factor) at the frequency band of 1 GHz or more where reduction is difficult when done only by open/short/load calibration.
Compensation of port extension (Fixture selection) | Use numerical values to enter the electrical length data from the calibration reference plane subjected to open/short/load calibration through to the connection plane of the DUT. Electrical length data for dedicated test fixtures are already registered in the E4982A, so you can set the required electrical length by simply selecting the model number of the test fixture to be used. | Corrects additional errors resulting from the phase shift occurring between the calibration reference plane and the connection plane of the DUT. When the test head coaxial terminal is used as a reference plane for calibration, this additional compensation must be performed.
Open/short compensation | To connect the DUT to the terminal extended from the calibration reference plane subjected to open/short/load calibration, keep the DUT connection terminal open and measure the open compensation data. Then, short out the terminal and measure he short compensation data.*1 | Removes error factors from the calibration reference plane to the plane subjected to open/short compensation. When the test head coaxial terminal is used as a calibration reference plane, this additional compensation must be performed.

*1. These calibration data can normally be used to measure DC resistance (Rdc). If required, a dedicated standard can be prepared to perform a separate DC open/short/load calibration to obtain data for measuring DC resistance.

*2. Included in the "Agilent 16195B 7-mm calibration kit."


Calibration Reference Plane and Required Calibration and Compensation

Actual measurement is performed with the desired combinations of calibration and compensation functions. Basically, either Method A or Method B shown in the table below is selected, depending on the position of the calibration reference plane.

Calibration reference plane | Required calibration and compensation |  | Position and method
A. Coaxial terminal of test head*1 | Calibration | Open/short/load calibration | For this calibration, connect a coaxial compensation kit*2 to the test head coaxial terminal (used as a calibration reference plane).
 |  | Low-loss capacitor calibration (only when high-accuracy high-Q measurement or low dissipation factor calibration is required at about 1GHz or more) | For this calibration, connect a low-loss capacitor to the calibration reference plane.*3
 | Port extension compensation (fixture selection) |  | Select the registered Agilent test fixture model number. When you use your customized test fixture, enter the electrical length data from the calibration reference plane through to the sample connection plane.
 | Open/short compensation |  | For this compensation, keep the DUT connection terminal open or shorted out.
B. DUT connection terminal | Open/short/load calibration |  | For this calibration, connect a working standard to the DUT connection terminal (used as a calibration reference plane)*4.

*1. Indicates the 3.5-mm terminal of the test head or one equipped with an adapter.

*2. Included in the Agilent 16195B 7-mm calibration kit.

*3. Since the low-loss capacitor is designed as a 7-mm type capacitor, calibration is possible only when the calibration reference plane uses a 7-mm connector.

*4. A reference device valued at the same contour as the DUT. Option 004 (working standard set) or similar can be used.

Calibration and compensation when test head coaxial terminal is used as calibration reference plane.

Calibration when DUT connection terminal is used as calibration reference plane.


Performing Manual Calibration

  • Overview

  • Executing Calibration

  • Executing Clear Cal

  • Executing Clear STDs

Other topics about Calibration and Compensation Functions

Overview

To start manual calibration, press Cal.

If the E4982A is not calibrated, the following window is observed:

If the E4982A has been previously calibrated, the following window is observed:

Options tab

When you select the All Tables check box, calibration is performed for all tables.

When you select the Auto Recall check box, calibration data is stored and recalled every time the E4982A is turned ON.

  • Auto Recall does not recall the data when firmware is restarted.

Averaging tab

When you select the Custom Averaging check box, calibration is performed the number of times entered in Minimum Count and then averaged.

  • If you have set up averaging for individual points in the stimulus table, the custom averaging setting will override the averaging settings for averaging count less than the minimum count set. For averaging count more than custom averaging minimum count, it will perform the averaging as set in stimulus table.

Executing Calibration

To execute calibration for Open, Short, and Load, perform either of the following:

  • Click AC & DC to calibrate AC and DC.

  • Click AC to calibrate only AC.

  • Click DC to calibrate only DC.

  • Use the torque wrench to secure the Open, Short, Load and Low-Loss Capacitor standard.

  • To be able to save the calibration, AC and DC calibration must be performed.

To execute calibration for Low-Loss Capacitor (LLC), click AC.

  • Low-Loss Capacitor calibration can only be performed for frequencies above 300MHz.

  • When connecting the Low-Loss Capacitor, do not turn the knob. Lightly hold the knob to prevent the inner coaxial electrodes from moving when turning the outer connector nut of the Low-Loss Capacitor.

Once all calibration has been performed, click Done to save the calibration. In the Calibration tab, Done is labelled for all saved calibration as shown below.

If you execute calibration again, Done is changed to Updated in the Calibration tab as shown below.

Executing Clear Cal

Executing Clear Cal clears the calibration data as well as clears the Calibration status to uncalibrated.

Executing Clear STDs

Executing Clear STDs clears the calibration data but maintains the Calibration status as calibrated.


Performing Port Extension Compensation (Fixture Selection)

Performing Port Extension Compensation
(Fixture Selection)

  • Selecting Registered Test Fixtures

  • Registering the Electrical Length of Unregistered Test Fixtures

Other topics about Calibration and Compensation

Selecting Registered Test Fixtures

For the E4982A, the electrical lengths (from 7-mm terminal to DUT connection plane) of the test fixtures 16191A, 16192A, 16193A, 16194A, 16196A, 16196B, 16196C, 16196D and 16197A are registered in advance. When you use the tip of the 7-mm terminal of the test head as a calibration reference plane and connect any of these test fixtures to the tip, you can execute port extension compensation by selecting the test fixture model number.

  1. Press Meas Setup.

  2. Click Fixture and select your desired fixture model number None|16191A|16192A|16193A|16194A|16196A|16196B|16196C|16196D|16197A.

  3. The Fixture softkey in the Meas Setup menu is for the compensation function only. When the calibration and Compensation Wizard is used, you need to select your desired fixture in the Cal/Comp Wizard setting dialog box.

Registering the Electrical Length of Unregistered Test Fixtures

When you want to connect an unregistered test fixture of our manufacture or your own test fixture and cables to the tip of the calibration reference plane, it is necessary to perform the following steps to register the name and electrical length of the device before starting calibration and compensation.

  1. Press Meas Setup.

  2. Click Fixture and select a user (User 1|User 2|User 3|User 4|User 5|User 6|User 7|User 8) fixture to activate the Label and Length softkeys.

  3. Click Label and enter a name for the newly registered test fixture.

    • If you do not have an external keyboard attached, you can use the on-screen keyboard.

  4. Click Length and enter the electrical length.


Performing Manual Compensation

  • Overview

  • Executing Compensation

  • Executing Clear Compensation

  • Executing Clear STDs

Other topics about Calibration and Compensation Functions

Overview

To start manual compensation, press Compen.

If the E4982A is not calibrated, the following window is observed:

If the E4982A has been previously calibrated but not compensated, the following window is observed:

If the E4982A has been previously calibrated and compensated, the following window is observed:

  • To define your own compensation kit, please see How to Define Compensation Kit.

Options tab

When you select the All Tables check box, compensation is performed for all tables.

When you select the Auto Recall check box, compensation data is stored and recalled every time the E4982A is turned ON.

  • Auto Recall does not recall the data when firmware is restarted.

Averaging tab

When you select the Custom Averaging check box, compensation is performed the number of times entered in Minimum Count and then averaged.

  • If you have set up averaging for individual points in the stimulus table, the custom averaging setting will override the averaging settings for averaging count less than the minimum count set. For averaging count more than custom averaging minimum count, it will perform the averaging as set in stimulus table.

Fixture tab

Select the fixture you are using for compensation. The list of fixtures available are 16191A, 16192A, 16193A, 16194A, 16196A, 16196B, 16196C,16196D, 16197A and user defined fixtures.

This is the same as the selection in Performing Port Extension Compensation (Fixture Selection).

Executing Compensation

To execute compesation for Open and Short, perform either of the following:

  • Click AC & DC to compensate AC and DC.

  • Click AC to compensate only AC.

  • Click DC to compensate only DC.

Once all compensation has been performed, the corresponding check boxes under Open and Short are selected as shown below.

Executing Clear Compensation

Executing Clear Compen clears the compensation data as well as clears the Open and Short status to uncompensated.

Executing Clear STDs

Executing Clear STDs clears the compensation data but maintains the Open and Short status as compensated.


How to Define Calibration Kit

  • Overview

  • Calibration kit definition procedure

Other topics about Calibration and Compensation

Overview

Before starting calibration, the characteristic values of the open/short/load standards used for calibration must be set in advance.

For the E4982A, define the calibration kit by using the circuit model shown below.

Calibration kit definition procedure

Follow these steps to define the calibration kit.

  1. Press Stim Table.

  2. Click on the Cal Kit tab.

  3. Select the table number you want to define the calibration kit.

  4. Select the calibration kit (16195B or User) under Cal Kit.

    • If you have selected 16195B, the initial value of the 16195B calibration kit will be used as the defined calibration kit. No further setting is required.

    • If you have selected User, continue with the following steps.

  5. If you want to use the same definition for all measurement points in the measurement point table, select the Fixed Model check box.

    • If you have selected Fixed Model, enter the calibration kit definitions at measurement point number 1. For other measurement points, the same definition entered at measurement point number 1 is automatically entered.

  6. Select the Load Type from the drop down list.

  7. Enter the open/short/load definitions for each measurement point.

  8. Enter the DC open/short/load definitions under Rdc.

  9. Enter the offset delay open/short/load definitions under Offset Delay.

    • The offset delay value is described in the Operation Manual of the calibration kit.

    • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

    • To save the setting data into csv file, see Saving the Setup Table in CSV Format.


How to Define Compensation Kit

  • Overview

  • Compensation kit definition procedure

Other topics about Calibration and Compensation

Overview

Before starting compensation, characteristic values of the open/short standards used for compensation must be set in advance.

For the E4982A, define the compensation kit by using the circuit model shown below.

Compensation Kit Definition Procedure

Follow these steps to define the compensation kit.

  1. Press Stim Table.

  2. Click on the Compen Kit tab.

  3. Select the table number you want to define the compensation kit.

  4. Select the compensation kit (Default or User) under Compen Kit.

    • If you have selected Default, the initial value of the predetermined compensation kit will be used as the defined compensation kit. No further setting is required.

    • If you have selected User, continue with the following steps.

  5. If you want to use the same definition for all measurement points in the measurement point table, select the Fixed Model check box.

    • If you have selected Fixed Model, enter the compensation kit definitions at measurement point number 1. For other measurement points, the same definition entered at measurement point number 1 is automatically entered.

  6. Enter open/short definitions for each measurement point.

  7. Enter the DC open/short definitions.

  8. Changing the compensation kit definition does not clear the current compensation status. Cmp is not turned OFF. The updated definition is used at next compensation.

  9. To save the setting data into csv file, see Saving the Setup Table in CSV Format.


Setting Control Functions

  • Checking and Editing the GPIB Address

  • Configuring the Network

  • Remote Control Using HTTP

  • Checking the Product Information

  • Setting the Built-in Speaker (Beep Sound)

  • Locking the Front Panel Keys, Keyboard and Mouse

  • Turning ON/OFF the Date/Time Display

  • Turning OFF the LCD Display's Backlight

  • Calibration of the Touch Screen

  • Exit/Restart E4982A Measurement Application

  • Using Function Keys


Checking and Editing the GPIB Address

The E4982A can be controlled by an external controller through the GPIB (General Purpose Interface Bus) interface. The following procedure is used for checking and editing the GPIB address.

  1. Press System to activate the softkey menu.

    • To edit the GPIB address, continue with the following steps.

  2. Click GPIB Address.

  3. Use the numeric keys in the ENTRY block to enter the new GPIB address.

    • The GPIB address can be set using whole numbers from 0 to 30.

Other topics about Setting Control Functions


Configuring the Network

  • When you use the E4982A by connecting it to your LAN, consult your network administrator and make the setting of the LAN correctly.

  • Enabling/Disabling Network

  • Setting IP Address

  • Specifying Computer Name

Other topics about Setting Control Functions

Enabling/Disabling Network

You can enable/disable the network connection function of the E4982A.

Follow these steps to enable/disable the network connection function.

  1. Connect the LAN cable to the E4982A Ethernet port on the rear panel.

  2. Press System to activate the softkey menu.

  3. Click Network Setup.

  4. Click Network Configuration....

  5. Using a mouse, right-click the Local Area Connection icon in the Network Connection window to select Enable or Disable.

  6. Close the Network Connection window when finish.

Setting IP Address

Follow these steps to set the IP address.

  1. Connect the LAN cable to the E4982A Ethernet port on the rear panel.

  2. Press System to activate the softkey menu.

  3. Click Network Setup.

  4. Click Network Configuration....

  5. Double-click the Local Area Connection icon in the Network Connection window. The Local Area Connection Properties dialog box appears.

  6. Select Internet Protocol (TCP/IP) and then click the Properties button. The Internet Protocol (TCP/IP) Properties dialog box appears.

  7. Select the Use the following IP address radio button and enter the IP address, Subnet mask and Default gateway.

  8. Click OK.

  9. In the Local Area Connection Properties dialog box, click OK.

  10. Close the Network Connection window when finish.

Specifying Computer Name

Follow these steps to specify the computer name.

  1. Press System to activate the softkey menu.

  2. Click Network Identification....

  3. The System Properties dialog box appears.

  4. Click Change. The Computer Name Changes dialog box appears.

  5. Enter the computer name in the Computer Name box.

  6. Click OK. The Computer Name Changes dialog box appears.

  7. Click OK.

    • Until the E4982A is restarted, changed setting does not take effect.


Checking Product Information

  • Checking Serial Number and Options

  • Checking Firmware Revision and System Revision

  • Checking HDD Revision

Other topics about Setting Control Functions

Checking Serial Number and Options

The serial number and options of the E4982A can be checked using the following procedure.

  1. Press System to activate the softkey menu.

  2. Click Product Information.

  3. The Product Information dialog box which shows the serial number and options is displayed

  4. Only options 019, 020 and/or 710 can be displayed here. The other options are not displayed.

Checking Firmware Revision and System Revision

  1. Press System to activate the softkey menu.

  2. Click Product Information.

  3. The Product Information dialog box which shows the firmware revision and system revision is displayed.

Checking HDD Revision

  1. Press System to activate the softkey menu.

  2. Click Product Information.

  3. The Product Information dialog box which shows the HDD revision is displayed.

  4. The firmware revision and HDD revision are also displayed at the title bar of windows.


Setting the Built-in Speaker (Beep Sound)

  • Turning the completion beep ON or OFF

  • Turning the warning beep ON or OFF

  • Switching the beep sound that indicates the BIN sort function result

Other topics about Setting Control Functions

The E4982A is provided with a built-in speaker for emitting beep sounds. The beep sounds serve two functions as shown in the table below.

Type | Function
Completion beep | Beep sound heard when saving of calibration data or measurement data is completed.
Warning beep | Beep sound heard when a warning message is displayed or when the result of the BIN sort function (comparator) is "pass" or "fail".

The warning beep sounds slightly longer than the completion beep.

Turning the completion beep ON or OFF

The following procedure is used to turn the completion beep ON or OFF.

  1. Press System > Misc Setup > Beeper > Beep Done to switch the completion beep ON/OFF.

  • Clicking Play Beep Done allows you to hear and check the beep tone of the completion beep.

Turning the warning beep ON or OFF

The following procedure is used to turn the warning beep ON or OFF.

  1. Press System > Misc Setup > Beeper > Beep Warning to switch the beep warning ON/OFF.

  2. Clicking Play Beep Warning allows you to hear and check the beep tone of the warning beep.

  3. You can also press the F3 function key (at default setting) to toggle beep warning.

Switching the beep sounds that indicates the BIN sort function result

The following procedure is used to set whether the beep sound indicates that the BIN sort function is "Pass" (entered in good BIN) or "Fail" (not entered in good BIN).

  1. Press System > Misc Setup > Beeper > Beep Comparator (or Analysis > Beep Comptr) to switch the beep comparator to Pass/Fail.

  • To turn the beep comparator OFF, follow the procedure describe in Turning the warning beep ON or OFF.


Locking the Front Panel Keys, Keybaord and Mouse

Locking the Front Panel Keys, Keyboard and Mouse

  • Locking the Front Panel Keys and Keyboard

  • Locking the Keyboard

  • Locking the Mouse

Other topics about Setting Control Functions

You can lock the operation of any of the input devices, including the E4982A front panel keys, the attached keyboard, and the attached mouse. Using this function will prevent accidental operation of devices not intended for use.

Locking the Front Panel Keys and Keyboard

  1. Press System to activate the softkey menu.

  2. Click Misc Setup > Keyboard > Unlocked|Locked.

  3. Click Yes.

    • To set the lock status of the front keys to Unlocked, perform any of the following operations.

    • Use the mouse or touch screen to click Unlocked in the softkey menu.

    • Execute preset or keyboard unlock by sending GPIB commands from an external controller to the E4982A.

    • Press the standby switch on the front panel to completely turn OFF the power. When the standby switch is pressed again to turn the power ON, the E4982A power-on settings will become valid. In the power-on setting, the lock functions of the front keys, keyboard and mouse are all Unlocked.

Locking the Keyboard

All the keys on the keyboard connected to the E4982A can be made inoperative by following the procedure below.

  1. Press System to activate the softkey menu.

  2. Click Misc Setup > Keyboard > Unlocked|Locked.

  3. Click Yes.

    • To set the lock status of the front keys to Unlocked, perform any of the following operations.

    • Use the mouse or touch screen to click Unlocked in the softkey menu.

    • Execute preset or keyboard unlock by sending GPIB commands from an external controller to the E4982A.

    • Press the standby switch on the front panel to completely turn OFF the power. When the standby switch is pressed again to turn the power ON, the E4982A power-on settings will become valid. In the power-on setting, the lock functions of the front keys, keyboard and mouse are all Unlocked.

Locking the Mouse

The mouse connected to the E4982A can be made inoperative. This also locks the touch screen.

  1. Press System to activate the softkey menu.

  2. Click Misc Setup > Mouse > Unlocked|Locked.

  3. Click Yes.

    • To set the lock status of the front keys to Unlocked, perform any of the following operations.

    • Use the front panel to click Unlocked in the softkey menu.

    • Press Preset on the front panel to return the E4982A settings to the preset condition. In the preset condition, the lock function of the front keys and the mouse is Unlocked.

    • Execute preset or mouse unlock by sending GPIB commands from an external controller to the E4982A.

    • Press the standby switch on the front panel to completely turn OFF the power. When the standby switch is pressed again to turn the power ON, the E4982A power-on settings will become valid. In the power-on setting, the lock functions of the front keys, keyboard and mouse are all Unlocked.


Turning OFF AC Output

You can switch OFF the AC output on the test head. This turns OFF the AC signal from the test head port.

Press System > Service > AC Output > OFF.

  • When the AC output is switched OFF, the AC OFF [image] indicator is displayed on the instrument status bar.

To switch ON the AC output, press System > Service > AC Output > ON.

Other topics about Setting Control Functions


Turning ON/OFF the Date/Time Display

  • Turning the date/time display ON

  • Turning the date/time display OFF

Other topics about Setting Control Functions

The date/time display in the instrument status bar can be turned ON or OFF.

Turning the date/time display ON

There are two options to display the date/time:

  • LIVE - Displays the date/time in real time. The date/time is shown in green.

    1. Press Display.

    2. Click Date & Time > LIVE.

  • STAMP - Displays the date/time which has been paused to the date/time which STAMP was set. The date/time is shown in grey.

    1. Press Display.

    2. Click Date & Time > STAMP.

Turning the date/time display OFF

  1. Press Display.

  2. Click Date & Time > OFF.


Turning OFF the LCD Display's Backlight

You can switch OFF the backlight (illumination) of the LCD screen of the E4982A. This extends the life of the backlight when it is used continuously over a long period.

Press System > Service > Backlight > ON.

The backlight that has been switched OFF can be turned ON again by pressing any part of the touch screen or pressing any key on the front panel.

You can also turn OFF the display of the LCD screen.

Press Display > Display > ON|OFF.

Switching OFF the display causes the indications on the LCD screen to be almost invisible.

The display that has been switched OFF can be turned ON again by pressing any key on the front panel.

Other topics about Setting Control Functions


Calibration of the Touch Screen

When you have executed system recovery on the E4982A, you have to calibrate the touch screen. Follow the procedure described below to calibrate the touch screen.

  1. Press System to activate the softkey menu.

  2. Click Misc Setup > Adjust Touch Screen...

  3. The touch screen calibration screen appears.

  4. Touch the x mark on the upper left with your finger. The mark x also appears on the lower left, upper right, and lower right. Touch the x marks in that order with your finger.

  5. Touching all the four locations described above with your finger automatically concludes the touch screen calibration.

  • With no operation on the touch screen calibration screen for a preset time, it automatically closes and the previous measurement screen reappears.

Other topics about Setting Control Functions


Exit/Restart E4982A Measurement Application

Pressing System > Service > Exit shuts down the firmware of E4982A.

Pressing System > Service > Restart restarts the firmware of E4982A.

Other topics about Setting Control Functions


Using Function Keys

The three function keys on the front panel offer quicker, one button access to softkeys that are often used.

The default settings are as follows:

  • F1 key - Capture Image

  • F2 key - File Utility

  • F3 key - Toggle beep warning

Follow the procedure below to change the setting of the function keys.

  1. Press System to activate the softkey menu.

  2. Click Misc Setup.

  3. Click F1 Key|F2 Key|F3 Key.

  4. Click Capture Image|File Utility|Toggle Beeper Warning|Save State File|Save AutoRec.sta|Recall AutoRec.sta|On-Screen Keyboard|Toggle Window Normal/Max|Toggle Window Min/Max|Telnet localhost.

Other topics about Setting Control Functions


Product Information

  • Options

  • Documentations

  • Specifications

  • Customer Contacts

  • Error Messages

  • Warning Messages

  • Default Conditions

  • Maintenance

  • Revision History

  • Differences from Agilent 4286A and 4287A


Options

Options for E4982A

The following list shows available options.

  • Extension Cable Options

  • Accessory Options

  • Calibration Options

  • Hard Disk Drive Options

  • System Rack Options

Other topics about Product Information

Extension Cable Options

Option Number | Description
020 | Add Test Fixture Extension Cable Set

Accessory Options

Option Number | Description
004 | Add Working Standard Set
700 | 16195B Calibration Kit
710 | Test Fixture Stand
720 | 3.5-mm to 7-mm Coaxial Adapter
810 | Add Keyboard
820 | Add Mouse

Calibration Options

Option Number | Description
1AJ | ISO17025 Compliant Calibration
A6J | ANSI Z540 Compliant Calibration

Hard Disk Drive Options

Option Number | Description
019 | Standard hard disk drive (This option is mandatory.)

System Rack Options

Option Number | Description
1CM | Rack mount kit
1CN | Front handle kit
1CP | Rack mount and Front handle kit


Documentations

Documentations for E4982A

  • Manuals

  • Sales Literature

Other topics about Product Information

Manuals

The following documentations are provided with the E4982A.

Name | Description
Help (This file) | Provides the information about the measurement operation, programming, I/O interface.
Installation Guide | Provides information about start up setup and system recovery information when the Windows cannot be boot up. This is furnished with the E4982A as a hardcopy manual.
Service Guide | Provides information about the parts, troubleshooting, performance test, adjustment and service menu.

Both Installation Guide and Service Guide can be downloaded from http://www.agilent.com/find/e4982a-manual. The latest revision of Help System, Help in PDF and WebHelp formats are also available at the site.

Sales Literature

The following sales literatures are available on http://www.agilent.com/find/e4982a.

  • Brochure

  • Configuration Guide (Ordering information)

  • Application notes


Specifications

The Data Sheet which shows the E4982A specification is available at http://cp.literature.agilent.com/litweb/pdf/5990-9882EN.pdf.

Other topics about Product Information


Customer Contacts

For assistance on E4982A, refer to http://www.agilent.com/find/assist for your regional customer contacts. Click Select a Country or Area on the upper right of the web page to select your region.

Other topics about Product Information


Error Messages

An error message is displayed against a red background in the instrument message/warning area in the lower left part of the screen. Pushing a front panel key or executing :DISP:CCL command clears the error message. Errors caused by the operation of a front panel key simply appears on the display. They are not stored in the error queue with some exceptions.

An error with a positive error number is uniquely defined for this instrument. On the other hand, an error with a negative error number is basically defined for common GPIB devices in IEEE488.2.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

No. | Message | Description
6 | Additional standards needed | Before the completion of all the data measurement required for calculating the calibration/compensation coefficients, a GPIB command requiring any of the measurement data was sent. For example, when only the OPEN and SHORT measurements of the calibration kit have been completed, the :CORR1:COLL:SAVE command, which performs calculation of the calibration coefficients, was sent. Measure all the required data.

B

No. | Message | Description
-168 | Block data not allowed | A block data element was received where the E4982A does not accept any block data element.

C

No. | Message | Description
7 | Calibration required | Though the calibration was not turned ON, a GPIB command was sent that is valid only when the calibration is turned ON. For example, the :CORR2:COLL command, which obtains the data for calculating the compensation coefficients, was executed. Turn ON the calibration.
62 | Can't execute data examination | The data for statistical analysis has been acquired, but change was made to the settings during the data acquisition, so statistical analysis cannot be executed. Acquire the data for statistical analysis with the current settings.
-148 | Character data not allowed | A character data element (that did not violate the standard) was received where the E4982A does not accept any character data element.
-100 | Command error | A comprehensive syntax error occurred for which the E4982A could not detect further details. This error code simply indicates the occurrence of a command error that is defined in IEEE488.2,11.5.1.1.4.
11 | Compensation required | Although compensation was not turned ON, a GPIB command that is valid only when compensation is turned ON was sent. For example, the :DATA:CMP{1-3} command, which reads out the compensation coefficients, was executed when compensation was turned OFF. Turn ON the compensation.

D

No. | Message | Description
-230 | Data corrupt or stale | The data may be invalid or a newly initiated operation has not been completed since the latest access.
-222 | Data out of range | A data element (that did not violate the standard) out of the defined range of the E4982A was received.
-104 | Data type error | The parser recognized impossible data elements. For example, numeric value or string data was expected, but block data was sent.

E

No. | Message | Description
-200 | Execution error | This occurs when the operation is aborted due to an internal error.
-123 | Exponent too large | The absolute value of the exponent exceed 32,000. (Refer to IEEE488.2,7.7.2.4.1.)
-178 | Expression data not allowed | An equation data element was received where the E4982A does not accept any equation data element.
-170 | Expression error | An error not included in error numbers between -171 and -179 occurred during the syntax analysis of equation data.

F

No. | Message | Description
1300 | Failed to read file | This occurs when it fails to read the file such as the state file.
1301 | Failed to write file | This occurs when it fails to store the file.
-256 | File name not found | The specified filename was not found and, as a result, the command was not executed correctly. For example, you attempted to read a file that does not exist on the disk.

G

No. | Message | Description
-105 | GET not allowed | A group execution trigger (GET) was received in a program message. (Refer to IEEE488.2, 7.7.)

I

No. | Message | Description
-224 | Illegal parameter value | The value of the parameter is illegal.
-213 | Init ignored | Another measurement was being executed and the measurement start request (:INIT command) was ignored.
-161 | Invalid block data | Block data was expected but the sent block data was invalid for some reasons. (Refer to IEEE488.2, 7.7.6.2.) For example, the END message was received before the length of the block data was reached.
-101 | Invalid character | Invalid characters exist in the program message string. For example, for a correct program message, ":CALC:PAR1:FORM LS", an ampersand (&) is inserted by mistake as ":CALC:PAR1:FORM&LS".
-121 | Invalid character in number | An invalid character for the data type of the syntax analysis target was received. For example, alphabetical characters exist in a decimal value, or "9" exist in octal data.
6000 | Invalid equation expression | This occurs when the equation of the user define parameter has syntax error.
-171 | Invalid expression | The equation data element is invalid. (Refer to IEEE488.2,7.7.7.2.) For example, parentheses are not paired or a character violates the standard.
106 | Invalid File Name | When executing the save/recall file command, a file name string was invalid. For example, when executing the save command, no extension for the file was specified. Specify a valid file name.
-103 | Invalid separator | The parser (syntax analysis program) expected a separator, but a character other than a separator was sent. For example, although the correct way is using ";" to separate two sent program messages such as ":CALC:PAR1:FORM LS;*OPC?", the semicolon (;) needed to separate the program messages is missing, as in ":CALC:PAR1:FORM LS *OPC?".
-151 | Invalid string data | Character string data was expected but the sent string data was invalid for some reason. (Refer to IEEE488.2,7.7.5.2.) For example, the END message was received before the end quotation mark character appeared.
-131 | Invalid suffix | The suffix does not meet the syntax defined in IEEE488.2,7.7.3.2 or is inappropriate for the E4982A.

M

No. | Message | Description
-109 | Missing parameter | The number of parameters is less than that the command requires. For example, although the "SOUR:LIST:TABL" command requires one parameter such as ":SOUR:LIST:TABL 3", no parameter is added, as in ":SOUR:LIST:TABL"

N

No. | Message | Description
0 | (No error) | No error has occured. This message is not displayed on the LCD. It is returned as the error number if no error has occurred in the instrument when the ":SYST:ERR?" command is sent through GPIB.
61 | No data available on memory | Although no data for statistical analysis has been acquired, the "CALC:EXAM:GET?" command that executes statistical analysis and acquires the result was sent. Acquire the data for statistical analysis.
-120 | Numeric data error | Numeric data (including numeric data without a decimal point) causes an error. A numeric value error other than -121 to -129 occurred.
-128 | Numeric data not allowed | A numeric value data element (that did not violate the standard) was received where the E4982A does not accept any numeric value data element.

O

No. | Message | Description
-321 | Out of memory | An internal operation needed more memory than was available.

P

No. | Message | Description
-108 | Parameter not allowed | The number of parameters is larger than that the command requires. For example, although the :SOUR:LIST:TABL command requires one parameter such as ":SOUR:LIST:TABL 3", two parameters were added, as in ":SOUR:LIST:TABL 3,5".
120 | PLL unlock | Phase lock loop was not locked. If you entered the external reference signal, check to see if it is correct. If you entered the correct signal or you did not enter it, the instrument needs adjustment or repair. Contact your local Agilent Technologies sales office or the company you purchased this instrument from.
198 | Power ON test failed | In the power-ON self test, a fault was detected. Contact your local Agilent Technologies sales office or the company you purchased this instrument from.
-112 | Program mnemonic too long | The length of the header exceeds 12 characters. (Refer to IEEE488.2,7.6.1.4.1.)

Q

No. | Message | Description
-430 | Query DEADLOCKED | Status that causes a "DEADLOCKED" query error. (Refer IEEE488.2,6.3.1.7.) This error occurs, for example, when both input and output buffers before full and the E4982A cannot continue processing.
-400 | Query error | A comprehensive Query error occurred for which the E4982A could not detect further details. This code simply indicates the occurrence of a query error that is defined in IEEE488.2,11.5.1.1.7 and 6.3.
-410 | Query INTERRUPTED | Status that causes an "INTERRUPTED" query error. (Refer to IEEE488.1,6.3.2.3.) This error occurs, for example, when data bye (DAB) or GET is received after Query has been initiated but before the response has been completely sent.
-420 | Query UNTERMINATED | Status that causes an "UNTERMINATED" query error. (Refer to IEEE488.2,6.3.2.) This error occurs, for example, when the E4982A is specified as a talker and an incomplete program message is received.
-440 | Query UNTERMINATED after indefinite response | In a certain program message, after a Query that requested an ambiguous response was executed, another Query was received. (Refer to IEEE488.2,6.5.7.5.7.)

R

No. | Message | Description
105 | Recall error | An error occurred while reading out (recalling) a file. For example, you attempted to read out a file with invalid contents, such as an instrument file with extension ".sta" that was saved using an instrument other than the E4982A. Check to see if the contents of the file is valid.

S

No. | Message | Description
104 | Save error | When saving a file, anomalies in the storage media were detected. For example, if you attempt to save a file when there is not enough space on the disk.
-221 | Setting conflict | A program data element complying with the syntax standard was analyzed but the E4982A could not execute it at the time.
-150 | String data error | An error not included in error numbers between -151 and -159 occurred during the syntax analysis of a string data element.
-158 | String data not allowed | A string data element was received where the E4982A does not accept any string data element. For example, a parameter that should not be enclosed with double quotation marks (") such as ABC is sent with them, as in "ABC"
-138 | Suffix not allowed | A suffix is added to a numeric value element to which no suffix can be added.
-134 | Suffix too long | The suffix contains the notation of 12 characters or more. (Refer to IEEE488.2,7.7.3.4.)
-102 | Syntax error | There is a command or data type that cannot be recognized. For example, for a correct program message, ":SYST:PRES", an extra colon (:) is inserted by mistake, as in ":SYST::PRES".
-310 | System error | One of the "system errors" defined for the E4982A occurred.

T

No. | Message | Description
-124 | Too many digits | The number of digits of the mantissa of the decimal value data element exceeds 255, aside from preceding 0. (Refer to IEEE488.27.7.2.4.1.)
-223 | Too much data | The received block, equation, or string type program data complied with the standard but its amount exceeded the limit that the E4982A can deal with due to memory or device-specific conditions related to memory.
-211 | Trigger ignored | A trigger command or trigger signal was received and recognized by the E4982A but was ignored due to the timing relationship with the E4982A (for example, when the E4982A's trigger system is not in Waiting for Trigger state).

U

No. | Message | Description
-113 | Undefined header | A header not defined for the E4982A was received. For example, "*XYZ", which is not defined for the E4982A, was received.


Warning Messages

A warning message is displayed in the instrument message/warning area in the lower left part of the display against a red background. Pushing a front panel key or executing :DISP:CCL command clears the message.

This message simply appears on the display, being not known to a remote environment such as a GPIB.

Warning Messages during Measurement

Message | Description
Variable index out of range | This occurs when the range of parameter n in var(n, index) function of the user defined parameter exceeds the range of 1 to 10. It should be within 1 to 10. When this warning is displayed, :INIT:CONT ON becomes OFF.
Point index out of range | This occurs when the range of parameter index in var(n, index) function of the user defined parameter exceeds the range of 1 to 201. It should be within 1 to 201. When this warning is displayed, :INIT:CONT ON becomes OFF.


Default Conditions

Initial Settings, Settings that can be Saved/Recalled, Settings that can be Backed Up

The following table shows the following items.

  • Initial settings (factory settings).

  • Settings reset by :SYST:PRES command or Preset.

  • Settings reset by the *RST command.

  • Settings that can be saved/recalled.
    The table uses the following symbols.

√ : Settings that can be saved/recalled.

× : Settings that cannot be saved/recalled.

  • Settings that can be backed up (i.e. settings that are kept intact even if instrument is powered OFF and ON).
    The table uses the following symbols.

√ : Settings that can be backed up.

× : Settings that cannot be backed up.

  • Available method to set a setting.
    The table uses the following symbols.

SCPI: Settings that can be set by remote controller using a SCPI command.

Front: Settings that can be set by the front panel keys, the keyboard or the mouse.

Both: Settings that can be set by either of the above methods.

  • The symbol ← in the table indicates that the value is the same as that indicated to the left.

Setting Items

Default Value

Preset

*RST

Save/ Recall

Backup

Available method to set

Measurement parameter

Parameter 1

|Z|

←

←

√

×

Both

Parameter 2

θz

←

←

√

×

Both

Parameter 3

Rs

←

←

√

×

Both

Parameter 4

X

←

←

√

×

Both

List measurement/single-point measurement

Single-point measurement

←

←

√

×

Both

Measured point number on single-point measurement

1

←

←

√

×

Both

Active table number

1

←

←

√

×

Both

Measurement point setup table

Number of measurement points

1

←

←

√

×

Both

Oscillator

Frequency

1 [MHz]

←

←

√

×

Both

Level

-13 [dBm]

←

←

√

×

Both

Averaging factor

1

←

←

√

×

Both

Unit of oscillator level

dBm

←

←

√

×

Both

Rdc measurement

ON/OFF

OFF

←

←

√

×

Both

Offset cancel function

OFF

←

←

√

×

SCPI

Limit range

Lower limit value

0 [Ω]

←

←

√

×

Both

Upper limit value

10 [kΩ]

←

←

√

×

Both

Averaging factor

128

←

←

√

×

Both

Deviation measurement

ON/OFF

OFF

←

←

√

×

Both

Mode

DEV

←

←

√

×

Both

Reference value (center value)

0

←

←

√

×

Both

Delay time

Trigger delay time

0 [s]

←

←

√

×

Both

Measurement point delay time

0 [s]

←

←

√

×

Both

Display ON/OFF

ON

←

←

√

×

Both

Results display (measurement parameters 1 to 4, test signal level monitor, Rdc measurement)

All results display ON/OFF

ON

←

←

√

×

Both

Each result displays ON/OFF (except Rdc measurement result)

ON

←

←

√

×

Both

Number of digits

4

←

←

√

×

Both

Fixed decimal point mode ON/OFF

OFF

←

←

√

×

Both

Most significant digit

0

←

←

√

×

Both

Title display

ON/OFF

OfFF

←

←

√

×

Both

Title characters

" " (blank)

←

←

√

×

Both

Time and date display

ON/OFF

OFF

←

←

√

×

Both

Live/Stamp

Stamp

←

←

√

×

Both

Displayed items on the list measurement display

Item 1 (LABEL-1)

Measurement parameter 1

←

←

√

×

Both

Item 2 (LABEL-2)

Measurement parameter 2

←

←

√

×

Both

Item 3 (LABEL-3)

Measurement parameter 3

←

←

√

×

Both

Item 4 (LABEL-4)

Measurement parameter 4

←

←

√

×

Both

Trigger source

Internal

←

←

√

×

Both

Polarity of external trigger

Positive

←

←

√

×

Both

Trigger system continuous activation ON/OFF

ON

←

OFF

√

×

SCPI

Maximum data size for statistical analysis

3000

←

←

√

×

Both

Comparator (BIN sort) funtion ON/OFF

OFF

←

←

√

×

Both

Boundary between good BIN and no good BIN

10

←

←

√

×

Both

BIN1 to BIN13 setting

ON/OFF

OFF

←

←

√

×

Both

Sorting conditions 1 to 4

Measurement point number

1

←

←

√

×

Both

Parameter

Condition 1

|Z|

←

←

√

×

Both

Condition 2

θz

←

←

√

×

Both

Condition 3

Rs

←

←

√

×

Both

Condition 4

X

←

←

√

×

Both

Limit mode (ABS/%/DEV)

ABS

←

←

√

×

Both

Limit

Nominal value

0

←

←

√

×

Both

Lower limit value

0

←

←

√

×

Both

Upper limit value

0

←

←

√

×

Both

BIN range mode (IN/OUT/ALL)

ALL

←

←

√

×

Both

BIN count function ON/OFF

Off

←

←

√

×

Both

Setting of 'Calibration Wizard'

Calibration

Low-Loss C

No Check

No effect

←

×

√

Front

DC Open

No check

No effect

←

×

√

Front

DC Short

No check

No effect

←

×

√

Front

DC Load

No check

No effect

←

×

√

Front

Rdc Limit

Rdc Limit

On (Check)

No effect

←

×

√

Front

Open

Min

1 [kΩ]

No effect

←

×

√

Front

Load

Max

55 [Ω]

No effect

←

×

√

Front

Min

45 [Ω]

No effect

←

×

√

Front

Short

Max

1 [Ω]

No effect

←

×

√

Front

Compensation

Open

Check

No effect

←

×

√

Front

Short

Check

No effect

←

×

√

Front

DC Open

No check

No effect

←

×

√

Front

DC Short

No check

No effect

←

×

√

Front

Rdc Limit

Rdc Limit

On (Check)

No effect

←

×

√

Front

Open

Min

1 [kΩ]

No effect

←

×

√

Front

Short

Max

1 [Ω]

No effect

←

×

√

Front

Test Fixture Selection

None

No effect

←

×

√

Front

Target table on measurement of data (All tables/Active table only)

Active table only

No effect

←

×

√

Front

Automatically saves the state into auto-recall file (autorec.sta) when the 'Calibration Wizard' is completed

No check

No effect

←

×

√

Front

Target table in measurement of data for calibration coefficient calculation (all tables/active tables only)

  • When data measurement is performed by SCPI command, the target table is always 'active table only' regardless of this setting.

Active table only (No check)

No effect

←

×

√

Front

Automatically saves the state into auto-recall file (autorec.sta) when the calibration coefficients are calculated.

  • When calculation of the calibration coefficients is performed by SCPI command, the state is not saved into auto-recall file (autorec.sta) regardless of this setting.

No check

No effect

←

×

√

Both

Calibration kit selection (16195B-7 mm standard/user defined)

16195B

←

←

√

×

Both

Custom Averaging (For both calibration and compensation)

No Check

←

←

√

√

Both

Minimum Count (For both calibration and compensation)

1

←

←

√

√

Both

User defined calibration kit

Impedance definition method (fixed/point-by-point)

Fixed

←

←

√

×

Both

Open

Equivalent parallel conductance (G)

0 [S]

←

←

√

×

Both

Equivalent parallel capacitance (Cp)

0 [F]

←

←

√

×

Both

Dc conductance

0 [S]

←

←

√

×

Both

Offset delay time

0 [s]

←

←

√

×

Both

Short

Equivalent series resistance (Rs)

0 [Ω]

←

←

√

×

Both

Equivalent series inductance (Ls)

0 [H]

←

←

√

×

Both

Dc resistance

0 [Ω]

←

←

√

×

Both

Offset delay time

0 [s]

←

←

√

×

Both

Load

Definition impedance parameter type

Rs and Ls

←

←

√

×

Both

Equivalent series resistance (Rs)

50 [Ω]

←

←

√

×

Both

Equivalent series inductance (Ls)

0 [H]

←

←

√

×

Both

Dc resistance

50 [Ω]

←

←

√

×

Both

Offset delay time

0 [s]

←

←

√

×

Both

Open compensation On/Off

OFF

←

←

√

×

Both

Short compensation On/Off

OFF

←

←

√

×

Both

Target table in measurement of data for compensation coefficient calculation (all tables/active table only)

  • When data measurement is performed by SCPI command, the target table is always 'active table only' regardless of this setting.

Active table only (No Check)

No effect

←

×

√

Front

Automatically saves the state into auto-recall file (autorec.sta) when the compensation coefficients are calculated.

  • When calculation of the calibration coefficients is performed by SCPI command, the state is not saved into auto-recall file (autorec.sta) regardless of this setting.

No check

No effect

←

×

√

Both

Selection of compensation kit definition values (predefined values/user defined values)

Predefined values (default)

←

←

√

×

Both

User defined values

Impedance definition method (fixed/point-by-point)

Fixed

←

←

√

×

Both

Open

Equivalent parallel conductance (G)

0 [S]

←

←

√

×

Both

Equivalent parallel capacitance (C)

0 [F]

←

←

√

×

Both

Dc conductance

0 [S]

←

←

√

×

Both

Short

Equivalent series resistance (Rs)

0 [Ω]

←

←

√

×

Both

Equivalent series inductance (Ls)

0 [H]

←

←

√

×

Both

Dc resistance

0 [Ω]

←

←

√

×

Both

Test fixture selection

None

←

←

√

×

Both

User fixture

Electrical length

0 [m]

←

←

√

×

Both

Name

"USER"

←

←

√

×

Both

Data transfer format

Data transfer format (ASCII/Binary)

ASCii

No effect

ASCii

×

×

SCPI

Byte order when data transfer format is set to binary (normal/swapped)

NORmal

No effect

NORmal

×

×

SCPI

Key lock

Front panel

OFF

←

←

×

×

Both

Keyboard

OFF

←

←

×

×

Both

Mouse

OFF

←

←

×

×

Both

Beeper

On/Off of beep to notify the completion of operation

ON

←

←

√

×

Both

Beep to notify an error/warning or sorting results

ON/OFF

ON

←

←

√

×

Both

Mode

FAIL

←

←

√

×

Both

Time and date of the internal clock

--------

×

√

Both

GPIB address

17

×

√

Front

Telnet Server

ON

×

√

Front

SICL LAN

ON

×

√

Front

Web Server

ON

×

√

Front

Service request enable register value

0

×

×

SCPI

Standard event status enable register value

0

×

×

SCPI

Operation status register

Enable register value

0

×

×

SCPI

Positive transition filter value

32767

×

×

SCPI

Negative transition filter value

0

×

×

SCPI

Questionable status enable register value

0

×

×

SCPI

Other topics about Product Information


Maintenance

  • Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc

  • Cleaning this Instrument

  • Replacement of Parts with Limited Service Life

  • System Recovery

  • Updating Firmware

  • Service Functions

  • Removing Log Data


Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc

  • Backing Up Data in the Hard Disk

  • Devices to be Sent Back for Repair or Regular Calibration

Other topics about Maintenance

Backing Up Data in the Hard Disk

You should back up the stored programs and data into external media by using the instrument's storing function before requesting the Company's Service Center to repair the instrument or replace hard disks.

Please take note that the Company will not be held liable to any extent for potential erasure or change of stored programs or data due to the repair or replacement of hard disks performed by the Company. When a hard disk itself fails, the programs and data stored in it cannot be recovered.

Devices to be Sent Back for Repair or Regular Calibration

If it is necessary to send the unit to the Service Center of Agilent Technologies for repair or regular calibration, please follow the instructions below.

Equipment to be Sent

When requesting repair or regular calibration of the unit by our Service Center, send only the E4982A main unit without any installed option you may have ordered. Unless specifically instructed, it is not necessary to send accessories and calibration kits.

Packing

Use the original package and shock absorbers, or equivalent anti-static packing materials, when sending the unit.

Shipping Address

For the location of the nearest Agilent Technologies Service Center, contact the Customer Contact.

Recommended Calibration Period

The recommended calibration period for this instrument is one year. It is recommended to request the Company's Service Center to perform regular calibration every year.


Cleaning this Instrument

  • Cleaning an LCD

  • Maintenance of Test Ports and Other Connectors/Ports

  • Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

Other topics about Maintenance

This section describes how to clean the instrument.

To protect yourself from electrical shock, be sure to unplug the power cable from the outlet before cleaning the instrument.

Never clean the internal components of the instrument.

Cleaning an LCD

Use one of the following methods to clean the display surface regularly.

  • For normal cleaning, rub the surface gently with a dry, soft cloth.

  • When stains are difficult to remove, gently wipe the surface with cloth damped with a small amount of dehydrated ethanol.

  • Do not use chemicals other than dehydrated ethanol to wet the cleaning cloth. To clean the touch screen LCD, do not wet the cloth with water.

Maintenance of Test Ports and Other Connectors/Ports

The ports of the E4982A are fitted with N Type and SMA connectors. Stains or other damage to these connectors would significantly affect the accuracy in measurements. Always pay attention to the following precautions.

  • Always keep the connectors free from stains and dust.

  • Do not touch the contact surface on the connectors.

  • Do not plug damaged or scratched connectors into the test ports.

  • Use compressed air for cleaning connectors. Do not use abrasives under any circumstance.

The above precautions must also be observed in maintaining connectors and ports other than these test ports.

Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

To remove stains on parts other than the LCD, test ports, and other connectors/ports of the instrument, wipe them gently with a soft cloth that is dry or wetted with a small amount of water and wrung tightly.


Replacement of Parts with Limited Service Life

This instrument incorporates parts with limited service life as shown in the following table. Using the recommended replacement time as a guide, request the Agilent Service Center to replace these parts. However, a part may need to be replaced at an earlier time than that listed in the table, depending on conditions such as location, frequency of use, and where it is stored.

  • Each service life and recommended replacement time listed below is for reference only and does not imply a guarantee of the part's service life.
Part Name | Service Life (Parts supplier reference value) | Recommended Replacement Time
Hard Disk Drive (HDD) | 5 years or 20,000 operating hours, whichever comes earlier. Exchanging hard disk drives causes the contents written after shipment from the factory (LAN setup, etc.) to be initialized to the state at the time of shipment. The programs and data stored in Drive D (user directory are erased). | 3 years
Main fan | 50,000 operating hours. The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
CPU fan
Battery on Mother board | 50,000 operating hours. The service life may be shorter if E4982A power has not been turned on for a long time. | 5 years
Power supply | 50,000 operating hours (depends on the service life of the power supply cooling fan). The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
LCD screen backlight | 50,000 operating hours. When the unit is used for automatic measurements in a production line and the on-screen information is not required, the life of the LCD backlight can be saved by turning it OFF. As for the method of turning the backlight OFF, refer to Turning OFF the LCD Display's Backlight. | 5 years
Touch screen (function) | One million times (dotting life) | 5 years
USB receptacle | 1,500 cycles insertion/extraction. The service life may be shorter when used in a dusty and dirty environment. In case that the insertion/extraction is in heavy usage such as Ecal in the production line, using USB extension cable may save the USB receptacle life. | N/A

Other topics about Maintenance


System Preference

  • Overview

  • Exporting System Preference

  • Importing System Preference

  • Restoring Factory Settings

Other topics about Maintenance

Overview

You can save the system settings of the E4982A as a .ini file and recall that file to reproduce the system settings.

Exporting System Preference

To export system preference, follow the following procedure.

  1. Press System > Service > System Preference > Export Preference....

  2. The following dialog box appears. Select the file location and enter a file name.

  3. Click Save.

Importing System Preference

To import an existing system preference file into your E4982A, follow the following procedure.

  1. Press System > Service > System Preference > Import Preference....

  2. The following dialog box appears.

  3. Click Yes.

  4. The following dialog box appears. Select the correct file location and file.

  5. Click Open and wait for the E4982A application to restart.

Restoring Factory Settings

To remove the set system preference, you can restore the E4982A to its factory settings.

  1. Press System > Service > System Preference > Restore Factory Settings.

  2. The following dialog box appears.

  3. Click Yes and wait for the E4982A application to restart.


System Recovery

By executing system recovery, you can return the Windows operating system of the E4982A to the factory state or the user state.

The procedure of system recovery is described in both Installation Guide and Service Guide.

Other topics about Maintenance


Updating Firmware

  • Overview

  • Procedure

Other topics about Maintenance

Overview

You can update E4982A firmware by yourselves. The latest firmware can be downloaded from http://www.agilent.com/find/e4982a. Updating firmware does not include the following software update.

  • Windows Operating System

  • Driver for Windows

  • Calibration Constant Data

Procedure

  1. Download the latest firmware from the download site. It is prepared as execution file (E4982A_xx.xx.exe).

  2. Run the E4982A_xx.xx.exe to extract E4982.msi.

    • If you use your local PC to download, save the file to a USB mass storage device in order to move it to E4982A, then connect the USB mass storage device into the front USB port of the E4982A.

  3. Press System > Service > Update.

  4. If the USB mass storage device is connected on the USB port of the E4982A, G:\E4982.msi is displayed at the top of softkeys. Press G:\E4982.msi to start the update.

    • The E4982A searches the file named E4982.msi in the drive from Z to A. The first searched file is displayed on the softkey.

  5. After the installation is finished, the instrument restarts.

    • To manually restart the E4982A application window, press System > Service > Restart.

  6. Press System > Product Information to confirm the firmware revision you have just installed.

  • You can select the installer file manually by pressing System > Service > Update > Select File....

  • You can exit the E4982A application window by pressing System > Service > Exit.


Service Functions

This menu (System > Service) provides information about various tests related to the E4982A.

For more information about any test related to the E4982A, like System Test, please refer to the E4982A Service Manual which is available at www.agilent.com/find/e4982a-manual.

Other topics about Maintenance


Removing Log Data

The E4982A creates automatic log of data for troubleshooting purposes. For security reasons, if this data needs to be deleted, then :SERV:LOGG:CLE command can be used to clear the log recorded by the E4982A.

The log file stores data related to:

  • Power ON time

  • Number of times of power ON

  • Result of power ON test

  • Number of times of overload

  • Event log

Other topics about Maintenance


Revision History

  • Firmware Revision History

  • HDD Revision History

  • System Revision History


Firmware Revision History

  • A.01.1x

  • A.01.0x

Other topics about Revision History

A.01.1x

  • Minor enhancement

A.01.0x

  • This is the first revision of E4982A firmware.


HDD Revision History

  • KR1xx

Other topics about Revision History

KR1xx

This is the first revision of E4982A HDD.


System Revision History

  • R10

Other topics about Revision History

R10

This is the first system revision of E4982A.


Differences from Agilent 4286A and 4287A

  • Main Difference from 4286A and 4287A

  • Hardware Differences from 4286A and 4287A

  • Functional Difference from 4286A and 4287A


Main Difference from 4286A and 4287A

  • Outline of Differences in Calibration/Compensation

  • Outline of Differences in Comparator Handler I/F

  • Other Important Differences

Other topics about Differences from Agilent 4286A and 4287A

This section outlines the main differences between the 4286A, 4287A and E4982A.

Outline of Differences in Calibration/Compensation

Change in concept

The concept of calibration/compensation for the 4286A is to make a calibration plane by calibration and remove the error component from the jig section located at the tip of the plane. However, some users found this procedure troublesome and followed it without proper calibration/compensation. To prevent this, the calibration/compensation procedure of the E4982A and 4287A were simplified without degrading precision. The same precision as that of 4286A is obtained by performing only OPEN/SHORT/LOAD calibration for the E4982A and 4287A instead of the cumbersome procedure for the 4286A (performing OPEN/SHORT/LOAD/LOW-LOSS CAPACITOR calibration before OPEN/SHORT/LOAD compensation).

Changes in functions

Changes in LOAD compensation

  • The 4286A is provided with LOAD compensation; the E4982A and 4287A, based on the concept described above, is not provided with LOAD compensation

  • For the 4286A, only one reference value for LOAD calibration can be set for the entire frequency range; for the E4982A and 4287A, the reference value for LOAD calibration can be set for each of the list sweep frequency points.

  • For the 4286A, only two parameters of Ls-Rs and Ls-Q are available for the LOAD reference value; for the E4982A and 4287A, three parameters of Rs-Ls, Ls-Q and Cp-D are available.

Change in USER and FIXED POINT modes

  • For the 4286A, two modes, USER and FIXED POINT are available; for the E4982A and 4287A, only USER mode is available.

  • In addition, interpolation mode is not available with the E4982A and 4287A; therefore, calibration/compensation have to be performed again if the frequency setting needs to be changed.

Change in Rdc measurement

For the 4286A, the compensation data used for Rdc measurement is obtained at the same time the data for ordinary calibration/compensation is obtained; for the E4982A and 4287A, the compensation data for Rdc measurement can be obtained separately.

New functions added to the E4982A/4287A

  • The Calibration Wizard function is not available with the 4286A. However, it is available with the E4982A and 4287A.

  • The 4286A does not have the functionality to verify if calibration/compensation has been completed correctly. In E4982A and 4287A, this can be verified by checking the Rdc measured value, provided the Rdc limits are set.

Outline of Differences in Comparator Handler I/F

Change in the comparator function

  • For the 4286A, the following functions are available: BINSORTING (sorting data into BIN0 to BIN9 and OUT_OF_BINS for one frequency point) and Limit Test (making the Go-No Go decision), and both can be used together.

  • For the E4982A and 4287A, four sorting conditions are set to allow more complex sorting, and setting is enabled for up to 13 bins.

Changes in the Handler I/F

  • For the 4286A, either MODE1 or MODE2 signal pattern can be selected; for the E4982A and 4287A, only one signal pattern is available because the comparator function was changed as above.

  • In terms of the electrical characteristics of the handler I/F, for the 4286A, the maximum rated voltage output of the decision output signal is 24 V and the maximum rated voltage output of the control output signal is 15 V; for the E4982A and 4287A, the maximum rated voltage output is 24 V for both signals.

  • The 4287A and 4286A have hardware bit switches to select the register setting depending on the signal voltage. The default setting is 15V. In the E4982A, the SCPI command is used to set the input signal voltage level in order to change the register setting of EXT_TRIG. The default setting is 24V.

  • The 4286A does not have the /READY_FOR_TRIG signal which is available for both the E4982A and 4287A.

Other Important Differences

View on the display

  • For the 4286A, only two measurement parameters can be shown; for the E4982A and 4287A, up to four measurement parameters can be shown.

  • For the 4286A, the parameter display mode cannot be turned ON/OFF; for the E4982A and 4287A, it can be turned ON/OFF for each of the parameters.

  • For the 4287A, when the display update function is turned OFF, only the measurement results that are displayed at the execution of the command are updated; for the E4982A, when the display update function is turned OFF, the display is not updated in a timely manner in order to improve measurement speed.

  • For the E4982A, the measurement results can be displayed in plotting mode. This cannot be done with 4286A and 4287A.

  • The E4982A and 4287A is provided with a statistical processing function and a LAN interface.

Measurement Speed

There are 3 measurement speed options for E4982A; Mode 1, Mode 2 and Mode 3.

  • The speed of Mode 3 accuracy of E4982A is the same as 4287A. But it’s much faster than the speed of 4287A.

New functions added to E4982A

  • Function keys on the front panel offer quicker, one button access to softkeys that are often used.

  • User format allows you to create the user custom parameter.

  • USB remote control is available in addition of GPIB and LAN remote controls.

Functions deleted from E4982A

  • The floppy disk drive is removed from the E4982A.


Hardware Differences from 4286A and 4287A

  • Measurement performance

  • Functions for manufacturing line

  • Calibration

  • Other characteristics

Other topics about Differences from Agilent 4286A and 4287A

This section lists the differences between the 4286A, 4287A and E4982A hardware.

Measurement performance

 | E4982A | 4287A | 4286A
Frequency | 1 MHz to 3 GHz,in 100 kHz steps Max 201 points by 8 boards | 1 MHz to 3 GHz, in 100 kHz steps Max 32 points by 8 boards | 1 MHz to 3 GHz, in 10 kHz steps Max 10 points
Test signal level | For open system: 4.47 mV to 0.502 V For short-circuited system: 0.0894 to 20 mA | For open system: 4.47 mV to 0.502 V at ≤ 1 GHz 4.47 mV to 0.447 V at > 1 GHz For short-circuited system: 0.0894 to 10 mA at ≤ 1 GHz 0.0894 to 8.94 mA at > 1 GHz | For open system: 10 mV to 1V For short-circuited system: 0.2 to 20 mA
Resolution | 0.1 dB (also when voltage and/or current is set) | 0.1 dB (also when voltage and/or current is set) | Refer to the specification
Basic accuracy | ±0.8% | ±1% | ±1%
Range of Z measurement | 140 mΩ to 4.8 kΩ (at 1 MHz, accuracy < 10%) | 200 mΩ to 3 kΩ (at 1 MHz, accuracy < 10%) | 200 mΩ to 3 kΩ (at 1 MHz, accuracy < 10%)
Test head | 1 m added standard, 1 m added optionally (2 m in total) Right angle only 3.5 mm (male) | 1 m added standard, 1 m added optionally (2 m in total) Right angle only 3.5 mm (male) | 1 m added standard, 3 m added optionally Right/straight angle 3.5 mm (male)
Typical measurement time (Index, 1 point) | 0.9 ms: Mode 1 2.1 ms: Mode 2 3.7 ms: Mode 3 | 5.9 ms | 15 ms (without contact check)

Functions for manufacturing line

E4982A

4287A

4286A

Rdc measurement

For contact error check, ON/OFF switchable.

Contact errors are checked during calibration.

For contact error check, ON/OFF switchable.

Contact errors are checked during calibration.

For contact check, ON/OFF switchable.

Contact errors are NOT checked during calibration.

Scanner compensation

Scanner I/F not provided

By Table switching, Cal setting is enabled for each of the channels (through GPIB)

Scanner I/F not provided

By Table switching, Cal setting is enabled for each of the channels (through GPIB)

Scanner I/F not provided

With I-Basic, compensation is enabled for each of the channels.

Provision for multi-frequency

Different load reference values can be entered for different frequencies.

Different load reference values can be entered for different frequencies.

One fixed load reference value

Comparator

Max 13 bins

Bin setting is enabled by combination of four conditions.

  • Bin sorting is enabled at each point of multi-frequency

  • Secondary parameters can be bin-sorted simultaneously

Max 13 bins

Bin setting is enabled by combination of four conditions.

  • Bin sorting is enabled at each point of multi-frequency

  • Secondary parameters can be bin-sorted simultaneously

Max 9 bins (only one frequency)

Go/No-Go decision for each list sweep point

Resume

Supported

Supported

Supported only for calibration/compensation data

Statistical processing

Supported

Supported

Not supported

GPIB

GPIB I/F equipped

ASCII, binary data

GPIB I/F equipped

ASCII, binary data

GPIB I/F equipped

ASCII, binary data

Measurement parameters

4 orthogonal coordinate parameters

4 orthogonal coordinate parameters

2 orthogonal coordinate parameters

Calibration

 | E4982A | 4287A | 4286A
Calibration/ compensation | O/S/L/LLC calibration O/S compensation Electrical length calibration Without frequency interpolation Read/write is enabled from an external PC | O/S/L/LLC calibration O/S compensation Electrical length calibration Without frequency interpolation Read/write is enabled from an external PC | O/S/L/LLC calibration O/S/L compensation Electrical length calibration With frequency interpolation Read/write is enabled from an external PC
Compensation kit | 16195B (provision for high frequency, Load, Low-Loss C) | 16195B (provision for high frequency, Load, Low-Loss C) | 16195A

Other characteristics

 | E4982A | 4287A | 4286A
Data storage (user area) | About 18 GB HDD | About 18 GB HDD 1.44 MB FDD | 256 kbyte SRAM 1.44 MB FDD
Interface | GPIB, USB, Handler I/F LAN (10/100/1000Base-T): Telnet | GPIB, Handler I/F LAN (10Base-T): Telnet, FTP | GPIB, Hander I/F
Display | 10. 4 inch, color (XGA) | 8.4", color | 7", monochrome
Dimensions of body | 432 (W) x 235 (H) x 296 (D) mm | 426 (W) x 234 (H) x 445 (D) mm | 426 (W) x 234 (H) x 537 (D)mm
Weight of body | 13 kg | 16 kg | 28 kg
Dimensions of test head | 90 (W) x 24 (D) x 55 (H) mm (excluding protrusions) | 90 (W) x 24 (D) x 55 (H) mm (excluding protrusions) | 110 (W) x 28 (D) x 55 (H) mm (excluding protrusions)


Functional Difference from 4286A and 4287A

  • Measurement functions

  • Instrument State functions

Other topics about Differences from Agilent 4286A and 4287A

This section describes the functional differences between the 4286A, 4287A and E4982A based on the 4286A softkey tree. In the following tables, each check mark (√) shows that the function is provided.

Measurement functions

Function

4286A

4287A

E4982A

Remarks

Meas

Measurement parameter

Select Ls-Q

√

√

√

For one-point measurement with the 4287A and E4982A, a maximum of four measurement parameters are randomly selected for simultaneous display. User defined parameter is also available on E4982A.

Select Ls-D

√

√

√

Select Ls-Rs

√

√

√

Select Lp-Q

√

√

√

Select Lp-D

√

√

√

Select Lp-G

√

√

√

Select Lp-Rp

√

√

√

Select Cs-Q

√

√

√

Select Cs-D

√

√

√

Select Cs-Rs

√

√

√

Select Cp-Q

√

√

√

Select Cp-D

√

√

√

Select Cp-G

√

√

√

Select Cp-Rp

√

√

√

Select R-X

√

√

√

Select |Z|-Theta (deg)

√

√

√

Select |Z|-Theta (rad)

√

√

√

Select G-B

√

√

√

Select |Y|-Theta (deg)

√

√

√

Select |Y|-Theta (rad)

√

√

√

Display

Input Title

Type Title on Screen

√

√

√

Display Allocation

Select All Instruments

√

Because the 4287A and E4982A is not provided with the IBASIC function, neither Half Display nor Basic status setting is available.

Select Half Instrument Half Basic

√

Select All Basic

√

Select Basic Status

√

Display Measurement Data

ON/OFF

√

√

√

For 4287A and E4982A, ON/OFF is separately switchable for each piece of measured data.

Update Display

ON/OFF

√

√

The 4287A and E4982A are provided with a function that turns off update of the display in order to minimize the time needed to redraw the images on the screen display. For E4982A, a function that turns off periodic updates (redrawing) of the images on the display is provided in order to minimize the measurement time. When periodic updates is set to OFF, the image on the display is updated when the last point in the table is measured or a GPIB command (except for query command) is executed.

Calibration

CALIBRATION MENU

Run OPEN

√

√

√

The concept of calibration/compensation for the 4286A differs from that for 4287A and E4982A. In addition, for the 4286A, the compensation data for Rdc measurement is obtained together with that for calibration; for 4287A and E4982A, these data can be obtained separately.

Run SHORT

√

√

√

Run LOAD

√

√

√

Run LOW-LOSS CAPACITOR

√

√

√

Select CAL POINT [FIXED] Interpolation Mode

√

Because the interpolation mode is not supported for 4287A and E4982A, the FIXED mode is not available; it is always in USER mode.

Select CAL POINT [USER] user Mode

√

√

√

RESUME CAL SEQUENCE

√

√

√

For 4287A and E4982A, in the event the Run screen closes temporarily during the course of calibration/compensation, the processed calibration/compensation data will not be not cleared.

FIXTURE COMPEN

Run COMPEN OPEN

√

√

√

Run COMPEN SHORT

√

√

√

Run COMPEN LOAD

√

For 4287A and E4982A, LOAD compensation is not available; calibration should be used for this purpose.

Select COMPEN POINT [FIXED] Interpolation Mode

√

Because the interpolation mode is not supported for 4287A and E4982A, the FIXED mode is not available.

Select COMPEN POINT [USER] User Mode

√

√

√

The 4287A and E4982A are always in USER mode.

RESUME COM SEQUENCE Data Resume

√

√

√

For 4287A and E4982A, even when the Run screen closes temporarily in the course of calibration/compensation, the calibration/compensation data already processed is not cleared.

OPEN Compensation ON/OFF

√

√

√

SHORT Compensation ON/OFF

√

√

√

LOAD Compensation ON/OFF

√

For 4287A and E4982A, LOAD compensation is not available; calibration should be used for this purpose.

FIXTURE

Select SELECT FIXTURE 16191

√

√

√

16196A/B/C are provided with 4287A.

The 16196A/B/C/D and 16197A are provided with E4982A.

Select SELECT FIXTURE 16192

√

√

√

Select SELECT FIXTURE 16193

√

√

√

Select SELECT FIXTURE 16194

√

√

√

Select SELECT FIXTURE 16196A

√

√

Select SELECT FIXTURE 16196B

√

√

Select SELECT FIXTURE 16196C

√

√

Select SELECT FIXTURE 16196D

√

Select SELECT FIXTURE 16197A

√

SELECT FIXTURE USER

√

√

√

E4982A can define up to eight user fixtures.

Change and archive SAVE USER FIXTURE KIT

√

√

√

For 4287A and E4982A, the new setting takes effect immediately when change is made, without having to press a specific key.

MODIFY DEFINE EXTENSION

√

√

√

MODIFY LABEL FIXTURE

√

√

√

MODIFY KIT DONE (run)

√

√

√

CALIBRATION KIT

Use 7-mm CAL KIT

√

√

√

Use 3.5-mm CAL KIT

√

Use CAL KIT User Kit

√

√

√

Change and archive SAVE USER KIT

√

√

√

Input MODIFY OPEN G

√

√

√

Input MODIFY OPEN C

√

√

√

Input MODIFY SHORT L

√

√

√

Input MODIFY SHORT Rs

√

√

√

Input MODIFY LOAD L

√

√

√

For the 4286A, only Ls-Rs can be set for the equivalent circuit; whereas, for 4287A and E4982A, either Ls-Q or Cp-D can also be selected for the equivalent circuit.

Input MODIFY LOAD Rs

√

√

√

Change and Run STD DONE

√

√

√

The 4287A and E4982A is not provided with a specific key associated with this function; the setting runs as the data is input.

Input LABEL KIT Label

√

COMPEN KIT

Change and archive SAVE COMPEN KIT

√

√

√

For the 4286A, only one value can be set for all frequencies; for 4287A and E4982A, each list sweep frequency can be set.

Input MODIFY OPEN G

√

√

√

Input MODIFY OPEN C

√

√

√

Input MODIFY SHORT L

√

√

√

Input MODIFY SHORT Rs

√

√

√

Input MODIFY LOAD L

√

For 4287A and E4982A, LOAD compensation is not available, calibration should be used for this purpose.

Input MODIFY LOAD Rs

√

Change and Run STD DONE

√

√

√

PORT EXTENSION

Port Extension ON/OFF

√

Input Extension Value

√

Sweep Setup

SEGMENT

Set Segment

√

√

√

EDIT

√

√

√

DELETE

√

√

√

ADD

Set Frequency within SEGMENT FREQ Segment

√

√

√

Set AVG within AVERAGING ON POINT

√

√

√

SEGMENT QUIT

√

√

√

SEGMENT DONE

√

√

√

CLEAR LIST

Clear YES/NO List Sweep Tables

√

√

√

For 4287A and E4982A, tables can be cleared one by one, or all tables can be cleared at once.

LIST DONE

Complete Setting Of List Sweep Tables

√

√

√

Test Setup

LIMIT TEST MENU

Limit Test of PRI LIMIT ON/OFF Primary Parameter

√

The limit test function is not provided in the 4287A and E4982A, however it is provided in the 4286A.

Limit Test of SECLIMIT ON/OFF Secondary Parameter

√

Input Limit of EDIT PRI LIMIT Primary Parameter

√

Input Limit of EDIT SEC LIMIT Secondary Parameter

√

BIN SORT MENU

BIN SORT ON/OFF Comparator ON/OFF

√

√

√

The concept of the comparator function for 4287A and E4982A is completely different from that for the 4286A.

Select TEST SEGMENT

√

√

√

Limit Setting of EDIT BIN SORT Bin Sort

√

√

√

BEEP

Select the setting to generate a beep when a test result is PASS

√

√

√

Select the setting to generate a beep when a test result is FAIL

√

√

√

HANDLER IF

Output

√

√

√

MODE:

The 4286A is provided with two output lines for MODE1 and MODE2; the 4287A and E4982A are provided with one output mode because it is based on a comparator concept that is completely different from that of the 4286A.

ON/OFF:

The 4286A can be set up independently. The 4287A and E4982A are dependent on the ON/OFF of the comparator function and cannot be setup independently.

Monitor

AC-V

AC-V Monitor Display

√

√

√

AC-I

AC-I Monitor Display

√

√

√

Delay Time

Sweep Delay Time

Input the sweep delay time inserted first

√

√

√

Point Delay Time

Input the delay time inserted at each measurement point

√

√

√

Source

OSC LEVEL

Input Signal Level

√

√

√

The concept of setting the signal level differs between the 4286A, 4287A and E4982A.

Set the measure to V

√

√

√

Set the measure to I

√

√

√

Set the measure to dBm

√

√

√

Contact Check

Rdc Meas

Run Rdc Measurement (ON/OFF)

√

√

√

Perform Rdc Pass/Fail Decision (ON/OFF)

√

Input Upper Limit of Rdc Pass/Fail Decision

√

√

√

Input Lower Limit of Rdc Pass/Fail Decision

√

√

√

Trigger Mode

Sweep

Hold

√

Single Measurement

√

Continuous Measurement

√

√

√

Trigger

Free RUN Mode

√

√

√

External Trigger Mode

√

√

√

Manual Trigger Mode

√

√

√

BUS Trigger Mode

√

√

√

Trigger Event

Trigger at ON SWEEP

√

√

√

Trigger at ON POINT

√

Trigger at ON POINT is only supported for 4286A.

Trigger Polarity

Positive Edge Trigger

√

√

√

Negative Edge Trigger

√

√

√

Trigger

Trigger Button Used for Manual Trigger

√

√

√

Copy

Print

Output to GPIB Printer

√

For 4287A and E4982A, the printing function is not supported.

Plot

Set and Output Plotter Output

√

The 4287A and E4982A do not support output to a plotter.

Copy Abort

Copy Abort

√

√

The E4982A does not support all Copy functions.

Copy Time

Display Time of Copy (ON/OFF)

√

√

LIST VALUES

Display Measurement Points and Measured Values

√

√

OPERATING PARAMETERS

Display All Measurement Settings

√

√

CAL KIT DEFINITION

Display All Calibration Kit Settings

√

√

COMPEN KIT DEFINITION

Display All Compensation Kit Settings

√

√

LIST SWEEP TABLE

Display List Sweep Table Settings

√

√

LIMIT TEST MENU TEST TABLE

Display Limit Test Settings

√

√

BIN SORT MENU SORT TABLE

Display All Bin Sort (Comparator) Settings

√

√

Instrument State functions

Function |  |  | 4286A | 4287A | E4982A | Remarks
Save/Recall | Save File | Save File with STATE | √ | √ | √ |
 |  | Save File with AUTOREC | √ | √ | √ |
 |  | Save DATA Only (Binary) | √ | √ | √ |
 |  | Save DATA Only (ASCII) | √ | √ | √ |
 |  | Saved Contents of SAVE DATA, RAM | √ | √ | √ |
 |  | Saved Contents of CAL DATA, CAL | √ | √ | √ |
 |  | Saved Contents of SAVE DATA, DATA | √ | √ | √ |
 |  | Saved Contents of SAVE DATA, TRACE | √ | √ | √ |
 |  | Save Data Graphically | √ (HPGL) | √ (BMP) | √ (BMP/PNG) |
 | RECALL File | Read Contents of File | √ | √ | √ |
 | FILE UTILITIES | PURGE FILE | √ | √ | √ | For 4287A , executable only through the front panel (not executable with GPIB command).
 |  | CREATE DIRECTORY | √ | √ | √
 |  | CHANGE DIRECTORY | √ | √ | √
 |  | COPY FILE | √ | √ | √
 |  | INITIALIZE | √ | √ |
 |  | FORMAT LIF | √ |  |  |
 |  | FORMAT DOS | √ | √ | √ |
 | STORE DEV | Select Destination Disk or Memory | √ | √ | √ |
System | IBASIC | BASIC function | √ |  |  |
 | SET CLOCK | Set Clock | √ | √ | √ |
 | BEEPER | Run Beep (ON/OFF) | √ | √ | √ |
 |  | Run Beep When Warning Occurs (ON/OFF) | √ | √ | √ |
Local | SYSTEM CONTROLLER |  | √ |  |  |
 | ADDRESSABLE ONLY |  | √ | √ | √ | The 4287A and E4982A are always in addressable only mode.
 | SET ADDRESS | Set GPIB Address of Body | √ | √ | √ |
 |  | Set GPIB Address of Plotter | √ |  |  |
 |  | Set GPIB Address of Printer | √ |  |  |
 |  | Set Address of Controller | √ |  |  |
Preset |  | Run Preset | √ | √ | √ |
 |  | Undo Preset |  |  | √ |


Using Windows

  • Windows Consideration

  • Change Date/Time Settings

  • User Account and Password

  • On-Screen Keyboard

  • Configuring Network

  • Accessing Hard Disk of E4982A from External PC

  • Windows Firewall

  • Disabling-Enabling USB Mass Storage Device

  • Connecting External Accessories


Windows Consideration

  • Using USB

  • Plug & Play Stability and Security

  • LAN Connections

  • Single and Double Click Option

  • Printing

Other topics about Using Windows

Using USB

The E4982A has six USB ports for connecting devices: two on the front panel and four on the rear panel. The main advantages of USB are instant connect and disconnect, and faster data transfer speed.

The first time you plug a device into a USB port there is some wait time. Windows reports that it is identifying the hardware, then searches and installs the correct driver (if it is found).

Connecting the same device back into that same port later is quick and easy, but if you move the device to a different USB port, you will have to wait through the hardware ID and driver search again.

  • Certain USB devices require you to be logged on with Administrator's privileges, the first time you plug them into the E4982A. This must be done for each serial number. Click Next to choose the default settings when installing new USB devices.

  • Some USB memory devices may not operate on the E4982A. In that case, try other kinds of USB memory devices. There are some USB memory devices which do not work on the front panel USB ports, but works on the rear panel USB ports.

  • Agilent Technologies shall not be held responsible for, not assume any liability for data loss in your USB memory device after using it with the E4982A.

Plug & Play Stability and Security

Plug & Play capabilities provide both a stable and secured operating environment. You may also notice that it greatly reduces the number of required reboots.

LAN Connections

Windows supports DHCP and fixed IP addressing. Also, instant connect and disconnect of the LAN cable, as well as a visual indicator of LAN status in system tray area, makes LAN connections more intuitive. In addition, the Hardware Wizard helps users with system hardware configuration.

Single and Double Click Option

By default, Windows allows a double-click method of launching icons. To revert to single-clicking, see the Windows help.

Printing

Adding a printer should be done as Windows operation. See Connecting Printer.


Change Date/Time Settings

The E4982A has the built-in clock that keeps track of date and time. The clock is used for the following functions.

  • To display the current date and time in the instrument status bar at the lower part of the screen.

  • To write date and time information when saving internal data.

  • The Date & Time of E4982A can be changed by pressing System > Misc Setup > Set Date & Time....

Other topics about Using Windows


User Account and Password

  • To Change Password

  • To Add New User

Other topics about Using Windows

To Change Password

At the factory default setting, the account name is Instrument, the password is measure4u, and Auto Log On is activated. Once you change the password, Auto Log On is not available.

  1. Open User Accounts in Control Panel.

  2. Click Change an account.

  3. Select the icon of your account name.

  4. Click Change my password.

  5. Enter the current password, new password, new password again to confirm, and password hint.

  6. Click Change Password button.

  7. When the password of the account being logged in is changed, the above procedure is a little different.

To require users to press CTRL+ALT+DELETE before logging on

For added security, you can require users to press CTRL+ALT+DELETE before logging on.

  1. Open User Accounts in Control Panel.

  2. Click Change the way users log on or off.

  3. Check the Use the Welcome screen checkbox.

  4. Click Apply Options.

  5. Log off Windows.

  6. The E4982A must be removed from the domain for the procedure to work. When shipped, the E4982A is configured as a member of a workgroup. If the configuration of the E4982A is later changed so as to be a member of domain, then name/password must always be entered at startup. This is a security requirement of Windows.
  7. If the E4982A is assigned to a domain, then Change the way users log on or off is not available in User Accounts dialogue box.

To Add New User

The login accounts must be as the computer administrator if you make measurements.

  1. Open User Accounts in Control Panel.

  2. Click Create a new account.

  3. Enter the new account name, then click Next.

  4. Select Computer Administrator.

  5. Click Create Account button.

  6. Select the icon of your account name.

  7. Click Change password.

  8. Enter new password, new password again to confirm, and password hint.

  9. Click Change Password button.

  • The administrator authority is necessary for some functions in E4982A. Select computer administrator when you make the user account.


On-Screen Keyboard

  • Overview

  • To open Windows On-Screen Keyboard

Other topics about Using Windows

Overview

On-Screen Keyboard is a utility provided by Windows that displays a virtual keyboard on the screen. It allows the users of the E4982A to input characters without the need of a physical keyboard.

To open Windows On-Screen Keyboard

To open On-Screen Keyboard:

  • From windows start: Start > All Programs > Accessories > Accessibility > On-Screen Keyboard.

  • From softkey: System > Tools > On-Screen Keyboard...

  • On-Screen Keyboard can be assigned to the function keys.


Configuring Network

  • When you use the E4982A by connecting it to your LAN, consult your network administrator and make the setting of the LAN correctly.

This section describes how to set the following basic items necessary to connect the E4982A to the LAN (Local Area Network).

  • Enabling/Disabling Network

  • Check/Reset IP Address

  • Setting IP Address

  • Checking Computer Name

If you need detail network settings, consult your network administrator and perform operation in the same was as Windows PC.

Other topics about Using Windows

Enabling/Disabling Network

You can enable/disable the network connection function of the E4982A.

To enable/disable the network connection function

  1. Use the LAN cable to connect the E4982A to the LAN.

  2. Press System > Network Setup > Network Configuration... to open Network Connections window.

  3. Perform either of the following:

    1. When switching from disable to enable:
      Double-click the Local Area Connection icon in the Network Connections window to enable the network connection function.

    2. When switching from enable to disable:
      Right-click the Local Area Connection icon in the Network Connections window and select Disable to disable the network connection function.

  4. Close Network Connections window.

Check/Reset IP Address

The IP address of the E4982A can be checked/reset by:

System > Network Setup > LAN Dialog.

Setting IP Address

Follow these steps to set the IP address:

  1. Press System > Network Setup > Network Configuration...

  2. Double-click the Local Area Connection icon in the Network Connections window. The Local Area Connection Properties dialog box appears.

  3. Select Internet Protocal (TCP/IP), and then click Properties. The Internet Protocol (TCP/IP) Properties dialog box appears.

  4. Click Use the following IP address radio button and then enter the IP address, subnet mask and gateway address.

  5. If the IP address can be obtained automatically (if the DHCP server can be used), click Obtain an IP address automatically radio button.

  6. In Internet Protocol (TCP/IP) Properties dialog box, click OK.

  7. In Local Area Connection Properties dialog box, click OK.

  8. Close Network Connections window.

Checking Computer Name

Follow these steps to check the computer name:

  1. Press System > Network Setup > Network Identification.

  2. See the computer name in Computer description in Computer Name tab.


Accessing Hard Disk of E4982A from External PC

If you connect the E4982A to LAN, you can access the hard disk (D drive) in the E4982A as a network drive from an external PC connected to the same LAN.

  • Enabling the access from an external PC

  • Accessing hard disk of E4982A from external PC

  • E4982A Hard Disk Drive

Other topics about using Windows

Enabling the access from an external PC

This section shows the procedure to enable the access from the external PC.

  1. Press Save/Recall > File Utility which opens the User (D:) explorer.

  2. Click My Computer and select User (D:) and then click Properties in the File menu. The User (D:) Properties dialog box appears.

  3. Select the Sharing tab.

  4. Click New Share. The New Share dialog box appears.

  5. Enter the share name (name used when accessed from the external PC) in the Share Name box and click OK.

  6. In the User (D:) Properties dialog box, click OK.

Accessing hard disk of E4982A from external PC

This section describes the procedure to connect to the hard disk (D drive) in the E4982A to which access has been made possible according to the procedure described in Enabling the access from the external PC from the external PC, taking Windows as an example.

  • For information on connection, see your PC's operation manual.

  1. Right-click the start menu, then select Explore to start the explorer.

  2. From the Explorer's menu, click Tools > Map Network Drive.. The Map Network Drive dialog box appears.

  3. Select an appropriate drive, enter \\C_NAME\S_NAME as the network path and then click the Finish button.

    • The C_NAME is the computer name of the E4982A and S_NAME is the share name of the D drive.

  4. The dialog box to enter the user name and password appears. Enter an appropriate user name and password and then click OK.

    • The user name and password differ depending on the setting made when enabling access from the external PC.

E4982A Hard Disk Drive

The E4982A hard disk contains several memory partitions. The following table explains the different partitions of the E4982A.

Drive | Description
KRxxx (C:) | The system drive is replaced with the original image when system recovery is executed.
User (D:) | You can store your files in this drive. This drive is not replaced even when system recovery is executed.
Factory (E:) | This drive contains license information and back up data for syscal. The drive is not replaced even when system recovery is executed.
Swap (F:) | This folder is for system recovery. User cannot use this drive.


Windows Firewall

  • To Turn Windows Firewall ON/OFF

  • To Unblock the Remote I/O Server

Other topics about Using Windows

To Turn Windows Firewall ON/OFF

  1. Open Windows Firewall. To open Windows Firewall, open Control Panel, then double-click Windows Firewall.

  2. On the General tab, click one of the following:

    1. ON (recommended). This is the setting that you should normally use.

    2. OFF (not recommended). Turning OFF Windows Firewall might make your computer (and your network, if you are connected to one) more vulnerable to damage from viruses.

To Unblock the Remote I/O Server

To use SICL-LAN, the Agilent Remote I/O Server and Agilent Remote I/O Port Mapper Utility must be unblocked. To use telnet and socket servers, the E4982A LCR Meter must be unblocked.

  • By default, the following settings are unblocked. System > Network Setup > Telnet Server > ON and SICL-LAN > ON.

To use SICL-LAN:

  1. Select the Agilent Remote I/O Server and Agilent Remote I/O Port Mapper Utility check boxes on the Exceptions tab in Windows Firewall dialog box.

  2. Click the OK button to apply the setting of exceptions.

To use telnet and socket servers:

  1. Select the Agilent E4982A LCR Meter check box on the Exceptions tab in Windows Firewall dialog box.

  2. Click the OK button to apply the setting of exceptions.

Exceptions tab in Windows Firewall dialog box


Disabling-Enabling USB Mass Storage Device

You can disable/enable any USB-compatible mass storage devices in order to ensure confidentiality or for other reasons.

  • To disable a USB Mass Storage Device

  • To enable a USB Mass Storage Device

  • To disable write access to USB Mass Storage Device

Other topics about Using Windows

To disable a USB Mass Storage Device

  1. Press Save/Recall.

  2. Click File Utility... and navigate to D:\Agilent\Service.

  3. Double-click DisableUsbStorage.exe.

  4. Click OK in the SUCCEEDED message window that appears. If any USB mass storage device is connected to the E4982A under this condition, the Hardware Wizard will start, but the USB mass storage device will not work.

To enable a USB Mass Storage Device

  1. Press Save/Recall.

  2. Click File Utility... and navigate to D:\Agilent\Service.

  3. Double-click EnableUsbStorage.exe.

  4. Click OK in the SUCCEEDED message window that appears.

  • If you do not want any USB mass storage device to ever be enabled at any time, delete EnableUsbStorage.exe from the E4982A after DisableUsbStorage.exe has been completed.
    These two programs will not be recovered automatically by applying the firmware update or other such function. Before deleting any of these programs, you should make a backup copy to a recording medium such as a USB memory and store it separately.
  • If the program fails to run, it is possible that you have not logged in as a user in the Administrators Group. When you want to execute any of the above programs, make sure to log in as a user in the Administrators Group.

To disable write access to USB Mass Storage Device

  1. Press Save/Recall.

  2. Click File Utility... and navigate to D:\Agilent\Service.

  3. Double-click ReadOnlyUsbStorage.exe.

  4. Click OK in the SUCCEEDED message window that appears.

  5. The ReadOnlyUsbStorage.exe does not allow you to save the file into USB memory from E4982A HDD.


Connecting External Accessories

The E4982A can be connected to external input/output devices such as printer, monitor, keyboard and mouse.

  • Connecting a Printer

  • Connecting a Mouse/Keyboard

  • Connecting a Monitor

Other topics about Using Windows

Connecting a Printer

A printer can be connected to the E4982A through any USB port on the front or rear panels. Its driver may be required to install.

Connecting a Mouse/Keyboard

A USB mouse and USB keyboard can be connected to the E4982A through any USB port on the front or rear panels.

Connecting a Monitor

A monitor can be connected to the E4982A using the External Monitor Output Port located on the rear panel of the E4982A.

  • An external monitor needs to be connected to the LCR meter and turned ON before the LCR meter is turned ON so that the LCR meter recognizes the monitor properly.


Programming

  • Remote Control

  • Command Reference


Remote Control

  • Overview

  • Specifying Measurement Conditions

  • Preparing for Accurate Measurement

  • Starting Measurement Cycle (Triggering) and Detecting End of Measurement

  • Retrieving Measurement Results

  • Sorting DUTs Based on Measurement Results

  • Statistical Analysis of Measurement

  • Saving and Recalling Files

  • Error Handling

  • Connecting the Instrument to a Handler with the Handler Interface

  • Status Reporting System

  • E4982A vs 4286A and 4287A GPIB Commands Correspondence Table

  • Sample Programs


Overview

  • Types of Remote Control System

  • GPIB Remote Control System

  • LAN Remote Control System

  • USB Remote Control System

  • Sending SCPI Command Messages

  • LXI


Types of Remove Control System

Types of Remote Control System

Depending on the system controller and interface, you can configure 3 types of remote control systems as shown in the table below.

System Controller | Interface | Overview
External controller (external computer such as PC and workstation) | GPIB (talker/listener mode) | System to control the E4982A and other devices connected via GPIB from the external controller. For more information, refer to GPIB remote control system.
 | LAN | System to control the E4982A and other devices connected via LAN from the external controller. For more information, refer to LAN remote control system.
 | USB | System to control the E4982A and other devices connected via USB from the external controller. For more information, refer to USB remote control system.

Other topics about Overview


GPIB Remote Control System

  • About GPIB

  • System Configuration

Other topics about Overview

About GPIB

GPIB (General Purpose Interface Bus) is an interface standard for connecting computers and peripherals, which supports the following international standards: IEEE 488.1, IEC-625, IEEE 488.2, and JIS-C1901. The GPIB interface allows you to control the Agilent E4982A from an external computer. The computer sends commands and instructions to the E4982A and receives data sent from the E4982A via GPIB.

System Configuration

Use GPIB cables to connect between the E4982A, the external controller (computer), and peripherals. The following figure shows the overview of the system configuration of the GPIB remote control system.

Configuration of the GPIB remote control system

  • While the E4982A is turned OFF, the SRQ status of the E4982A is active. To prevent an incorrect operation on the SRQ of the GPIB remote control system, disconnect the E4982A from the system when the E4982A is turned OFF.

Required Equipment

  • E4982A

  • External controller (PC or workstation that can be connected to LAN and Agilent I/O Library is installed into)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • GPIB cables

Scale of system you can construct

  • You can connect up to 15 devices in a single GPIB system.

  • The length of cables to connect between devices must be 4 m or less. The total length of connecting cables in a single GPIB system must be 2 m x the number of connected devices (including the controller ) or less. You cannot construct the system in which the total cable length exceeds 20 m.

  • The number of connectors connected to an individual device must be 4 or less. If you connect 5 or more connectors, excessive force is applied to the connector part, which may result in failure.

  • You can choose the device connection topology from star, linear, and combined. Loop connection is not supported.

Device selector

The device selector is a unique value assigned to each device that is used by the controller to select the control target (to send/receive messages) among devices connected to the GPIB remote control system.

The device selector consists of a select code (usually, 7) and a GPIB address. For example, when the select code is 7 and the GPIB address is 17, the device selector is 717. The select code must be set for each system. The GPIB address must be set to a unique value for each device, which is used to identify devices on the same system. In the description and sample programs in this manual, it is assumed that the device selector is set to 717.

Setting the GPIB address of E4982A

To set the GPIB address for talker/listener mode, see Checking and Editing the GPIB Address.


LAN Remote Control System

  • Overview

  • System Configuration

  • Required Equipment

  • Control over SICL-LAN Server

  • Control using C or Visual Basic

  • Control using Agilent VEE

  • Control with Telnet Server

Other topics about Overview

Overview

The LAN (Local Area Network) remote control system provides two methods: controlling the E4982A using the SICL-LAN server and controlling the E4982A using the telnet server.

System Configuration

Use a LAN cable to connect between the E4982A and the external controller (computer). The following figure shows the overview of the system configuration of the LAN remote control system.

Configuration of the LAN remote control system

Required Equipment

  • E4982A

  • External controller (PC or workstation that can be connected to LAN)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • LAN cables

Control over SICL-LAN Server

In the control system using the SICL-LAN server, communication between the external controller (client) and the E4982A (server) is performed using the SICL-LAN protocol. Communication is performed using SICL (Standard Instrument Control Library). You can control the E4982A by programming using SICL or VISA with the C language in the UNIX environment, or Visual C++, Visual Basic, or VEE in the Windows environment.

Preparing the E4982A

To communicate with the external controller, follow these steps to turn on the SICL-LAN server of the E4982A in advance.

  1. Turn on the SICL-LAN server of the E4982A.
    System > Network Setup > SICL-LAN > ON

    • By default, the SICL-LAN server is turned ON.

  2. The SICL-LAN configuration changes takes effect only after the firmware of E4982A is restarted.

  3. Set the GPIB address of the E4982A for control with the SICL-LAN server. "XX" represents an address number.
    System > GPIB Address > XX

Preparing the external controller

In order to establish communication to the E4982A using the TCP/IP protocol, you need to set the I/O interface of the external controller in advance. This section shows the setting procedure when using the external controller in the Windows environment.

  • You must install the Agilent I/O Libraries on your PC in advance. Use Agilent I/O Libraries Suite 14.2 or later.

  1. From your PC's Start menu, click Program > Agilent I/O Libraries Suite > Agilent Connection Expert to open the Agilent Connection Expert setting screen.

  2. In the Agilent Connection Expert setting screen, select LAN(TCPIP0) in the Instrument I/O on this PC frame, and then click I/O Configuration > Add Instrument.

  3. In the Add LAN Instrument screen, click Add Address and select Use IP Address. Enter the IP address of the E4982A and click OK.

  4. In the Agilent Connection Expert screen, check that the E4982A has been added under LAN(TCPIP0) in the Instrument I/O on this PC frame.

Control using C or Visual Basic

You can control the E4982A by programming using SICL with the C language in the UNIX environment, or Visual C++ or Visual Basic in the Windows environment.

Control using Agilent VEE

Agilent VEE allows you to control the E4982A via the I/O interface. The following example shows how to control the E4982A that is set as follows: the address of the SICL-LAN server is 17 and the IP address is 141.183.233.185.

  • When using Agilent VEE for PC, use Agilent VEE Pro 7.5 for Windows or later.

  1. On the Agilent VEE's I/O menu, click Instrument Manager.

  2. In Instrument Manager, click Add...

  3. A new windows appears for the selection of Interface Type. Select TCPIP and click OK.

  4. In Instrument Properties, type any name for the Instrument in Name (for example: E4982A), and add TCPIP0::<IP Address> in the TCPIP Address, where <IP Address> is the IP address for E4982A. For example, if the IP address for E4982A is 141.183.233.185, then the value for TCPIP Address would be TCPIP0::141.183.233.185. Click OK after entering all parameters.

  5. The Instrument Manager displays the connection with E4982A.

The following figure shows an example of control using the I/O interface that has been set in the above procedure.

Control with Telnet Server

In the control system over telnet server, communications are performed through connection between the sockets provided by the processes of the external controller and the E4982A to establish a network path between them.

A socket is an endpoint for network connection; port 5024 and port 5025 are provided for the sockets for the E4982A. Port 5024 is provided for conversational control using telnet (user interface program for the TELNET protocol) and port 5025 for control from a program.

  • To use telnet, port 5024 and 5025 should be opened through Windows Firewall.

  • By opening port 5024 and 5025, the E4982A can be controlled remotely using telnet. It is recommended to close port 5024 and 5025 after usage from security perspective.

Preparing the E4982A

To communicate with the external controller, follow these steps to turn on the telnet server of the E4982A in advance.

System > Network Setup > Telnet Server > ON

Conversational control using telnet (using port 5024)

You can use telnet to perform conversational control by sending SCPI commands to the E4982A on a message-by-message basis. For telnet, the socket of port 5024 is used for communications.

In this example, in order to show you the control procedure using telnet, you control the E4982A (IP address: 141.183.233.185 and host name: e4982a) from the external controller in the Windows environment.

  1. Open the MS-DOS command prompt screen.

  2. At the MS-DOS prompt, type telnet 141.183.233.185 or telnet e4982a and press the return key.

  3. The telnet screen opens.

  4. Type telnet<ip>5024 or telnet<hostname>5024.

  5. Type a command and press the return key; it is sent to the E4982A and executed. If you enter a command that queries some data, the query response is displayed below the line you have entered the command.

  6. Press ] while holding down Ctrl in the telnet screen to break the connection to the E4982A. The telnet prompt appears. At the telnet prompt, type quit and press the Enter key. The connection to the E4982A breaks and telnet finishes.

Control from a program (using port 5025)

When controlling the E4982A from a program on the external controller, use the socket of port 5025 for connection.

  • Some functions such as service requests that are available in the GPIB remote control system are not available in control over telnet server.

Control using C or Visual Basic

You can control the E4982A by socket programming using the C language in the UNIX environment, or Visual C++ or Visual Basic in the Windows environment.

For socket programming, the library for network connection on the TCP/IP protocol is required. For the UNIX environment, BSD (Berkeley Software Distribution) Sockets API is available; for the Windows environment, WinSock (WinSock1.1 and WinSock2.0) created by porting BSD Sockets to Windows and expanding it is available.

Control using Agilent VEE

Agilent VEE allows you to control the E4982A through the connection to the socket of port 5025 using To/From Socket. The following figure shows an example (when the IP address of the E4982A is 192.168.0.3). Enter 5025 in Connect Port to specify the port for connection(1 in the following figure) and enter the IP address or host name of the E4982A in the field to specify the Host Name (2 in the following figure).


USB Remote Control System

  • Overview

  • System Configuration

Other topics about Overview

Overview

The USB (Universal Serial Bus) remote control system provides device control via USB, which is equivalent to control via GPIB. Connection is made through an interface in compliance with USBTMC-USB488 and USB 2.0.

System Configuration

The USB remote control system controls instruments that use the name "alias". There is no such address for GPIB connections.

Use a USB cable to connect the E4982A to an external controller (personal computer). The following figure shows an overview of the system configuration for the USB remote control system.

USB Remote Control System Configuration

Required Equipment

  • E4982A

  • External controller (PC with USB host port (type A))

  • Other USB compatible devices (instruments and/or peripherals for specific purposes)

  • USB cable connecting E4982A and external controller (with type A/4-prong male or type B/4-prong male connectors depending on device used).

USB Port Types

There are two standard types of USB ports. The external controller (PC) must be connected via the USB host port (type A), while the E4982A and other USB compatible devices must be connected via the USB interface port (type B).

Port Type | Description
 | Type A: USB host port
 | Type B: USB (USBTMC) interface port

Preparing E4982A

You do not have to configure any softkey or command of the E4982A in order to control the E4982A from an external controller. Simply connect a USB cable to the USB interface port.

Preparing External Controller

In order to establish communication with the E4982A via USB, you must set up the I/O interface of the external controller in advance. The USB can identify devices automatically, so once you connect a USB cable to a target device, a dialog box will appear for USB device registration.

  • The E4982A will be identified as new device if its serial number has been changed.

  • You must install the Agilent I/O Libraries on your PC in advance. Use Agilent I/O Libraries Suite 14.2 or later.

1. Setting E4982A when USB Cable Is Connected

  1. When new device is connected via USB cable, the following dialog box will appear automatically. Select No, not this time, and then click Next.

  2. Select Install the software automatically (Recommended), and then click Next.

  3. The drivers for E4982A are automatically installed and the completion screen appears. Click Finish to complete the process.

  4. If you use Agilent I/O libraries 14.x and below, after finishing the setting, the Assign USB device alias dialog box appears. Check When a new USB device is plugged in., click OK.

  • When the device is detected at the different USB port, the New Hardware Search Wizard will start. Follow the instruction to implement the processing.

2. Changing Alias on Setting Screen

The following steps are using the Agilent I/O Libraries Suite 15.

  1. From the Start menu of your PC, click Programs > Agilent IO Libraries Suite > Agilent Connection Expert to open the Config setting screen.

  2. In the Config setting screen, select the alias names from USB0 onward in the Instrument I/O on this PC frame, and then use the Change Properties from I/O Configuration on the menu bar.

Changing Alias

  • For alias, use the ASCII format less than 127 digits. Alias is upper/lower case insensitive.

Control using C or Visual Basic

You can control the E4982A by programming use Visual C++ or Visual Basic in the Windows environment as well as SICL/VISA. For further information on controlling the E4982A, see the manual of SICL or VISA. Use Agilent I/O Libraries Suite 14.2 or later.

You may use alias in programming using SICL/VISA.

The following example shows an OPEN command to control the E4982A to which alias is given as E4982A_USBIF.

SICL | id = iopen("E4982A_USBIF")
VISA | viOpen(...,"E4982A_USBIF",...)
  • For further details of the programming using SICL/VISA, see the SICL Users Guide or the VISA Users Guide.

Control using Agilent VEE

Agilent VEE allows you to control the E4982A via the direct I/O interface. The following example shows how to control the E4982A to which alias is given as E4982A_USBIF.

  • When using Agilent VEE for PC, use Agilent VEE Pro 7.5 for Windows or later versions.

  1. On the Agilent VEE's I/O menu, click Instrument Manager.

  2. In Instrument Manager, click Add.

  3. A new windows appears for the selection of Interface Type. Select USB and click OK.

  4. In Instrument Properties, type any name for the instrument in Name (for example: E4982A_USBIF), and add USB address in the USB Address. Click OK after entering all the parameters.

    • The USB address can be retrieved from Agilent Connection Expert.

  5. The E4982A successfully appears in the Instrument Manager.


Sending SCPI Command Messages

  • Type and Structure of Commands

  • Grammar of Messages

  • Remote Mode

Other topics about Overview

Type and Structure of Commands

The SCPI commands available for the E4982A are classified into 2 groups as follows.

E4982A commands

Commands specific to the E4982A. They cover all measurement functions that the E4982A has and some general-purpose functions. The commands in this group are arranged in a hierarchical structure called the command tree. Each command consists of character strings (mnemonics) indicating each hierarchical level and colon (:) separators between hierarchical levels.

IEEE common commands

Commands to cover general-purpose functions defined in IEEE488.2 that are available commonly to instruments that support this standard. The commands in this group have an asterisk (*) at the beginning. For the commands in this group, there are no hierarchical structures.

Concepts of the command tree

The commands at the top of the command tree are called "root command" or simple "root". To access lower level commands in the tree, you need to specify a specific path like a directory path in the DOS file system. After power-on or reset, the current path is set to the root. Special characters in messages change the path setting as described below.

Message terminator

A message terminator such as the <new line> character sets the current path to the root.

Colon (:)

A colon between 2 command mnemonics lowers the level of the current path in the command tree. A colon used as the first character of a command specifies the command mnemonics that follows the root-level command.

Semicolon (;)

A semicolon does not change the current path and separates 2 commands in the same message.

The following figure shows an example of how to use colons and semicolons to efficiently access commands in the command tree.

Using colons and semicolons

Grammar of Messages

This section describes the grammar to send program messages via GPIB. Program messages are messages that the user sends to the instrument from the external controller to control the instrument. A program message consists of 1 or more commands and their necessary parameters.

Upper/lower case sensitivity

Upper/lower case insensitive

Program message terminator

A program message must be terminated with one of the 3 program message terminators: <new line>, <^END>, or <new line><^END>. <^END> indicates that EOI on the GPIB interface becomes active at the instant when the immediate previous data byte is sent. For example, the OUTPUT command of HTBasic automatically sends the message terminator after the last data bye.

Parameters

A space (ASCII code: 32) is required between a command and its first parameter. When sending several parameters in a single command, separate each parameter with a comma (,).

Message including several commands

When sending 2 or more commands in a single message, separate each command with a semicolon (;). The following example shows how to send the *CLS command and the :STAT:PRES command in a single message using HTBasic.

OUTPUT 717; "*CLS;:STAT:PRES"

Remote Mode

The E4982A does not provide remote mode. Therefore, even if you send a GPIB command, it never enters into remote mode automatically. There is no local key to release remote mode.

If you need to prevent misoperation during remote control due to entry from the front panel or mouse, lock the input devices using the following commands.

  • :SYST:KLOC:KBD

  • :SYST:KLOC:MOUS


LXI

The E4982A is LXI-C compliant.

About LXI

LXI (LAN eXtensions for Instrumentation) is the LAN-based successor to GPIB and combines the advantages of Ethernet with the simplicity and familiarity of GPIB. The key features of LXI are as follows:

  • The speed, simplicity, worldwide reach, low cost, ongoing enhancement and backward compatibility of LAN.

  • Quick, easy configuration through the intuitive web interface built into compliant instruments.

  • Simplified programming and greater software reuse through IVI drivers.

  • The ability to create hybrid systems that include LXI, GPIB, VXI, PXI, CANbus, etc.

  • Enhanced system performance and event handling via hardware and LAN-based triggering modes.

  • Synchronization of local and remote instruments through the IEEE 1588 precision time protocol.

  • For more information on LXI, please visit www.lxistandard.org

Checking LXI Compliance

The E4982A having LXI compliance will show a LXI logo at the start up screen of the firmware [image]. If this logo does not appear at the start up screen of the firmware, it means that the system is not LXI-C compliant.

Other topics about Overview


Specifying Measurement Conditions

  • Setting Measurement Parameters

  • Setting Measurement Point Setup Tables

  • Choosing Whether to Measure the DUT as a Single Point or Multiple Points

  • Configuring the Instrument for Rdc Measurement

  • Setting How the Instrument Displays Measurement Results

  • Configuring Screen Display


Setting Measurement Parameters

You can assign measurement parameters 1 through 4 (:PAR1, :PAR2, :PAR3, :PAR4) independently of the other parameter settings. To set measurement parameters, use the following command:

  • :CALC:PAR{1-4}:FORM

You can configure the instrument to measure the parameters shown in the table below:

Parameter | Parameter label on screen | Description
Z | |Z| | Impedance amplitude (absolute value)
Y | |Y| | Admittance amplitude (absolute value)
LS | Ls | Equivalent series inductance
LP | Lp | Equivalent parallel inductance
CS | Cs | Equivalent series capacitance
CP | Cp | Equivalent parallel capacitance
RS | Rs | Equivalent series resistance
RP | Rp | Equivalent parallel resistance
Q | Q | Q value (inverse of dissipation factor)
D | D | Dissipation factor
X | X | Equivalent series reactance
R | R | Resistance
G | G | Equivalent parallel conductance
B | B | Equivalent parallel susceptance
TZR | θz (rad) | Impedance phase (in radians)
TZD | θz (deg) | Impedance phase (in degrees)
TYR | θy (rad) | Admittance phase (in radians)
TYD | θy (deg) | Admittance phase (in degrees)
USER1 to USER4 | Γ(db), Γ(deg), I-mon, V-mon (Default) | User parameters

Sample Program

See Measurement Conditions.

Other topics about Setting Measurement Conditions


Setting Measurement Point Setup Tables

Setting Measurement Point Setup Tables (Signal Source and Averaging Factor)

You can use up to eight measurement point setup tables (Tables 1 through 8) to define the signal source and averaging factor for each measurement point. Each measurement point setup table can contain up to 201 measurement points.

When you set measurement points, new settings are applied to the active table. To select the active table, use the following command:

  • :SOUR:LIST:TABL

When you manually configure the measurement point setup table, you must add each measurement point to the table and define the various conditions that apply to the specific measurement point. On the other hand, when you use an external controller to configure a measurement point setup table, you can use the following command to define all the measurement points in the active table at once:

  • :SOUR:LIST

You can use the following command to set the unit for the signal source level:

  • :SOUR:UNIT

To change only the averaging factor after completion of the calibration/compensation, you may execute the :SOUR:LIST command by specifying the parameter so that only the averaging factor will change with the frequency and signal source level identical to the current settings. In this case, calibration and compensation will be turned OFF automatically; you will need to rerun calibration and compensation.

If you need to change only the averaging factor after completion of calibration or compensation, use the following command:

  • :AVER:COUN

Execution of the :AVER:COUN command does not turn OFF calibration or compensation automatically.

To delete all entries from each table, issue the following command:

  • :SOUR:LIST:CLE

  • Issuing this command initializes all of the tables (Tables 1 through 8), regardless of which table is currently active.

To check the number of measurement points defined in the active table, use the following command:

  • :SOUR:LIST:SIZE?

Sample Program

See Measurement Conditions.

Other topics about Setting Measurement Conditions


Choosing Whether to Measure the DUT at a Single Point or Multiple Points

Before starting a measurement session with the E4982A, you need to choose whether to measure the DUT at all points defined in the table or at a single point, that is, list measurement versus single-point measurement. To make this selection, use the following command:

  • :SOUR:LIST:STAT

In list measurement, you can select the display modes, list mode or plotting mode.

  • :DISP:LIST:TYPE

When you choose single-point measurement, you must specify the measurement point, which must be one of the measurement points defined in the active table. To specify the single point measurement point, use the following command:

  • :SOUR:LIST:POIN

Sample Program

See Measurement Conditions.

Other topics about Setting Measurement Conditions


Configuring the Instrument for Rdc Measurement

  • Turning ON/OFF the Rdc Measurement Function

  • Turning ON/OFF the Offset Cancel Function

  • Setting the Limit Range for Rdc Measurement

Other topics about Setting Measurement Conditions

Turning ON/OFF the Rdc Measurement Function

To specify whether to perform Rdc measurement, use the following command:

  • :SOUR:LIST:RDC

When the bin sorting function is enabled, turning ON Rdc measurement enables the test function that determines whether the result of Rdc measurement falls within the limit range.

Turning ON/OFF the Offset Cancel Function

You can instruct the instrument to turn ON or OFF the offset cancel function by using the following command:

  • :SOUR:LIST:RDC:OFSC
  • To use the offset cancel function, turn ON the offset cancel function before measuring calibration/compensation data.

Setting the Limit Range for Rdc Measurement

To set the limit range for Rdc measurement, use the following command:

  • :CALC:COMP:RDC:LIM

Sample Program

See Measurement Conditions.


Setting How the Instrument Displays Measurement Results

Setting How the Instrument Displays Measurement Results (Enabling/Disabling Deviation Measurement Mode)

You can have the instrument display measurement results as absolute values or as deviations relative to the reference value (deviation measurement mode). You can change this setting for each of the measurement parameters 1 through 4 (:PAR1 through :PAR4). To make this selection, use the following command:

  • :CALC:PAR{1-4}:EXPR:STAT

In deviation mode, you can set the instrument to display deviations as they are or as percentages relative to the reference value. To make this selection, use the following command:

  • :CALC:PAR{1-4}:EXPR:NAME

To set the reference value for deviation mode, use the following command:

  • :CALC:PAR{1-4}:EXPR:CENT

How the instrument displays results differs according to the settings made with the above two commands, as summarized in the table below:

Setting with the :CALC:PAR{1-4}:EXPR:STAT command | OFF or 0 | ON or 1
Setting with the :CALC:PAR{1-4}:EXPR:NAME command | - | DEV | PCNT
How measurement results are displayed | Meas | Meas - Ref | (Meas - Ref) / Ref × 100

Where Meas and Ref mean the following:

Meas: Measured value

Ref: Reference value (set with the :CALC:PAR{1-4}:EXPR:CENT command)

  • When you use a GPIB command, such as :FETC? to retrieve measurement values, the above settings are applied to the values.

  • When you are using the bin sorting function, original measurement results are used, regardless of the above settings.

Sample Program

See Measurement Conditions.

Other topics about Specifying Measurement Conditions


Configuring Screen Display

  • Configuring the Display of Measurement Results

  • Setting the Display Items on the List Measurement Screen

  • Turning ON/OFF the Display

  • Turning ON/OFF the Backlight of the LCD Screen

  • Showing or Hiding the Title

  • Turning ON/OFF the Date Display

Other topics about Specifying Measurement Conditions

Configuring the Display of Measurement Results

Showing/hiding all measurement results

You can instruct the instrument to show or hide the entire set of measurement results, which includes the measurement results for measurement parameters 1 through 4, test signal level monitoring, and Rdc measurement. To do so, use the following command:

  • :DISP:TEXT1

Configuring the display of individual values

You can set the following display attributes for each value:

  • Number of digits

  • Whether to fix the decimal point

  • Most significant digit when the value is displayed with the decimal point fixed

  • Whether to show or hide the value

To set the above display attributes, use the commands listed in the table below.

 | Results for measurement parameters :CALC1:parameter 1 :CALC2:parameter 2 :CALC3:parameter 3 :CALC4:paramter 4 | Results of test signal level monitoring :CALC11:current level :CALC12:voltage level | Result of Rdc measurement
Number of digits | :DISP:TEXT1:CALC{1-4}:DIG | :DISP:TEXT1:CALC{11-12}:DIG | :DISP:TEXT1:CALC13:DIG
Whether to fix decimal point | :DISP:TEXT1:CALC{1-4}:FIX | :DISP:TEXT1:CALC{11-12}:FIX | :DISP:TEXT1:CALC13:FIX
Most significant digit when decimal point is fixed | :DISP:TEXT1:CALC{1-4}:MSD | :DISP:TEXT1:CALC{11-12}:MSD | :DISP:TEXT1:CALC13:MSD
Whether to show or hide value | :DISP:TEXT1:CALC{1-4} | :DISP:TEXT1:CALC{11-12} | :SOUR:LIST:RDC *1

*1. This command not only sets whether to show or hide the result of Rdc measurement but also whether to turn ON or OFF the Rdc measurement function. You cannot use the command to only show or hide the Rdc result.

Setting the Display Items on the List Measurement Screen

To define each of the seven display items (:LAB1 through :LAB7) that appear on the list measurement screen, use the following command:

  • :DISP:TEXT2:LAB{1-7}

Turning ON/OFF the Display

You can instruct the instrument to show or hide all of the displayed items except the menu bar by using the following command:

  • :DISP

Turning ON/OFF the Backlight of the LCD Screen

You can instruct the instrument to turn ON or OFF the backlight of the LCD screen by using the following command:

  • :DISP:BACK

If the backlight is OFF, you cannot read displayed information on the screen.

Showing or Hiding the Title

To choose whether to show or hide the title display area (the topmost area on the screen), use the following command:

  • :DISP:TEXT10

To define the title string that appears in the title display area, use the following command:

  • :DISP:TEXT10:DATA

Turning ON/OFF the Date Display

To choose whether to show or hide the current date and time in the extreme right of the status display area, use the following command:

  • :DISP:TEXT11

Also, you can choose whether to automatically update the time display in increments of 1 minute as time elapses or keep the day, hour and minute set to the date/time when you turned on the display. To make this selection, use the following command:

  • :DISP:TEXT11:MODE

Sample Program

See Measurement Conditions.


Preparing for Accurate Measurement

  • Performing Calibration

  • Selecting a Test Fixture (Port Extension Compensation)

  • Running the Compensation Process


Performing Calibration

  • Setting Calibration Kit Values

  • Measuring Data for Calculating Calibration Coefficients and Turning ON Calibration Function

  • Preventing Operational Errors When Measuring Data for Calculating Calibration Coefficients

  • Saving or Recalling Calibrated State (Retrieving or Writing Calibration Coefficients)

Other topics about Preparing for Accurate Measurements

Setting Calibration Kit Values

You can select either the E4982A option 700 (16195B 7-mm calibration kit) or a user-defined calibration kit. To make this selection, use the following command:

  • :CORR1:CKIT

If you opt to use a user-defined calibration kit, you need to specify how you define the calibration kit and then enter the definitions.

Choosing the definition method (fixed or point-by-point)

  • :CORR1:CKIT:LIST

Entering definitions

To define the OPEN, SHORT and LOAD standards, use the commands listed in the table below.

 | Impedance value | Rdc value | Offset delay time
OPEN | :CORR1:CKIT:STAN1:LIST | :CORR1:CKIT:STAN1:DC | :CORR1:CKIT:STAN1:EDEL
SHORT | :CORR1:CKIT:STAN2:LIST | :CORR1:CKIT:STAN2:DC | :CORR1:CKIT:STAN2:EDEL
LOAD | :CORR1:CKIT:STAN3:LIST | :CORR1:CKIT:STAN3:DC | :CORR1:CKIT:STAN3:EDEL

When you define the impedance value for the LOAD standard, you can choose one of the available parameter types by using the following command:

  • :CORR1:CKIT:STAN3:FORM

Measuring Data for Calculating Calibration Coefficients and Turning ON Calibration Function

To measure the data for calculating the calibration coefficients, use the following command:

  • :CORR1:COLL

This command obtains the data needed for calculating the calibration coefficients for both impedance and Rdc measurements. If you want to obtain the data for either impedance or Rdc measurement alone, use one of the following commands instead:

  • :CORR1:COLL:RF

  • :CORR1:COLL:DC

  • Issuing the :CORR1:COLL, :CORR1:COLL:RF, or :CORR1:COLL:DC command does not trigger the instrument to begin data measurement. Therefore, unless the trigger source is Internal trigger, you must trigger the instrument after issuing the command.

After obtaining the data for calculating the calibration coefficients for all of the OPEN, SHORT and LOAD standards (including the data for both impedance and Rdc measurements), issue the following command to calculate the calibration coefficients and turn on the calibration function:

  • :CORR1:COLL:SAVE
  • You cannot directly turn ON or OFF the calibration function.
  • Instead, the calibration function is automatically turned ON when you issue the :CORR1:COLL:SAVE command after measuring the data required for calculating the calibration coefficients.
  • Also, the calibration function is automatically turned OFF when you reset the instrument with the :SYST:PRES command or the *RST command or when you configure the measurement point setup table with the :SOUR:LIST command.
  • To check whether the calibration function is currently ON or OFF, use the following command:
    :CORR1?

To define the standard values with the commands described so far, follow these steps:

If you use the same standards for both impedance and Rdc measurements or you omit Rdc measurement:

  1. Connect the OPEN standard and then issue the :CORR1:COLL command, which designates STAN1 as the parameter. If the trigger source is not Internal trigger, you must trigger the instrument after issuing the command, This applies to steps 2 through 4 as well.

  2. Connect the SHORT standard and then issue the :CORR1:COLL command, which designates STAN2 as the parameter.

  3. Connect the LOAD standard and then issue the :CORR1:COLL command, which designates STAN3 as the parameter.

  4. To measure a low-loss capacitor, connect the low-loss capacitor and then issue the :CORR1:COLL or :CORR1:COLL:RF command, which designates STAN4 as the parameter.

  5. Issue the :CORR1:COLL:SAVE command.

If you use different standards for impedance and Rdc measurements:

  1. Connect the OPEN standard for impedance measurement and then issue the :CORR1:COLL or :CORR1:COLL:RF command, which designates STAN1 as the parameter. If the trigger source is not Internal trigger, you must trigger the instrument after issuing the command. This applies to steps 2 through 7 as well.

  2. Connect the SHORT standard for impedance measurement and then issue the :CORR1:COLL or :CORR1:COLL:RF command, which designates STAN2 as the parameter.

  3. Connect the LOAD standard for impedance measurement and then issue the :CORR1:COLL or :CORR1:COLL:RF command, which designates STAN3 as the parameter.

  4. To measure the low-loss capacitor, connect the low-loss capacitor and then issue the :CORR1:COLL or :CORR1:COLL:RF command, which designates STAN4 as the parameter.

  5. Connect the OPEN standard for Rdc measurement and then issue the :CORR1:COLL:RF command, which designates STAN1 as the parameter.

  6. Connect the SHORT standard for Rdc measurement and then issue the :CORR1:COLL:RF command, which designates STAN2 as the parameter.

  7. Connect the LOAD standard for Rdc measurement and then issue the :CORR1:COLL:RF command, which designates STAN3 as the parameter.

  8. Issue the :CORR1:COLL:SAVE command.

Preventing Operational Errors When Measuring Data for Calculating Calibration Coefficients

To retrieve each standard's measurement data for calculating the calibration coefficients for Rdc measurement, use the following command:

  • :DATA:RCAD{1-3}?

Since this command returns the Rdc measurement value for each standard, you can check whether this value is normal (within the limit range) to prevent operational errors (such as connecting the wrong standard) that may arise when measuring the data for calculating the calibration coefficients.

  • The measurement data for the standards cannot be used for evaluating slight differences in measured values because it is raw measurement data that has not been calibrated and may differ from the specification value. For example, when the LOAD standard is an indicator, it exhibits an Rdc value quite similar to that of the SHORT standard; you should be careful not to inadvertently interchange the LOAD and SHORT standards because they are difficult to distinguish by their measured values.

The following table provides guidelines for determining the limit range (upper and lower limits) for testing:

 | Lower limit (LowerLimit) | Upper limit (UpperLimit)
SHORT | None | UpperLimit = (Short + Load) / 2
LOAD | LowerLimit = (Short + Load) / 2 | 1/UpperLimit = (1/Load + 1/Open) / 2
OPEN | 1/LowerLimit = (1/Load + 1/Open) / 2 | None

In the table above, Short represents the Rdc value for the SHORT standard, Load represents the Rdc value for the LOAD standard, and Open represents the Rdc value for the OPEN standard.

For example, when the LOAD standard is a 50 Ω resistor, the limit ranges for the respective standards should typically be the following:

SHORT standard: 25 Ω or lower

LOAD standard: 25 to 100 Ω

OPEN standard: 100 Ω or higher

  • When you validate the Rdc measurement results returned by the :DATA:RCAD{1-3}? command, you should use the absolute value for the following reasons. When you measure the SHORT standard, whose resistance is extremely low (nearly zero) and susceptible to disturbance during measurement, the command may return a small negative Rdc value. On the other hand, when you measure the OPEN standard, whose conductance is extremely low (nearly zero) and susceptible to disturbance during measurement, the command may return a large negative Rdc value (an inverse to a negative small conductance value).

The measurement data of the respective standards used for calculating the calibration coefficients for impedance measurement are stored in the calibration data array (see Calibration Data Arrays). You can retrieve this data with the following command:

  • :DATA:CAD{1-8}?
  • Note that the command shown above returns raw RF measurement data. Unlike DC measurement, you cannot simply compare the raw RF measurement data with the standard values to detect operational errors that may have occurred when measuring the calibration data.

Saving or Recalling Calibrated State (Retrieving or Writing Calibration Coefficients)

You can retrieve the calibration coefficients and save them to a file. Later, you can retrieve the calibration coefficients from the file and load them into the E4982A to restore the calibrated state at the time you saved the file.

The calibration coefficients for impedance measurement are stored in the calibration coefficient array (see Calibration Coefficient Arrays). To read or write the calibration coefficient array, use the following command:

  • :DATA:CCO{1-6}

To read or write the calibration coefficients for Rdc measurement, use the following command:

  • :DATA:RCCO{1-3}

  • When setting calibration coefficients, note the following:
    1. To ensure that the instrument will provide correct measurement results, you must configure the instrument to use the same measurement points (point setup table settings) as when you obtained measurement data for calibration and then set all the coefficients.
    2. You must turn on the calibration functions before you set the calibration coefficients. To do so, follow the steps shown in Measuring Data for Calculating Calibration Coefficients and Turning ON Calibration Function before setting the calibration coefficients. This procedure includes only measuring tentative data and does not require you to connect the standard before issuing the data measurement command.

Sample Program

See Calibration and Compensation.


Selecting a Test Fixture (Port Extension Compensation)

  • Using Port Extension Compensation Function

  • Configuring the Instrument to Use Your Custom Test Fixture

Other topics about Preparing for Accurate Measurements

Using Port Extension Compensation Function

To compensate for the delay due to the test fixture that holds the DUT (port extension compensation), you must select which test fixture is used in your measurement. This can be done by selecting data for electrical length compensation, which is predefined and specific to each test fixture. To specify the test fixture, use the following command:

  • :CORR2:FIXT
  • Before running the compensation process, you must specify the fixture or, if using a custom fixture, set the compensation values for the fixture.

Configuring the Instrument to Use Your Custom Test Fixture

When you use a custom test fixture, you must set the compensation value for the delay due to the fixture's electrical length. In addition, you can optionally specify the fixture’s name. To set the compensation value for the delay due to the fixture's electrical length, use the following command:

  • :CORR2:FIXT:EDEL:DIST

If you opt to specify the fixture’s name so that it will be shown on the selection screen when selecting the test fixture, use the following command:

  • :CORR2:FIXT:LAB

Sample Program

See Calibration and Compensation.


Running the Compensation Process

  • Setting Compensation Kit Values

  • Measuring Data for Calculating Compensation Coefficients

  • Calculating Compensation Coefficients and Turning ON/OFF Compensation

  • Preventing Operational Errors When Measuring Data for Calculating

  • Saving or Recalling Compensated State (Retrieving or Writing Compensation)

Other topics about Preparing for Accurate Measurement

  • You must turn ON the calibration function before using it. In other words, when the calibration function is OFF, you cannot perform any of the compensation related operations, including measuring the data for calculating the compensation coefficients, calculating the compensation coefficients, turning ON or OFF the compensation function, and retrieving or setting the compensation coefficients. However, you can configure the compensation kit even when the calibration function is OFF.

Setting Compensation Kit Values

You can either use the E4982A's predefined compensation kit values or directly enter other compensation kit values. To choose how the compensation kit values are defined, use the following command:

  • :CORR2:CKIT

If you opt to enter the values, you need to specify how the compensation kit itself is defined and then enter the definitions.

Choosing definition method (Fixed or Point-by-Point)

  • :CORR2:CKIT:LIST

Entering definitions

To define the OPEN and SHORT standards, use the commands listed in the following table:

 | Impedance value | Rdc value
OPEN | :CORR2:CKIT:STAN1:LIST | :CORR2:CKIT:STAN1:DC
SHORT | :CORR2:CKIT:STAN2:LIST | :CORR2:CKIT:STAN2:DC

Measuring Data for Calculating Compensation Coefficients

To measure the data for calculating the compensation coefficients, use the following command:

  • :CORR2:COLL

The command shown above measures the data for calculating the compensation coefficients for both impedance and Rdc measurements. If you want to obtain the data for either impedance or Rdc measurement alone, use one of the following commands instead:

  • :CORR2:COLL:RF

  • :CORR2:COLL:DC

  • Issuing the :CORR2:COLL, :CORR2:COLL:RF, or :CORR2:COLL:DC command does not trigger the instrument to begin measuring the data. This means that if the trigger source is not Internal trigger, you must trigger the instrument after issuing the command.

To define the OPEN and SHORT compensation standards using the commands described so far, follow these steps:

If you use the same standards for both impedance and Rdc measurements or you omit Rdc measurement:

  1. Connect the OPEN standard and then issue the :CORR2:COLL command, which designates “STAN1” as the parameter. If the trigger source is not Internal trigger, you must trigger the instrument after issuing the command. This applies to step 2 as well.

  2. Connect the SHORT standard and then issue the :CORR2:COLL command, which designates “STAN2” as the parameter.

  3. Issue the :CORR2:COLL:SAVE command.

If you use different standards for impedance and Rdc measurements:

  1. Connect the OPEN standard for impedance measurement and then issue the :CORR2:COLL or :CORR2:COLL:RF command, which designates “STAN1” as the parameter. If the trigger source is not Internal trigger, you must trigger the instrument after issuing the command. This applies to steps 2 through 4 as well.

  2. Connect the SHORT standard for impedance measurement and then issue the :CORR2:COLL or :CORR2:COLL:RF command, which designates “STAN2” as the parameter.

  3. Connect the OPEN standard for Rdc measurement and then issue the :CORR2:COLL:DC command, which designates “STAN1” as the parameter.

  4. Connect the SHORT standard for Rdc measurement and then issue the :CORR2:COLL:DC command, which designates “STAN2” as the parameter.

  5. Issue the :CORR2:COLL:SAVE command.

Calculating Compensation Coefficients and Turning ON/OFF Compensation

After measuring the data for calculating the compensation coefficients, issue the following commands to calculate the compensation coefficients and turn on the compensation function:

Measured data | GPIB command | Status of compensation function after calculation
OPEN and SHORT | :CORR2:COLL:SAVE | ON | ON
 | :CORR2:COLL:OPEN *1 | ON | Unchanged
 | :CORR2:COLL:SHOR *1 | Unchanged | ON
OPEN only | :CORR2:COLL:SAVE | ON | OFF
 | :CORR2:COLL:OPEN *1 | ON | OFF
 | :CORR2:COLL:SHOR | Not supported
SHORT only | :CORR2:COLL:SAVE | OFF | ON
 | :CORR2:COLL:OPEN | Not supported
 | :CORR2:COLL:SHOR *1 | OFF | ON

*1. Issue the command, which designates "ON" (or '1") as the parameter.

When the OPEN compensation function is currently ON, you can issue the :CORR2:COLL:OPEN command by specifying “OFF” (or “0”) as the parameter to turn OFF the OPEN compensation function.

Similarly, when the SHORT compensation function is currently ON, you can issue the :CORR2:COLL:SHOR command by specifying “OFF” (or “0”) as the parameter to turn OFF the SHORT compensation function.

Preventing Operational Errors When Measuring Data for Calculating

To retrieve each standard’s measurement data for calculating the compensation coefficients for Rdc measurement, use the following command:

  • :DATA:RCMD{1-2}?

Since this command returns the Rdc measurement value (without compensation) for each of the OPEN and SHORT standards, you can check whether this value is normal to prevent operational errors (such as connecting the wrong standard) that may arise when measuring the data.

When you validate the Rdc measurement results returned by the command :DATA:RCMD{1-2}?, you should use the absolute value for the same reasons as shown in Preventing operational errors when measuring data for calculating calibration coefficients.

The measurement data of the OPEN and SHORT standards used for calculating the compensation coefficients for impedance measurement are stored in the calibration data array (see Compensation Data Arrays). You can retrieve this data with the following command:

  • :DATA:CMD{1-2}?

This command returns RF measurement data without compensation, which require more complex handling than Rdc values.To detect operational errors that may have occurred while measuring the compensation data, it is best to use Rdc values instead.

Saving or Recalling Compensated State (Retrieving or Writing Compensation)

You can retrieve the compensation coefficients and save them to a file. Later, you can retrieve the compensation coefficients from the file and load them into the E4982A to restore the compensated state at the time you saved the file.

The compensation coefficients for impedance measurement are stored in the compensation coefficient array (see Compensation Data Arrays). To read or write the compensation coefficient array, use the following command:

  • :DATA:CMP{1-3}

To read or write the compensation coefficients for Rdc measurement, use the following command:

  • :DATA:RCMP{1-3}
  • When setting compensation coefficients, note these precautions:
    1. To ensure that the instrument will provide correct measurement results, you must configure the instrument to use the same measurement points (point setup table settings) as when you obtained measurement data for compensation and turn on the calibration function before you set the coefficients.
    2. You must turn on the compensation function before setting the compensation coefficients. To do so, follow the steps shown in Measuring data for calculating compensation coefficients. This procedure includes only measuring tentative data, and does not require you to connect the standard before issuing the data measurement command.

Sample Program

See Calibration and Compensation.


Starting Measurement Cycle (Triggering) and Detecting End of Measurement

  • Starting a New Measurement Cycle (Triggering)

  • Waiting for (Detecting) End of Measurement


Starting a New Measurement Cycle (Triggering)

  • Triggering System

  • Starting a Measurement Cycle (Triggering the Instrument)

Other topics about Starting Measurement Cycle (Triggering) and Detecting End of Measurement

Triggering System

The trigger system detects the start of a measurement cycle (triggering) and controls the pre-measurement delay time. As shown in the figure below, the trigger system has three states: Idle, Waiting for Trigger, and Measurement.

Trigger System

The following subsections describe each state and how the trigger system switches among the three states.

Idle state

The trigger system is in Idle state (arrow e in the Trigger System figure above) when you power ON the instrument or issue one of the following commands:

  • *RST

  • :ABOR

The trigger system is in Waiting for Trigger state (arrow a in the Trigger System figure above) when you activate it with one of the following commands:

  • :INIT

  • :INIT:CONT(“ON” specified)

Waiting for Trigger State (Trigger Event Detect state)

The trigger system is in Measurement state (arrow b in the Trigger System figure above) after the elapse of the trigger delay time (set with the :TRIG:DEL command) if the instrument is triggered (a trigger is detected) or the :TRIG command is issued while the trigger system is in Waiting for Trigger state.

As shown in the table below, how the instrument is triggered differs depending on which trigger source is specified. To specify the trigger source, use the :TRIG:SOUR.

Trigger source | How the instrument is triggered
Internal trigger | The instrument is automatically triggered within itself.
External trigger | The instrument is triggered when a trigger signal is input through the Ext TRIGGER connecter or handler interface.
GPIB/USB/LAN trigger (Bus) | The instrument is triggered when the *TRG command.
Manual trigger | The instrument is triggered when the Trigger key on the front panel is pressed.

Transition from Waiting for Trigger state to Measurement state

Measurement state (sequence operation state)

In Measurement state, the trigger system waits until the measurement point delay time (set with the :TRIG:SEQ2:DEL command) elapses and then starts measurement for each measurement point.

When the instrument has finished measuring the DUT at the single specified point (for single-point measurement) or at all the points defined in the active table (for list measurement), the trigger system switches to either Idle or Waiting for Trigger state depending on whether continuous activation is OFF or ON (set with the :INIT:CONT command):

If continuous activation is OFF:

Switches to Idle state (arrow c in the Trigger System figure above).

If continuous activation is ON:

Switches to Waiting for Trigger state (arrow d in the Trigger System figure above).

Starting a Measurement Cycle (Triggering the Instrument)

Configuring the instrument to automatically perform continuous measurement (initial setting):

  1. Issue the :TRIG:SOUR command to set the trigger source to Internal trigger.

  2. If the trigger system is in Idle state (that is, it is not currently active), issue the :INIT:CONT command to turn ON continuous activation of the trigger system.

Starting measurement on demand:

1. To trigger the instrument on demand, follow the steps below.

  1. Issue the :TRIG:SOUR command to set the trigger source to GPIB/USB/LAN trigger.

  2. If the trigger system is in Idle state (that is, it is not currently active), issue the :INIT:CONT command to turn ON continuous activation of the trigger system.

  3. Trigger the instrument whenever you want to perform measurement. An external controller can trigger the instrument with one of the following two commands:

    Command

    Query response

    Applicable trigger source

    *TRG

    Yes (returns measurement results)

    GPIB/USB/LAN trigger

    :TRIG

    No

    All

  4. To start the next measurement cycle, repeat step 3.

2. To activate the trigger system on demand, follow the steps below.

  1. If the trigger system is active (that is, not in Idle state), issue the :ABOR command to stop the trigger system.

  2. Issue the :TRIG:SOUR command to set the trigger source to Internal trigger.

  3. You can activate the trigger system using the :INIT command at any time. Consequently, the instrument will be automatically triggered by Internal trigger and perform one measurement cycle.

  4. To start the next measurement cycle, repeat step 3.

Sample Program

See Using SRQ to Detect End of Measurement


Waiting for (Detecting) End of Measurement

The status of the E4982A can be detected through the status registers. This section describes how to detect the end of measurement by using the status registers. For a complete description of the status report mechanism, including the specifications of each bit, see Status Reporting System.

End of measurement is reported by the operation status condition register. An SRQ (service request) is useful when you create a program that uses the information reported by this register to detect the end of measurement.

To detect the end of measurement via an SRQ, use one of the following commands:

  • *SRE

  • :STAT:OPER:ENAB

  • :STAT:OPER:PTR

  • :STAT:OPER:NTR

Follow these steps:

  1. Configure the E4982A to generate an SRQ when the bit 4 value of the operation status condition register is changed form 1 to 0.

  2. Trigger the instrument to start a measurement cycle.

  3. When an SRQ is generated, the program interrupts the measurement cycle.

SRQ generation sequence (at end of list measurement)

Sample Program

See Using SRQ to Detect End of Measurement.

Other topics about Starting Measurement Cycle (Triggering) and Detecting End of Measurement


Retrieving Measurement Results

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

  • Retrieving the Monitored Values of Test Signal Levels

  • Retrieving the Results of Rdc Measurement


Data Transfer Format

  • Overview

  • ASCII Format

  • Binary Format

Other topics about Retrieving Measurement Results

Overview

When you transfer data with the following commands, you can select either the ASCII format or binary format.

  • When you transfer data with commands other than the following, you cannot select the data transfer format because it is fixed as the ASCII format.

  • :FETC?

  • :READ?

  • *TRG

  • Commands that begin with :DATA

    • :DATA:CAD{1-8}?

    • :DATA:CCO{1-6}

    • :DATA:CMD{1-2}?

    • :DATA:CMP{1-3}

    • :DATA:IMP?

    • :DATA:FDAT{1-4}?

    • :DATA:RAW?

    • :DATA:IMON?

    • :DATA:VMON?

  • :SOUR:LIST:FREQ?

To set the data transfer format, use the following commands:

  • :FORM
  • Executing the :SYST:PRES does not affect the setting of the data transfer format.

ASCII Format

When you select the ASCII format as the data transfer format, numbers are transferred as ASCII bytes, each of which corresponds to one of the formats shown below. Note that numbers are separated by a comma (,) in accordance with the IEEE 488.2 specification.

  • Since numeric data strings vary in length, commas appear at varying points in the data. Keep this in mind as you extract data from retrieved numeric data strings in your program.

Integer format

Numbers are expressed as integers in this format. For example, 201 is expressed as “+201” or “201.”

Floating-point number format

Numbers are expressed with floating points in this format. For example, 1000 is expressed as “1.0E+3” or “+1.0E+3.”

Binary Format

When you select the binary format as the data transfer format, numerical data (binary data) are transferred in the format shown in the figure below.

Binary Format

In this format, the data is represented with a hash (#) mark, the number 6 (indicating that <Number of bytes> is 6 bytes), the number of the binary data to be transferred (<Number of bytes>), the binary data itself, and finally the message terminator <new line>^END. Binary data is in IEEE 754 floating point format of 64-bit configuration as shown in the figure below.

64-bit Floating Point Data

Byte Order

In the binary format, you can select either of the following transfer orders for each byte comprising an 8-byte data string:

NORMal - Data transfer begins from the byte containing MSB (Most Significant Bit, the leftmost byte shown in the 64-bit Floating Point Data figure).

SWAPped - Data transfer begins from the byte containing LSB (Least Significant Bit, the rightmost byte shown in the 64-bit Floating Point Data figure).

To set the byte order, use the following command:

  • :FORM:BORD

Sample Program

See these sample programs:

  • Retrieving Results Using *TRG (ASCII Format)

  • Retrieving Results Using *TRG (Binary Format)


Internal Data Processing

  • Data Flow

  • Internal Data Arrays

Other topics about Retrieving Measurement Results

Data Flow

An overview of the E4982A's internal data processing flow.

Zraw → Z Data

After Z Data

Comparator

Rdc raw → Rdc Data

Internal Data Arrays

The instrument has a number of internal data arrays/sets that can be read and/or written and contain either real or complex numbers.

Internal data arrays/set

Name of data array/set | Read | Write | Data format
Data array | Allowed | Not allowed | Complex number
Display data arrays | Allowed | Not allowed | Real number
Calibration data arrays | Allowed | Not allowed | Complex number
Calibration coefficient arrays | Allowed | Allowed | Complex number
Compensation data arrays | Allowed | Not allowed | Complex number
Compensation coefficient arrays | Allowed | Allowed | Complex number
Current/Voltage monitor array | Allowed | Not allowed | Real number
Rdc display data | Allowed | Not allowed | Real number
Rdc calibration data | Allowed | Not allowed | Real number
Rdc calibration coefficients | Allowed | Allowed | Real number
Rdc compensation data | Allowed | Not allowed | Real number
Rdc compensation coefficients | Allowed | Allowed | Real number

  • Each table has its own calibration/compensation-related internal data arrays and data sets (including Calibration/Compensation Coefficient Arrays, Calibration/Compensation Data Arrays, Rdc Calibration/Compensation Coefficients, and Rdc Calibration/Compensation Data). When you perform command-based read/write operations on these data arrays and sets, the instrument assumes that the active table is the target.

  • A complex-number array has two values (real and imaginary parts) for each measurement point, thus containing Nop×2 elements in all, where Nop represents the number of measurement points.

Data Array

The Data Array contains complex numbers (R-X) that indicate the results of calibrating raw measurement data. To retrieve the Data Array, use the following command:

  • :DATA:RAW?

Display Data Arrays

As shown in the table below, the instrument has four Display Data Arrays corresponding to parameters 1 through 4. Each Display Data Array contains real numbers that indicate the results of performing port extension, compensation, measurement parameter conversion, and data math operations on the Data Array (on-screen values).

Array number *1 | Indicated data
1 | Data to be displayed as the measurement result for measurement parameter 1
2 | Data to be displayed as the measurement result for measurement parameter 2
3 | Data to be displayed as the measurement result for measurement parameter 3
4 | Data to be displayed as the measurement result for measurement parameter 4

*1. Use this number as the suffix to the command.

To retrieve one of the Display Data Arrays, use the following command:

  • :DATA:FDAT{1-4}?

Calibration Data Arrays

As shown in the table below, the instrument has eight Calibration Data Arrays corresponding to two measurement passes for each of the OPEN, SHORT, LOAD, and LOW LOSS CAPACITOR standards. Each Calibration Data Array contains the standard measurement data (complex numbers) necessary for calculating the calibration coefficients.

Array number *1 | Indicated data
1 | First OPEN measurement data for calculating the calibration coefficients
2 | First SHORT measurement data for calculating the calibration coefficients
3 | First LOAD measurement data for calculating the calibration coefficients
4 | First LOW LOSS CAPACITOR measurement data for calculating the calibration coefficients
5 | Second OPEN measurement data for calculating the calibration coefficients
6 | Second SHORT measurement data for calculating the calibration coefficients
7 | Second LOAD measurement data for calculating the calibration coefficients
8 | Second LOW LOSS CAPACITOR measurement data for calculating the calibration coefficients

*1. Use this number as the suffix to the command.

To retrieve one of the Calibration Data Arrays, use the following command:

  • :DATA:CAD{1-8}?

Calibration Coefficient Arrays

As shown in the table below, the instrument has six Calibration Coefficient Arrays corresponding to calibration coefficients A1, B1, C1, A2, B2, and C2. Each Calibration Coefficient Array contains the calibration coefficients (complex numbers) calculated based on the Calibration Data Array.

Array number *1 | Indicated data
1 | Calibration coefficient A1
2 | Calibration coefficient B1
3 | Calibration coefficient C1
4 | Calibration coefficient A2
5 | Calibration coefficient B2
6 | Calibration coefficient C2

*1. Use this number as the suffix to the command.

To retrieve one of the Calibration Coefficient Arrays, use the following command:

  • :DATA:CCO{1-6}
  • When setting calibration coefficients, note the following:
    1. To ensure that the instrument will provide correct measurement results, you must first configure the instrument to use the same measurement points (point setup table settings) as when you obtained measurement data for calibration and then set all the coefficients.
    2. You must turn on the calibration functions before setting the calibration coefficients.

Compensation Data Arrays

As shown in the table below, the instrument has two Compensation Data Arrays corresponding to the OPEN and SHORT standards. Each Compensation Data Array contains the standard measurement data (complex numbers) necessary for calculating the compensation coefficients.

Array number *1 | Indicated data
1 | OPEN measurement data for calculating the compensation coefficients
2 | SHORT measurement data for calculating the compensation coefficients

*1. Use this number as the suffix to the command.

To retrieve one of the Compensation Data Arrays, use the following command:

  • :DATA:CMD{1-2}?

Compensation Coefficient Arrays

As shown in the table below, the instrument has three Compensation Coefficient Arrays corresponding to compensation coefficients A, B, and C. Each Compensation Coefficient Array contains the compensation coefficients (complex numbers) calculated based on the Compensation Data Array.

Array number *1 | Indicated data
1 | Compensation coefficient A
2 | Compensation coefficient B
3 | Compensation coefficient C

*1. Use this number as the suffix to the command.

To retrieve one of the Compensation Coefficient Arrays, use the following command:

  • :DATA:CMP{1-3}
  • When setting calibration coefficients, note the following:
    1. To ensure that the instrument will provide correct measurement results, you must first configure the instrument to use the same measurement points (point setup table settings) as when you obtained measurement data for calibration and then set all the coefficients.
    2. You must turn on the calibration functions before setting the calibration coefficients.

Current/Voltage Monitor Arrays

The Current/Voltage Monitor Arrays contain the real numbers to be displayed as the monitored values of the test signal voltage and current levels. Each value contained in these arrays is calculated based on the test signal level setting and the impedance value determined by performing port extension and compensation on the Data Array.

To retrieve the Voltage or Current Monitor Array, use one of the following commands:

Command | Description
:DATA:VMON? | Retrieves the Voltage Monitor Array
:DATA:IMON? | Retrieves the Current Monitor Array

Rdc Display Data

The Rdc Display Data is the data obtained by performing Rdc-specific calibration and compensation on the results of Rdc measurement. To retrieve this data, use the following command:

  • :DATA:RDC?

Calibration coefficients and calibration data for Rdc measurement

When the instrument performs Rdc measurement (DC measurement), it uses a specific set of calibration coefficients (real numbers) that are different from those used for impedance measurement. This means that the standard measurement data (real numbers) necessary for calculating the calibration coefficients are measured and retained separately from those for impedance measurement.

The instrument has three calibration coefficients, A, B, and C, for Rdc measurement. To set or retrieve one of these coefficients, use one of the following commands:

  • :DATA:RCCO{1-3}
Data number *1 | Data to retrieve
1 | Rdc Calibration Coefficients
2 | Rdc Calibration Coefficients
3 | Rdc Calibration Coefficients

*1. Use this number as the suffix to the command.

To obtain the OPEN, SHORT, or LOAD measurement data for calculating the calibration coefficients for Rdc measurement, use one of the following commands:

  • :DATA:RCAD{1-3}?
Data number *1 | Data to retrieve
1 | OPEN measurement data for calculating the calibration coefficients for Rdc measurement
2 | SHORT measurement data for calculating the calibration coefficients for Rdc measurement
3 | LOAD measurement data for calculating the calibration coefficients for Rdc measurement

*1. Use this number as the suffix to the command.

Rdc compensation coefficients and compensation data

When the instrument performs Rdc measurement (DC measurement), it uses a specific set of compensation coefficients (real numbers) that are different from those used for impedance measurement. This means that the standard measurement data (real numbers) necessary for calculating the compensation coefficients is measured and retained separately from those for impedance measurement.

The instrument has three compensation coefficients, A, B, and C, for Rdc measurement. To set or retrieve one of these coefficients, use one of the following commands:

  • :DATA:RCMP{1-3}
Data number *1 | Data to retrieve
1 | Rdc Calibration Coefficient A
2 | Rdc Calibration Coefficient B
3 | Rdc Calibration Coefficient C

*1. Use this number as the suffix to the command.

To obtain the OPEN or SHORT measurement data for calculating the compensation coefficients for Rdc measurement, use one of the following commands:

  • :DATA:RCMD{1-2}?
Data number *1 | Data to retrieve
1 | OPEN measurement data for calculating the compensation coefficients for Rdc measurement
2 | SHORT measurement data for calculating the compensation coefficients for Rdc measurement

*1. Use this number as the suffix to the command.

Sample Program

See these sample programs:

  • Retrieving Results Using TRG* (ASCII Format)

  • Retrieving Results Using TRG* (Binary Format)


Retrieving the Measurement Results for Measurement Parameters 1 through 4

  • Overview

  • Using the *TRG command to retrieve measurement results

  • Using the :FETC? or :DATA:FDAT{1-4}? command to retrieve measurement results

  • Using the :READ? command to retrieve measurement results

Other topics about Retrieving Measurement Results

Overview

In addition to the :DATA:FDAT{1-4}? command that retrieves the measurement results for the four measurement parameters directly from the Internal Data Array, you can use the following three commands to retrieve these measurement results as well as the measurement status, the results of test signal monitoring, Rdc measurement, and bin sorting.

  • *TRG

  • :FETC?

  • :READ?

The following table summarizes how to retrieve the measurement results for measurement parameters 1 through 4:

 | Applicable trigger source | Retrieval steps
*TRG command | GPIB/USB/LAN trigger (bus) | Issue the *TRG command. ↓ The command returns the data.
:FETC? command or :DATA:FDAT{1-4}? command | All | Trigger the instrument ↓ :FETC? or :DATA:FDAT{1-4}? command. *1 ↓ The command returns the data
:READ? command | External trigger Manual trigger Internal trigger | Issue the :READ? command ↓ Trigger the instrument ↓ The command returns the data.

*1. The end-of-measurement signal must be detected before the :FETC? or :DATA:FDAT{1-4}? command is issued.

  • The TRIGGER command of HP BASIC has the same function as the *TRG command.

Using the *TRG command to retrieve measurement results

This command actually performs two tasks: it triggers the instrument and returns the results. It is useful, for example, when you want to retrieve measurement results immediately after triggering the instrument from an external controller.

To retrieve measurement results using the *TRG command, follow these steps:

  1. Issue the :TRIG:SOUR command to set the trigger source to “Bus.”

  2. Issue the *TRG command (or the TRIGGER command of HP BASIC).

  3. Retrieve the measurement results. You can repeat steps 2 and 3 as needed.

Sample Program

See these sample programs:

  • Retrieving Results Using TRG* (ASCII Format)

  • Retrieving Results Using TRG* (Binary Format)

Using the :FETC? or :DATA:FDAT{1-4}? command to retrieve measurement results

These two commands are useful when you trigger the instrument without using an external controller or when you need to perform a particular task between triggering and retrieval.

To retrieve measurement results using the :FETC? or :DATA:FDAT{1-4}? command, follow these steps:

  1. Set the trigger source as necessary.

  2. Trigger the instrument using the method specific to the trigger source.

    • To trigger the instrument from an external controller, use the :TRIG command instead.

  3. Issue the :FETC? or :DATA:FDAT{1-4}? command upon completion of measurement.

  4. Retrieve the measurement results. You can repeat steps 2 through 4 as needed.

Using the :READ? command to retrieve measurement results

This command retrieves the measurement results synchronously with the transition from trigger wait state to end of measurement, without detecting trigger timing in the program. It is useful, for example, when you want to trigger the instrument from an external device, such as a handler, and immediately pass the measurement results to an external controller.

To retrieve measurement results using the :READ? command, follow these steps:

  1. Issue the :TRIG:SOUR command to set the trigger source to Internal, External or Manual trigger.

  2. Issue the :READ? command.

  3. Trigger the instrument using the method specific to the trigger source.

  4. Retrieve the measurement results. You can repeat steps 2 through 4 as needed.

Sample Program

See the Retrieving Results Using :READ?

Trigger Input Timing When Using the :Read? Command

When executing the :READ? command while specifying its parameter (specifying the active table), you must start measurement (provide a trigger) after changing the table to obtain a correct measurement result.

Even if you execute the :READ? command without specifying its parameter when the controller outputting the trigger is different from the controller executing the :READ? command, you must provide the trigger output controller with the information on whether the :READ? command has been executed in order to control the timing of the trigger output appropriately (i.e., provide a trigger after the execution of the :READ? command).

As shown in the figure below, you can obtain this information from the /READY_FOR_TRIG signal of the handler interface.

Operation of the /READY_FOR_TRIG signal when executing the :READ? command

If you execute the :READ? command while the trigger system is in idle state, as shown in the figure above, after the internal processing (including change processing of the active table) that follows the reception of the command is completed, the /READY_FOR_TRIG signal of the handler interface changes from the High level to the Low level.

However, if continuous activation of the trigger system is turned ON, as shown in the figure above, when display update finishes after the completion of the measurement, the /READY_FOR_TRIG signal changes from the High level to the Low level because the trigger system goes into Waiting for Trigger state instead of idle state. Therefore, you cannot obtain the information on whether the :READ? command has been executed. For this reason, you must first turn OFF continuous activation of the trigger system (execute :INIT:CONT command specifying OFF or execute :ABOR command).

  • In the figure above, the :READ? command is executed after the display is updated, but it can also be executed before the update, provided that data output has finished (the query of the previous :READ? command has finished). Note that the internal processing still starts after the completion of the update.


Retrieving the Monitored Values of Test Signal Levels

To retrieve only the monitored values of test signal levels, use the following commands:

  • :DATA:IMON?

  • :DATA:VMON?

As described in Retrieving the Measurement Results for Measurement Parameters 1 through 4, you can also use the following three commands to retrieve the monitoring results along with other data such as the measurement results for measurement parameters 1 through 4:

  • *TRG

  • :FETC?

  • :READ?

Sample Program

See the Retrieving Monitored Values of Test Signal Levels.

Other topics about Retrieving Measurement Results


Retrieving the Results of Rdc Measurement

  • Retrieving Measurement Results

  • Retrieving Limit Test Results

  • Sample Program

Other topics about Retrieving Measurement Results

Retrieving Measurement Results

To retrieve only the results of Rdc measurement, use the following command:

  • :DATA:RDC?

As described in Retrieving the Measurement Results for Measurement Parameters 1 through 4, you can also use the following three commands to retrieve the Rdc measurement results along with other data such as the measurement results for measurement parameters 1 through 4:

  • *TRG

  • :FETC?

  • :READ?

Retrieving Limit Test Results

To determine whether the Rdc measurement results fall within the limit range (defined with the :CALC:COMP:RDC:LIM command), use the following command:

  • :CALC:COMP:DATA:RDC?

Also, you can use the *TRG or similar command to retrieve the measurement results as well as the measurement status and then obtain the Rdc measurement limit test results from that measurement status.

As shown below, the measurement status is 0 or 1 when the Rdc measurement results fall within the limit range and 2 or 3 when the Rdc measurement results do NOT fall within the limit range.

Value of Measurement Status

0: Normal

1: Measurement failure (overload)

2: Rdc measurement result did not fall within the limit range

3: Measurement failed and DUT did not fall within Rdc limit.

Sample Program

See the Retrieving Results of Rdc Measurement.


Sorting DUTs Based on Measurement Results

  • Setting Up the Bin Sorting Function

  • Retrieving the Results of Bin Sorting

  • Retrieving the Number of the DUTs Sorted into Each Bin


Setting Up the Bin Sorting Function

  • Turning ON/OFF the Bin Sorting Function (Comparator)

  • Setting the Beep Condition

  • Setting the Sorting Conditions for Each Bin

Other topics about Sorting DUTs Based on Measurement Results

Turning ON/OFF the Bin Sorting Function (Comparator)

To enable or disable the bin sorting function (comparator), use the following command:

  • :CALC:COMP

Setting the Beep Condition

You can configure the instrument to beep under one of the following two conditions:

  • When a DUT has failed to pass the bin sorting criteria (i.e., sorted into a bad bin or not sorted into any bin).

  • When a DUT has passed the bin sorting criteria (i.e., sorted into a good bin).

To set the beep condition, use the following command:

  • :CALC:COMP:BEEP:COND

You can also disable the beep function. To turn ON or OFF the beep, use the following command:

  • :SYST:BEEP2:STAT

Setting the Sorting Conditions for Each Bin

You can define up to 4 sorting conditions for each bin. When two or more conditions are specified, the instrument tests the DUT's characteristics to the AND of those conditions.

Resetting the sorting conditions

You can initialize the ON/OFF setting, sorting conditions, and OUT_OF_GOOD_BINS line setting for all bins by issuing the following command:

  • :CALC:COMP:CLE

Enabling or disabling individual bins

You can enable or disable each bin separately. When a bin is disabled, the bin's sorting conditions are ignored and no DUT is sorted into the bin. To enable or disable a single bin, use the following command:

  • :CALC:COMP:BIN{1-13}

Setting the boundary between good and bad bins (OUT_OF_GOOD_BINS line)

You can classify bins as good or bad. When a DUT is sorted into a bad bin, the handler interface output signal /OUT_OF_GOOD_BINS becomes active (Low). A bad bin is useful, for example, when you want to eject defective DUTs into a separate location.

  • Also, the /OUT_OF_GOOD_BINS signal becomes active when a DUT is not sorted into any of bins 1 through 13. For more information, refer Mapping between Bin Sort Results and Handler Interface Output Signals.

You can specify the boundary between good and bad bins (the OUT_OF_GOOD_BINS line) with the number of the good bin that is to be adjacent to the boundary. All bin numbers that are equal to or smaller than the specified bin number represent good bins, while those that are larger than the specified number represent bad bins. To set the boundary, use the following command:

  • :CALC:COMP:OGB

Defining individual sorting conditions

When you define a sorting condition, you must specify the limit range as well as the measurement point number and measurement parameter that correspond to the measured values to which the limit range is applied. You can define the boundary of the limit range by specifying the boundary value either as an absolute value (“absolute mode”) or as a value relative to a reference value (“tolerance mode”). Tolerance mode is further divided into two modes: “deviation tolerance mode,” where you can specify the relative boundary value as the difference from the reference value, and “percent tolerance mode,” where you can specify the boundary value as a percentage of the reference value. Use the commands listed in the table below to define sorting conditions:

Item |  | Command
Applies to all bins | Information needed to identify the measured value to which the limit range is applied | Point number | :CALC:COMP:COND{1-4}:SNUM
 |  | Measurement parameter | :CALC:COMP:COND{1-4}:PAR
 | Limit range | Mode of boundary definition (Limit mode) | :CALC:COMP:COND{1-4}:MODE
 |  | Reference value *1 | :CALC:COMP:COND{1-4}:NOM
For each bin |  | Boundary value | :CALC:COMP:BIN{1-13}:COND{1-4}:LIM
 |  | Mode of bin range definition (BIN range mode) | :CALC:COMP:BIN{1-13}:COND{1-4}:LTYP

*1. Available in deviation tolerance mode and percent tolerance mode.

Commands for defining sorting conditions

Relationship between limit mode and measured value used for sorting

Limit mode | Absolute mode (ABS) | Deviation tolerance mode (DEV) | Percent tolerance mode (PCNT)
Measured value | Meas | Meas - Nom | (Meas - Nom) / Nom × 100

where Meas and Nom mean the following:

Meas: A value obtained by converting the impedance value measured at the point specified via the :CALC:COMP:COND{1-4}:SNUM command into the measurement parameter value specified via the :CALC:COMP:COND{1-4}:PAR command.

Nom: The reference value specified via the :CALC:COMP:COND{1-4}:NOM command.

Relationship between BIN range mode and test result (PASS/FAIL)

Range of measured value | BIN range mode
 | In | Out | All
Measured value < lower limit | FAIL | PASS | PASS
Lower limit ≤ upper limit | PASS | FAIL
Measured value > upper limit | FAIL | PASS

Sorting Flow


Retrieving the Results of Bin Sorting

To retrieve the results of bin sorting, use the following command:

  • :CALC:COMP:DATA:BIN?

When the bin sorting function is ON (that is, after you have issued the :CALC:COMP command by specifying “ON”), you can use the following command to retrieve the bin sorting results as well as the measurement status and measured values.

  • *TRG

  • :FETC?

  • :READ?

Whichever command you use, the result of bin sorting is represented as an integer between 0 and 14, as shown below:

0: Indicates a DUT not sorted into any of bins 1 through 13

1: Sorted into bin 1

2: Sorted into bin 2

3: Sorted into bin 3

4: Sorted into bin 4

5: Sorted into bin 5

6: Sorted into bin 6

7: Sorted into bin 7

8: Sorted into bin 8

9: Sorted into bin 9

10: Sorted into bin 10

11: Sorted into bin 11

12: Sorted into bin 12

13: Sorted into bin 13

14: Sort failed (due to measurement error)

  • When the bin sorting function is OFF (that is, after you have issued the :CALC:COMP command by specifying “OFF”), you can use the :CALC:COMP:DATA:BIN? command to retrieve the result of the last bin sorting that was carried out when the bin sorting function was ON. Note that this command returns 0 if no bin sorting has been performed or if the instrument was reset after the last bin sorting.

Other topics about Sorting DUTs Based on Measurement Results


Retrieving the Number of DUTs Sorted into Each Bin

Retrieving the Number of DUTs Sorted into Each Bin (Using the Bin Count Function)

You can use the bin count function to count the number of DUTs sorted into each bin. You can count up to 2,147,483,647 (231-1) DUTs. If this limit is exceeded, the counter value remains at the maximum without being updated.

To turn ON or OFF the bin count function, use the following command:

  • :CALC:COMP:COUN

To retrieve the counter value, use the following command:

  • :CALC:COMP:DATA:BCO?

Also, you can clear the counter value so that you can re-count DUTs from 0 by issuing the following command:

  • :CALC:COMP:COUN:CLE

Other topics about Sorting DUTs Based on Measurement Results


Statistical Analysis of Measurement Results

  • Capturing the Measurement Data for Statistical Analysis

  • Performing Statistical Analysis


Capturing the Measurement Data for Statistical Analysis

  • Setting the Number of Data Segments to Capture

  • Starting Data Capture

  • Completion of Data Capture

  • Saving the Captured Data

Other topics about Statistical Analysis of Measurement Results

Setting the Number of Data Segments to Capture

To set the maximum number of the measurement data segments stored in the volatile memory, use the following command:

  • :CALC:EXAM:SIZE

The number of data segments captured per measurement cycle is Param × Nop. Accordingly, when you want to capture the measurement data for Times cycles, you must set the maximum number to Param × Nop × Times. Param and Nop represents the following:

Param The number of measurement items currently displayed on screen. Each measurement item can be one of measurement parameters 1 through 4, the results of test signal current/voltage level monitoring, or the result of Rdc measurement.

Nop The number of measurement points per measurement cycle. The number should be “1” for single-point measurement or, for list measurement, the number of points defined in the active table.

Starting Data Capture

You can begin capturing the measurement data for statistical analysis by issuing the command shown below. Once you have issued the command, each measured value (for measurement parameters 1 through 4, test signal current/voltage level monitoring, or Rdc measurement) is stored in the volatile memory (RAM) provided that the measured value is currently shown on screen.

  • :CALC:EXAM:STAR

If previously captured data is still in the volatile memory and you issue the command, the instrument clears the existing data and then begins capturing new data.

Completion of Data Capture

The instrument finishes capturing the data when:

  • The number of captured data segments reaches the maximum number.

  • The :CALC:EXAM:GET? command starts another session of statistical analysis.

To check the progress of data capture, examine the number of data segments stored in the volatile memory (RAM) by issuing the following command:

  • :CALC:EXAM:POIN?

Saving the Captured Data

To save the measurement data for statistical analysis from the volatile memory to a file, use the following command. See Saving data to a file for more information.

  • :MMEM:STOR


Performing Statistical Analysis

To perform statistical analysis and retrieve the results, use the following command:

  • :CALC:EXAM:GET?
  • Once you have started capturing the data for statistical analysis, changing the number of data segments to be captured per measurement cycle (for example, through switching between single-point measurement and list measurement) can generate an error. Even if no error occurs, changing the number of data segments during data capture would produce incorrect results.
    Do not change the number of data segments captured per measurement cycle once you have started capturing the data for statistical analysis. If you have inadvertently changed the number of data segments, re-capture the data (by issuing the :CALC:EXAM:STAR command again) and then issue the command shown above.

The command shown above returns the statistics based on the measurement results at the measurement point(s) specified for each specific measurement item. The statistics include the following 10 items:

  • Statistics on the measurement data set from successful measurements (i.e., measurements that were detected as neither showing an overload nor exceeding the Rdc limit range). These include the following:

    1. Average

    2. Standard deviation σ

    3. 3×σ/average

    4. Minimum value

    5. Maximum value

  • Count data that include the following:

    6. Number of successful measurements (number of samples used for statistical analysis)

    7. Number of measurements that were detected to exceed the Rdc limit range

    8. Number of measurements that were detected to show an overload

    9. Number of measurements that were detected as either exceeding the Rdc limit range or showing an overload or both.

    10. Total number of measurements

You can perform statistical analysis only on those measurement items that are currently displayed on screen with their underlying measurement data stored in memory. These items can include the following:

  • Measurement parameter 1

  • Measurement parameter 2

  • Measurement parameter 3

  • Measurement parameter 4

  • Monitored value of the test signal current level

  • Monitored value of the test signal voltage level

  • Result of Rdc measurement

Sample Program

See the Statistical Analysis.

Other topics about Statistical Analysis of Measurement Results


Saving and Recalling Files

  • Specifying the File

  • Saving Data to a File

  • Recalling a File

  • Automatically Recalling a File

  • Managing a File

  • Sample Program

Other topics about Remote Control

Specifying the File

When you save or recall a file, you must specify the file name with the extension. When you specify a file under a directory, delimit the directory and file names with a slash (/).

Saving Data to a File

You can use the following command to save the instrument setting, images on the LCD, measurement data for statistical analysis, list measurement results, and the contents of the setup table into a file:

  • :MMEM:STOR

The contents to be saved depend on the extension of the filename and the parameters specified when the command is executed. The table below lists the extensions, parameters, and corresponding contents to be saved.

Extension | Parameter | Contents to be saved
.sta | Not needed | Instrument state (instrument settings, calibration and compensation state) are saved. For the instrument settings to be saved, see Default Conditions.
.bmp | Not needed | Images *1 are saved in the bitmap format. If no images exist on the clipboard, the images of the LCD are stored on the clipboard when the command is executed, then they are saved.
.png | Not needed | Images *1 are saved in the portable network graphics format. If no images exist on the clipboard, the images of the LCD are stored on the clipboard when the command is executed, then they are saved.
.csv | LOG or omitted | Measurement data for statistical analysis are saved in the ASCII format (as comma-delimited data). If the frequency of data measurement stored on the volatile memory exceeds 65,536, only the data acquired from the first 65,536 measurements are saved and the remaining data are ignored.
 | LIST | Measurement results of list measurement at all measurement points are saved in the ASCII format as comma-delimited data. Measurement results of single-point measurement cannot be saved.
 | SETup | The contents of all of the measurement point (stimulus) setup tables, the contents of all of the calibration kit setup tables, and the contents of all of the compensation kit setup tables are saved in the ASCII format as comma-delimited data.
 | COMParator | The contents of all of the BIN sorting setup tables are saved in the ASCII format as comma-delimited data.
.dta | Not needed | Measurement data for statistical analysis are saved in the binary format. Regardless of how many times measurement is executed, all of the stored measurement data are saved.

*1 Images on the LCD when Data Export > Dump Screen Image is pressed.

Recalling a File

To recall an .sta or .csv file that contains previously saved instrument settings, use the following command:

  • :MMEM:LOAD

The contents to be recalled depend on the extension of the filename and the parameters specified when the command is executed. The table below lists the extensions, parameters, and corresponding contents to be recalled.

Extension | Parameter | Contents to be recalled
.sta | Not needed | Instrument state (instrument settings, calibration and compensation state) are recalled.
.csv | SETup or omitted | The contents of all of the measurement point (stimulus) setup tables, the contents of all of the calibration kit setup tables, and the contents of all of the compensation kit setup tables are recalled.
 | COMParator | The contents of all of the BIN sorting setup tables are recalled.

  • By recalling an instrument settings file, you can restore the instrument to the state it was in when you saved the file. Note that some of the instrument settings cannot be saved.

Automatically Recalling a File

When the E4982A is turned ON, it looks for an instrument settings file named “autorec.sta” and, if the file exists, automatically recalls the settings from the file.

Managing a File

To manage files, use the following command:

Copies a file | :MMEM:COPY
Creates a new directory (folder) | :MMEM:CRE:DIR
Deletes an existing file or directory | :MMEM:DEL
Reads the information about the storage device built in the E4982A | :MMEM:CAT?

Sample Program

See File Save.


Error Handling

  • Using the Error Queue

  • Using the Status Reporting System

  • Sample Program

Other topics about Remote Control

Using the Error Queue

When an error occurs, its number and message will be stored in the error queue. Thus, you can determine which error has occurred by reading the contents of the error queue. Use the folowing command to read the contents of the error queue:

  • :SYST:ERR?

You can also use the following command to check how many errors are contained in the error queue:

  • :SYST:ERR:COUN?

Some examples of using the error queue are given below:

  1. Use the error queue for branching control of the program in response to an error. If no error has occurred, the contents read out from the error queue are 0 for the number and “No error” for the message. This can be used to verify the occurrence of any error and is thus useful for the branch processing flow of your program. This is also used to handle a specific error that may be predefined in the program. This method, however, is not suitable for performing tasks synchronized with the occurrence of errors.

  2. Use the error queue to identify an error that is detected via an SRQ (service request).

Using the Status Reporting System

The status of the E4982A can be detected through the status registers. This section explains how to use the status registers to detect the occurrence of an error. For a complete description of the status report mechanism, including the specifications of each bit, see Status Reporting System.

Occurrence of an error will be reflected in the standard event status register. An SRQ is useful when you create a program that uses the information reported by this register to detect the occurrence of an error.

Use the following commands to detect the end of sweep via SRQ:

  • *SRE

  • *ESE

Follow these steps:

  1. Set the E4982A to generate an SRQ when “1” is assigned to one of the error occurrence bits of the standard event status register.

  2. Describe the program so that it executes interruption processing as soon as an SRQ is generated.

Sample Program

See the Detecting an Error via an SRQ.


Connecting the Instrument to a Handler with the Handler Interface

  • Input/Output Signal Pin Layout

  • Outputting Bin Sort Results

  • Timing Chart

  • Electrical Characteristics

  • Control/Check the Handler Interface for Maintenance


Input/Output Signal Pin Layout

The figure below illustrates the layout of the input/output signal pins on the handler interface connector.

Handler Interface Connector Pin Layout

Description of the Handler Interface Input/Output Signals

Pin number | Signal name | Input/ Output | Description
1 | /BIN1 | Output | These signals indicate the result of sorting. When a DUT is sorted into a bin, the corresponding signal (one of pins 1 through 11 and 19 through 21) changes to the Low level for a DUT that does not fall within the Rdc limit or cannot be measured (overload).
2 | /BIN2
3 | /BIN3
4 | /BIN4
5 | /BIN5
6 | /BIN6
7 | /BIN7
8 | /BIN8
9 | /BIN9
10 | /OUT_OF_GOOD_BINS
11 | /BIN10
12, 13 | EXT_TRIG | Input | An external trigger signal. Available when the trigger mode is set to Ext (external trigger source). The instrument is triggered when the pulse reaches a rising/falling*1 edge.
14, 15 | EXT_DCV |  | External DC voltage. Supplies voltage necessary for driving input signals. The pin accepts input voltage within the range from +5 V to +24 V.
16, 17, 18 | +5 V | Output | Internal DC voltage. Maximum current is 500 mA.
19 | /BIN11 |  | These signals indicate the result of sorting. For more information, refer to the description of pins 1 through 11.
20 | /BIN12
21 | /BIN13
22 | /READY_FOR_TRIG |  | The /READY_FOR_TRIG signal changes to the Low level when the instrument can be triggered. When the handler receives this signal, it can input an external trigger signal to the instrument.
23 | /RDC_OUT_OF_RANGE |  | The /RDC_OUT_OF_RANGE signal changes to the Low level when the result of Rdc measurement does not fall within the specified limit range.
24 | /OVLD |  | The /OVLD signal changes to the Low level when analog measurement cannot be performed (overload).
25 | /KEY_LOCK | Input | Key lock signal. Changing this signal to the Low level locks the E4982A's front panel (keys and rotary knobs), keyboard and mouse.
26 | (Reserved). | - | Currently not in use. Leave this pin unconnected.
27, 28 | EXT_DCT | Input | External DC voltage. For more information, refer to the description of pins 14 and 15.
29 | /ALARM | Output | The /ALARM signal changes to the Low level when an alarm condition is detected; for example, when the instrument does not satisfy a self-test item, or a particular circuit malfunction.
30 | /INDEX |  | The /INDEX signal changes to the Low level when analog measurement is complete. When the handler receives the signal, it assumes that it is ready to connect the next DUT. However, no measurement data is available until the /EOM signal is received.
31 | /EOM |  | The /EOM signal changes to the Low level when the instrument is ready to return measurement data and sort results after performing one complete cycle of measurement.
32, 33, 34, 35, 36 | COM | - | Common for output signal pull-up voltage.

*1. The :TRIG:SLOP command sets the polarity (rising or falling).

  • A signal prefixed with a slash (/) is a negative logic signal (i.e., changes to Low when activated).

Other topics about Connecting the Instrument to a Handler Interface


Outputting Bin Sort Results

When the bin sort feature is on (i.e., after you have issued the :CALC:COMP command by specifying “ON”), the instrument outputs the result of bin sorting through the handler interface. The table below shows how bin sort results are mapped to the sort result signals /BIN1 through /BIN13 and /OUT_OF_GOOD_BINS) of the handler interface. The table assumes that you have issued the :CALC:COMP:OGB command by specifying 10 so that bins 1 through 10 serve as good bins while bins 11 through 13 serve as bad bins.

  • When the bin sort feature is OFF, the instrument does not output signals except the /INDEX, /EOM, /ALARM, /OVLD and /READY_FOR_TRIG. The EXT_TRIG is valid regardless of the ON/OFF status of the bin sort feature if the trigger mode is set to External. The /KEY_LOCK is also valid regardless of ON/OFF status of the bin sort feature.

Mapping between Bin Sort Results and Handler Interface Output Signals

Measurement status | Bin sort results |  | Handler interface signal(s) that is (are) activated | GPIB Output
 |  |  |  | Measurement status | Measured value | Bin sort result
Normal | Indicates a DUT that was not sorted into any of bins 1 through 13 |  | /OUT_OF_GOOD_BINS | 0 | Measured value | 0
 | Good bin*1 | BIN1 | /BIN1 |  |  | 1
 |  | BIN2 | /BIN2 |  |  | 2
 |  | BIN3 | /BIN3 |  |  | 3
 |  | BIN4 | /BIN4 |  |  | 4
 |  | BIN5 | /BIN5 |  |  | 5
 |  | BIN6 | /BIN6 |  |  | 6
 |  | BIN7 | /BIN7 |  |  | 7
 |  | BIN8 | /BIN8 |  |  | 8
 |  | BIN9 | /BIN9 |  |  | 9
 |  | BIN10 | /BIN10 |  |  | 10
 | Bad bin*1 | BIN11 | /BIN11 /OUT_OF_GOOD_BINS |  |  | 11
 |  | BIN12 | /BIN12 /OUT_OF_GOOD_BINS |  |  | 12
 |  | BIN13 | /BIN13 /OUT_OF_GOOD_BINS |  |  | 13
Overload*2 | Sort failure |  | /OVLD | 1 | 9.9E37 | 14
Rdc out of range |  |  | /RDC_OUT_OF_RANGE | 2 | Measured value*3
Simultaneous detection of overload and Rdc out of range |  |  | /OVLD /RDC_OUT_OF_RANGE | 3 | 9.9E37

*1. This table assumes that you have issued the :CALC:COMP:OGB command by specifying 10 so that bins 1 through 10 serve as good bins while bins 11 through 13 serve as bad bins.

*2. When overload is detected at a measurement point that is not used for bin sorting, bin sorting is operated normally. Therefore the bin sort result is not 14 in this case.

*3. The instrument outputs a measured value normally. However, the output may be an invalid value that was measured while there was a bad contact.

Other topics about Connecting the Instrument to a Handler Interface


Timing Chart

The timing chart below shows the timing and duration of each handler signal. During the interval where /DATA is unknown, no output signal is available because the E4982A is processing the result of analog measurement. For the meanings of T1 through T7 in this chart, see the Operation Manual.

  • Design a handler-based auto-sorting system so that the measurement cycle must be synchronized with the operation status of the E4982A using the status report system or the timing signals (/READY_FOR_TRIG, /INDEX, or /EOM). Don’t synchronize by inserting a wait time in the control program for a handler-based auto-sorting system.

Handler interface timing chart

Other topics about Connecting the Instrument to a Handler Interface


Electrical Characteristics

  • Output Signals

  • Input Signals

Other topics about Connecting the Instrument to a Handler Interface

Output Signals

Each output signal is generated as open collector output of a photocoupler and obtained as voltage output applied to an external pull-up resistor connected to the E4982A. The table below shows the electrical characteristics of the output signals.

Electrical characteristics of handler interface output signals

Output voltage [V] |  | Recommended current | Maximum current
Low | High
0 to 0.5 | Pull-up voltage (5 to 24) | 3 mA | 6 mA

The following table shows the recommended pull-up resistance values.

Recommended pull-up resistance values

Pull-up voltage [V] | Recommended Resistance value [Ω]
5 | 1.7k (5 V / 3 mA)
9 | 3.0k (9 V / 3 mA)
12 | 4.0k (12 V / 3 mA)
15 | 5.0k (15 V / 3 mA)
24 | 8.0k (24 V / 3 mA)

A circuit diagram for the handler output signals (an example of pull-up resistor connections) is shown in the figure below.

Circuit diagram for handler interface output signals

Input Signals

Each input signal is supplied to the cathode of the photo coupler LED. The anode of the LED is connected to the drive source voltage. The following figure shows the circuit diagram of the input signals.

Circuit diagram for handler interface input signals

The input signal voltage level should be set by :SYST:HAND:TRIG:VOLT or System > Service > Handler Ext Trig. The input signal resister is changed according to the setting.

Switch | 5 to 9 V | 9.1 to 15 V | 15.1 to 24 V
S1 | ON | OFF | OFF
S2 | OFF | ON | OFF
S3 | OFF | OFF | ON
Input Signal Resister | 977 Ω | 2.35 kΩ | 3.68 kΩ

The following table shows the electrical characteristics of the input signals. The amount of current flowing through the LED depends on the setups of the drive source voltage and the input signal resistor.

Electrical characteristics of handler interface input signals

Input signals | Input voltage [V] |  | Input current (at Low level) [mA] (typical value)
 | Low | High | Drive voltage: 5 V | 12 V | 15 V | 24 V
EXT_TRIG | 0 to 1 | Drive voltage (EXT_DCV) | 3.8 | 4.6 | 5.8 | 6.2
/KEY_LOCK |  |  | 5.2 | 14.5 | 18.5 | 30.5


Control/Check the Handler Interface for Maintenance

  • Overview

  • Starting Handler Interface Test

  • Using Handler Interface Test Commands

  • Ending Handler Interface Test

Other topics about Connecting the Instrument to a Handler Interface

Overview

To control/check the Handler interface, the Agilent E4982A provides several test commands related to various operations of handler interface. This section explains the various test commands available in E4982A to check/trouble the handler interface.

Starting Handler Interface Test

Handler interface can be set into test mode by using the :TEST:HAND:MODE command. When this command value is set to ON, the handler interface pin signal value can be controlled/read by :TEST:HAND:xxxx commands.

Using Handler Interface Test Commands

After setting the :TEST:HAND:MODE command value to ON, the following commands can be used to control/read the handler interface pin signal value:

  • :TEST:HAND:BIN

  • :TEST:HAND:STAT:ALAR

  • :TEST:HAND:STAT:EOM

  • :TEST:HAND:STAT:IND

  • :TEST:HAND:STAT:KEYL

  • :TEST:HAND:STAT:OVLD

  • :TEST:HAND:STAT:RDC

  • :TEST:HAND:STAT:RDYT

  • :TEST:HAND:STAT:TRIG

Ending Handler Interface Test

When the Handler interface test is finished, close the E4982A Handler interface test mode by setting :TEST:HAND:MODE command value to OFF so that handler interface pin signal is generated according to the actual measurement result.


Status Reporting System

  • General Status Register Model

  • Status Register Structure

  • Using the Status Reporting System


General Status Register Model

  • Overview

  • Event Register

  • Enable Register

  • Status Byte Register

  • Condition Register and Transition Filter

Other topics about Status Reporting System

Overview

The Agilent E4982A has a status reporting system to report the condition of the instrument.

General Status Register Model

The status reporting system has a hierarchical structure as shown in the figure above.When the instrument satisfies a particular condition, the corresponding bit of the event register is set to 1.Therefore, you can check the instrument status by reading the event register. When the event register bit is set to “1” and a corresponding enable register bit (a bit marked with an arrow in the above figure) is also “1,” the summary bit of the status byte register is set to “1.” You can read the status byte register by using the serial poll. If the bit of the service request enable register is “1,” a service request (SRQ) is generated by the positive transition of the corresponding status byte register bit. By generating SRQ, you can notify the controller that the E4982A is requesting service. In other words, interruption by SRQ can be programmed. For more information on using SRQ, see Waiting for (Detecting) End of Measurement, or Using the Status Reporting System.

Event Register

The event register reflects the corresponding condition of the E4982A (e.g., occurrence of an event) as a bit status. These bits continuously monitor changes in the E4982A's state and change the bit status when the condition (e.g., change bit status to “1” if a specific event occurs) for each bit is met. You cannot change the bit status by issuing a GPIB command.

The Agilent E4982A has the following event registers:

  • Standard Event Status Register

  • Operation Status Event Register

  • Questionable Status Event Register

Enable register

Setting the enable register allows you to specify event register bits that can set “1” to the summary bit of the status byte register when an event occurs. The register bits work as mask bits; setting “1” to an enable register will enable a corresponding bit in the event register.

For example, when you want to set “1” as the summary bit in the status byte register by a specific register condition, set the corresponding enable register to “1.”

Status byte register

If the enabled event register is set to “1,” a corresponding bit of the status byte register is also set to “1.” This register also indicates the output queue and SRQ status. The value of the status byte register can be read by using the *STB? command or the serial poll (SPOLL statement in HP BASIC) from the controller.

Reading the status byte register by using the *STB? command does not affect the contents of the status byte register. However, reading it with the SPOLL statement of HP BASIC will clear the RQS bit in the status byte register.

Setting the service request enable register using the *SRE command can generate a service request synchronously with the status byte register.

Condition register and transition filter

When the status register has a transition filter, there is a lower register called a condition register under the event register. The transition filter is between the event register and the condition register.

The transition filter enables you to select a positive and/or negative transition of the condition register bit in order to set a bit in the corresponding event register. For example, using the negative transition filter to set bit 3 to “1” causes bit 3 of the event register to be set to “1” when bit 3 of the condition register makes a negative transition, that is, changes from 1 to 0.

Transition filter and condition register

The E4982A's condition register and transition filter work only with the operation status register.


Status Register Structure

The status reporting system has a hierarchical structure as shown in the figure below. The status byte register is a summary of registers in the lower level. This section describes status registers in each hierarchy.

Status Register Structure

Status Bit Definitions of Status Byte (STB)

Bit Position | Name | Description
0, 1 | Not used | Always 0
2 | Error/Event Queue | Set to "1" if the error/event queue contains data; reset to "0" when all of the data has been retrieved.
3 | Questionable Status Register Summary | Set to “1” when one of the enabled bits in the status event status register is set to “1.”
4 | MAV (Message Available) | Set to “1” when the output queue contains data; reset to “0” when all of the data has been retrieved.
5 | Standard Event Status Register Summary | Set to “1” when one of the enabled bits in the status event status register is set to “1.”
6 | RQS | Set to “1” when any of the status byte register bits enabled by the service request enable register is set to “1”; reset to “0” when all of the data has been retrieved through serial polling.
7 | Operation Status Register Summary | Set to “1” when one of the enabled bits in the operational status register is set to “1.”
  • Issuing the *CLS command will clear all bits from the status byte register.

Status Bit Definitions of Event Status Register (ESR)

Bit Position

Name

Description

0

Operation Complete

Set to “1” upon completion of all operations done by commands that precede the *OPC command.

1

Not used

Always 0.

2

Query error

1. Set to “1” when the E4982A receives a data output request but there is no data to output.

2. Set to “1” when the data of the E4982A's output queue has been cleared because of a new message received before the completion of data output.

3

Device Dependent Error

Set to “1” when an error has occurred and the error is not a command, query, or execution error.

4

Execution Error

1. Set to “1” when any parameter in a GPIB command exceeds its input range or is inconsistent with the E4982A's capabilities.

2. Set to “1” when a GPIB command cannot be properly executed due to some condition of the E4982A.

5

Command Error

1. Set to “1” when an IEEE 488.2 syntax error occurs (a command sent to the E4982A does not follow the IEEE 488.2 syntax). Possible violations include the command parameter violating the E4982A listening formats or being unacceptable.

2. Set to “1” when a semantic error occurs. Possible causes include a command containing misspellings being sent to the E4982A or an IEEE 488.2 command that is not supported by the E4982A being sent.

3. Set to “1” when GET (Group Execution Trigger) is input while a program message is being received.

6

Not used

Always 0.

7

Power ON

Set to "1" when the E4982A is powered ON.
  • Issuing the *CLS command will clear all bits from the standard event status register.

Status Bit Definitions of the Operation Status Condition Register

Bit Position | Name | Description
0 to 2 | Not used | Always 0.
3 | Analog Measurement | Set to "1" during analog measurment.*1
4 | Measurement | Set to "1" during measurement.*2
5 | Waiting for Trigger | Set to "1" when the instrument is waiting for a trigger.*3
6 to 15 | Not used | Always 0.

*1. This is when the handler interface’s /INDEX signal is active.

*2. This is when the handler interface’s /EOM signal is active.

*3. This is when the trigger system is in trigger wait state. For more information on the trigger system, refer to Trigger system.

  • Issuing the *CLS command will clear all bits from the standard event status register.

Status Bit Definitions of Questionable Status Event Register

Bit Position | Name | Description
0 to 4 | Not used | Always 0.
5 | PLL Unlock | Set to "1" when a PLL unlock occurs.
6 to 8 | Not used | Always 0.
9 | OUT OF GOOD BINS | Set to "1" when the bin sorting result is OUT OF GOOD BINS.*1
10 | RDC OUT OF RANGE | Set to "1" when the result of Rdc measurement fails to fall within the specified limit range.
11 to 15 | Not used | Always 0.

*1. This is when the handler interface's /OUT_OF_GOOD_BINS is active (the DUT is sorted into the bad bin or not sorted into any bin).

  • Issuing the *CLS command will clear all bits from the standard event status register.

Other topics about Status Reporting System


Using the Status Reporting System

You can manage the status report system using the following commands in any combination:

  • *CLS

  • *SRE

  • *STB?

  • *ESE

  • *ESR?

  • :STAT:PRES

  • :STAT:OPER:ENAB

  • :STAT:OPER:COND?

  • :STAT:OPER?

  • :STAT:OPER:PTR

  • :STAT:OPER:NTR

  • :STAT:QUES?

  • :STAT:QUES:ENAB

For sample programs that demonstrate the use of the commands listed above, refer to Waiting for (Detecting) End of Measurement or Using the Status Reporting System.

Other topics about Status Reporting System


E4982A and 4287A vs 4286A GPIB Commands Correspondence Table

The table below shows the correspondence between the E4982A, 4286A and 4287A GPIB commands.

  • There are some cases where the corresponding commands differ in how they are used (e.g., how to supply the parameter(s)). Therefore, it is important to fully understand the details of each command’s function for the particular machine you are using. For example, the measurement parameters setting commands listed in the table are :CALC:FORM for the 4286A and :CALC:PAR{1-4}:FORM for the E4982A and 4287A, which differ in their use as shown in the example below. Accordingly, simple command replacement cannot modify a 4286A program into one suitable for the E4982A and 4287A.
  • Example: Setting Ls-Q as the measurement parameter (HP BASIC):
    4286A:
    10 OUTPUT 717; “:CALC:FORM LSQ”
    E4982A and 4287A:
    10 OUTPUT 717; “:CALC:PAR1:FORM LS”
    20 OUTPUT 717; “:CALC:PAR2:FORM Q”

Function

Items to set/run

GPIB command

4286A

E4982A and 4287A

Measurement settings

Reset

Trigger System Consecutive Start Off

*RST

←

Trigger System Consecutive Initiation On

:SYST:PRES

←

Measurement Parameter Setting

:CALC:FORM

:CALC:PAR{1-4}:FORM

Set Measurement Points and Test Signal

Set Test Signal Level

:SOUR:POW

:SOUR:CURR

:SOUR:VOLT

(Because these differ in how they are used, there is no one-on-one correspondence between the commands)

:SOUR:LIST

:SOUR:UNIT

:SOUR:LIST:CLE

:SOUR:LIST:STAT

:SOUR:LIST:POIN

:SOUR:LIST:TABL

:AVER:COUN

Set List Table

:SENS:LIST:CLE

:SENS:LIST:MODIF:SEGM{1-10}:FREQ

:SENS:LIST:MODIF:SEGM{1-10}:AVER:COUN

:SENS:LIST:SAVE :SENS:LIST:SEGM

:SENS:LIST:SEGM:ADD

:SENS:LIST:SEGM:AVER:COUN

:SENS:LIST:SEGM:DEL

:SENS:LIST:SEGM:EDIT

:SENS:LIST:SEGM:FREQ

:SENS:LIST:SEGM:QUIT

:SENS:LIST:SEGM:SAVE

Set Rdc Measurement

Measurement ON/OFF

:SENS:RDC

 :SOUR:LIST:RDC

Comparator ON/OFF

:CALC:RDC:LIM:STAT

None.

(This is done by turning ON/OFF the entire function of the comparator.)

Limit Value

:CALC:RDC:LIM:UPP

:CALC:RDC:LIM:LOW

:CALC:COMP:RDC:LIM

Set Delay Time

Trigger Delay (for each trigger)

:SENS:SWE:DWEL2

:TRIG:DEL

Point Delay

:SENS:SWE:DWEL1

:TRIG:SEQ2:DEL

Calibration

Select Calibration Kit

:SENS:CORR1:CKIT

:CORR1:CKIT

Set User Definition Calibration Kit

:SENS:CORR1:CKIT:LAB

None

Save user Definition Calibration Kit

:SENS:CORR1:CKIT:SAVE

None.

(Saved with the hardware settings.)

Define Each Standard of User Definition Calibration Kit

Select How to Define Impedance Value (for each fixed point and measurement point)

None.

:CORR1:CKIT:LIST

Define Open

:SENS:CORR1:CKIT:STAN1:G

:SENS:CORR1:CKIT:STAN1:C

:CORR1:CKIT:STAN1:LIST

:CORR1:CKIT:STAN1:DC

:CORR1:CKIT:STAN1:EDEL

Define Short

:SENS:CORR1:CKIT:STAN2:R

:SENS:CORR1:CKIT:STAN2:L

:CORR1:CKIT:STAN2:LIST

:CORR1:CKIT:STAN2:DC

:CORR1:CKIT:STAN2:EDEL

Define Load

:SENS:CORR1:LOAD:TYPE

:SENS:CORR1:CKIT:STAN3:R

:SENS:CORR1:CKIT:STAN3:L

:SENS:CORR1:CKIT:STAN3:Q

:SENS:CORR1:CKIT:STAN3:F

:CORR1:CKIT:STAN3:FORM

:CORR1:CKIT:STAN3:LIST

:CORR1:CKIT:STAN3:DC

:CORR1:CKIT:STAN3:EDEL

Measure Calibration Coefficient Calculation Data

:SENS:CORR1:COLL

:CORR1:COLL

:CORR1:COLL:RF

:CORR1:COLL:DC

Select Measurement Points for Calibration Coefficient Calculation Data

:SENS:CORR1:COLL:FPO

None.

(There is no mode for measuring data with fixed measurement points.)

Check Calibration Function ON/OFF

:SENS:CORR1?

:CORR1?

Calibrate Calibration Coefficient and Turn On Calibration Function

:SENS:CORR1:COLL:SAVE

:CORR1:COLL:SAVE

Set Extension Port

:SENS:CORR1:EDEL:STAT

:SENS:CORR1:EDEL

None.

(The same function can be implemented with the electrical length setting of fixture selection.)

Compensation

Select Compansation Kit

None.

:CORR2:CKIT

Set User Definition Compensation Kit Label

:SENS:CORR2:CKIT:LAB

None.

Save User Definition Compensation Kit

:SENS:CORR2:CKIT:SAVE

None.

(Saved with the hardware settings.)

Define Each Standard of User Definition Compensation Kit

Select How to Define Impedance Value (for each fixed point and measurement point)

None.

:CORR2:CKIT:LIST

Define Open

:SENS:CORR2:CKIT:STAN1:G

:SENS:CORR2:CKIT:STAN1:C

:CORR2:CKIT:STAN1:LIST

:CORR2:CKIT:STAN1:DC

Define Short

:SENS:CORR2:CKIT:STAN2:R

:SENS:CORR2:CKIT:STAN2:L

:CORR2:CKIT:STAN2:LIST

:CORR2:CKIT:STAN2:DC

Define Load

:SENS:CORR2:CKIT:STAN3:R

:SENS:CORR2:CKIT:STAN3:L

None.

(Cannot perform load compensation)

Select Definition Value of User Definition Compensation Kit

:SENS:CORR2:CKIT:STAN1

:SENS:CORR2:CKIT:STAN2

:SENS:CORR2:CKIT:STAN3

None.

Measure Compensation Coefficient Calculation Data

:SENS:CORR2:COLL

:CORR2:COLL

:CORR2:COLL:RF

:CORR2:COLL:DC

Select Measurement Points for Calibration Coefficient Calculation Data

:SENS:CORR2:COLL:FPO

None.

(There is no mode for measuring data with fixed measurement points.)

Calculate Compensation Coefficient

:SENS:CORR2:COLL:SAVE

:CORR2:COLL:SAVE

Set Open Compensation Function ON/OFF

:SENS:CORR2:OPEN

:CORR2:COLL:OPEN

Set Short Compensation Function ON/OFF

:SENS:CORR2:SHOR

:CORR2:COLL:SHOR

Set Load Compensation Function ON/OFF

:SENS:CORR2:LOAD

None.

(Cannot perform load compensation.)

Fixture Selection

Fixture Selection

:SYST:FIXT

:CORR2:FIXT

Set User-created Fixture

Amount Compensated (Electrical Length)

:SYST:FIXT:DIST

:CORR2:FIXT:EDEL{1-8}:DIST

Name

:SYST:FIXT:LAB

:CORR2:FIXT:LAB{1-8}

Save

:SYST:FIXT:SAVE

None.

(Saved with the hardware settings.)

Comparator (BIN sort)

ON/OFF Setting

:CALC:COMP:STAT

:CALC:COMP

Read Results of Decision

:DATA? BIN

:CALC:COMP:DATA:BIN?

Set Beep Output Mode

:CALC:BEEP:COND

:CALC:COMP:BEEP:COND

BIN Setting

:CALC:COMP:CLE

:CALC:COMP:OFFS

:CALC:COMP:SAVE

:CALC:COMP:SEGM

:CALC:COMP:SEGM:ADD

:CALC:COMP:SEGM:DEL

:CALC:COMP:SEGM:EDIT

:CALC:COMP:SEGM:SAVE

:CALC:COMP:SEGM:UPP

:CALC:COMP:SEGM:LOW

:CALC:COMP:CONT:SEGM

:CALC:COMP:SREJ:STAT

:CALC:COMP:SREJ:UPP

:CALC:COMP:SREJ:LOW

(Because these differ in how they are used, there is no one-to-one correspondence between the commands.)

:CALC:COMP:CLE

:CALC:COMP:COND{1-4}:SNUM

:CALC:COMP:COND{1-4}:PAR

:CALC:COMP:COND{1-4}:MODE

:CALC:COMP:COND{1-4}:NOM

:CALC:COMP:BIN{1-13}

:CALC:COMP:BIN{1-13}:COND{1-4}:LIM

:CALC:COMP:BIN{1-13}:COND{1-4}:LTYP

:CALC:COMP:OGB

BIN Counter

ON/OFF Setting

:CALC:COMP:COUN

←

Count Value

Clear

:CALC:COMP:COUN:CLE

←

Read

:DATA? BCOU

:CALC:COMP:DATA:BCOU?

Rdc Measurement Result Comparator

ON/OFF Setting

:CALC:RDC:LIM:STAT

None.

(This is done by turning ON/OFF the entire function of the comparator.)

Set Limit Value

:CALC:RDC:LIM:UPP

:CALC:RDC:LIM:LOW

:CALC:COMP:RDC:LIM

Read Results of Decision

:DATA? RDCL

:CALC:COMP:DATA:RDC?

Limit Test

:CALC:LIM:STAT

:CALC:LIM:CLE

:CALC:LIM:SAVE

:CALC:LIM:SEGM

:CALC:LIM:SEGM:ADD

:CALC:LIM:SEGM:DEL

:CALC:LIM:SEGM:EDIT

:CALC:LIM:SEGM:SAVE

:CALC:LIM:SEGM:UPP

:CALC:LIM:SEGM:LOW

:CALC:LIM:SEGM:CONT

None.

(The comparator function is used instead.)

Trigger

Release Trigger

*TRG

:TRIG

*TRG (with Query response)

Set Trigger Event Mode

:TRIG:EVEN:TYPE

None.

Set Trigger Source

:TRIG:SOUR

←

Set Polarity of External Trigger

:TRIG:SLOP

←

Set Delay Time

Trigger Delay (for each trigger)

:SENS:SWE:DWEL2

:TRIG:DEL

Point Delay (for each point)

:SENS:SWE:DWEL1

:TRIG:SEQ2:DEL

Trigger System

Reset

:ABOR

←

Initiate Once

:INIT

←

Reset and then Reinitiate

:INIT:AGA:ALL

None.

Set Continuous Start ON/OFF

:INIT:CONT

←

Data Read/Write

Set Data Transfer Format

:FORM

←

Set Byte Order for Binary Transfer

None.

:FORM:BORD

Read Results of Impedance Measurement (complex number before calibration/compensation)

:DATA? RAW

:DATA:RAW?

Read Results of Impedance measurement (complex number data after calibration/compensation and before parameter conversion)

:DATA? DATA

None.

Read Measurement Results of Measurement Parameters

:DATA? DTR

:DATA:FDAT{1-4}?

Read Results of Rdc Measurement Parameters

:DATA? RDC

:DATA:RDC?

Read Results of Rdc Comparator Decision

:DATA? RDCL

:CALC:COMP:DATA:RDC?

Read Results of Rdc Comparator Decision, Rdc Measurement and Measurement Parameter

:DATA? RDCDT

None.

(The equivalent information can be obtained with :FETC?)

Read Results of Monitoring Test Signal Level

:DATA? MON

:DATA:IMON?

:DATA:VMON?

Read/Write Calibration Coefficient

:DATA CCO1{1-3}

:DATA:CCO{1-6}

Read Data for Calibration Coefficient Calculation

None.

:DATA:CAD{1-8}?

Read/Write Rdc Measurement Calibration Coefficient

None.

:DATA:RCCO{1-3}

Read Data for Rdc Measurement Calibration Coefficient Calculation

None.

:DATA:RCAD{1-3}?

Read/Write Compensation Coefficient

:DATA CMP{1-3}

:DATA:CMP{1-3}

Read Data for Compensation Coefficient Calculation

None.

:DATA:CMD{1-2}?

Read/Write Rdc Measurement Compensation Coefficient

None.

:DATA:RCMP{1-3}

Read Data for Rdc Measurement Compensation Coefficient Calculation

None.

:DATA:RCMD{1-2}?

Fixture Compensation Standard Array (Standard Value of Compensation Kit)

Read/Write

:DATA:DEF

None.

Clear

:DATA:DEL

None.

Read Results of BIN Sort

:DATA? BIN

:CALC:COMP:DATA:BIN?

Read Results of BIN Count

:DATA? BCOU

:CALC:COMP:DATA:BCOU?

Read Sweep Parameter Values of All Measurement Points (Stimulus Array)

:DATA? SPAR

None.

Read Results of Limit Test

:DATA? LFA{1-2}

:DATA? LLIS{1-2}

:DATA? LRES{1-2}

:DATA:VAL? LRES{1-2}

:DATA:POIN? LFA

None.

Status Report Mechanism

Clear Register

*CLS

←

Read Status Byte Register Value

*STB?

←

Set Service Request Significant Register

*SRE

←

Standard Event Status Register

Read Register Value

*ESR?

←

Set Significant Register Value

*ESE

←

Set OPC Bit Indicated at End of Operation

*OPC

←

Hardware Event Status Register

Read Register Value

:STAT:INST?

None.

(Of the commands previously assigned to this register, those also required for the 4287A are assigned to other registers that can be used for verification.)

Set Significant Register Value

:STAT:INST:ENAB

Operation Status Register

Reset

:STAT:PRES

←

Read Condition Register Value

:STAT:OPER:COND?

←

Set Significant Register Value

:STAT:OPER:ENAB

←

Read Event Register Value

:STAT:OPER?

←

Set Positive Transition Filter Value

:STAT:OPER:PTR

←

Set Negative Transition Filter Value

:STAT:OPER:NTR

←

Questionable Status Register

Reset

:STAT:PRES

←

Set Significant Register Value

:STAT:QUES:ENAB

←

Read Event Register Value

:STAT:QUES?

←
  • The 4286A, 4287A and E4982A basically use the same commands for the status report mechanism. However, the structures of the mechanisms are considerably different. For details on this mechanism, refer to the Programming Description Manual of the machine you are using.

Save/Recall

Save/Recall

:MMEM:STOR:CAL:AUTO

:MMEM:STOR:DINT:GRAP

:MMEM:STOR:DINT:TRAC

:MMEM:STOR:ITEM:TRAC:CAT?

:MMEM:STOR:ITEM:TRAC:DEL

:MMEM:STOR:ITEM:TRAC:SEL

:MMEM:STOR:STAT

:MMEM:STOR:TRAC

:MMEM:LOAD:STAT

:MMEM:LOAD:CAL

:MMEM:LOAD:TRAC

(Because these differ in how they are used, there is no one-to-one correspondence between the commands.)

:MMEM:STOR

:MMEM:LOAD

File Management

Copy

:MMEM:COPY

←

Delete

:MMEM:DEL

←

Delete CALREC_C

:MMEM:DEL:CAL

None.

Create a new directory

:MMEM:CRE:DIR

←

Change current directory

:MMEM:CDIR

None.

Change file extension

:MMEM:FNAM:EXT{1-2}

None.

Initialize a storage device

:MMEM:INIT

None.

Read the information about a storage device

None.

:MMEM:CAT?

File Management

:MMEM:CDIR

:MMEM:COPY

:MMEM:CRE:DIR

:MMEM:DEL

:MMEM:DEL:CAL

:MMEM:FNAM:EXT{1-2}

:MMEM:INIT

None.

(Cannot be performed with a GPIB command; do this by manually operating the front panel.)

Printer

Items Related to Printer or Plotter Settings

:HCOP:DEF

:HCOP:DEV:LANG

:HCOP:DEV:SPE

:HCOP:ITEM:ANN:STAT

:HCOP:ITEM:MENU:STAT

:HCOP:ITEM:TDST:STAT

:HCOP:PAGE:DIM:FULL

:HCOP:PAGE:DIM:QUAD{1-4}

:HCOP:PAGE:SCAL

(Because these differ in how they are used, there is no one-to-one correspondence between the commands.)

For E4982A:

:HCOP:SDUM:DATA:FORM

:HCOP:SDUM:DATA

For 4287A:

:HCOP:DPR

:HCOP:PRIN?

:HCOP:CONT

:HCOP:IMAG

Output

Run

:HCOP

For E4982A:

None.

For 4287A:

←

Stop

:HCOP:ABOR

For E4982A:

None.

For 4287A:

←

Display

Display Settings

:DISP:DATA:PARA{1-2}

:DISP:DATA:PARA{1-2}:MSD{1-10}

:DISP:DATA:PARA{1-2}:MSD:ALL

:DISP:DATA:PARA{1-2}:MSD:AUTO

:DISP:DATA:PARA{1-2}:MSD:FIX

:DISP:ALL

:DISP:BCOU:STAT

:DISP:TEXT10

:DISP:TEXT{1-10}:PAGE

:DISP:TEXT{1-10}:STAT

:DISP:TRAC:STAT

:CALC:FORM2

(Because these differ in how they are used, there is no one-to-one correspondence between the commands.)

:DISP:BACK

:DISP

:DISP:UPD

:DISP:TEXT1

:DISP:TEXT1:CALC{1-4}

:DISP:TEXT1:CALC{1-4}:DIG

:DISP:TEXT1:CALC{1-4}:FIX

:DISP:TEXT1:CALC{1-4}:MSD

:DISP:TEXT1:CALC{11-12}

:DISP:TEXT1:CALC{11-12}:DIG

:DISP:TEXT1:CALC{11-12}:FIX

:DISP:TEXT1:CALC{11-12}:MSD

:DISP:TEXT1:CALC13:DIG

:DISP:TEXT1:CALC13:FIX

:DISP:TEXT1:CALC13:MSD

:DISP:TEXT10

:DISP:TEXT10:DATA

:DISP:TEXT11

:DISP:TEXT11:MODE

:DISP:TEXT2:LAB{1-7}

Lock I/O Device

Front panel Key

:SYST:KLOC

←

Keyboard

None.

:SYST:KLOC:KBD

Mouse

None.

:SYST:KLOC:MOUS

Beep

Turn ON/OFF Beep Indicating Completion of Operation

:SYST:BEEP1:STAT

←

Beep Indicating Warning or Results of BIN sort

ON/OFF Setting

:SYST:BEEP2:STAT

←

Set Beep Output Mode (OK/NG)

:CALC:COMP:BEEP:COND

←

Built-in Clock

Set Date

:SYST:DATE

←

Set Date Format

:SYST:DATE:MODE

None.

Set Time of Day

:SYST:TIME

←

Others

Self Test

*TST?

←

Read Product Information

*IDN?

←

Read Error Queue

:SYST:ERR?

←

Check Whether External Reference Signal is Being Input

:DIAG:EREF:STAT?

:SYST:EXTR?

Read SCPI Vehicle

:SYST:VERS?

←

Read Option Information

*OPT?

For E4982A:

←

For 4287A:

None.

Waiting for End of Command Run

*WAI

←

Read 1 at End of Command Run

*OPC?

←

Set OPC Bit at End of Command Run

*OPC

←

Set GPIB Address

External Controller

:SYST:COMM:GPIB:CONT:ADDR

None.

Printer/ Plotter

:SYST:COMM:GPIB:RDEV{1-2}:ADDR

None.

Parallel I/O Port Control

:SYST:COMM:PAR:DATA?

:SYST:COMM:PAR:TRAN:DATA

None.

Set Handler Interface Output Mode

:SYST:COMM:PAR2:MODE

None.

Send Front Panel key and Soft Key Codes

:SYST:KEY

None.

Items Related to IBASIC Control

All commands beginning with :PROG *PCB

None.

(IBASIC is not supported.)

Other topics about Remote Control


Sample Programs

This section shows sample programs with the SCPI commands which can be executed from the external controller.

  • Measurement Conditions

  • Calibration and Compensation

  • Using SRQ to Detect End of Measurement

  • Retrieving Results Using *TRG (ASCII Format)

  • Retrieving Results Using *TRG (Binary Format)

  • Retrieving Results Using :FETC?

  • Retrieving Results Using :DATA:FDAT{1-4}?

  • Retrieving Results Using :READ?

  • Retrieving Monitored Values of Test Signal Levels

  • Retrieving Results of Rdc Measurement

  • Using the Bin Sorting Function to Sort DUTs

  • Statistical Analysis

  • File Save

  • Detecting an Error via an SRQ


Measurement Conditions

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program demonstrates how to configure measurement conditions.

The program resets the instrument and then configures it with the following conditions:

  • Active table number: 3

  • Point number for single-point measurement: 1

  • Measurement point setup table:

Point number | Measuring frequency | Averaging factor | Signal source level
1 | 1 MHz | 2 | -10 dBm
2 | 10 MHz | 2 | -10 dBm
3 | 100 MHz | 2 | -10 dBm
4 | 1 GHz | 2 | -10 dBm

  • Settings of Measurement Parameters 1 through 4:

 | Parameter | Display | Deviation mode
 |  |  | On/Off | How parameter is displayed | Reference value
Measurement parameter 1 | Ls | On | On | Percentage | 100 nH
Measurement parameter 2 | Rs | On | On | Absolute value | 10 Ω
Measurement parameter 3 | Q | On | Off | - | -
Measurement parameter 4 | - | Off | - | - | -

  • List measurement: On

  • Display parameters for list measurement screen

Display item 1: Measuring frequency

Display item 2: Measuring parameter (Ls)

Display item 3: Measuring parameter (Rs)

Display item 4: Measuring parameter (Q)

  • Result of test signal current level monitoring: On

  • Result of test signal voltage level monitoring: On

  • Rdc measurement: On

  • Rdc measurement limit range

Lower limit: -5 Ω

Upper limit: 5 Ω

  • Title display area: On

  • Time and date display: On (auto update)

See these topics for this programming:

  • Setting Measurement Parameters

  • Setting Measurement Point Setup Tables

  • Choosing Whether to Measure the DUT at a Single Point or Multiple Points

  • Configuring the Instrument for Rdc Measurement

  • Setting How the Instrument Displays Measurement Results

  • Configuring Screen Display

Sample Program in Excel VBA Using VISA-COM

Sub MeasurementConditions()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Age4982x As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument & Sets the GPIB address

Set Age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

Age4982x.IO.timeout = 30000 ' Timeout time should be greater than the measurement time.

'*** Variable declaration

Dim Unit, List, Rdc As String

Dim Para(4) As String

Dim Dev(4) As String

Dim List_lab(4) As String

Dim Title, Title_disp, Clock_disp As String

Dim Freq(4), Pow(4), Cent(4), Rdc_l_lim, Rdc_u_lim As Double

Dim Ave(4), Act_tab, Nop, Point_no, i As Integer

Dim Imon_disp, Vmon_disp As String

'*** Set variables

'* Stores the active table number, the point number for single-point measurement,

'* the unit of the signal source level, and the number of measurement points into the Act_tab,

'* Point_no, Unit, and Nop variables, respectively.

Act_tab = 3 '* Active Table Number: 3

Point_no = 1 '* Selected POint No.: 1

Unit = "DBM" '* Power level unit: dBm

Nop = 4 '* Number of Points: 4

'* Stores the frequency, averaging factor, and signal source level at each

'* point into the Freq(*), Ave(*), and Pow(*) variables respectively.

Freq(1) = 1000000# '* Point No.1 Frequency: 1 MHz

Ave(1) = 2 '* Averaging Factor: 2

Pow(1) = -10 '* OSC Level: -10 dBm

Freq(2) = 10000000# '* Point No.2 Frequency: 10 MHz

Ave(2) = 2 '* Averaging Factor: 2

Pow(2) = -10 '* OSC Level: -10 dBm

Freq(3) = 100000000# '* Point No.3 Frequency: 100 MHz

Ave(3) = 2 '* Averaging Factor: 2

Pow(3) = -10 '* OSC Level: -10 dBm

Freq(4) = 1000000000# '* Point No.4 Frequency: 1 GHz

Ave(4) = 2 '* Averaging Factor: 2

Pow(4) = -10 '* OSC Level: -10 dBm

'* Stores the parameter settings, deviation mode settings, and reference values

'* for measurement parameters 1 through 4 into the Para(*), Dev(*), and Cent(*) arrays, respectively.

Para(1) = "LS" '* Measurement Parameter Para.1: Ls

Para(2) = "RS" '* Para.2: Rs

Para(3) = "Q" '* Para.3: Q

Para(4) = "OFF" '* Para.4: Display off

Dev(1) = "PCNT" '* Deviation Mode Para.1: ON (Pcnt)

Dev(2) = "DEV" '* Para.2: ON (Dev)

Dev(3) = "OFF" '* Para.3: OFF

Dev(4) = "OFF" '* Para.4: OFF

Cent(1) = 0.0000001 '* Reference Value Para.1: 100 nH

Cent(2) = 10 '* for Deviation Mode Para.2: 10 ohm

Cent(3) = 0 '* Para.3: Dummy

Cent(4) = 0 '* Para.4: Dummy

'* Stores the ON/OFF setting of list measurement into the List variable.

List = "ON" '* List Measurement: ON

'* Stores the parameter selections for display items 1 through 4 on the list

'* measurement screen into the List_lab(*) array.

List_lab(1) = "FREQ" '* Displays Parameter Label-1: Freq

List_lab(2) = "PAR1" '* for List Measurement Label-2: Para.1

List_lab(3) = "PAR2" '* Label-3: Para.2

List_lab(4) = "PAR3" '* Label-4: Para.3

'* Stores the ON/OFF settings for the results of test signal current and

'* voltage monitoring into the Imon_disp$ and Vmon_disp$ variables.

Imon_disp = "ON" '* Test Signal Level Monitor Current Display: On

Vmon_disp = "ON" '* Voltage Display: On

'* Stores the ON/OFF setting of Rdc measurement and the upper and lower limits

'* for the Rdc measurement limit range into the Rdc, Rdc_l_lim, and Rdc_u_lim variables, respectively.

Rdc = "ON" '* Rdc Measurement = On

Rdc_l_lim = -5 '* Rdc Measurement Lower Limit: -5 ohm

Rdc_u_lim = 5 '* Comparator Function Upper Limit: +5 ohm

'* Stores the ON/OFF setting of the title display, title string, and the setting of

'* the time display into the Title_disp, Title, and Clock_disp variables, respectively.

Title_disp = "ON" '* Title Display Area Display: On

Title = "Example 3-1" '* Title: Example 3-1

Clock_disp = "LIVE" '* Time and Date Display: ON (Live)

'* Resets the instrument.

Age4982x.WriteString ":SYST:PRES" + vbLf, True

'*** Measurement Point Setup Table

'* Sets the active table number to Act_tab and the unit of the signal source level to Unit.

Age4982x.WriteString ":SOUR:LIST:TABL " & Act_tab, True

Age4982x.WriteString ":SOUR:UNIT " & Unit, True

'* Configures the measurement point setup table.

Age4982x.WriteString ":SOUR:LIST " & Nop & ",", False

For i = 1 To Nop - 1

Age4982x.WriteString Freq(i) & "," & Ave(i) & "," & Pow(i) & ",", False

Next i

Age4982x.WriteString Freq(Nop) & "," & Ave(Nop) & "," & Pow(Nop), True

'*** Measurement Parameter

'* Configures the instrument with the various settings related to measurement parameters 1 through 4.

For i = 1 To 4

If Para(i) = "OFF" Then

Age4982x.WriteString ":DISP:TEXT1:CALC" & Val(i) & " OFF", True

Else

Age4982x.WriteString ":DISP:TEXT1:CALC" & Val(i) & " ON", True

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":FORM " & Para(i), True

If Dev(i) = "OFF" Then

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":EXPR:STAT OFF", True

Else

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":EXPR:STAT ON", True

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":EXPR:NAME " & Dev(i), True

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":EXPR:CENT " & Cent(i), True

End If

End If

Next i

'*** Measurement Point(s)

'* Turns ON/OFF list measurement based on List and sets the point number

'* for single-point measurement to Point_no

Age4982x.WriteString ":SOUR:LIST:POIN " & Point_no, True

Age4982x.WriteString ":SOUR:LIST:STAT " & List, True

'*** Test Signal Level Monitor Result Display

'* Turns ON/OFF the results of test signal level current and voltage

'* monitoring based on Imon_disp and Vmon_disp.

Age4982x.WriteString ":DISP:TEXT1:CALC11 " & Imon_disp, True

Age4982x.WriteString ":DISP:TEXT1:CALC12 " & Vmon_disp, True

'*** Rdc Measurement

'* Turns ON/OFF Rdc measurement based on Rdc$ and set the limit range

'* for Rdc measurement to the range between Rdc_l_lim and Rdc_u_lim.

Age4982x.WriteString ":SOUR:LIST:RDC " & Rdc, True

Age4982x.WriteString ":CALC:COMP:RDC:LIM " & Rdc_l_lim & "," & Rdc_u_lim, True

'*** Displayed Parameter in List Measurement Display

'* Configures display items 1 through 4 on the list measurement screen.

For i = 1 To 4

Age4982x.WriteString ":DISP:TEXT2:LAB" & Val(i) & " " & List_lab(i), True

Next i

'*** Title Display area

'* Turns ON/OFF the title display based on Title_disp and sets the title to Title.

Age4982x.WriteString ":DISP:TEXT10 " & Title_disp, True

Age4982x.WriteString ":DISP:TEXT10:DATA """ & Title & """", True

'*** Clock (Data/Time) Display

'* Configures the date and time display.

If Clock_disp = "OFF" Then

Age4982x.WriteString ":DISP:TEXT11 OFF", True

Else

Age4982x.WriteString ":DISP:TEXT11 ON", True

Age4982x.WriteString ":DISP:TEXT11:MODE " & Clock_disp, True

End If

MsgBox ("End of ""Measurement Condition"" program"), vbOKOnly

End Sub


Calibration and Compensation

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program demonstrates on how to obtain the measurement data for calculating the calibration and compensation coefficients.

The sample program begins by configuring the measurement point setup table and calibration kit and configuring the instrument accordingly. After measuring the necessary data, it then calculates the calibration coefficients and turns ON the calibration function. It lets the user select a test fixture and configure the compensation kit. Finally, it measures the data for calculating the compensation coefficients.

In this program, the measurement point setup table in configured as below:

Point number | Measuring frequency | Averaging factor | Signal source level
1 | 1 MHz | 4 | 0 dBm
2 | 10 MHz | 4 | 0 dBm
3 | 100 MHz | 4 | 0 dBm

See these topics for this programming:

Performing Calibration

Selecting a Test Fixture (Port Extension Compensation)

Running the Compensation Process

Sample Program in Excel VBA Using VISA-COM

Sub Calibration()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

Dim ReadData() As Double

Dim i As Integer

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument. Sets the GPIB address.

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000 ' TimeOut time should be greater than the measurement time.

'*** Variable declaration

Dim Buff As String, File As String, Inp_char As String, Ofile As String

Dim Cal_coef_a1() As Double, Cal_coef_a2() As Double

Dim Cal_coef_b1() As Double, Cal_coef_b2() As Double

Dim Cal_coef_c1() As Double, Cal_coef_c2() As Double

Dim Cal_coef_dc(3) As Double

Dim Open_l_lim As Double, Short_u_lim As Double, Load_l_lim As Double, Load_u_lim As Double

Dim Scode As Integer, Result As Integer, Nop As Integer

'*** Clear old data

ActiveSheet.Range("C10:E10").Clear

ActiveSheet.Range("H11:S221").Clear

ActiveSheet.Cells(1, 1).Select

'*** Resets the instrument.

age4982x.WriteString ":SYST:PRES", True

'*** Sets the data transfer format to ASCII.

age4982x.WriteString ":FORM ASC", True

'*** Configures the measurement point setup table as follows.

age4982x.WriteString ":SOUR:LIST:TABL 1", True

age4982x.WriteString ":SOUR:UNIT DBM", True

age4982x.WriteString ":SOUR:LIST 3,", False

age4982x.WriteString "10E6, 4, 0,", False

age4982x.WriteString "100E6, 4, 0,", False

age4982x.WriteString "1E9, 4, 0", True

'*** Passes control to a subprogram named Set_cal_kit to configure the calibration kit.

MsgBox "## Calibration Kit Setting ##", vbOKOnly

Call Set_cal_kit(age4982x)

'*** Passes control to a subprogram named Inp_data, which prompts the user to enter the limit values for each standard. Then the program

'*** stores the Rdc measurement lower limit for the OPEN standard into the Open_l_lim variable, the Rdc measurement upper limit for the SHORT

'*** standard into the Short_u_lim variable, and the Rdc measurement lower and upper limits for the LOAD standard into the Load_l_lim and

'*** Load_u_lim variables, respectively.

MsgBox "## Rdc Limit Setting ##", vbOKOnly

Call Inp_data("Open Lower Limit", Open_l_lim)

Call Inp_data("Short Upper Limit", Short_u_lim)

Call Inp_data("Load Lower Limit", Load_l_lim)

Call Inp_data("Load Upper Limit", Load_u_lim)

'*** Passes control to a subprogram named FNCal, which measures the data for OPEN, SHORT, and LOAD standard.

MsgBox "## Measurement ##", vbOKOnly

Result = FNCal(age4982x, "Open", Open_l_lim, 1000000000#)

If Result <> 0 Then Exit Sub

Result = FNCal(age4982x, "Short", -1000000000#, Short_u_lim)

If Result <> 0 Then Exit Sub

Result = FNCal(age4982x, "Load", Load_l_lim, Load_u_lim)

If Result <> 0 Then Exit Sub

'*** Prompts the user to confirm whether to measure a low-loss capacitor and waits until the user presses the y or n key.

Inp_char = Val(InputBox("Low Loss Capacitor is valid ONLY for 16195B. Do you want to measure Low Loss Capacitor? [Y]es/[N]o", "LLC", "y"))

'*** If the user presses the y key in response to the above line, the program passes control to the FNCal subprogram to obtain the measurement

'*** data for the low-loss capacitor.

' If Inp_char = "Y" Or Inp_char= "YES" Then

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

Result = FNCal(age4982x, "Low Loss C", -1000000000#, 1000000000#)

If Result <> 0 Then Exit Sub

End If

'*** Calculates the calibration coefficients and turns on the calibration function.

age4982x.WriteString ":CORR1:COLL:SAVE", True

age4982x.WriteString "*OPC?", True

Buff = age4982x.ReadNumber

'*** Calibration Coefficient Array Reading.

'*** Retrieves the number of measurement points and resizes the arrays accordingly.

age4982x.WriteString ":SOUR:LIST:SIZE?", True

Nop = age4982x.ReadNumber

'Nop = Nop - 1

'*** Retrieves the calibration coefficients for impedance measurement, A1, B1, C1, A2, B2, and C2

'*** and then stores them into the excel sheet.

age4982x.WriteString ":DATA:CCO1?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 8).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 9).value = ReadData(i * 2 + 1)

Next i

age4982x.WriteString ":DATA:CCO2?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 10).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 11).value = ReadData(i * 2 + 1)

Next i

age4982x.WriteString ":DATA:CCO3?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 12).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 13).value = ReadData(i * 2 + 1)

Next i

age4982x.WriteString ":DATA:CCO4?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 14).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 15).value = ReadData(i * 2 + 1)

Next i

age4982x.WriteString ":DATA:CCO5?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 16).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 17).value = ReadData(i * 2 + 1)

Next i

age4982x.WriteString ":DATA:CCO6?", True

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

ActiveSheet.Cells(i + 11, 18).value = ReadData(i * 2)

ActiveSheet.Cells(i + 11, 19).value = ReadData(i * 2 + 1)

Next i

'*** Retrieves the calibration coefficients for Rdc measurement, A, B, and C, and then stores them in the excel sheet

'*** retaining the original order.

age4982x.WriteString ":DATA:RCCO1?", True

ActiveSheet.Cells(10, 3).value = age4982x.ReadNumber

age4982x.WriteString ":DATA:RCCO2?", True

ActiveSheet.Cells(10, 4).value = age4982x.ReadNumber

age4982x.WriteString ":DATA:RCCO3?", True

ActiveSheet.Cells(10, 5).value = age4982x.ReadNumber

'*** Call Compensation Function

Call Compensation(age4982x)

End Sub

'*** Calibration Data Measurement Function

'*** The FNCal subprogram measures the data for calculating the calibration coefficients.

Function FNCal(LCRMeter As VisaComLib.FormattedIO488, Standard As String, L_lim As Double, U_lim As Double) As Integer

Dim Inp_char As String, Trig_sour As String

Dim Buff As Integer, BitWaitingForTrigger As Integer, CondReg As Integer

Dim Rdc As Double

Dim Meas_data As Double

Dim Err_flag As Integer

'*** Retrieves the current trigger source setting and stores the setting into the Trig_sour variable.

LCRMeter.WriteString ":TRIG:SOUR?", True

Trig_sour = LCRMeter.ReadString

'*** After measurement is stopped (the trigger system is stopped), the program sets the trigger source to GPIB/LAN trigger and

'*** turns ON the continuous activation of the trigger system.

LCRMeter.WriteString ":ABOR", True

LCRMeter.WriteString ":TRIG:SOUR BUS", True

LCRMeter.WriteString ":INIT:CONT ON", True

Cal_meas:

'*** Prompts the user to set up the connection for measuring the standard identified by Standard and

'*** waits until the user presses the y key followed by the return key.

Inp_char = InputBox("Set " & Standard & "-Connection. OK? [Y/N]", "Calibration Execution", "y")

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

'*** Clears the status byte register and operation status event register.

LCRMeter.WriteString "*CLS", True

LCRMeter.WriteString "*OPC?", True

Buff = LCRMeter.ReadNumber

'*** Sends the commands to measure the standard identified by Standard.

Select Case Standard

Case "Open"

LCRMeter.WriteString ":CORR1:COLL STAN1", True

Case "Short"

LCRMeter.WriteString ":CORR1:COLL STAN2", True

Case "Load"

LCRMeter.WriteString ":CORR1:COLL STAN3", True

Case "Low Loss C"

LCRMeter.WriteString ":CORR1:COLL STAN4", True

End Select

'*** Triggers the instrument.

LCRMeter.WriteString ":TRIG", True

Do

LCRMeter.WriteString ":STAT:OPER:COND?", True

CondReg = LCRMeter.ReadNumber

BitWaitingForTrigger = CondReg And 32

Loop While BitWaitingForTrigger = 0

Meas_end:

'*** Sets the Err_flag variable to 0.

Err_flag = 0

'*** When the standard is OPEN, SHORT, or LOAD, the subprogram checks whether the Rdc value falls within the limit range.

'*** If the limit range is exceeded, it sets the Err_flag variable to 1.

Select Case Standard

Case "Open"

LCRMeter.WriteString ":DATA:RCAD1?", True

Rdc = LCRMeter.ReadNumber

MsgBox "Rdc= " & Rdc

If Abs(Rdc) < L_lim Then Err_flag = 1

Case "Short"

LCRMeter.WriteString ":DATA:RCAD2?", True

Rdc = LCRMeter.ReadNumber

MsgBox "Rdc= " & Rdc

If Abs(Rdc) > U_lim Then Err_flag = 1

Case "Load"

LCRMeter.WriteString ":DATA:RCAD3?", True

Rdc = LCRMeter.ReadNumber

MsgBox "Rdc= " & Rdc

If Abs(Rdc) < L_lim Or Abs(Rdc) > U_lim Then Err_flag = 1

End Select

'*** If Err_flag is 0, which means that the Rdc value is within the limit range, the subprogram notifies the user of successful measurement.

'*** If Err_flag is 1, which means that the Rdc value is not within the limit range, the subprogram notifies the user of failed measurement and

'*** returns to the line where it starts measuring the standard.

If Err_flag = 0 Then

MsgBox Standard & " Data Measurement Complete", vbOKOnly

Else

MsgBox "Error: RDC is out of Range", vbOKOnly

End If

'*** Finally, the subprogram returns 0 after restoring the original trigger source by changing the trigger source to Trig_sour.

LCRMeter.WriteString ":TRIG:SOUR " & Trig_sour, True

Else

'*** If the key the user pressed for "Set Standard Connection. OK?" is not the y key, this statement

'*** block is executed and the subprogram returns -1.

LCRMeter.WriteString ":TRIG:SOUR " & Trig_sour, True

MsgBox "Program Interruption", vbOKOnly

End If

FNCal = Err_flag

End Function

'*** The Set_cal_kit subprogram configures the calibration kit.

Sub Set_cal_kit(LCRMeter As VisaComLib.FormattedIO488)

Dim Para1 As String, Para2 As String, Kit As Integer

Dim Inp_char As String, Def As Integer, Nop As Integer, Load_para As Integer, Point As Integer

Dim Open1 As Double, Open2 As Double, Open_dc As Double, Open_del As Double

Dim Shor1 As Double, Shor2 As Double, Shor_dc As Double, Shor_del As Double

Dim Load1 As Double, Load2 As Double, Load_dc As Double, Load_del As Double

Kit_select:

'*** Displays the list of supported calibration kits and prompts the user to choose one of the items by typing in the appropriate number.

Kit = Val(InputBox("Select Calibration Kit, 1: 16195B; 2: User Defined ", "Calibration Kit Selection", 1))

'*** If Kit is neither 1 nor 2, the program returns to the entry start line.

If Kit < 1 Or Kit > 2 Then GoTo Kit_select

If Kit = 1 Then

'*** If Kit is 1, the program configures the instrument to use the 7 mm calibration kit.

LCRMeter.WriteString ":CORR1:CKIT DEF", True

Else

'*** If Kit is 2, the program configures the instrument to use a user-defined calibration kit.

'*** The description below assumes that Kit is 2.

LCRMeter.WriteString ":CORR1:CKIT USER", True

'

'*** Displays the list of modes for defining the calibration kit and prompts the user to choose one of the items

'*** by typing in the appropriate number. Then the program converts the entered value into an integer

'*** and stores it into the Def variable.

Def_select:

Def = Val(InputBox("Select Definition Type, 1: Fixed; 2: Not Fixed ", "Definition Type Selection", 1))

If Def < 1 Or Def > 2 Then GoTo Def_select

Select Case Def

'*** If Def is 1, the program configures the instrument so that the user can define the calibration kit in fixed mode

'*** and stores “1” into the Nop variable, which indicates the number of measurement points that require definitions.

Case 1

LCRMeter.WriteString ":CORR1:CKIT:LIST OFF", True

Nop = 1

'*** If Def is 2, the program configures the instrument so that the user can define the calibration kit in point-by-point mode,

'*** and then retrieves the number of points and stores the number into the Nop variable.

Case 2

LCRMeter.WriteString ":CORR1:CKIT:LIST ON", True

LCRMeter.WriteString ":SOUR:LIST:SIZE?", True

Nop = LCRMeter.ReadNumber

End Select

'*** Displays the list of parameter types that can be used to define the LOAD standard and prompts the user to choose one of the items by

'*** typing in the appropriate number. Then the program converts the entered value into an integer and stores it into the Load_para variable.

Load_select:

Load_para = Val(InputBox("Select Load Definition Parameters, 1: Rs and Ls; 2: Ls and Q, 3: Cp and D", "Load Definition Parameter Selection", 1))

If Load_para < 1 Or Load_para > 3 Then GoTo Load_select

'*** Sets the parameter type for defining the LOAD standard based on Load_para and stores the parameter names into

'*** the Para1 andPara2 variables.

Select Case Load_para

Case 1

LCRMeter.WriteString ":CORR1:CKIT:STAN3:FORM RL", True

Para1 = "Rs"

Para2 = "Ls"

Case 2

LCRMeter.WriteString ":CORR1:CKIT:STAN3:FORM LQF", True

Para1 = "Ls"

Para2 = "Q"

Case 3

LCRMeter.WriteString ":CORR1:CKIT:STAN3:FORM CDFRL", True

Para1 = "Cp"

Para2 = "D"

End Select

'*** Iterates the following steps Nop times:

'*** If Nop is 2 or greater, the program displays each measurement point that requires a definition.

'*** Passes control to the Inp_data subprogram to acquire the OPEN, SHORT, or LOAD standard values from user input.

'*** Configures each standard with the entered values.

For Point = 1 To Nop

If Nop > 1 Then

MsgBox "[Point No. " & Val(Point) & "]", vbOKOnly

End If

Call Inp_data("Open(G) Value", Open1)

Call Inp_data("Open(Cp) Value", Open2)

Call Inp_data("Open(Rs) Value", Shor1)

Call Inp_data("Open(Ls) Value", Shor2)

Call Inp_data("Load (" & Para1 & ") value", Load1)

Call Inp_data("Load (" & Para2 & ") value", Load2)

LCRMeter.WriteString ":CORR1:CKIT:STAN1:LIST " & Point & "," & Open1 & "," & Open2, True

LCRMeter.WriteString ":CORR1:CKIT:STAN2:LIST " & Point & "," & Shor1 & "," & Shor2, True

LCRMeter.WriteString ":CORR1:CKIT:STAN3:LIST " & Point & "," & Load1 & "," & Load2, True

Next Point

'*** Prompts the user to confirm whether to define the standards for Rdc measurement and waits until the user presses the y or n key.

Inp_char = InputBox("Do you want to define standard values for Rdc measurement? [Y]es/[N]o", "Confirmation", "y")

'*** If the user presses the y key in response to line 2540, the program acquires the definitions for Rdc measurement from user input and

'*** configures the standards accordingly.

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

Call Inp_data("Open(G) Value for Rdc Measurement", Open_dc)

Call Inp_data("Short(R)) Value for Rdc Measurement", Shor_dc)

Call Inp_data("Load(G) Value for Rdc Measurement", Load_dc)

LCRMeter.WriteString ":CORR1:CKIT:STAN1:DC " & Open_dc, True

LCRMeter.WriteString ":CORR1:CKIT:STAN2:DC " & Shor_dc, True

LCRMeter.WriteString ":CORR1:CKIT:STAN3:DC " & Load_dc, True

End If

'*** Prompts the user to confirm whether to define the delay time and waits until the user presses the y or n key.

Inp_char = InputBox("Do you want to define standard delay values? [Y]es/[N]o", "Confirmation", "y")

'*** If the user presses the y key in response, the program acquires the delay time from user input and

'*** configures the standards accordingly.

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

Call Inp_data("Open Delay Time", Open_del)

Call Inp_data("Short Delay Time", Shor_del)

Call Inp_data("Load Delay Time", Load_del)

LCRMeter.WriteString ":CORR1:CKIT:STAN1:EDEL " & Open_del, True

LCRMeter.WriteString ":CORR1:CKIT:STAN2:EDEL " & Shor_del, True

LCRMeter.WriteString ":CORR1:CKIT:STAN3:EDEL " & Load_del, True

End If

End If

End Sub

'*** The Inp_data subprogram lets the user enter the necessary data.

Sub Inp_data(Mes As String, Inp_val As Double)

Dim Inp_char As String

'*** Returns to the start line of input if an error occurs due to an invalid entry or similar reason.

'*** This allows the user to make an entry again.

On Error GoTo Inp_start

Inp_start:

'*** Prompts the user to enter a data value specified by Mes and waits until the user actually enters the value.

Inp_val = Val(InputBox("Input " & Mes, "Value Input", 0))

'*** Displays the value entered and waits until the user confirms the entry by pressing the y or n key.

Inp_char = InputBox("Input Value: " & Inp_val & " : Correct? (Y or N)", "Confirmation", "y")

'*** Returns to the entry start line if the key the user pressed for the above line is not the y key.

If UCase(Inp_char) <> "Y" Then GoTo Inp_start

End Sub

'******************************************************************************************************************

'*** COMPENSATION ***

Sub Compensation(age4982x As VisaComLib.FormattedIO488)

Dim Buff As String

Dim Open_l_lim_compen As Double, Short_u_lim_compen As Double

Dim ResultComp As Integer, NopComp As Integer

Open_l_lim_compen = 100

Short_u_lim_compen = 25

'*** Passes control to a subprogram named Set_fixture, which configures the test fixture.

MsgBox "## Test Fixture Setting ##", vbOKOnly

Call Set_Fixture(age4982x)

'*** Passes control to a subprogram named Set_comp_kit to configure the compensation kit.

MsgBox "## Compensation Kit Setup ##", vbOKOnly

Call Set_comp_kit(age4982x)

'*** Passes control to a subprogram named FNCompen, which measures the OPEN and SHORT data.

MsgBox "## Measurement ##", vbOKOnly

ResultComp = FNCompen(age4982x, "Open", Open_l_lim_compen) ' YH Open_l_lim_compen is not specified.

If ResultComp <> 0 Then Exit Sub

ResultComp = FNCompen(age4982x, "Short", Short_u_lim_compen) ' YH Short Short_l_lim_compen is not specified.

If ResultComp <> 0 Then Exit Sub

'*** Calculates the compensation ccoefficients and turns on the compensation function.

age4982x.WriteString ":CORR2:COLL:SAVE", True

age4982x.WriteString "*OPC?", True

Buff = age4982x.ReadNumber

'*** Displays a closing message.

MsgBox "### Done ###", vbOKOnly

Exit Sub

End Sub

'*** Compensation Data Measurement Function

'*** The FNCompen subprogram measures the data for calculating the compensation coefficients.

Function FNCompen(LCRMeter As VisaComLib.FormattedIO488, Standard As String, Limit As Double) As Integer

Dim Inp_char As String, Trig_sour As String

Dim Buff As Integer, BitWaitingForTrigger As Integer, CondReg As Integer

Dim Rdc As Double

Dim Err_flag As Integer

'*** After measurement is stopped (the trigger system is stopped), the program sets the trigger source to GPIB/LAN trigger and

'*** turns ON the continuous activation of the trigger system.

LCRMeter.WriteString ":ABOR", True

LCRMeter.WriteString ":TRIG:SOUR BUS", True

LCRMeter.WriteString ":INIT:CONT ON", True

Compen_meas:

'*** Prompts the user to set up the connection for measuring the standard identified by Standard and

'*** waits until the user presses the y key followed by th return key.

Inp_char = InputBox("Set " & Standard & "-Connection. OK? [Y/N]", "Compensation Execution", "y")

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

'*** Clears the status byte register and operation status event register.

LCRMeter.WriteString "*CLS", True

LCRMeter.WriteString "*OPC?", True

Buff = LCRMeter.ReadNumber

'*** Sends the commands to measure the standard identified by Standard.

Select Case Standard

Case "Open"

LCRMeter.WriteString ":CORR2:COLL STAN1", True

Case "Short"

LCRMeter.WriteString ":CORR2:COLL STAN2", True

End Select

'*** Triggers the instrument.

LCRMeter.WriteString ":TRIG", True

Do

LCRMeter.WriteString ":STAT:OPER:COND?", True

CondReg = LCRMeter.ReadNumber

BitWaitingForTrigger = CondReg And 32

Loop While BitWaitingForTrigger = 0

Meas_end:

'*** Sets the Err_flag variable to 0.

Err_flag = 0

'*** Checks whether the Rdc value falls within the limit range. If the limit range is exceeded, it set the Err_flag variable to 1 again.

Select Case Standard

Case "Open"

LCRMeter.WriteString ":DATA:RCMD1?", True

Rdc = LCRMeter.ReadNumber

MsgBox "Rdc= " & Rdc

If Abs(Rdc) < Limit Then Err_flag = 1

Case "Short"

LCRMeter.WriteString ":DATA:RCMD2?", True

Rdc = LCRMeter.ReadNumber

MsgBox "Rdc= " & Rdc

If Abs(Rdc) > Limit Then Err_flag = 1

End Select

'*** If Err_flag is 0, which means that the Rdc value is within the limit range, the subprogram notifies the user of successful measurement.

'*** If Err_flag is 1, which means that the Rdc value is not within the limit range, the subprogram notifies the user of failed measurement and

'*** returns to the line where it starts measuring the standard.

If Err_flag = 0 Then

MsgBox Standard & " Data Measurement Complete", vbOKOnly

Else

MsgBox "Error: RDC is out of Range", vbOKOnly

End If

Else

End If

FNCompen = Err_flag

End Function

'*** The Set_comp_kit subprogram configures the compensation kit.

Sub Set_comp_kit(LCRMeter As VisaComLib.FormattedIO488)

Dim Para1 As String, Para2 As String, Kit As Integer

Dim Inp_char As String, Def As Integer, Nop As Integer, Load_para As Integer, Point As Integer

Dim Open1 As Double, Open2 As Double, Open_dc As Double, Open_del As Double

Dim Shor1 As Double, Shor2 As Double, Shor_dc As Double, Shor_del As Double

Kit_select:

'*** Displays the list of compensation kit definitions and prompts the user to choose one of the items by typing in the appropriate number.

Kit = Val(InputBox("Select Calibration Kit, 1: Default; 2: User Defined ", "Compensation Kit Selection", 1))

'*** If Kit is neither 1 nor 2, the program returns to the entry start line.

If Kit < 1 Or Kit > 2 Then GoTo Kit_select

If Kit = 1 Then

'*** If Kit is 1, the subprogram configures the instrument to use its built-in definition for the compensation kit values.

LCRMeter.WriteString ":CORR2:CKIT DEF", True

Else

'*** If Kit is 2, the program configures the instrument to use a user-defined compensation kit.

'*** The description below assumes that Kit is 2.

LCRMeter.WriteString ":CORR2:CKIT USER", True

'

'*** Displays the list of modes for defining the compensation kit and prompts the user to choose one of the items

'*** by typing in the appropriate number. Then the program converts the entered value into an integer

'*** and stores it into the Def variable.

On Error GoTo Def_select

Def_select:

Def = Val(InputBox("Select Definition Type, 1: Fixed; 2: Not Fixed ", "Definition Type Selection", 1))

If Def < 1 Or Def > 2 Then GoTo Def_select

Select Case Def

'*** If Def is 1, the program configures the instrument so that the user can define the compensation kit in fixed mode

'*** and stores “1” into the Nop variable, which indicates the number of measurement points that require definitions.

Case 1

LCRMeter.WriteString ":CORR2:CKIT:LIST OFF", True

Nop = 1

'*** If Def is 2, the program configures the instrument so that the user can define the compensation kit in point-by-point mode,

'*** and then retrieves the number of points and stores the number into the Nop variable.

Case 2

LCRMeter.WriteString ":CORR2:CKIT:LIST ON", True

LCRMeter.WriteString ":SOUR:LIST:SIZE?", True

Nop = LCRMeter.ReadNumber

End Select

'*** Iterates the following steps Nop times:

'*** If Nop is 2 or greater, the program displays each measurement point that requires a definition.

'*** Passes control to the Inp_data subprogram to acquire the OPEN and LOAD standard values from user input.

'*** Configures each standard with the entered values.

For Point = 1 To Nop

If Nop > 1 Then

MsgBox "[Point No. " & Val(Point) & "]", vbOKOnly

End If

Call Inp_data("Open(G) Value", Open1)

Call Inp_data("Open(Cp) Value", Open2)

Call Inp_data("Open(Rs) Value", Shor1)

Call Inp_data("Open(Ls) Value", Shor2)

LCRMeter.WriteString ":CORR2:CKIT:STAN1:LIST " & Point & "," & Open1 & "," & Open2, True

LCRMeter.WriteString ":CORR2:CKIT:STAN2:LIST " & Point & "," & Shor1 & "," & Shor2, True

Next Point

'*** Prompts the user to confirm whether to define the standards for Rdc measurement and waits until the user presses the y or n key.

Inp_char = InputBox("Do you want to define standard values for Rdc measurement? [Y]es/[N]o", "Confirmation", "y")

'*** If the user presses the y key in response, the program acquires the definitions for Rdc measurement from user input and

'*** configures the standards accordingly.

If UCase(Inp_char) = "Y" Or UCase(Inp_char) = "YES" Then

Call Inp_data("Open(G) Value for Rdc Measurement", Open_dc)

Call Inp_data("Short(R)) Value for Rdc Measurement", Shor_dc)

LCRMeter.WriteString ":CORR2:CKIT:STAN1:DC " & Open_dc, True

LCRMeter.WriteString ":CORR2:CKIT:STAN2:DC " & Shor_dc, True

End If

End If

End Sub

'*** The Set_Fixture configures the test fixture.

Sub Set_Fixture(LCR As VisaComLib.FormattedIO488)

Dim Inp_char As String

Dim Fixture As Integer

Dim E_len As Double

On Error GoTo Fixture_select

'*** Allows the user to return to the entry start line and re-enter the data if an error (such as an invalid entry) occurs while

'*** entering the number that identifies the test fixture.

Fixture_select:

Fixture = Val(InputBox("1:None, 2:16191A, 3:16192A, 4:16193A, 5:16194A, 6:16196A, 7:16196B, 8:16196C, 9:USER. Input 1 to 9:", "Select Test Fixture", "1"))

'*** If Fixture is not an integer between 1 and 9, the program returns to the entry start line.

If Fixture < 1 Or Fixture > 9 Then GoTo Fixture_select

'*** Configures the test fixture based on Fixture. If Fixture is 9, which means that the user opted to use a user-defined fixture,

'*** the subprogram acquires the delay compensation value (electrical length) from the user input and configures the test fixture accordingly.

Select Case Fixture

Case 1

LCR.WriteString ":CORR2:FIXT NONE", True

Case 2

LCR.WriteString ":CORR2:FIXT FXT16191A", True

Case 3

LCR.WriteString ":CORR2:FIXT FXT16192A", True

Case 4

LCR.WriteString ":CORR2:FIXT FXT16193A", True

Case 5

LCR.WriteString ":CORR2:FIXT FXT16194A", True

Case 6

LCR.WriteString ":CORR2:FIXT FXT16196A", True

Case 7

LCR.WriteString ":CORR2:FIXT FXT16196B", True

Case 8

LCR.WriteString ":CORR2:FIXT FXT16196C", True

Case 9

LCR.WriteString ":CORR2:FIXT USER", True

Call Inp_data("Electrical Length of the User Fixture", E_len)

LCR.WriteString ":CORR2:FIXT:EDEL:DIST " & E_len, True

End Select

End Sub


Using SRQ to Detect End of Measurement

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program uses an SRQ to detect the end of measurement.

The program aborts the trigger system, makes the SRQ setting, and then initiates the trigger system once. When an SRQ is generated at the end of measurement, the program displays the end message.

See these topics for this programming:

  • Starting a New Measurement Cycle (Triggering)

  • Waiting for (Detecting) End of Measurement

Sample Program in Excel VBA Using VISA-COM

Dim Age4982x As VisaComLib.FormattedIO488

Option Explicit

Implements VisaComLib.IEventHandler

Sub EOM_Detect_Click()

Dim gmgr As VisaComLib.ResourceManager

Dim SRQ As VisaComLib.IEventManager

Dim i As Double

Dim strdmy As String

Set gmgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

Set Age4982x.IO = gmgr.Open("GPIB0::17::INSTR") ' Sets the GPIB address and select code.

Age4982x.IO.Timeout = 10000 ' Sets the time out time

Set SRQ = Age4982x.IO

With Age4982x

'Sets the trigger source to the BUS.

.WriteString "*RST"

.WriteString ":TRIG:SOUR BUS"

.WriteString ":INIT:CONT ON"

' Sets the positive transition filter to 0 and the negative transition filter

' to 1 so that the operation status event register at bit 4 is set to 1 only

' when the operation status condition register at bit 4 is changed from 1 to 0.

.WriteString ":STAT:OPER:PTR 0"

.WriteString ":STAT:OPER:NTR 16"

' Enables bit 4 in the operation status event register and bit 8 in the status byte register.

.WriteString ":STAT:OPER:ENAB 16"

.WriteString "*SRE 128"

' Clears the operation status event register and the status byte register

.WriteString "*CLS"

.WriteString "*OPC?"

strdmy = .ReadString

End With

With Age4982x

' Set the table with 10 points to make a longer time measurement

.WriteString ":SOUR:LIST 10, 1E6, 100, -10, 2E6, 100, -10, 3E6, 100, -10, 4E6, 100, -10, 5E6, 100, -10, 6E6, 100, -10, 7E6, 100, -10, 8E6, 100, -10, 9E6, 100, -10, 10E6, 100, -10 "

.WriteString ":SOUR:LIST:STAT ON"

End With

SRQ.InstallHandler EVENT_SERVICE_REQ, Me ' Enable SRQ event

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR '

' Initiates the trigger system one time

Age4982x.WriteString ":TRIG:IMM"

Loop1:

DoEvents ' When SRQ is generated by the measurement end, the IEventHandler_HandleEven sub routine is called.

GoTo Loop1

SRQ.DisableEvent ALL_ENABLED_EVENTS, EVENT_ALL_MECH, 0 ' Disable SRQ event

End Sub

Sub IEventHandler_HandleEvent(ByVal vi As VisaComLib.IEventManager, ByVal SRQevent As VisaComLib.IEvent, ByVal userHandle As Long)

Age4982x.WriteString "*CLS"

MsgBox "Measurement Complete", vbOKOnly, "Complete"

End

End Sub


Retrieving Results Using TRG (ASCII)

Retrieving Results Using *TRG (ASCII Format)

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program performs two tasks: it triggers the instrument and returns the results. It is useful, for example when you want to retrieve measurement results immediately after triggering the instrument from an external controller.

The program demonstrates the use of the *TRG command and it uses ASCII format.

The program also retrieves and displays the measurement status as well as the measurement results for parameters 1 and 2 and the result of test signal current level monitoring.

See these topics for this programming:

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

Sample Program in Excel VBA Using VISA-COM

Sub TRG_ASCII()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Age4982x As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument & Sets the GPIB address

Set Age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

Age4982x.IO.timeout = 30000 ' TimeOut time should be greater than the measurement time.

MsgBox ("4982X is Open!"), vbOKOnly

'*** Variable declaration

Dim Para1, Para2 As String

Dim Result() As Double

Dim Point, Cond_reg As Integer

Dim BitWaitingForTrigger As Integer

'* Sets the Point variable to the number of measurement points for single-point measurement.

Point = 1

'* Sets the data transfer format to ASCII

Age4982x.WriteString ":FORM ASC", True

'* Instructs the instrument to show the results for measurement parameters 1 and 2 as well as

'* the result of test signal current level monitoring while hiding the measurement results of

'* measurement parameters 3 and 4 as well as the result of test signal voltage level monitoring.

Age4982x.WriteString ":DISP:TEXT1:CALC1 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC2 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC3 OFF", True

Age4982x.WriteString ":DISP:TEXT1:CALC4 OFF", True

Age4982x.WriteString ":DISP:TEXT1:CALC11 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC12 OFF", True

'* Retrieves the parameter names of measurement parameters 1 and 2 and stores the names into

'* the Para1 and Para2 variables, respectively.

Age4982x.WriteString ":CALC:PAR1:FORM?", True

Para1 = Age4982x.ReadString

Age4982x.WriteString ":CALC:PAR2:FORM?", True

Para2 = Age4982x.ReadString

'* Instructs the instrument to perform single-point measurement at the point identified by the Point variable.

Age4982x.WriteString ":SOUR:LIST:STAT OFF", True

Age4982x.WriteString ":SOUR:LIST:POIN " & Point, True

'* Turns off the bin sorting and Rdc measurement functions.

Age4982x.WriteString ":CALC:COMP OFF", True

Age4982x.WriteString ":SOUR:LIST:RDC OFF", True

'*** Trigger source setting

'* Sets the trigger source to GPIB/LAN trigger and turns on the continuous activation of the trigger system.

Age4982x.WriteString ":TRIG:SOUR BUS", True

Age4982x.WriteString ":INIT:CONT ON", True

'*** Triggering and data read

'* Triggers the instrument after the trigger system is put into trigger wait state.

Do

Age4982x.WriteString ":STAT:OPER:COND?", True

Cond_reg = Age4982x.ReadNumber

BitWaitingForTrigger = Cond_reg And 32

Loop While BitWaitingForTrigger = 0

Age4982x.WriteString "*TRG", True

'* Retrieves the measurement status, the measurement results for parameters 1 and 2,

'* and the result of test signal current level monitoring and then stores the data into

'* the Stat, Res1, Res2, and Imon variables.

Result() = Age4982x.ReadList(ASCIIType_R8, ",")

'*** Display Results

'* Displays the measurement results.

MsgBox "### Result ###", vbOKOnly

MsgBox ("Meas. Status: " & Result(0) & vbCrLf & "Para1: " & Para1 & "Result: " & Result(1) & vbCrLf & "Para2: " & Para2 & "Result: " & Result(2) & vbCrLf & "Imon: " & Result(3)), vbOKOnly, "Measurement Results"

MsgBox ("End of ""Retrieving Results Using TRG* (ASCII Format)"" program"), vbOKOnly

End Sub


Retrieving Results Using TRG (Binary)

Retrieving Results Using *TRG (Binary Format)

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program performs two tasks: it triggers the instrument and returns the results. It is useful, for example when you want to retrieve measurement results immediately after triggering the instrument from an external controller.

The program demonstrates the use of the *TRG command and it uses Binary format.

The program also retrieves and displays the measurement status as well as the measurement results for parameters 1 and 2 and the result of test signal current level monitoring.

See these topics for this programming:

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

Sample Program in Excel VBA Using VISA-COM

Sub TRG_Binary()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Age4982x As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument & sets the GPIB address

Set Age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

Age4982x.IO.timeout = 30000 ' Timeout time should be greater than the measurement time.

MsgBox ("4982X is Open!"), vbOKOnly

'*** Variable declaration

Dim Para1, Para2 As String

Dim Result() As Double

Dim Point, Cond_reg As Integer

Dim BitWaitingForTrigger As Integer

'* Sets the Point variable to the number of measurement points for single-point measurement.

Point = 1

'* Sets the data transfer format to Binary Format and Set the Byte Order to Normal

Age4982x.WriteString ":FORM REAL", True

Age4982x.WriteString ":FORM:BORD NORM", True

'* Instructs the instrument to show the results for measurement parameters 1 and 2 as well as

'* the result of test signal current level monitoring while hiding the measurement results of

'* measurement parameters 3 and 4 as well as the result of test signal voltage level monitoring.

Age4982x.WriteString ":DISP:TEXT1:CALC1 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC2 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC3 OFF", True

Age4982x.WriteString ":DISP:TEXT1:CALC4 OFF", True

Age4982x.WriteString ":DISP:TEXT1:CALC11 ON", True

Age4982x.WriteString ":DISP:TEXT1:CALC12 OFF", True

'* Retrieves the parameter names of measurement parameters 1 and 2 and stores the names into

'* the Para1 and Para2 variables, respectively.

Age4982x.WriteString ":CALC:PAR1:FORM?", True

Para1 = Age4982x.ReadString

Age4982x.WriteString ":CALC:PAR2:FORM?", True

Para2 = Age4982x.ReadString

'* Instructs the instrument to perform single-point measurement at the point identified by the Point variable.

Age4982x.WriteString ":SOUR:LIST:STAT OFF", True

Age4982x.WriteString ":SOUR:LIST:POIN " & Point, True

'* Turns off the bin sorting and Rdc measurement functions.

Age4982x.WriteString ":CALC:COMP OFF", True

Age4982x.WriteString ":SOUR:LIST:RDC OFF", True

'*** Trigger source setting

'* Sets the trigger source to GPIB/LAN trigger and turns on the continuous activation of the trigger system.

Age4982x.WriteString ":TRIG:SOUR BUS", True

Age4982x.WriteString ":INIT:CONT ON", True

'*** Triggering and data read

'* Triggers the instrument after the trigger system is put into trigger wait state.

Do

Age4982x.WriteString ":STAT:OPER:COND?", True

Cond_reg = Age4982x.ReadNumber

BitWaitingForTrigger = Cond_reg And 32

Loop While BitWaitingForTrigger = 0

Age4982x.WriteString "*TRG", True

'* Retrieves the measurement status, the measurement results for parameters 1 and 2,

'* and the result of test signal current level monitoring and then stores the data into

'* the Stat, Res1, Res2, and Imon variables.

Result() = Age4982x.ReadIEEEBlock(BinaryType_R8, False, True)

'*** Display Results

'* Displays the measurement results.

MsgBox "### Result ###", vbOKOnly

MsgBox ("Meas. Status: " & Result(0) & vbCrLf & "Para1: " & Para1 & "Result: " & Result(1) & vbCrLf & "Para2: " & Para2 & "Result: " & Result(2) & vbCrLf & "Imon: " & Result(3)), vbOKOnly, "Measurement Results"

MsgBox ("End of ""Retrieving Results Using TRG* (Binary Format)"" program"), vbOKOnly

End Sub


Retrieving Results Using :FETC?

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program is useful when you trigger the instrument without using an external controller or when you need to perform a particular task between triggering and retrieval.

The program demonstrates the use of the :FETC? command which returns the measurement data from the most recently performed measurement.

See these topics for this programming:

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

Sample program in Excel VBA Using VISA-COM

Sub FETC()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Age4982x As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument & Sets the GPIB address

Set Age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

Age4982x.IO.timeout = 30000 ' Timeout time should be greater than the measurement time.

MsgBox ("4982X is Open!"), vbOKOnly

'*** Variable declaration

Dim Title(7), Buff, OutputFile, Ofile As String

Dim Res() As Double

Dim Stode As Integer

Dim Stat(7), Bin_stat, List_stat, Star_no, Stop_no, Data_size, i, J, Loc As Integer

Stode = 7

'* Create and store output file in the root directory

OutputFile = "c:\work\output_fetc.txt"

'* Set and open output file

Ofile = FreeFile()

'* Sets the data transfer format to ASCII.

Age4982x.WriteString ":FORM ASC", True

'*Retrieves the display on/off (0/1) setting and parameter names for measurement parameters 1 through 4

'* and stores the settings and names into the variables Stat(1) through Stat(4) and Title(1) through Title(4).

For i = 1 To 4

Age4982x.WriteString ":DISP:TEXT1:CALC" & Val(i) & "?", True

Stat(i) = Age4982x.ReadNumber

Age4982x.WriteString ":CALC:PAR" & Val(i) & ":FORM?", True

Title(i) = Age4982x.ReadString

Next i

'* Retrieves the display on/off (0/1) setting for the result of test signal current level monitoring

'* and stores the setting into the Stat(5) variable; stores the title (Imon) for current level monitoring

'* into the Title(5) variable.

Age4982x.WriteString ":DISP:TEXT1:CALC11?", True

Stat(5) = Age4982x.ReadNumber

Title(5) = "Imon"

'* Retrieves the display on/off (0/1) setting for the result of test signal current level monitoring

'* and stores the setting into the Stat(6) variable; stores the title (Imon) for current level monitoring

'* into the Title(6) variable.

Age4982x.WriteString ":DISP:TEXT1:CALC12?", True

Stat(6) = Age4982x.ReadNumber

Title(6) = "Vmon"

'* Retrieves the display on/off (0/1) setting for the result of test signal current level monitoring

'* and stores the setting into the Stat(7) variable; stores the title (Imon) for current level monitoring

'* into the Title(7) variable.

Age4982x.WriteString ":SOUR:LIST:RDC?", True

Stat(7) = Age4982x.ReadNumber

Title(7) = "Rdc"

'* Retrieves the on/off (0/1) setting of bin sorting and stores the setting into the Bin_stat variable.

Age4982x.WriteString ":CALC:COMP?", True

Bin_stat = Age4982x.ReadNumber

'* Retrieves the list/single-point (0/1) measurement setting and stores the setting into the List_stat variables.

Age4982x.WriteString ":SOUR:LIST:STAT?", True

List_stat = Age4982x.ReadNumber

'* If list measurement is specified (List_stat variable = 1), the program retrieves the number of measurement points

'* and stores the data into the Stop_no variable while storing “1” into the Star_no variable.

'* If single-point measurement is specified (List_stat is not equal to 1), the program retrieves the identification number

'* of the specific measurement point and stores the data into the Stop_no and Star_no variables.

If List_stat = 1 Then

Age4982x.WriteString ":SOUR:LIST:SIZE?", True

Stop_no = Age4982x.ReadNumber

Star_no = 1

Else

Age4982x.WriteString ":SOUR:LIST:POIN?", True

Stop_no = Age4982x.ReadNumber

Star_no = Stop_no

End If

'* Calculates the data size and resizes the Res array.

Data_size = (1 + Stat(1) + Stat(2) + Stat(3) + Stat(4) + Stat(5) + Stat(6) + Stat(7)) * (Stop_no - Star_no + 1) + Bin_stat

ReDim Res(Data_size)

'* After measurement is stopped (the trigger system is stopped), the program sets

'* the trigger source to Manual trigger and turns on the continuous activation of the trigger system.

Age4982x.WriteString ":ABOR", True

Age4982x.WriteString ":TRIG:SOUR MAN", True

Age4982x.WriteString ":INIT:CONT ON", True

'* Status register setting (For SRQ). Instructs the instrument to generate an SRQ

'* upon completion of measurement and clears the status byte register and operation status event register.

Age4982x.WriteString ":STAT:OPER:PTR 0", True

Age4982x.WriteString ":STAT:OPER:NTR 16", True

Age4982x.WriteString ":STAT:OPER:ENAB 16", True

Age4982x.WriteString "*SRE 128", True

Age4982x.WriteString "*CLS", True

Age4982x.WriteString "*OPC?", True

Buff = Age4982x.ReadString

'*** Triggering and data read

'* Prompts the user to press the [Trigger] key. The program waits until the user presses the [Trigger] key.

MsgBox "### PUSH THE TRIGGER KEY ###", vbOKOnly

'* Retrieves the measurement results and stores them into the Res array.

Age4982x.WriteString ":FETC?", True

Res() = Age4982x.ReadList(ASCIIType_R8, ",")

'*** Display results

'* Displays the title portions of the retrieved measurement results.

Open OutputFile For Output As Ofile

Print #Ofile, "### Result ###"

Print #Ofile, " No.", "Parameter"

For J = 1 To 7

If Stat(J) = 1 Then

Print #Ofile, J, Title(J)

End If

Next J

Print #Ofile, ""

Loc = 0

For i = Star_no To Stop_no '* Displays the measurement status and proceeds to the next data position.

Print #Ofile, "Point="; i, "Status="; Res(Loc)

Loc = Loc + 1

'* Displays the results for measurement parameters 1 through 4, test signal current/voltage level monitoring, and

'* Rdc measurement if the corresponding array element, Stat(*), is 1; then proceeds to the next data position.

For J = 1 To 7

If Stat(J) = 1 Then

Print #Ofile, "Parameter No="; J; " Result= "; Res(Loc)

Loc = Loc + 1

End If

Next J

Print #Ofile, ""

Next i

'If Bin_stat is 1 and bin sorting is on, the program displays the results of bin sorting.

If Bin_stat = 1 Then

Print #Ofile, "BIN Sort: " & Res(Loc)

End If

'* Close output file

Close #Ofile

MsgBox ("End of ""Retrieving Results Using :FETC?"" program"), vbOKOnly

End Sub


Retrieving Results Using :DATA:FDAT{1-4}?

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program is useful when you trigger the instrument without using an external controller or when you need to perform a particular task between triggering and retrieval.

The program demonstrates the use of the :DATA:FDAT{1-4}? command which returns the measurement data from the most recently performed measurement.

See these topics for this programming:

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

Sample program in Excel VBA Using VISA-COM

Sub DATA_FDATA()

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Age4982x As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Age4982x = New VisaComLib.FormattedIO488

'*** Open the instrument & sets the GPIB address

Set Age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

Age4982x.IO.timeout = 30000 ' Timeout time should be greater than the measurement time.

MsgBox ("4982X is Open!"), vbOKOnly

'*** Variable declaration

Dim Para1, Para2, Buff As String

Dim Res1, Res2, Imon As String

Dim Point, Scode As Integer

Dim Result() As Double

Scode = 7

'* Sets the Point variable to the number of measurement points for single-point measurement.

Point = 1

'* Sets the data transfer format to ASCII.

Age4982x.WriteString ":FORM ASC", True

'* Retrieves the parameter names of measurement parameters 1 and 2

'* and stores the names into the Para1$ and Para2$ variables, respectively.

Age4982x.WriteString ":CALC:PAR1:FORM?", True

Para1 = Age4982x.ReadString

Age4982x.WriteString ":CALC:PAR2:FORM?", True

Para2 = Age4982x.ReadString

'* Instructs the instrument to perform single-point measurement at the

'* point identified by the Point variable.

Age4982x.WriteString ":SOUR:LIST:STAT OFF", True

Age4982x.WriteString ":SOUR:LIST:POIN " & Point, True

'*** Trigger source setting.

'* After measurement is stopped (the trigger system is stopped), the

'* program sets the trigger source to External trigger and turns on the

'* continuous activation of the trigger system.

Age4982x.WriteString ":ABOR", True

Age4982x.WriteString ":TRIG:SOUR EXT", True

Age4982x.WriteString ":INIT:CONT ON", True

'*** Status register setting (For SRQ)

'* Instructs the instrument to generate an SRQ upon completion of

'* measurement and clears the status byte register and operation status

'* event register.

Age4982x.WriteString ":STAT:OPER:PTR 0", True

Age4982x.WriteString ":STAT:OPER:NTR 16", True

Age4982x.WriteString ":STAT:OPER:ENAB 16", True

Age4982x.WriteString "*SRE 128", True

Age4982x.WriteString "*CLS", True

Age4982x.WriteString "*OPC?", True

Buff = Age4982x.ReadString

'* Triggers and reads data. Prompts the user to input an external trigger. The program waits until

'* the instrument receives an external trigger and completes the measurement cycle.

MsgBox "Waiting for external trigger...", vbOKOnly

'* Retrieves the measurement results for parameters 1 and 2 and the

'* result of test signal current level monitoring and stores the data into the

'* Res1, Res2, and Imon variables, respectively.

Age4982x.WriteString ":DATA:FDAT1?", True

Res1 = Age4982x.ReadString

Age4982x.WriteString ":DATA:FDAT2?", True

Res2 = Age4982x.ReadString

Age4982x.WriteString ":DATA:IMON?", True

Imon = Age4982x.ReadString

'*** Displays the measurement results

MsgBox "### Result ###", vbOKOnly

MsgBox ("Meas. Status: " & vbCrLf & "Para1: " & Para1 & "Result: " & Res1 & "Para2: " & Para2 & "Result: " & Res2 & "Imon : " & Imon), vbOKOnly, "Measurement Results"

MsgBox ("End of ""Retrieving Results Using :DATA:FDAT{1-4}"" program"), vbOKOnly

End Sub


Retrieving Results Using :READ?

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Program

Overview

This sample program retrieves and displays the measurement status, the measurement results for parameters 1 and 2, and the result of test signal current level monitoring when the instrument receives an external trigger and completes the measurement cycle.

See these topics for this programming:

  • Retrieving Measurement Results

  • Retrieving the Measurement Results for Measurement Parameters 1 through 4

  • Using the :READ? command to retrieve measurement results

Sample Program in Excel VBA Using VISA-COMSub Read()

'Using the :READ? command to retrieve measurement results

Dim Para1 As String

Dim Para2 As String

Dim Poin As Integer

Dim ReadData() As Double

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

' Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Sets the Point variable to the number of measurement points for single-point measurement

Poin = 1

'Sets the data transfer format to ASCII

age4982x.WriteString ":FORM ASC", True

'Instructs the instrument to show the results for measurement

'parameters 1 and 2 as well as the result of test signal current level

'monitoring while hiding the measurement results of measurement

'parameters 3 and 4 as well as the result of test signal voltage level

'monitoring

age4982x.WriteString ":DISP:TEXT1:CALC1 ON", True

age4982x.WriteString ":DISP:TEXT1:CALC2 ON", True

age4982x.WriteString ":DISP:TEXT1:CALC3 OFF", True

age4982x.WriteString ":DISP:TEXT1:CALC4 OFF", True

age4982x.WriteString ":DISP:TEXT1:CALC11 ON", True

age4982x.WriteString ":DISP:TEXT1:CALC12 OFF", True

'Retrieves the parameter names of measurement parameters 1 and 2

'and stores the names into Para1 and Para2 variables, respectively

age4982x.WriteString ":CALC:PAR1:FORM?", True

Para1 = age4982x.ReadString

age4982x.WriteString ":CALC:PAR2:FORM?", True

Para2 = age4982x.ReadString

'Instructs the instrument to perform single-point measurement at the

'point identified by the Poin variable

age4982x.WriteString ":SOUR:LIST:STAT OFF", True

age4982x.WriteString ":SOUR:LIST:POIN " & Poin, True

'Turns off the bin sorting and Rdc measurement functions

age4982x.WriteString ":CALC:COMP OFF", True

age4982x.WriteString ":SOUR:LIST:RDC OFF", True

' Trigger source setting

'After the measuremnt is stopped (the trigger system is stopped), the

'program sets the trigger source to Manual trigger

age4982x.WriteString ":ABOR", True

age4982x.WriteString ":TRIG:SOUR MAN", True

' Triggering and data read

'After issuing the :READ? command, the program prompts the user to

'input a manual trigger. The program waits until the instrument

'receives a manual trigger and completes the measurement cycle

age4982x.WriteString ":READ?", True

MsgBox "Please press the Trigger key on the front panel", vbOKOnly

'Retrieves the measurement status, the measurement results for

'parameters 1 and 2 and the result of test signal current level monitoring,

'then stores it into ReadData array

ReadData() = age4982x.ReadList(ASCIIType_R8, ",")

' Display results

'Displays the measurement results

MsgBox "Meas Status:" & ReadData(0) & vbCr & "Parameter 1: " & Para1 & "Result: " & ReadData(1) & vbCr _

& "Parameter 2: " & Para2 & "Result: " & ReadData(2) & vbCr & "Imon: " & ReadData(3), vbOKOnly

End Sub


Retrieving Monitored Values of Test Signal Levels

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Program

Overview

This sample program demonstrates the use of the :DATA:IMON? and :DATA:VMON? commands. It retrieves and displays the test signal current and voltage levels monitored during the last measurement cycle.

See these topics for this programming:

Retrieving Measurement Results

Retrieving the Monitored Values of Test Signal Levels

Sample Program in Excel VBA Using VISA-COM

Sub TestSignalLevel()

'Using the :DATA:IMON? and :DATA:VMON? commands

'Retrieves and displays the test signal curent and voltage levels

'monitored during the last measurement cycle

Dim I_mon() As Double

Dim V_mon() As Double

Dim List_stat As Integer

Dim Nop As Integer

Dim i As Integer

Dim printResults As String * 100

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

' Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Retrieves the list/single-point(0/1) measurement setting and stores

'the setting into the List_stat variable

age4982x.WriteString ":SOUR:LIST:STAT?", True

List_stat = age4982x.ReadNumber

If List_stat = 1 Then

'If list measurement is specified (List_stat is not equal to 1),

'the program stores 1 into the Nop variable

age4982x.WriteString ":SOUR:LIST:SIZE?", True

Nop = age4982x.ReadNumber

Else

Nop = 1

End If

'Resizes the I_mon and V_mon arrays based on the value of the Nop variable

ReDim I_mon(Nop - 1)

ReDim V_mon(Nop - 1)

'Sets the data transfer format to ASCII

age4982x.WriteString ":FORM ASC", True

'Reads the test signal current level and stores it into the I_mon array

age4982x.WriteString ":DATA:IMON?", True

I_mon() = age4982x.ReadList(ASCIIType_R8, ",")

age4982x.WriteString ":DATA:VMON?", True

V_mon() = age4982x.ReadList(ASCIIType_R8, ",")

' Display results

'Converts the monitored current and voltage levels into the corresponding mA and mV values and displays them on screen

MsgBox "Test Signal Monitor Value", vbOKOnly

If List_stat = 1 Then

For i = 0 To Nop - 1

printResults = "No. " & i + 1 & " Current[mA]: " & I_mon(i) * 1000 & " Voltage[mV]: " & V_mon(i) * 1000

MsgBox printResults, vbOKOnly

Next i

Else

printResults = "Current[mA]: " & I_mon(0) * 1000 & " Voltage[mV]: " & V_mon(0) * 1000

MsgBox printResults, vbOKOnly

End If

End Sub


Retrieving Results of Rdc Measurement

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

The sample program sets the limit range for Rdc measurement, turns on the Rdc measurement function, and then puts the instrument into trigger wait state. Finally, when you press the Trigger key on the front panel and the instrument completes the measurement cycle, the program retrieves and displays the Rdc measurement and limit test results.

See these topics for this programming:

Retrieving Measurement Results

Retrieving the Results of Rdc Measurement

Sample Program in Excel VBA Using VISA-COM

Sub RdcMeasurement()

'Sample program. This program is given the file name rds.bas and is stored

'on the sample program disk.

'The sample program sets the limit range for Rdc measurement, turns on the Rdc

'measurement function, and then puts the instrument into trigger wait state.

'Finally, when the user presses the [Trigger] key ont he front panel and the

'instrument completes the measurement cycle, the program retrieves and displays

'the Rdc measurement and limit test results.

Dim L_lim As Double

Dim U_lim As Double

Dim Rdc As Double

Dim Rdc_test As Integer

Dim stbStatus As Double

Dim msgString As String

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

' Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Stores the upper and lower limits for Rdc measurement into the L_lim

'and U_lim variables

L_lim = -5

U_lim = 5

'Sets the data transfer format to ASCII

age4982x.WriteString ":FORM ASC"

' Rdc measurement setting

'Sets the limit range for Rdc measurement value to the range between

'L_lim and U_lim

age4982x.WriteString ":CALC:COMP:RDC:LIM " & L_lim & ", " & U_lim

age4982x.WriteString ":CALC:COMP ON"

age4982x.WriteString ":INIT:CONT ON"

age4982x.WriteString ":SOUR:LIST:RDC ON"

' Trigger source setting

'After measurement is stopped (the strigger system is stopped), the

'program sets the trigger source to External trigger and turns on the

'continuous activation of the trigger system

age4982x.WriteString ":ABOR"

age4982x.WriteString ":TRIG:SOUR MAN"

age4982x.WriteString ":INIT:CONT ON"

' Status register setting (For SRQ)

'Instructs the instrument to generate an SRQ upon completion of

'measurement and clears the status byte register and operation status

'event register

age4982x.WriteString ":STAT:OPER:PTR 0"

age4982x.WriteString ":STAT:OPER:NTR 16"

age4982x.WriteString ":STAT:OPER:ENAB 16"

age4982x.WriteString "*SRE 128"

age4982x.WriteString "*CLS"

age4982x.WriteString "*OPC?"

stbStatus = age4982x.ReadNumber

' Triggering and data read

'Prompts the user to press the [Trigger] key. The program waits until

'the user presses [Trigger] key and the instrument completes the

'measurement cycle

MsgBox "Push Trigger Key!", vbOKOnly

Do

age4982x.WriteString "*STB?"

stbStatus = age4982x.ReadNumber

Loop Until stbStatus = 192

'Retrieves the Rdc measurement result and stores it into the

'Rdc variable

age4982x.WriteString ":DATA:RDC?"

Rdc = age4982x.ReadNumber

'Retrieves the Rdc measurement limit test result and stores it into the

'Rdc_test variable

age4982x.WriteString ":CALC:COMP:DATA:RDC?"

Rdc_test = age4982x.ReadNumber

' Display results

'Displays the Rdc measurement value as well as the Rdc measurement

'limit test results

If Rdc_test = 1 Then

msgString = " (LIMIT IN)"

Else

msgString = " (LIMIT OUT)"

End If

MsgBox "Rdc measurement value: " & Rdc & " ohm" & msgString, vbOKOnly

End Sub


Using the Bin Sorting Function to Sort DUTs

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program demonstrates the use of the bin sorting function.

The sample program first configures the bin sorting conditions as shown in the figure below and then performs 50 measurement cycles; each time the instrument completes one measurement cycle, the program retrieves and displays the bin sorting results. Finally, after the instrument has completed the last measurement cycle, the program retrieves and displays the number of DUTs sorted into each bin.

Sample Program in Excel VBA Using VISA-COM

This sample program uses the main module as well as a class module. Insert a class module in the main module with the name Class1.

In the class module, use the program codes from Class Module.

In the main module, use the program codes from Main Module.

Class Module

Private pNominal As Double

Private pLowLim As Double

Private pUpLim As Double

Private pLType As String

Public Property Get Nominal() As Double

Nominal = pNominal

End Property

Public Property Let Nominal(value As Double)

pNominal = value

End Property

Public Property Get LowLim() As Double

LowLim = pLowLim

End Property

Public Property Let LowLim(value As Double)

pLowLim = value

End Property

Public Property Get UpLim() As Double

UpLim = pUpLim

End Property

Public Property Let UpLim(value As Double)

pUpLim = value

End Property

Public Property Get LType() As String

LType = pLType

End Property

Public Property Let LType(value As String)

pLType = value

End Property

Main Module

Sub BinSorting()

'Demonstrates the use of the bin sorting function.

'The program first configures the bin sorting condition and then performs

'50 measurement cycles; each time the instrument completes one measurement

'cycle, the program retrieves and displays the bin sorting results. Finally,

'after the instrument has completed the last measurement cycle, the program

'retrieves and displays the number of DUT's sorted into each bin.

Dim Params As Class1

Dim Stat As String

Dim Ls As String

Dim Q As String

Dim Bin_res As Integer

Dim binResult() As Double

Dim LimMode As String

Dim Max_cond As Integer

Dim Max_bin As Integer

Dim Nominal As Double

Dim Ogbin As Integer

Dim Result() As Double

Dim instStat As Double

Dim instResult As Double

Dim Bin() As String

Dim FirstRow As Integer

Dim i As Integer

Dim J As Integer

Dim K As Integer

Dim J_I As Integer

Dim Cond_reg As Double

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As New VisaComLib.FormattedIO488

'Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Store the highest sorting condition number into Max_cond

'variable and the highest bin number into the Max_bin variable

Max_cond = 2

Max_bin = 3

'Store the highest good bin number, which serves as the boundary

'between the good and bad bins, into the Ogbin variable

Ogbin = 2

'Store the settings for sorting conditions 1 and 2 that apply to

'all bins into the corresponding arrays: PointNo contains the

'measurement points; Para contains the selected measurement

'parameters; LimMode containts the modes of boundary definition;

'Nominal contains the reference values

Nominal = 0.0000000558

Set Params11 = New Class1

Params11.LowLim = -1#

Params11.UpLim = 1#

Params11.LType = "IN"

Set Params12 = New Class1

Params12.LowLim = 100#

Params12.UpLim = 1000000000#

Params12.LType = "IN"

Set Params21 = New Class1

Params21.LowLim = -1#

Params21.UpLim = 1#

Params21.LType = "IN"

Set Params22 = New Class1

Params22.LowLim = 100#

Params22.UpLim = 1000000000#

Params22.LType = "OUT"

Set Params31 = New Class1

Params31.LowLim = -1#

Params31.UpLim = 1#

Params31.LType = "OUT"

Set Params32 = New Class1

Params32.LowLim = 100#

Params32.UpLim = 1000000000#

Params32.LType = "IN"

' Measurement Condition Setting

'Configure the instrument to perform single-point measurement at the

'specific measurement point (point 1) defined in active table

age4982x.WriteString ":SOUR:LIST:TABL 1"

age4982x.WriteString ":SOUR:LIST:STAT OFF"

age4982x.WriteString ":SOUR:LIST:POIN 1"

age4982x.WriteString ":CALC:PAR1:FORM LS"

age4982x.WriteString ":CALC:PAR2:FORM Q"

age4982x.WriteString ":DISP:TEXT1:CALC1 ON"

age4982x.WriteString ":DISP:TEXT1:CALC2 ON"

age4982x.WriteString ":DISP:TEXT1:CALC3 OFF"

age4982x.WriteString ":DISP:TEXT1:CALC4 OFF"

age4982x.WriteString ":DISP:TEXT1:CALC11 OFF"

age4982x.WriteString ":DISP:TEXT1:CALC12 OFF"

age4982x.WriteString ":SOUR:LIST:RDC OFF" 'Turns off the Rdc measurement function

' Bin Sort Setup Table Setting

'Reset the bin sorting setup table and turns ON the bin sorting function

age4982x.WriteString ":CALC:COMP:CLE"

age4982x.WriteString ":CALC:COMP ON"

'Iterate the following steps for each of the sorting conditions 1 through

'Meas_cond

For i = 1 To Max_cond

'Sets the point number to 1, measurement parameter to Params, limit mode to Params.LimMod

Select Case i

Case 1

age4982x.WriteString ":CALC:COMP:COND1:SNUM 1"

age4982x.WriteString ":CALC:COMP:COND1:PAR LS"

age4982x.WriteString ":CALC:COMP:COND1:MODE PCNT"

LimMode = "LS"

Case Else

age4982x.WriteString ":CALC:COMP:COND2:SNUM 1"

age4982x.WriteString ":CALC:COMP:COND2:PAR Q"

age4982x.WriteString ":CALC:COMP:COND2:MODE ABS"

LimMode = "Q"

End Select

'Sets the reference value to Nominal. Note that these statements are skipped if the

'boundary is defined in absolute mode

If LimMode = "LS" Then

age4982x.WriteString ":CALC:COMP:COND" & i & ":NOM " & Nominal

End If

'Enables the bin and sets the BIN range mode to Params.LType

'Sets the lower and upper limits of the bin range to Params.LowLim and Params.UpLim

'respectively. Note that these statements are skipped if the bin range is defined

'in the ALL mode

For J = 1 To Max_bin

J_I = J & i

age4982x.WriteString ":CALC:COMP:BIN" & J & " ON"

Select Case J_I

Case 11

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params11.LType

If Params11.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params11.LowLim & "," & Params11.UpLim

End If

Case 12

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params12.LType

If Params12.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params12.LowLim & "," & Params12.UpLim

End If

Case 21

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params21.LType

If Params21.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params21.LowLim & "," & Params21.UpLim

End If

Case 22

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params22.LType

If Params22.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params22.LowLim & "," & Params22.UpLim

End If

Case 31

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params31.LType

If Params31.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params31.LowLim & "," & Params31.UpLim

End If

Case 32

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LTYP " & Params32.LType

If Params32.LType <> "ALL" Then

age4982x.WriteString ":CALC:COMP:BIN" & J & ":COND" & i & ":LIM " & Params32.LowLim & "," & Params32.UpLim

End If

End Select

Next J

Next i

'Assign all bins with their numbers greater than Ogbin as good bins

'and turns on the bin count function

age4982x.WriteString ":CALC:COMP:OGB " & Ogbin

age4982x.WriteString ":CALC:COMP:COUN ON"

' Measurement

'Sets the data transfer format to ASCII

age4982x.WriteString ":FORM ASC"

'After measurement is stopped (the trigger system is stopped), the

'program sets the trigger source to GPIB/LAN trigger and turns on the

'continuous activation of the trigger system

age4982x.WriteString ":ABOR"

age4982x.WriteString ":TRIG:SOUR BUS"

age4982x.WriteString ":INIT:CONT ON"

'Clear the bin counter value

age4982x.WriteString ":CALC:COMP:COUN:CLE"

'Loops through the following steps 50 times

FirstRow = 15

Cells(FirstRow, 1) = "Status"

Cells(FirstRow, 2) = "Ls"

Cells(FirstRow, 3) = "Q"

Cells(FirstRow, 4) = "BIN"

For i = 1 To 50

'Triggers the instrument after the trigger system is put into trigger wait state

Do

age4982x.WriteString ":STAT:OPER:COND?"

Cond_reg = age4982x.ReadNumber

Loop Until Cond_reg <> 0

age4982x.WriteString "*TRG"

'Retrieves the measurement results

Result() = age4982x.ReadList(ASCIIType_R8, ",")

Stat = Result(0)

Ls = Result(1)

Q = Result(2)

age4982x.WriteString ":CALC:COMP:DATA:BIN?"

Bin_res = age4982x.ReadNumber

Cells(FirstRow + 1, 1) = Stat

Cells(FirstRow + 1, 2) = Ls

Cells(FirstRow + 1, 3) = Q

Cells(FirstRow + 1, 4) = Bin_res

FirstRow = FirstRow + 1

Next i

FirstRow = 15

Cells(FirstRow, 8) = "BIN"

Cells(FirstRow, 9) = "Results"

'Retrieves and displays the bin count

age4982x.WriteString ":CALC:COMP:DATA:BCOU?"

binResult() = age4982x.ReadList(ASCIIType_R8, ",")

Dim nums As Integer

For K = 0 To 13

If K <> 13 Then

Cells(FirstRow + 1, 8) = K + 1

Cells(FirstRow + 1, 9) = binResult(K)

Else

Cells(FirstRow + 2, 8) = "Out of good bins"

Cells(FirstRow + 2, 9) = binResult(K)

'MsgBox "Out of good bins: " & binResult(K), vbOKOnly

End If

FirstRow = FirstRow + 1

Next K

End Sub


Statistical Analysis

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program demonstrates how to perform statistical analysis. It performs statistical analysis on the specified measurement items and then retrieves and displays the results of the analysis.

See these topics for this programming:

Statistical Analysis of Measurement Results

Performing Statistical Analysis

Sample Program in Excel VBA Using VISA-COM

Sub StatisticalAnalysis()

'Performs statistical analysis on the specified measurement items and

'then retrieves and displays the results of the analysis.

Dim Title(7) As String

Dim Para As String

Dim Point As Double

Dim Number As Integer

Dim dispStat As Integer

Dim Item As Integer

Dim i As Integer

Dim examOpt As String

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

'Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Checks the number of measurement data segments for statistical

'analysis stored in the volatile memory. If no such data exists, the

'program displays a message and terminates

age4982x.WriteString ":CALC:EXAM:POIN?"

Point = age4982x.ReadNumber

If Point < 1 Then

MsgBox "No data!!"

GoTo Prog_end

End If

'Checks whether each measurement item is currently shown or hidden

'and stores the names of the currently shown items into the Title()

'array and the number of the shown items into the Number variable.

'The measurement items include measurement parameters 1 through 4,

'the monitored values of the test signal current and voltage levels,

'and the result of Rdc measurement

Number = 1

For i = 1 To 4

age4982x.WriteString ":DISP:TEXT1:CALC" & i & "?"

dispStat = age4982x.ReadNumber

If dispStat = 1 Then

age4982x.WriteString ":CALC:PAR" & i & ":FORM?"

Para = age4982x.ReadString

Title(Number) = "Parameter " & i & " -" & Para

Number = Number + 1

End If

Next i

age4982x.WriteString ":DISP:TEXT1:CALC11?"

dispStat = age4982x.ReadNumber

If dispStat = 1 Then

Title(Number) = "I Level Monitor"

Number = Number + 1

End If

age4982x.WriteString ":DISP:TEXT1:CALC12?"

dispStat = age4982x.ReadNumber

If dispStat = 1 Then

Title(Number) = "V Level Monitor"

Number = Number + 1

End If

'age4982x.WriteString ":SOUR:LIST:RDC ON"

age4982x.WriteString ":SOUR:LIST:RDC?"

dispStat = age4982x.ReadNumber

If dispStat = 1 Then

Title(Number) = "Rdc Measurement"

Number = Number + 1

End If

Number = Number - 1

'If Number is 0, the program displays a message and terminates

If Number = 0 Then

MsgBox "No Analysis Item!!", vbOKOnly

GoTo Prog_end

End If

On Error GoTo Item_select

Item_select:

'Display the list of items that can be statistically analysed and prompts

'the user to choose one of the items by typing in the appropriate number

examOpt = ""

For i = 1 To Number

examOpt = examOpt + " " & i & " : " & Title(i) & vbCr

Next i

Item = Val(InputBox("[Statistical Analysis]" & vbCr & "Select Analysis Item" & vbCr _

& examOpt & vbCr & "Input 1 to " & Number))

If Item < 1 Or Item > Number Then

GoTo Item_select

End If

'Display the names of the measurement items selected for statistical analysis

'and then passes control to a subprogram names Stat_ana to perform statistical

'analysis and display the results

MsgBox "Analysis Item: " & Title(Item)

Call Stat_ana(age4982x, Item)

Err.Clear

Prog_end: End

'Allow the user to return to the entry start line and re-enter the data if

'an error (such as an invalid entry) occurs while selecting the number

'identifying the measurement items on which to perform statistical analysis

End Sub

'========================================================

' Statistical Analysis Function

'========================================================

Public Sub Stat_ana(LCRMeter As VisaComLib.FormattedIO488, Item As Integer)

Dim Res(32, 10) As Double

Dim listStat As Integer

Dim Nop As Integer

Dim i As Integer

Dim J As Integer

Dim FirstRow As Integer

Dim strResult() As Double

Dim measPoint As Double

'Retrieve the list(1)/single-point(0) measurement setting and stores the setting

'into the listStat variable

'LCRMeter.WriteString ":SOUR:LIST:STAT 1"

LCRMeter.WriteString ":SOUR:LIST:STAT?"

listStat = LCRMeter.ReadNumber

If listStat = 1 Then

'If list measurement is specified (listStat = 1), the program retrieves the

'number of measurement points and stores the data into the Nop variable

LCRMeter.WriteString ":SOUR:LIST:SIZE?"

Nop = LCRMeter.ReadNumber

Else

'If single-point measurement is specified (listStat 1 variable not equal to 1),

'the program stores 1 into the Nop variable

Nop = 1

End If

'Performs the measurement items identified by the Item variable and then retrieves

'the results and stores them into the Res() array. The subprogram repeats these

'steps for all the measurement points

For i = 1 To Nop

LCRMeter.WriteString ":CALC:EXAM:GET? " & Item & ", " & i

strResult() = LCRMeter.ReadList(ASCIIType_R8, ",")

Next i

'Displays the results of the statistical analysis

FirstRow = 15

Cells(FirstRow, 1) = "Point)"

Cells(FirstRow, 2) = "Mean"

Cells(FirstRow, 3) = "Sigma"

Cells(FirstRow, 4) = "3*Sigma/Mean"

Cells(FirstRow, 5) = "Min"

Cells(FirstRow, 6) = "Max"

Cells(FirstRow, 7) = "Total"

Cells(FirstRow, 8) = "Rdc Fail"

Cells(FirstRow, 9) = "Overload"

Cells(FirstRow, 10) = "Abnormal"

Cells(FirstRow, 11) = "All"

For i = 1 To Nop

For J = 0 To 10

If J = 0 Then

Cells(i + FirstRow, J + 1) = i

Else

Cells(i + FirstRow, J + 1) = strResult(J - 1)

End If

Next J

Next i

End Sub


File Save

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program demonstrates how to save data to a file. It saves the selected type of data to the specified target file.

See these topics for this programming:

Saving and Recalling Files

Sample Program in Excel VBA Using VISA-COM

Sub FileSave()

'This sample program saves the selected type of data to the specified target file

Dim File As String

Dim InpChar As String

Dim Extension As String

Dim Par As String

Dim listStat As Integer

Dim Point As Integer

Dim Content As String

Dim maxNo As Integer

Dim outString As String

Dim fileName As String

Dim ioMgr As VisaComLib.ResourceManager

Dim age4982x As VisaComLib.FormattedIO488

'Sets the GPIB address

Set ioMgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = ioMgr.Open("GPIB0::17::INSTR")

age4982x.IO.Timeout = 30000

'Retrieves the list/single-point(0/1) measurement setting and stores the

'setting into the listStat variables

age4982x.WriteString ":SOUR:LIST:STAT?"

listStat = age4982x.ReadNumber

'Counts the data segments for statistical analysis that are residing on

'the volatile memory and stores the count into the Point variable

age4982x.WriteString ":CALC:EXAM:MEM:POIN?"

Point = age4982x.ReadNumber

'Allows the user to return to the entry start line and re-enter the data if

'an error (such as an invalid entry) occurs while selecting the type of data

'to save

On Error GoTo Content_select

'Displays the list of items that can be saved and prompts the user to choose

'one of the items by typing in the appropriate number

Content_select:

'Display the list of items that can be saved and prompts the user to choose one

'of the items by typing in the appropriate number

outString = "## Save Content Selection ##" & vbCr & "Select Content" & vbCr & "1: State" & vbCr _

& "2: Screen" & vbCr & "3: Setup Table" & vbCr & "4: Comparator"

maxNo = 4

If listStat = 1 Then

outString = "## Save Content Selection ##" & vbCr & "Select Content" & vbCr & "1: State" & vbCr _

& "2: Screen" & vbCr & "3: Setup Table" & vbCr & "4: Comparator" & vbCr _

& "5: List Measurement Results"

maxNo = maxNo + 1

End If

If Point > 1 Then

outString = outString & vbCr & "" & (maxNo + 1) & " : Data for Statistical Analysis (ASCII)" & vbCr _

& "" & (maxNo + 2) & " : Data for statistical Analysis (Binary)"

maxNo = maxNo + 2

End If

outString = outString & vbCr & "Input 1 to " & maxNo

Content = InputBox(" " & outString)

If Content = "" Then End

Err.Clear

'If Content is not within the valid range, the program returns the user to

'the entry start line

If Val(Content) < 1 Or Val(Content) > maxNo Then

GoTo Content_select

End If

'Determine the file extension based on Content and stores the extension into

'the Extension variable. If the extension is ".csv", determine the second

'parameter for the command to save and store the parameter into the Par variable

Select Case Content

Case 1

Extension = ".sta"

Case 2

Extension = ".bmp"

Case 3

Extension = ".csv"

Par = "SET"

Case 4

Extension = ".csv"

Par = "COMP"

Case 5

Extension = ".csv"

If maxNo = 5 Or maxNo = 7 Then

Par = "LIST"

Else

Par = "LOG"

End If

Case 6

If maxNo = 7 Then

Extension = ".csv"

Par = "log"

Else

Extension = ".dta"

End If

Case 7

Extension = ".dta"

End Select

'Pass control to a subprogram called Inp_file_name, which lets the user

'input a file name without an extension, and then stores the returned

'file name into the File variable

Call Inp_file_name(File)

fileName = File & Extension

'fileName = """&fileName&"""

If Extension = ".csv" Then

age4982x.WriteString ":MMEM:STOR """ & fileName & """, " & Par

Else

age4982x.WriteString ":MMEM:STOR """ & fileName & """"

End If

MsgBox "## Done ##" & vbCr & "Save file name : " & File & Extension

End Sub

Public Sub Inp_file_name(Inp_name)

Dim InpChar As String

'Allow the user to return to the entry start line and re-enter the data

'if an error (such as invalid entry) occurs when entering the target

'file name

On Error GoTo Inp_start

Inp_start:

'Prompt the user to enter the target file name. The program does not

'continue until the user actually enters the file name

Inp_name = InputBox("## File Name Input##" & vbCr & "Input Save File Name (without Extension)" _

& vbCr & "Name?")

If Inp_name = "" Then End

'Display the entered file name and waits for confirmation entry (y/n key)

InpChar = InputBox("Input Name: " & Inp_name & vbCr & "OK? [Y/N]")

If InpChar = "" Then End

'Return to the start line of input if any key other than the y key is

'pressed in response

If UCase(InpChar) <> "Y" Then

GoTo Inp_start

End If

Err.Clear

End Sub


Detecting an Error via an SRQ

  • Overview

  • Sample Program in Excel VBA Using VISA-COM

Other topics about Sample Programs

Overview

This sample program detects an error via an SRQ.

This program performs the necessary SRQ settings, intentionally sends a command that is incorrect syntax to generate an error. As the standard event status register and service request enable register are enabled, the error generates the SRQ event. When SRQ is detected, the main sequence is interrupted and call the IEventHandler_HandleEvent sub routine. In the subroutine, the error is identified and its error number and message are displayed followed by a message showing that the program is aborted.

See these topics for this programming:

Error Handling

Sample Program in Excel VBA Using VISA-COM

Dim age4982x As VisaComLib.FormattedIO488

Option Explicit

Implements VisaComLib.IEventHandler

Sub IEventHandler_HandleEvent(ByVal vi As VisaComLib.IEventManager, ByVal SRQevent As VisaComLib.IEvent, ByVal userHandle As Long)

'

' This subroutine is called when the SRQ event is occurred.

'

Dim readErr As Variant

age4982x.WriteString "SYST:ERR?" ' Get the error message and number

readErr = age4982x.ReadList

age4982x.WriteString "*CLS" ' Clear the status register

MsgBox "Error : " & readErr(0) & " , " & readErr(1), vbOKOnly, "Error occurred."

End Sub

Sub Err_Detect_Click()

'

' This is a main routine. When SRQ event occurs, the sequence is interrupted and the IEventHandler_HandleEvent is called.

'

Dim gmgr As VisaComLib.ResourceManager

Dim SRQ As VisaComLib.IEventManager

Dim Ans As Integer

Dim strdmy As String

Set gmgr = New VisaComLib.ResourceManager

Set age4982x = New VisaComLib.FormattedIO488

Set age4982x.IO = gmgr.Open("GPIB0::17::INSTR") ' Sets the GPIB address and select code.

age4982x.IO.Timeout = 5000 ' Sets the time out time

Set SRQ = age4982x.IO

With age4982x

.WriteString "*RST" '

.WriteString "*ESE 60" ' Sets bits 2, 3, 4 and 5 of the standard event status register to be enabled

.WriteString "*SRE 32" ' Sets bit 5 of the service request enable register to 1.

.WriteString "*CLS"

.WriteString "*OPC?"

strdmy = .ReadString

End With

SRQ.InstallHandler EVENT_SERVICE_REQ, Me ' Enable SRQ event

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR '

Do

Ans = Val(InputBox("Select" & vbCrLf & "1: No Error Sequence" & vbCrLf & "2: Error Sequence" & vbCrLf & "3: End of program", , 1))

Select Case Ans

Case 1 ' Correct Sequence

With age4982x

.WriteString ":SOUR:LIST:STAT ON"

.WriteString ":DISP:LIST:TYPE PLOT"

End With

Case 2 ' Sequence with Error

With age4982x

.WriteString ":SOUR:LIST:STAT ON"

.WriteString ":DISP:LIST:TYPE PLO" ' Generate an illegal parameter error by incorrect parameter

End With

End Select

Loop While Ans <> 3

SRQ.DisableEvent ALL_ENABLED_EVENTS, EVENT_ALL_MECH, 0 ' Disable SRQ event

End Sub


Command Reference

  • Notational Conventions

  • Command Finder

Other topics about Programming


Notational Conventions

Notational Conventions in this Command Reference

This section describes how to read the description of commands in this chapter.

Syntax

The section headed by “Syntax” describes the syntax to send a command from the external controller to the E4982A.The syntax consists of a command part and a parameter part. The separator between the command part and the parameter part is a space.

When there are several parameters, a comma (,) is used as the separator between adjacent parameters. When the syntax contains an ellipsis between commas, it indicates the omission of one or more parameters; for example, “<numeric 1>,..., <numeric 4>” means that you should specify four parameters: <numeric 1>, <numeric 2>, <numeric 3>, and <numeric 4>. A string type parameter, such as <string> or <string 1>, must be enclosed with double quotes.

You can omit the lowercase characters of a keyword. For example, you can specify :SYST:PRES instead of :SYSTem:PRESet.

The definition of symbols used in the syntax are as follows:

<> | Characters enclosed by angular brackets are necessary parameters when sending the command.
[] | Parts enclosed by square brackets can be omitted.
{} | Braces indicate that you must select one of the items in this part. Each item is separated by a vertical bar (|).

Description

The section headed by “Description” describes how to use the command or the operation when executed.

Variable

Variable provides description about different variables that can be used with the command objects. It gives the description, data type, allowable range, preset value, unit, resolution, and notes for variable (italic) shown in the syntax.

  • Variables declared as the string data type (String) are not case-sensitive. For variables of the string type that indicate arguments (written as Param in the syntax), you can omit lower-case letters.

The data types of the command objects include 5 types as shown in the following table. Before using variables, declare the data type of each variable. If you do not declare the data type of a variable, it is automatically processed as a variant type.

Data type | Name | Consumed memory | Range
Long | Long integer | 4 bytes | -2,147,483,648 to 2,147,483,647
Double | Double precision floating point type | 8 bytes | For a negative value: -1.79769313486232E+308 to -4.94065645841247E-324 For a positive value: -1.79769313486232E+308 to -4.94065645841247E-324
Boolean | Boolean type | 2 bytes | For SCPI: ON or OFF
String | Character string type | 1 byte / alphanumeric character | Up to approximately 2 billion characters
Variant | Variant type | 16 bytes | No limitation

Query response

The section headed by “Query response” describes the data format read out when a query (data read-out) is available with this command.

Each read-out parameter is enclosed with {}. If there are several items within {} separated by a vertical bar (|), only one of them is read out.

When several parameters are read out, they are separated with a comma (,). An ellipsis between commas (...) indicates that the data of that part is omitted. For example, {numeric 1},...,{numeric 4} indicates that four data items, {numeric 1}, {numeric 2}, {numeric 3}, and {numeric 4}, are read out.

The <newline ><^END> is a program message terminator attached at the end of the parameter.

Related objects

Related objects provides information about other objects that are similar/related with the object.

Equivalent key

Equivalent key shows the operational procedure of the front panel keys that has the same effect as this object.


:ABOR

Syntax

:ABORt

Description

Resets the trigger system and puts the trigger sequence into idle state; turns OFF the continuous activation of the trigger system. (No query)

For more information on the trigger system and each state, see Trigger system.

Related objects

:INIT

:INIT:CONT

Equivalent key

No equivalent keys are available on the front panel.


:APER

Syntax

[:SENSe][:FIMPedance]:APERture[:MODE] <speed>

[:SENSe][:FIMPedance]:APERture[:MODE]?

Description

Select the measurement speed.

Parameters

Parameter | <speed>
Description | Measurement speed
Range | MODE1: Fast MODE2: Middle MODE3: Slow
Initial value | MODE3

Query response

{MODE1|MODE2|MODE3}<newline><^END>

Equivalent key

Stim Table > {Mode 1|Mode 2|Mode 3}


:AVER:COUN

Syntax

[:SENSe]:AVERage:COUNt <numeric>

[:SENSe]:AVERage:COUNt?

Description

This command sets the averaging factor.

The measurement point for single point measurement, specified with the :SOUR:LIST:POIN command, in the active table, specified with the :SOUR:LIST:TABL command, must be set here.

Execution of this command does not turn OFF calibration or compensation automatically. If you need to change only the averaging factor after completion of calibration or compensation, use this command.

  • To change only the averaging factor after completion of calibration/compensation, you may execute the :SOUR:LIST command by specifying the parameter so that only the averaging factor will change with the frequency and signal source level identical to the current settings. In this case, calibration and compensation will be turned OFF automatically; you will need to rerun calibration and compensation.

Parameters

Parameter | Value
Description | Averaging factor
Range | 1 to 100
Initial value | 1
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:SOUR:LIST

:SOUR:LIST:TABL

:SOUR:LIST:POIN

Equivalent key

Stim Table > Stimulus tab > Average > {numeric}


:CALC:COMP

Syntax

:CALCulate:COMParator[:STATe] {ON|OFF|1|0}

:CALCulate:COMParator[:STATe]?

Description

Turns ON or OFF the comparator. This setting is linked with the ON/OFF status of the handler interface.

Variable

Parameter | State
Description | ON/OFF the comparator
Range | Select from the following: ON or 1: Turns ON the comparator OFF or 0: Turns OFF the comparator
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Analysis > Comparator > {ON|OFF}


:CALC:COMP:BEEP:COND

Syntax

:CALCulate:COMParator:BEEPer:CONDition {FAIL|PASS}

:CALCulate:COMParator:BEEPer:CONDition?

Description

This command is available when the instrument is configured to beep based on the comparator result (for example, after you have issued the :SYST:BEEP2:STAT command by specifying “ON”). The command lets you specify whether the instrument should beep when the DUT fails to meet the comparator sorting criteria (not sorted into any of bins 1 through 13, or sorted into the NO GOOD bin specified with the :CALC:COMP:OGB command) or when the DUT satisfies the comparator sorting criteria (sorted into the GOOD bin).

Variable

Parameter

State

Description

Instructs the instrument to beep when the DUTs either meet or does not meet the sorting criteria

Range

Select from the following:

  • PASS:Instructs the instrument to beep when a DUT meets the sorting criteria

  • FAIL:Instructs the instrument to beep when a DUT does not meet the sorting criteria

Preset value

FAIL

Query response

{FAIL|PASS}<newline><^END>

Related objects

:SYST:BEEP2:STAT

:CALC:COMP:OGB

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:BIN{1-13}

Syntax

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}[:STATe] {ON|OFF|1|0}

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}[:STATe]?

Description

This command is available when the comparator is enabled. It lets you specify whether the instrument should sort DUTs into bin 1 (:BIN1) through bin 13 (:BIN13).

Variable

Parameter

State

Description

ON/OFF the sorting feature

Range

Select from the following:

  • ON or 1: Turns ON the sorting feature for the selected BIN

  • OFF or 0: Turns OFF the sorting feature for the selected BIN

Preset value

OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CALC:COMP

Equivalent key

Stim Table > Comparator tab > Bin{1-13} > {ON|OFF}, or

Analysis > Edit Comptr Table > Bin{1-13} > {ON|OFF}


:CALC:COMP:BIN{1-13}:COND{1-4}:LIM

Syntax

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}:CONDition{1|2|3|4}:LIMit <numeric 1>,<numeric 2>

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}:CONDition{1|2|3|4}:LIMit?

Description

Lets you specify the limit range that applies to each of the four sorting conditions (:COND1 through :COND4) for bin 1 (:BIN1) through bin 13 (:BIN13). The limit range is inclusive of both upper and lower limit values.

The limit range is applied when the parameter specified with the :CALC:COMP:COND{1-4}:PAR command is measured at the point specified with the :CALC:COMP:COND{1-4}:SNUM command.

If you have issued the :CALC:COMP:COND{1-4}:MODE by specifying “DEV” or “PCNT” to configure the instrument to accept a limit range in deviation or percent mode, the instrument assumes that the limit values are relative to the reference value specified with the :CALC:COMP:COND{1-4}:NOM command.

Variable

 | <numeric 1> | <numeric 2>
Parameter |  |
Description | Lower limit value*1 | Upper limit value*1
Range | -1E20 to 1E20 | -1E20 to 1E20
Default value | 0 | 0
Unit | Depends on the sort parameter | Depends on the sort parameter
Resolution | 1E-20 | 1E-20

  • *1 If <numeric 1> is greater than <numeric 2>, the instrument uses <numeric 1> as the upper limit and <numeric 2> as the lower limit.

If your specified parameter is beyond the valid range, the parameter is replaced with either the maximum or minimum value of the valid range depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 1}, {numeric2}<newline><^END>

The returned data always lists the lower and upper limits in that order.

Related objects

:CALC:COMP:COND{1-4}:SNUM

:CALC:COMP:COND{1-4}:PAR

:CALC:COMP:COND{1-4}:MODE

:CALC:COMP:COND{1-4}:NOM

:CALC:COMP:BIN{1-13}:COND{1-4}:LTYP

Equivalent key

Stim Table > Comparator tab > Bin{1-13} > Upper Limit > Enter limit value, and

Stim Table > Comparator tab > Bin{1-13} > Lower Limit > Enter limit value, or

Analysis > Edit Comptr Table > Bin{1-13} > Upper Limit > Enter limit value, and

Analysis > Edit Comptr Table > Bin{1-13} > Lower Limit > Enter limit value


:CALC:COMP:BIN{1-13}:COND{1-4}:LTYP

Syntax

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}:CONDition{1|2|3|4}:LTYPe {IN|OUT|ALL}

:CALCulate:COMParator:BIN{1|2|3|4|5|6|7|8|9|10|11|12|13}:CONDition{1|2|3|4}:LTYPe?

Description

Lets you set the limit range mode of each of the four sorting conditions (:COND1 through :COND4) for bin 1 (:BIN1) through bin 13 (:BIN13).

Variable

Parameter

Param

Description

Instructs the instrument to determine that a test has passed the sorting condition

Range

Select from the following:

IN: Instructs the instrument to determine that a test has passed the sorting condition where DUTs fall within the limit range (inclusive of the upper and lower limits)

OUT: Instructs the instrument to determine that a test has passed the sorting condition where DUTs do not fall within the limit range (exclusive of the upper and lower limits).

ALL: Instructs the instrument to determine that a test has passed the sorting condition where the measurement result is disregarded.

Preset value

ALL

Query response

{IN|OUT|ALL}<newline><^END>

Related objects

:CALC:COMP:BIN{1-13}:COND{1-4}:LIM

Equivalent key

Stim Table > Comparator tab > Bin{1-13} > In/Out > {IN/OUT/ALL}, or

Analysis > Edit Comptr Table > Bin{1-13} > In/Out > {IN/OUT/ALL}


:CALC:COMP:CLE

Syntax

:CALCulate:COMParator:CLEar

Description

Initializes (resets) all the sorting conditions for each comparator bin and a limit range for Rdc measurement. (No query)

Equivalent key

Stim Table > Comparator tab > Clear Bin, or

Analysis > Edit Comptr Table > Clear Bin


:CALC:COMP:COND{1-4}:MODE

Syntax

:CALCulate:COMParator:CONDition{1|2|3|4}:MODE {ABS|DEV|PCNT}

:CALCulate:COMParator:CONDition{1|2|3|4}:MODE?

Description

Lets you select how to specify the limit range that applies to each of the four sorting conditions (:COND1 through :COND4). This setting applies to all of the bins.

Variable

Parameter

Param

Description

Uses absolute, deviation and percentage mode for sorting conditions

Range

Select from the following:

ABS: Uses absolute mode, in which the upper and lower limits are specified as absolute values

DEV: Uses deviation mode, in which the upper and lower limits are specified as deviations relative to the reference value*1

PCNT: Uses percent mode, in which the upper and lower limits are specified as percentages relative to the reference value*1

Preset value

ABS

  • *1 You can use the :CALC:COMP:COND{1-4}:NOM command to set the reference value

Query response

{ABS|DEV|PCNT}<newline><^END>

Related objects

:CALC:COMP:COND{1-4}:NOM

Equivalent key

Stim Table > Comparator tab > Condition{1-4} > Mode > {ABS/DEV/PCNT}, or

Analysis > Edit Comptr Table > Condition{1-4} > Mode > {ABS/DEV/PCNT}


:CALC:COMP:COND{1-4}:NOM

Syntax

:CALCulate:COMParator:CONDition{1|2|3|4}:NOMinal <numeric>

:CALCulate:COMParator:CONDition{1|2|3|4}:NOMinal?

Description

Lets you specify the limit range reference value that applies to each of the four sorting conditions (:COND1 through :COND4). The reference value applies to all of the bins if you have issued the :CALC:COMP:COND{1-4}:MODE command by specifying “DEV” or “PCNT” to configure the instrument to accept a limit range in deviation or percent mode.

Variable

Parameter | Value
Description | Limit range reference value
Range | -1E20 to 1E20
Preset value | 0
Unit | Depends on measurement parameter used to sort DUTs.
Resolution | 1E-20

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CALC:COMP:COND{1-4}:MODE

Equivalent key

Stim Table > Comparator tab > Condition{1-4} > Reference > {numeric}, or

Analysis > Edit Comptr Table > Condition{1-4} > Reference > {numeric}


:CALC:COMP:COND{1-4}:PAR

Syntax

:CALCulate:COMParator:CONDition{1|2|3|4}:PARameter {Z|Y|TZR|TZD|TYR|TYD|RS|RP|LS|LP|CS|CP|R|G|X|B|Q|D|USER1|USER2|USER3|USER4}

:CALCulate:COMParator:CONDition{1|2|3|4}:PARameter?

Description

Lets you specify the measurement parameter for evaluating each of the four sorting conditions (:COND1 through :COND4). This setting applies to all of the bins.

Variable

Parameter | Param
Description | Sorting condition measurement parameter
Range | Select from the following: Z: Evaluates the impedance amplitude absolute value Y: Evaluates the admittance amplitude absolute value TZR: Evaluates the impedance phase (in radians) TZD: Evaluates the impedance phase (in degrees) TYR: Evaluates the admittance phase (in radians) TYD: Evaluates the admittance phase (in degrees) RS: Evaluates the equivalent series resistance RP: Evaluates the equivalent parallel resistance LS: Evaluates the equivalent series inductance LP: Evaluates the equivalent parallel inductance CS: Evaluates the equivalent series capacitance CP: Evaluates the equivalent parallel capacitance R: Evaluates the equivalent resistance G: Evaluates the equivalent parallel conductance X: Evaluates the equivalent series reactance B: Evaluates the equivalent parallel susceptance Q: Evaluates the Q value (inverse dissipation factor) D: Evaluates the dissipation factor USER1 to 4: Uses user parameter
Preset value | Sorting condition 1 defaults to Z; sorting condition 2 defaults to TZD; sorting condition 3 defaults to RS; sorting condition 4 defaults to X.

Query response

{Z|Y|LS|LP|CS|CP|RS|RP|Q|D|X|G|B|TZR|TZD|TYR|TYD|USER1|USER2|USER3|USER4}<newline><^END>

Related objects

:CALC:COMP:COND{1-4}:SNUM

Equivalent key

Stim Table > Comparator tab > Condition{1-4} > Parameter > {Z|Y|LS|LP|CS|CP|RS|RP|Q|D|R|X|G|B|TZR|TZD|TYR|TYD|USER1|USER2|USER3|USER4}, or

Analysis > Edit Comptr Table > Condition{1-4} > Parameter > {Z|Y|LS|LP|CS|CP|RS|RP|Q|D|R|X|G|B|TZR|TZD|TYR|TYD|USER1|USER2|USER3|USER4}


:CALC:COMP:COND{1-4}:SNUM

Syntax

:CALCulate:COMParator:CONDition{1|2|3|4}:SNUMber <numeric>

:CALCulate:COMParator:CONDition{1|2|3|4}:SNUMber?

Description

Lets you specify the measurement point for each of the four sorting conditions (:COND1 through :COND4). This setting applies to all of the bins.

This setting is reset when settings in the measurement point setup table are changed by execution of :SOUR:LIST or :SOUR:LIST:CLE commands.

Variable

Parameter | Value
Description | Point number
Range | 1 to number of points (up to 201)
Preset value | 1
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CALC:COMP:COND{1-4}:PAR

:SOUR:LIST

:SOUR:LIST:CLE

Equivalent key

Stim Table > Comparator tab > Stimulus, or

Analysis > Edit Comptr Table > Stimulus


:CALC:COMP:COUN

Syntax

:CALCulate:COMParator:COUNt[:STATe] {ON|OFF|1|0}

:CALCulate:COMParator:COUNt[:STATe]?

Description

Lets you specify whether to use the comparator counter. Enabling this feature causes the instrument to count the number of DUTs put into each bin based on the comparator result.

The maximum count value is 2,147,483,647 (231-1). If this value is exceeded, the count value remains 2,147,483,647 and is not updated.

The count value is not reset by execution of reset commands (*RST or :SYST:PRES).

Value

Parameter | State
Description | ON/OFF the bin counter feature
Range | Select from the following: ON or 1: Enables the bin counter feature OFF or 0: Disables the bin counter feature
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CALC:COMP:COUN:CLE

:CALC:COMP:DATA:BCOU

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:COUN:CLE

Syntax

:CALCulate:COMParator:COUNt:CLEar

Description

Initializes the comparator bin counter feature by resetting all of the bin counts to zero. (No query)

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:DATA:BCO?

Syntax

:CALCulate:COMParator:DATA:BCOunt?

:CALCulate:COMParator:DATA:BCOUnt? (Syntax for 4287A compatibility)

Description

Returns the count for each bin from the comparator bin counter. The command returns all of the bin counts, regardless of whether the instrument is configured to sort DUTs for each bin. (Query only)

The syntax is changed because BCOU does not meet the SCPI syntax rule. However, BCOU is still accepted for compatibility with the 4287A.

Query response

{numeric 1},...,{numeric 14}<newline><^END>

 | Description
{numeric 1} | Count for bin 1
{numeric 2} | Count for bin 2
{numeric 3} | Count for bin 3
{numeric 4} | Count for bin 4
{numeric 5} | Count for bin 5
{numeric 6} | Count for bin 6
{numeric 7} | Count for bin 7
{numeric 8} | Count for bin 8
{numeric 9} | Count for bin 9
{numeric 10} | Count for bin 10
{numeric 11} | Count for bin 11
{numeric 12} | Count for bin 12
{numeric 13} | Count for bin 13
{numeric 14} | Count of DUTs that were not sorted into any of bins 1 through 13 (comparator result is 0) or were sorted into NO GOOD bins (set by :CALC:COMP:OGB command). That is the count for a measurement when the /OUT_OF_GOOD_BINS signal of the handler interface changes to LOW level.

Related objects

:CALC:COMP:COUN

:CALC:COMP:COUN:CLE

:CALC:COMP

:CALC:COMP:BIN{1-13}

:CALC:COMP:OGB

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:DATA:BIN?

Syntax

:CALCulate:COMParator:DATA:BIN?

Description

Returns the most recent comparator result. (Query only)

Query response

{0|1|2|3|4|5|6|7|8|9|10|11|12|13|14}<newline><^END>

 | Description
0 | Indicates a DUT that was not sorted into any of bins 1 through 13
1 | Indicates a DUT that was sorted into bin 1
2 | Indicates a DUT that was sorted into bin 2
3 | Indicates a DUT that was sorted into bin 3
4 | Indicates a DUT that was sorted into bin 4
5 | Indicates a DUT that was sorted into bin 5
6 | Indicates a DUT that was sorted into bin 6
7 | Indicates a DUT that was sorted into bin 7
8 | Indicates a DUT that was sorted into bin 8
9 | Indicates a DUT that was sorted into bin 9
10 | Indicates a DUT that was sorted into bin 10
11 | Indicates a DUT that was sorted into bin 11
12 | Indicates a DUT that was sorted into bin 12
13 | Indicates a DUT that was sorted into bin 13
14 | Indicates sort failed (due to a measurement error)

  • If the comparator feature is disabled, the command returns the sorting result from when the comparator feature was last enabled. However, the command returns zero if the E4982A has been reset or the comparator feature has not been enabled since turning ON the E4982A.

Related objects

:CALC:COMP

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:DATA:RDC?

Syntax

:CALCulate:COMParator:DATA:RDC?

Description

Returns the most recent Rdc limit evaluation result when the Rdc measurement feature and the comparator feature are enabled (Query only).

Variable

Parameter

State

Description

O/1 that indicates Rdc beyond or within limit

Range

Select from the following:

  • 0: Indicates that Rdc was beyond the limit

  • 1: Indicates that Rdc was within the limit

Preset value

If either the Rdc measurement feature or the comparator feature is disabled, the command returns the previous sorting result. However, the command returns zero if the E4982A has been reset or the Rdc limit evaluation has not been executed since turning ON the E4982A.

Related objects

:SOUR:LIST:RDC

:CALC:COMP

:CALC:COMP:RDC:LIM

:DATA:RDC

Equivalent key

No equivalent keys are available on the front panel.


:CALC:COMP:OGB

Syntax

:CALCulate:COMParator:OGBins <numeric>

:CALCulate:COMParator:OGBins?

Description

Specifies the boundary between good and bad bins (the OUT_OF_GOOD_BINS line) by specifying the number of the good bin that is adjacent to the boundary. All bin numbers that are equal to or smaller than the specified bin number indicate good bins while those larger than the specified number represent bad bins.

When a DUT is sorted into a bad bin, the handler interface output signal /OUT_OF_GOOD_BINS becomes active (Low). Also, the /OUT_OF_GOOD_BINS signal becomes active when a DUT is not sorted into any of the bins 1 through 13.

Variable

Parameter | Value
Description | Number of good bin to be adjacent to the boundary
Range | 1 to 13
Preset value | 10
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Stim Table > Comparator tab > Rdc Limit > Good Bins drop-down menu, or

Analysis > Edit Comptr Table > Rdc Limit > Good Bins drop-down menu


:CALC:COMP:RDC:LIM

Syntax

:CALCulate:COMParator:RDC:LIMit <numeric 1>,<numeric 2>

:CALCulate:COMParator:RDC:LIMit?

Description

Sets the limit range for the Rdc limit evaluation. The limit range is inclusive of both upper and lower limit values.

Variable

 | <numeric 1> | <numeric 2>
Description | Lower limit value*1 | Upper limit value*1
Range | -1E20 to 1E20 | -1E20 to 1E20
Preset value | 0 | 10000
Unit | Ω (ohm) | Ω (ohm)
Resolution | 1E-20 | 1E-20

  • *1 If <numeric 1> is greater than <numeric 2>, the instrument uses <numeric 1> as the upper limit and <numeric 2> as the lower limit.

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 1}, {numeric2}<newline><^END>

The returned data always lists the lower and upper limits in that order.

Related objects

:SOUR:LIST:RDC

Equivalent key

Stim Table > Comparator tab > Bin{1-13} > Rdc Limit > Upper > <numeric>, or

Analysis > Edit Comptr Table > Bin{1-13} > Rdc Limit > Lower > <numeric>


:CALC:EXAM:GET?

Syntax

:CALCulate[:MATH]:EXAMine:GET? <numeric 1>,<numeric 2>

Description

Performs statistical processing at the specified measurement point for the specified measurement item and then returns the results. (Query only)

The number assigned to a measurement item is used to specify it. The number is assigned to only displayed items according to the following order:

  • Measurement parameter 1

  • Measurement parameter 2

  • Measurement parameter 3

  • Measurement parameter 4

  • Test signal current level monitor

  • Test signal voltage level monitor

  • Rdc

For example, when the measurement parameter 1, the test signal current level, and the Rdc are displayed and the rest of the items are not displayed, the correspondence between the numbers and the measurement items is as follows.

1: Measurement parameter 1

2: Test signal current level monitor

3: Rdc

When the measurement data is logging to the volatile memory (RAM) at each measurement (that is, when the logged data size has not yet reached maximum), the data logging for statistical analysis is interrupted by execution of this command.

This command is valid only when the RAM contains measurement data for statistical analysis (that is, when the :CALC:EXAM:STAR command is not executed); otherwise, the command does not return query response and an error is generated.

If the obtained data number during a measurement is changed by a change in list/single-point measurement or by a change in the number of displayed measurement items after data logging is started, this command returns an invalid result and an error may be generated.

Variables

 | <numeric 1> | <numeric 2>
Description | Measurement item number | Measurement point number*1
Range | 1 to number of displayed measurement items (up to 7) | 1 to number of points (up to 201)
Resolution | 1 | 1

  • *1 In one-point measurement, 1 is used as this parameter at all measurement points.

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 1},...,{numeric 10}<newline><^END>

The returned data consists of the following 10 statistical analysis items:

{numeric 1}

Average of measurement data set from normal measurements (that is, measurements when overload or Rdc out of range is not detected).

{numeric 2}

Standard deviation of measurement data set from normal measurement(s).

{numeric 3}

3× s /average of measurement data set from normal measurements.

{numeric 4}

Minimum value of measurement data set from normal measurements.

{numeric 5}

Maximum value of measurement data set from normal measurements.

{numeric 6}

Number of normal measurements (number of data items contained in measurement data set from normal measurements).

{numeric 7}

Number of measurements when Rdc out of range is detected.

{numeric 8}

Number of measurements when overload is detected.

{numeric 9}

Number of abnormal measurements (number of measurements when overload or Rdc out of range is detected).

{numeric 10}

Total number of measurements.

Related objects

:CALC:EXAM:STAR

Equivalent key

Analysis > Stop Logging

Analysis > Open Result View


:CALC:EXAM:POIN?

Syntax

:CALCulate[:MATH]:EXAMine[:MEMory]:POINt?

Description

Returns the number of measurement data logged in the volatile memory (RAM). (Query only)

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:CALC:EXAM:SIZE

Syntax

:CALCulate[:MATH]:EXAMine[:MEMory]:SIZE <numeric>

:CALCulate[:MATH]:EXAMine[:MEMory]:SIZE?

Description

Sets the maximum number of measurement data logged in the volatile memory for statistical analysis. The maximum number must be set as Param × Nop × Times where:

Param | Number of displayed measurement items covering measurement parameters 1 through 4, test signal current/voltage level and Rdc.
Nop | Number of measurement points in one measurement (that is, 1 during single-point measurement or the number of measurement points in the active table during list measurement).
Times | Number of measurements needed for statistical analysis.

Variable

Parameter | Value
Description | Maximum number of measurement data
Range | 1 to 1,000,000,000
Preset value | 3000
Resolution | Obtained data number at one measurement (Param×Nop)

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

If your specified parameter is not a multiple of (Param×Nop), the instrument ignores the parameter and uses the next highest acceptable value above the specified parameter.

Query response

{numeric}<newline><^END>

Equivalent key

Analysis > Log size > <numeric>


:CALC:EXAM:STAR

Syntax

:CALCulate[:MATH]:EXAMine[:MEMory]:STARt

Description

Removes all measurement data logged in the volatile memory for statistical analysis and then starts logging measurement data to the volatile memory (RAM).

Logging of measurement data is finished when the number of logged data reaches maximum or the :CALC:EXAM:GET command is executed. (No query)

Related objects

:CALC:EXAM:SIZE

:CALC:EXAM:GET

Equivalent key

Analysis > Start Logging


:CALC:PAR{1-4}:EXPR:CENT

Syntax

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession:CENTer <numeric>

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession:CENTer?

Description

Specifies the reference value for deviation-mode display of measurement results for each of the parameters 1 (:PAR1) through 4 (:PAR4). :CALC:PAR{1-4}:EXPR:MEM allows you to set the reference value at the current measurement result.

Variable

Parameter | <numeric>
Description | Reference value
Range | -1E20 to 1E20
Preset value | 0
Unit | Depends on measurement parameter
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CALC:PAR{1-4}:EXPR:NAME

:CALC:PAR{1-4}:EXPR:STAT

:CALC:PAR{1-4}:EXPR:MEM

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Reference


:CALC:PAR{1-4}:EXPR:NAME

Syntax

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession:NAME {DEV|PCNT}

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession:NAME?

Description

Specifies the format for deviation-mode display of measurement results for each of the parameters 1 (:PAR1) through 4 (:PAR4).

Variable

Parameter

Param

Description

Deviation-mode display format

Range

Select from the following:

DEV: Instructs the instrument to display the difference between the measured value and the reference value*1 (measured value minus reference value).

PCNT: Instructs the instrument to display the differential percentage*2 between the measured value and the reference value*1.

Preset value

DEV

  • *1 Use the :CALC:PAR{1-4}:EXPR:CENT command to set the reference value.

*2 (measured value - reference value) / reference value * 100

Query response

{DEV|PCNT}<newline><^END>

Related objects

:CALC:PAR{1-4}:EXPR:CENT

:CALC:PAR{1-4}:EXPR:STAT

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Math Mode > {Deviation|% Dev}


:CALC:PAR{1-4}:EXPR:MEM

Syntax

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession:MEMorize

Description

Set the reference value at the current measurement result of the active point.

Related objects

:CALC:PAR{1-4}:EXPR:CENT

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Data -> Ref


:CALC:PAR{1-4}:EXPR

Syntax

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession[:STATe] {ON|OFF|1|0}

:CALCulate:PARameter{1|2|3|4}[:MATH]:EXPRession[:STATe]?

Description

Specifies whether to use deviation mode to display measurement results for each of the parameters 1 (:PAR1) through 4 (:PAR4). In deviation mode, measurement results are expressed as deviations relative to the reference value (specified with the :CALC:PAR{1-4}:EXPR:CENT command).

Variable

Parameter

State

Description

ON/OFF deviation mode.

Range

Select from the following:

  • ON or 1: Turns ON deviation mode

  • OFF or 0: Turns OFF deviation mode (i.e., instructs the instrument to display measurement results as absolute values)

Preset value

OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CALC:PAR{1-4}:EXPR:NAME

:CALC:PAR{1-4}:EXPR:CENT

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Math Mode > {ON|OFF}


:CALC:PAR{1-4}:FORM

Syntax

:CALCulate:PARameter{1|2|3|4}:FORMat {Z|Y|TZR|TZD|TYR|TYD|RS|RP|LS|LP|CS|CP|R|G|X|B|Q|D|USER1|USER2|USER3|USER4}

:CALCulate:PARameter{1|2|3|4}:FORMat?

Description

Specifies the measurement parameter to use as each of the parameters 1 (:PAR1) through 4 (:PAR4). You can assign these parameters independently of other parameter settings.

Variable

Parameter

Param

Description

Measurement parameter format

Range

Select from the following:

Z: Uses absolute value of impedance as measurement parameter

Y: Uses absolute value of admittance as measurement parameter

TZR: Uses impedance phase (radian) as measurement parameter

TYR: Uses admittance phase (radian) as measurement parameter

TZD: Uses impedance phase (degree) as measurement parameter

TYD: Uses admittance phase (degree) as measurement parameter

RS: Uses equivalent series resistance as measurement parameter

RP: Uses equivalent parallel resistance as measurement parameter

LS: Uses equivalent series inductance as measurement parameter

LP: Uses equivalent parallel inductance as measurement parameter

CS: Uses equivalent series capacitance as measurement parameter

CP: Uses equivalent parallel capacitance as measurement parameter

R: Uses equivalent resistance as measurement parameter

G: Uses the equivalent parallel conductance as the measurement parameter

X: Uses equivalent series reactance as measurement parameter

B: Uses equivalent parallel susceptance as measurement parameter

Q: Uses Q value (inverse dissipation factor) as measurement parameter

D: Uses dissipation factor as measurement parameter

USER1 to USER4: Uses user defined parameters

Preset value

Parameter 1 defaults to Z; parameter 2 defaults to θz; parameter 3 defaults to Rs; parameter 4 defaults to X.

Query response

{Z|Y|TZR|TZD|TYR|TYD|RS|RP|LS|LP|CS|CP|R|G|X|B|Q|D|USER1|USER2|USER3|USER4} <newline><^END>

Equivalent key

Prmtr > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > {Z|Y|θz(rad)|θy(rad)|θz(deg)|θy(deg)|Rs|Rp|Ls|Lp|Cs|Cp|R|G|X|B|Q|D|Γ(db)|Γ(deg)|I-mon|V-mon}


:CALC:UFOR{1-4}

Syntax

:CALCulate:UFORmat{1-4}[:TEXT] <String>

:CALCulate:UFORmat{1-4}[:TEXT]?

Description

Specifies the equation formula of user parameter. The E4982A allows you to display your desired parameter. For example, you can display any result which can be calculated from impedance measurement result such as Γ (gamma).

Parameters

Parameter | String
Description | Define the equation formula of user parameter. The following parameter can be used as an element of equation. See Using User Define Parameter.
Preset value | Parameter 1:"10*log10(norm((z()-50)/(z()+50)))" (This is magnitude of Γ) parameter 2: "phase((z()-50)/(z()+50))" (This is phase of Γ) parameter 3: "abs((2.0*sqrt(50*1e-3*pow(10,osc()/10.0)))/(z()+50))" (This is I monitor) parameter 4: "abs((2.0*sqrt(50*1e-3*pow(10,osc()/10.0)))/(z()+50)*z())" (This is V Monitor)

Query response

{string}<newline><^END>

Related objects

:CALC:UFOR{1-4}:LAB

:CALC:UFOR{1-4}:UNIT

Equivalent key

Prmtr > Define User Formats > Equation


:CALC:UFOR{1-4}:LAB

Syntax

:CALCulate:UFORmat{1-4}:LABel <String>

:CALCulate:UFORmat{1-4}:LABel?

Description

Specifies the label of user parameter.

Parameters

Parameter | String
Description | Define the label of user parameter. To display the special character such as Γ (gamma) you can use unicode character. \uXXXX represents a UNICODE character. For example, the unicode of θ is "u\0398".
Preset value | Parameter 1: "\u0393" (This is Γ) parameter 2: "\u0393" (This is Γ) parameter 3: "IMon" parameter 4: "VMon"

Query response

{string}<newline><^END>

Related objects

:CALC:UFOR{1-4}

:CALC:UFOR{1-4}:UNIT

Equivalent key

Prmtr > Define User Formats > Label


:CALC:UFOR{1-4}:UNIT

Syntax

:CALCulate:UFORmat{1-4}:UNIT <String>

:CALCulate:UFORmat{1-4}:UNIT?

Description

Specifies the unit of user parameter.

Parameters

Parameter | String
Description | Define the unit of user parameter up to four letters or characters. To display the special character such as Ω (ohm) you can use unicode character. \uXXXX represents a UNICODE character. The unicode of Ω is "u\2126". µ is "u\00B5".
Preset value | Parameter 1: "dB" parameter 2: "deg" parameter 3: "A" parameter 4: "V"

Query response

{string}<newline><^END>

See also

:CALC:UFOR{1-4}

:CALC:UFOR{1-4}:LAB

Equivalent key

Prmtr > Define User Formats > Unit


:CALC:UFOR:VAR{1-10}

Syntax

:CALCulate:UFORmat:VARiable{1-10} <index>, <real>, <imag>

:CALCulate:UFORmat:VARiable{1-10}? <index>

Description

Specifies the user define variable which can be used in the user define parameter. You can transfer the complex values to the user define parameter.

Parameters

Parameter | Index
Description | index of variable
Range | 1 to 201

Parameter | Real
Description | value of real part
Range | -1E+20 to 1E+20
Resolution | 1E-20

Parameter | Imag
Description | value of imaginary part
Range | -1E+20 to 1E+20
Resolution | 1E-20

Query response

{numeric<real>},{numeric<imag>}<newline><^END>

Equivalent key

No equivalent key on the front panel.


:CORR:COLL:AVER

Syntax

[:SENSe]:CORRection:COLLect:AVERage[:STATe] {ON|OFF|1|0}

[:SENSe]:CORRection:COLLect:AVERage[:STATe]?

Description

Specifies ON or OFF state for custom averaging for calibration and compensation.

Variable

Description | Selection Custom Averaging
Parameter | State
Range | ON or 1:custom averaging ON OFF or 0: custom averaging OFF
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CORR:COLL:AVER:MIN

Equivalent key

Cal > Custom Averaging check box

Compen > Custom Averaging check box

Meas Setup > Cal/Compen Wizard Settings > Custom Averaging check box


:CORR:COLL:AVER:MIN

Syntax

[:SENSe]:CORRection:COLLect:AVERage:MINimum <numeric>

[:SENSe]:CORRection:COLLect:AVERage:MINimum?

Description

Specifies the minimum number of custom averaging for calibration and compensation.

Variable

Parameter | <numeric>
Description | minimum number of custom averaging
Range | 1 to 100
Preset value | 1

Query response

{numeric}<newline><^END>

Related objects

:CORR:COLL:AVER

Equivalent key

Cal > Minimum Count

Compen > Minimum Count


:CORR1?

Syntax

[:SENSe]:CORRection1[:STATe]?

Description

Returns the ON/OFF status of the calibration.

You cannot directly turn ON or OFF the calibration. Instead, the calibration status is automatically turned ON when you issue the :CORR1:COLL:SAVE command after measuring the data required for calculating calibration coefficients. (Query only)

Query response

{1|0}<newline><^END>

 | Description
1 | Calibration is ON
0 | Calibration is OFF

Related objects

:CORR1:COLL:SAVE

Equivalent key

Cor indicator at the status bar

(No equivalent keys are available)


:CORR1:CKIT

Syntax

[:SENSe]:CORRection1:CKIT[:TYPE] {DEFault|USER}

[:SENSe]:CORRection1:CKIT[:TYPE}?

Description

Configures the instrument to use the specified calibration kit to obtain the data necessary for calculating calibration coefficients. You can specify the E4982A Option 700 (16195B 7- mm calibration kit) or your custom calibration kit.

Variable

Parameter | Param
Description | Configures instrument on the type calibration kit
Range | Select from the following: DEFault: Configures instrument to use default 16195B 7 mm calibration kit USER: Configures instrument to use user-defined calibration kit
Preset value | DEFault

Query response

{DEF|USER}<newline><^END>

Equivalent key

Stim Table > Cal Kit tab > Cal Kit drop down menu


:CORR1:CKIT:LIST

Syntax

[:SENSe]:CORRection1:CKIT:LIST[:STATe] {ON|OFF|1|0}

[:SENSe]:CORRection1:CKIT:LIST[:STATe]?

Description

Specifies whether the instrument should allow each standard of the user-defined calibration kit to be defined on a point-by-point basis or based on a fixed value that does not depend on a particular measurement point. In the latter case, the same value is applied to all measurement points.

If the instrument has already been configured to accept point-by-point definitions, using this command to reconfigure it to use a fixed value changes the standard values of all measurement points to that of measurement point number 1.

Variable

Parameter | State
Description | Configures instrument to accept ON or OFF definition
Range | Select from the following: ON or 1:Configures instrument to accept point-by-point definitions OFF or 0: Configures instrument to accept definitions based on a fixed value (the same value is applied to all measurement points)
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Stim Table > Cal Kit tab > Fixed Model check box


:CORR1:CKIT:STAN1:DC

Syntax

[:SENSe]:CORRection1:CKIT:STANdard1:DC <numeric>

[:SENSe]:CORRection1:CKIT:STANdard1:DC?

Description

One of the commands for setting up the OPEN standard of the user-defined calibration kit. Use this command to define the conductance value to use during Rdc measurement.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Conductance value
Range | -1E6 to 1E6
Preset value | 0
Unit | S (siemens)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN2:DC

:CORR1:CKIT:STAN3:DC

Equivalent key

Stim Table > Cal Kit tab > Rdc > Open


:CORR1:CKIT:STAN1:EDEL

Syntax

[:SENSe]:CORRection1:CKIT:STANdard1:EDELay[:TIME] <numeric>

[:SENSe]:CORRection1:CKIT:STANdard1:EDELay[:TIME]?

Description

Defines the offset delay time of the OPEN standard of the user-defined calibration kit. This value applies to all measurement points regardless of the setting specified with the :CORR1:CKIT:LIST.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Offset delay time
Range | -1E6 to 1E6
Preset value | 0
Unit | s (seconds)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN2:EDEL

:CORR1:CKIT:STAN3:EDEL

Equivalent key

Stim Table > Cal Kit tab > Offset Delay > Open


:CORR1:CKIT:STAN1:LIST

Syntax

[:SENSe]:CORRection1:CKIT:STANdard1:LIST <numeric 1>,<numeric 2>,<numeric 3>

[:SENSe]:CORRection1:CKIT:STANdard1:LIST? <numeric 1>

Description

Defines the equivalent parallel conductance (G) and equivalent parallel capacitance (Cp) values at a specified measurement point for the OPEN standard of the user-defined calibration kit.

If you have issued the :CORR1:CKIT:LIST command by specifying “OFF” to configure the instrument to accept fixed-value definitions for each standard of the user-defined calibration kit, specifying a particular measurement point has no effect; regardless of the measurement point number specified, the same value is applied to all measurement points. Similarly, when you issue this command in its query form, the command returns the same value regardless of the specified measurement point number. Nevertheless, you must specify a valid measurement point number (for example, “1”) so that the command can be executed successfully.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | G | Cp
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | S (siemens) | F (farad)
Resolution | 1 | 1E-18 | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 2},{numeric 3}<newline><^END>

Related objects

:CORR1:CKIT:LIST

:CORR1:CKIT:STAN2:LIST

:CORR1:CKIT:STAN3:LIST

Equivalent key

Stim Table > Cal Kit tab > Open > {G|C}


:CORR1:CKIT:STAN2:DC

Syntax

[:SENSe]:CORRection1:CKIT:STANdard2:DC <numeric>

[:SENSe]:CORRection1:CKIT:STANdard2:DC?

Description

Defines the dc resistance (Rdc) value of the SHORT standard of the user-defined calibration kit.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Rdc
Range | -1E6 to 1E6
Preset value | 0
Unit | Ω (ohm)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN1:DC

:CORR1:CKIT:STAN3:DC

Equivalent key

Stim Table > Cal Kit tab > Rdc > Short


:CORR1:CKIT:STAN2:EDEL

Syntax

[:SENSe]:CORRection1:CKIT:STANdard2:EDELay[:TIME] <numeric>

[:SENSe]:CORRection1:CKIT:STANdard2:EDELay[:TIME]?

Description

Defines the offset delay time of the SHORT standard of the user-defined calibration kit. This value applies to all measurement points regardless of the setting specified with the :CORR1:CKIT:LIST.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Offset delay time
Range | -1E6 to 1E6
Preset value | 0
Unit | s (seconds)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN1:EDEL

:CORR1:CKIT:STAN3:EDEL

Equivalent key

Stim Table > Cal Kit tab > Offset Delay > Short


:CORR1:CKIT:STAN2:LIST

Syntax

[:SENSe]:CORRection1:CKIT:STANdard2:LIST <numeric 1>,<numeric 2>,<numeric 3>

[:SENSe]:CORRection1:CKIT:STANdard2:LIST? <numeric 1>

Description

Defines the equivalent series resistance (Rs) and equivalent series inductance (Ls) values at a specified measurement point for the SHORT standard of the user-defined calibration kit.

If you have issued the :CORR1:CKIT:LIST command by specifying “OFF” to configure the instrument to accept fixed-value definitions for each standard of the user-defined calibration kit, specifying a particular measurement point has no effect; regardless of the measurement point number specified, the same value is applied to all measurement points. Similarly, when you issue this command in its query form, the command returns the same value regardless of the value you assign to a particular measurement number. Nevertheless, you must specify a valid measurement point number (for example, “1”) so that the command can be executed successfully.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | Rs | Ls
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | Ω (ohm) | H (henry)
Resolution | 1 | 1E-18 | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 2},{numeric 3}<newline><^END>

Related objects

:CORR1:CKIT:LIST

:CORR1:CKIT:STAN1:LIST

:CORR1:CKIT:STAN3:LIST

Equivalent key

Stim Table > Cal Kit tab > Short > {R|L}


:CORR1:CKIT:STAN3:DC

Syntax

[:SENSe]:CORRection1:CKIT:STANdard3:DC <numeric>

[:SENSe]:CORRection1:CKIT:STANdard3:DC?

Description

Defines the dc resistance (Rdc) value of the LOAD standard of the user-defined calibration kit.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Rdc
Range | -1E6 to 1E6
Preset value | 50
Unit | Ω (ohm)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN1:DC

:CORR1:CKIT:STAN2:DC

Equivalent key

Stim Table > Cal Kit tab > Rdc > Load


:CORR1:CKIT:STAN3:EDEL

Syntax

[:SENSe]:CORRection1:CKIT:STANdard3:EDELay[:TIME] <numeric>

[:SENSe]:CORRection1:CKIT:STANdard3:EDELay[:TIME]?

Description

Defines the offset delay time of the LOAD standard of the user-defined calibration kit. This value applies to all measurement points regardless of the setting specified with the :CORR1:CKIT:LIST.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Parameter | Value
Description | Offset delay time
Range | -1E6 to 1E6
Preset value | 0
Unit | s (seconds)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN1:EDEL

:CORR1:CKIT:STAN2:EDEL

Equivalent key

Stim Table > Cal Kit tab > Offset Delay > Load


:CORR1:CKIT:STAN3:FORM

Syntax

[:SENSe]:CORRection1:CKIT:STANdard3:FORMat {RL|LQF|CDF}

[:SENSe]:CORRection1:CKIT:STANdard3:FORMat?

Description

Defines the parameter type to use when defining the values specific to the LOAD standard of the user-defined calibration kit. When the parameter type is changed, the LOAD standard values are reset to the initial values. Therefore, define the LOAD standard values after the parameter type is defined by this command.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Value

Parameter

Param

Description

Instructs instrument to accept definitions

Range

Select from the following:

RL: Instructs instrument to accept definitions based on equivalent series resistance (Rs) and equivalent series inductance (Ls) values

LQF: Instructs instrument to accept definitions based on equivalent series inductance (Ls) and quality factor (Q) values

CDF: Instructs instrument to accept definitions based on equivalent parallel capacitance (Cp) and dissipation factor (D) values

Preset value

RL

Query response

{RL|LQF|CDF}<newline><^END>

Related objects

:CORR1:CKIT:STAN3:LIST

Equivalent key

Stim Table > Cal Kit tab > Load Type > {Rs-Ls|Ls-Q|Cp-D}


:CORR1:CKIT:STAN3:LIST

Syntax

[:SENSe]:CORRection1:CKIT:STANdard3:LIST <numeric 1>,<numeric 2>,<numeric 3>

[:SENSe]:CORRection1:CKIT:STANdard3:LIST? <numeric 1>

Description

Defines the impedance values at a specified measurement point for the LOAD standard values of the user-defined calibration kit. To specify the parameter type to use when defining the LOAD standard values, use the :CORR1:CKIT:STAN3:FORM command to instruct the instrument to accept definitions based on equivalent series resistance (Rs) and equivalent series inductance (Ls) values; equivalent series inductance (Ls) and quality factor (Q) values: or equivalent parallel capacitance (Cp) and dissipation factor (D) values.

If you have issued the :CORR1:CKIT:LIST command by specifying “OFF” to configure the instrument to accept fixed-value definitions for each standard of the user-defined calibration kit, then specifying a particular measurement point has no effect. As such, regardless of the measurement point number specified, the same value is applied to all measurement points.

Similarly, when you issue this command in its query form, the command returns the same value regardless of the value you assign to a particular measurement number. Nevertheless, you must specify a valid measurement point number (for example, “1”) so that the command can be executed successfully.

  • Changing the calibration kit definition does not clear the current compensation calibration status. Cor is not turned OFF. The updated definition is used at next calibration.

Variable

Definitions based on Rs and Ls values

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | Rs | Ls
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 50 | 0
Unit | None | Ω (ohm) | H (henry)
Resolution | 1 | 1E-18 | 1E-18

Definitions based on Ls and Q values

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | Ls | Q
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | H (henry) | None
Resolution | 1 | 1E-18 | 1E-18

Definitions based on Cp and D values

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | Cp | D
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | F (farad) | None
Resolution | 1 | 1E-18 | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 2},{numeric 3}<newline><^END>

Related objects

:CORR1:CKIT:LIST

:CORR1:CKIT:STAN3:FORM

:CORR1:CKIT:STAN1:LIST

:CORR1:CKIT:STAN2:LIST

Equivalent key

Stim Table > Cal Kit tab > Load > {Rs|Ls}


:CORR1:CLE

Syntax

[:SENSe]:CORRection1:CLEar

Description

Clears a calibration coefficient array for the selected table. (No query)

Related objects

:CORR1

:CORR1:COLL

:CORR1:COLL:DC

:CORR1:COLL:RF

:CORR1:COLL:CLE

Equivalent key

Cal > Clear Cal


:CORR1:COLL

Syntax

[:SENSe]:CORRection1:COLLect[:ACQuire][:ALL] {STAN1|STAN2|STAN3|STAN4}

Description

Obtains the data for calculating the calibration coefficients to use during impedance measurement and the calibration coefficients to use during Rdc measurement performed with the specified standard. When a low-loss capacitor is specified as the standard, the command obtains the data for calculating the calibration coefficient for impedance measurement only.

The data is obtained for only the active table. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the calibration data acquisition.

:INIT:CONT OFF
'
'
:CORR1:COLL STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard STAN3: LOAD standard STAN4: Low-loss capacitor

Related objects

:CORR1:COLL:DC

:CORR1:COLL:RF

Equivalent key

Cal > OPEN|SHORT|LOAD|LLC > AC&DC


:CORR1:COLL:CLE

Syntax

[:SENSe]:CORRection1:COLLect:CLEar

Description

Clears a measurement data array obtained for calculating the calibration coefficients for the selected table. (No query)

Related objects

:CORR1

:CORR1:COLL

:CORR1:COLL:DC

:CORR1:COLL:RF

:CORR1:CLE

Equivalent key

Cal > Clear STDs


:CORR1:COLL:DC

Syntax

[:SENSe]:CORRection1:COLLect[:ACQuire]:DC {STAN1|STAN2|STAN3}

Description

Obtains the data for calculating the calibration coefficients to use during Rdc measurement performed with the specified standard. The data is obtained for only the active table. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the calibration data acquisition.

:INIT:CONT OFF
'
'
:CORR1:COLL:DC STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard STAN3:LOAD standard

Related objects

:CORR1:COLL

:CORR1:COLL:RF

Equivalent key

Cal > OPEN|SHORT|LOAD > DC


:CORR1:COLL:RF

Syntax

[:SENSe]:CORRection1:COLLect[:ACQuire]:RF {STAN|STAN2|STAN3|STAN4}

Description

Obtains the data for calculating the calibration coefficients to use during impedance measurement performed with the specified standard. The data is obtained for only the active table. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the calibration data acquisition.

:INIT:CONT OFF
'
'
:CORR1:COLL:RF STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard STAN3:LOAD standard STAN4: Low-loss capacitor

Related objects

:CORR1:COLL

:CORR1:COLL:DC

Equivalent key

Cal > OPEN|SHORT|LOAD > AC


:CORR1:COLL:SAVE

Syntax

[:SENSe]:CORRection1:COLLect:SAVE

Description

Calculates the calibration coefficients based on the data obtained through the :CORR1:COLL command, or a similar command, and turns ON the calibration mechanism. You can use the :CORR1 command to check the ON/OFF status of the calibration mechanism.

This command is valid only after you have obtained all the data (for both impedance and DC) necessary for all standards (OPEN, SHORT, and LOAD); otherwise, the command fails and an error is generated. (No query)

Related objects

:CORR1

:CORR1:COLL

:CORR1:COLL:DC

:CORR1:COLL:RF

Equivalent key

Cal > Done


:CORR2:CKIT

Syntax

[:SENSe]:CORRection2:CKIT[:TYPE] {DEFault|USER}

[:SENSe]:CORRection2:CKIT[:TYPE]?

Description

Configures the instrument to use its predefined values for the compensation kit or accept user-defined values when obtaining the data for calculating the compensation coefficients.

Value

Parameter | Param
Description | Instructs instrument on the type of compensation kit
Range | Select from the following: DEFault: Instructs instrument to use its predefined values USER: Instructs instrument to accept user-defined values
Preset value | DEFault

Query response

{DEF|USER}<newline><^END>

Equivalent key

Stim Table > Compen Kit tab > Compen Kit drop down menu


:CORR2:CKIT:LIST

Syntax

[:SENSe]:CORRection2:CKIT:LIST[:STATe] {ON|OFF|1|0}

[:SENSe]:CORRection2:CKIT:LIST[:STATe]?

Description

Specifies whether the instrument should allow each standard of the compensation kit to be defined on a point-by-point basis or based on a fixed value that does not depend on a particular measurement point. In the latter case, the same value is applied to all measurement points.

If the instrument has already been configured to accept point-by-point definitions, using this command to reconfigure it to use a fixed value changes the standard values of all measurement points to that of measurement point number 1.

Variable

Parameter | State
Description | Configures instrument to accept ON or OFF definition
Range | Select from the following: ON or 1:Configures instrument to accept point-by-point definitions OFF or 0: Configures instrument to accept definitions based on a fixed value (the same value is applied to all measurement points)
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Stim Table > Compen Kit tab > Fixed Model check box


:CORR2:CKIT:STAN1:DC

Syntax

[:SENSe]:CORRection2:CKIT:STANdard1:DC <numeric>

[:SENSe]:CORRection2:CKIT:STANdard1:DC?

Description

Defines the conductance to use during Rdc measurement for the OPEN standard of the compensation kit.

  • Changing the compensation kit definition does not clear the current compensation status. Cmp is not turned OFF. The updated definition is used at next compensation.

Variable

Parameter | Value
Description | Conductance value
Range | -1E6 to 1E6
Preset value | 0
Unit | S (siemens)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR1:CKIT:STAN2:DC

Equivalent key

Stim Table > Compen Kit tab > Rdc > Open


:CORR2:CKIT:STAN1:LIST

Syntax

[:SENSe]:CORRection2:CKIT:STANdard1:LIST <numeric 1>,<numeric 2>,<numeric 3>

[:SENSe]:CORRection2:CKIT:STANdard1:LIST? <numeric 1>

Description

Defines the equivalent parallel conductance (G) and equivalent parallel capacitance (Cp) values at a specified measurement point for the OPEN standard of the compensation kit.

If you have issued the :CORR2:CKIT:LIST command by specifying “OFF” to configure the instrument to accept fixed-value definitions for each standard of the user-defined calibration kit, specifying a particular measurement point has no effect; regardless of the measurement point number specified, the same value is applied to all measurement points. Similarly, when you issue this command in its query form, the command returns the same value regardless of the value you assign to a particular measurement number. Nevertheless, you must specify a valid measurement point number (for example, “1”) so that the command can be executed successfully.

  • Changing the compensation kit definition does not clear the current compensation status. Cmp is not turned OFF. The updated definition is used at next compensation.

Variable

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | G | Cp
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | S (siemens) | F (farad)
Resolution | 1 | 1E-18 | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 2},{numeric 3}<newline><^END>

Related objects

:CORR2:CKIT:LIST

:CORR2:CKIT:STAN2:LIST

Equivalent key

Stim Table > Compen Kit tab > Open > {G|C}


:CORR2:CKIT:STAN2:DC

Syntax

[:SENSe]:CORRection2:CKIT:STANdard2:DC <numeric>

[:SENSe]:CORRection2:CKIT:STANdard2:DC?

Description

Defines the dc resistance (Rdc) value of the SHORT standard of the compensation kit.

  • Changing the compensation kit definition does not clear the current compensation status. Cmp is not turned OFF. The updated definition is used at next compensation.

Variable

Parameter | Value
Description | Rdc
Range | -1E6 to 1E6
Preset value | 0
Unit | Ω (ohm)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR2:CKIT:STAN1:DC

Equivalent key

Stim Table > Compen Kit tab > Rdc > Short


:CORR2:CKIT:STAN2:LIST

Syntax

[:SENSe]:CORRection2:CKIT:STANdard2:LIST <numeric 1>,<numeric 2>,<numeric 3>

[:SENSe]:CORRection2:CKIT:STANdard2:LIST? <numeric 1>

Description

Defines the equivalent series resistance (Rs) and equivalent series inductance (Ls) values at a specified measurement point, for the SHORT standard of the compensation kit.

If you have issued the :CORR2:CKIT:LIST command by specifying “OFF” to configure the instrument to accept fixed-value definitions for each standard of the user-defined calibration kit, then specifying a particular measurement point has no effect. As such, regardless of the measurement point number specified, the same value is applied to all measurement points.

Similarly, when you issue this command in its query form, the command returns the same value regardless of the value you assign to a particular measurement number. Nevertheless, you must specify a valid measurement point number (for example, “1”) so that the command can be executed successfully.

  • Changing the compensation kit definition does not clear the current compensation status. Cmp is not turned OFF. The updated definition is used at next compensation.

Variable

 | <numeric 1> | <numeric 2> | <numeric 3>
Description | Measurement point number | Rs | Ls
Range | 1 to number of points (up to 201) | -1E6 to 1E6 | -1E6 to 1E6
Preset value | 1 | 0 | 0
Unit | None | Ω (ohm) | H (henry)
Resolution | 1 | 1E-18 | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric 2},{numeric 3}<newline><^END>

Related objects

:CORR2:CKIT:LIST

:CORR2:CKIT:STAN1:LIST

Equivalent key

Stim Table > Cal Kit tab > Short > {R|L}


:CORR2:CLE

Syntax

[:SENSe]:CORRection2:CLEar

Description

Clears a compensation coefficient array for the selected table. (No query)

Related objects

:CORR2:COLL

:CORR2:COLL:OPEN

:CORR2:COLL:SHOR

:CORR2:COLL:CLE

Equivalent key

Compen > Clear All


:CORR2:COLL

Syntax

[:SENSe]:CORRection2:COLLect[:ACQuire][:ALL] {STAN1|STAN2}

Description

Obtains the data for calculating the compensation coefficients to use during impedance measurement and the compensation coefficients to use during Rdc measurement performed with the specified standard. The data is obtained for only the active table. This command is valid only when the calibration mechanism is turned ON; otherwise, the command fails and an error is generated. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the compensation data acquisition.

:INIT:CONT OFF
'
'
:CORR2:COLL STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard

Related objects

:CORR2:COLL:DC

:CORR2:COLL:RF

Equivalent key

Compen > OPEN|SHORT > AC&DC


:CORR2:COLL:CLE

Syntax

[:SENSe]:CORRection2:COLLect:CLEar

Description

Clears a measurement data array obtained for calculating the compensation coefficients for the selected table. (No query)

Related objects

:CORR2:COLL

:CORR2:COLL:OPEN

:CORR2:COLL:SHOR

:CORR2:CLE

Equivalent key

Compen > Clear STDs


:CORR2:COLL:DC

Syntax

[:SENSe]:CORRection2:COLLect[:ACQuire]:DC {STAN1|STAN2}

Description

Obtains the data for calculating the compensation coefficients to use during Rdc measurement performed with the specified standard. The data is obtained for the active table only. This command is valid only when the calibration mechanism is turned ON; otherwise, the command fails and an error is generated. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the compensation data acquisition.

:INIT:CONT OFF
'
'
:CORR2:COLL:DC STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard

Related objects

:CORR2:COLL

:CORR2:COLL:RF

Equivalent key

Compen > OPEN|SHORT > DC


:CORR2:COLL:OPEN

Syntax

[:SENSe]:CORRection2:COLLect:OPEN[:STATe] {ON|OFF|1|0}

[:SENSe]:CORRection2:COLLect:OPEN[:STATe]?

Description

Turns ON or OFF the OPEN compensation feature and calculates the compensation coefficients. This command is valid only after you have obtained the OPEN standard measurement data for calculating the compensation coefficients; otherwise, the command fails and an error is generated.

Variable

Parameter | State
Description | Turns ON/OFF the OPEN compensation feature
Range | Select from the following: ON or 1:Turns ON the OPEN compensation feature OFF or 0: Turns OFF the OPEN compensation feature
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CORR2:COLL:SAVE

:CORR2:COLL:SHOR

Equivalent key

Compen > Open check box


:CORR2:COLL:RF

Syntax

[:SENSe]:CORRection2:COLLect[:ACQuire]:RF {STAN1|STAN2}

Description

Obtains the data for calculating the compensation coefficients to use during impedance measurement performed with the specified standard. The data is obtained for only the active table. This command is valid only when the calibration mechanism is ON; otherwise, the command fails and an error is generated. (No query)

  • The measurement to obtain the data is not started by execution of this command. You must trigger the instrument after execution of this command when the trigger source is not set to internal trigger (Int).
    The following command sequence is recommended to ensure the compensation data acquisition.

:INIT:CONT OFF
'
'
:CORR2:COLL:RF STAN1
:INIT
*OPC?

Variable

Parameter | Param
Range | Select from the following: STAN1: OPEN standard STAN2: SHORT standard

Related objects

:CORR2:COLL

:CORR2:COLL:DC

Equivalent key

Compen > OPEN|SHORT > AC


:CORR2:COLL:SAVE

Syntax

[:SENSe]:CORRection2:COLLect:SAVE

Description

Calculates the compensation coefficients and turns ON the compensation mechanism. (No query)

This command should be executed after the :CORR2:COLL command. When you are measuring both the OPEN and SHORT standards, you can execute this command only once after both :CORR2:COLL STAN1 and :CORR2:COLL STAN2 are executed. This command also turns ON the open and short compensation status which can be turned ON by the :CORR2:COLL:OPEN and :CORR2:COLL:SHOR commands.

Related objects

:CORR2:COLL

:CORR2:COLL:OPEN

:CORR2:COLL:SHOR

Equivalent key

No equivalent keys are available on the front panel.

Compen > Open > AC & DC, AC, DC: combination of :CORR2:COLL STAN1 and :CORR1:COLL:SAVE.

Compen > Short > AC & DC, AC, DC: combination of :CORR2:COLL STAN1 and :CORR1:COLL:SAVE.


:CORR2:COLL:SHOR

Syntax

[:SENSe]:CORRection2:COLLect:SHORt[:STATe] {ON|OFF|1|0}

[:SENSe]:CORRection2:COLLect:SHORt[:STATe]?

Description

Turns ON or OFF the SHORT compensation feature and calculates the compensation coefficients. This command is valid only after you have obtained the SHORT standard measurement data for calculating the compensation coefficients; otherwise, the command fails and an error is generated.

Variable

Parameter | State
Description | Turns ON/OFF the SHORT compensation feature
Range | Select from the following: ON or 1:Turns ON the SHORT compensation feature OFF or 0: Turns OFF the SHORT compensation feature
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:CORR2:COLL:SAVE

:CORR2:COLL:OPEN

Equivalent key

Compen > Short check box


:CORR2:FIXT

Syntax

[:SENSe]:CORRection2:FIXTure {NONE|FXT16191A|FXT16192A|FXT16193A|FXT16194A|FXT16196A|FXT16196B|FXT16196C|FXT16196D|FXT16197A|USER1|USER2|USER3|USER4|USER5|USER6|USER7|USER8}

[:SENSe]:CORRection2:FIXTure?

Description

Configures the instrument to use the specified test fixture connected to the test head.

To configure the instrument to use your custom test fixture, you must use the :CORR2:FIXT:EDEL{1-8}:DIST command to compensate for the delay caused by the fixture connection.

Variable

Parameter | Param
Description | Configures instrument to operate with/without a test fixture.
Range | Select from the following: NONE: Configures instrument to operate without a test fixture. FXT16191A: Configures instrument to use 16191A test fixture. FXT16192A: Configures instrument to use 16192A test fixture. FXT16193A: Configures instrument to use 16193A test fixture. FXT16194A: Configures instrument to use 16194A test fixture. FXT16196A: Configures instrument to use 16196A test fixture. FXT16196B: Configures instrument to use 16196B test fixture. FXT16196C: Configures instrument to use 16196C test fixture. FXT16196D: Configures instrument to use 16196D test fixture. FXT16197A: Configures instrument to use 16197A test fixture. USER{1-8}: Configures instrument to use your custom test fixture.
Preset value | NONE

Query response

{NONE|FXT16191A|FXT16192A|FXT16193A|FXT16194A|FXT16196A|FXT16196B|
FXT16196C|FXT16196D|FXT16197A|USER1|USER2|USER3|USER4|USER5|USER6|USER7|USER8}<newline><^END>

Related objects

:CORR2:FIXT:EDEL{1-8}:DIST

:CORR2:FIXT:LAB{1-8}

Equivalent key

Compen > Fixture drop down menu


:CORR2:FIXT:EDEL{1-8}:DIST

Syntax

[:SENSe]:CORRection2:FIXTure:EDELay{1-8}:DISTance <numeric>

[:SENSe]:CORRection2:FIXTure:EDELay{1-8}:DISTance?

Description

If you configure the instrument to use your custom test fixture connected to the test head, this command sets the electrical length that compensates for the delay caused by the connection of the custom test fixture.

Variable

Parameter | Value
Description | Electrical length to compensate for delay caused by fixture connection
Range | -1E6 to 1E6
Preset value | 0
Unit | m (meter)
Resolution | 1E-18

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related objects

:CORR2:FIXT

Equivalent key

Meas Setup > Length


:CORR2:FIXT:LAB{1-8}

Syntax

[:SENSe]:CORRection2:FIXTure:LABel{1-8} <string>

[:SENSe]:CORRection2:FIXTure:LABel{1-8}?

Description

Lets you specify the name of your custom test fixture.

Variable

Parameter | Param
Description | Name of custom test fixture
Range | Up to 8 characters
Preset value | “USER”

If your specified the name exceeds the maximum allowable length, the name is truncated to the maximum length.

Query response

{string}<newline><^END>

Related objects

:CORR2:FIXT

Equivalent key

Meas Setup > Label


:DATA:CAD{1-8}?

Syntax

:DATA[:DATA]:CAD{1|2|3|4|5|6|7|8}?

Description

Returns a calibration data array (an array of measurement data obtained for calculating the calibration coefficients). The instrument holds eight calibration data arrays that correspond to two measurement passes for each of the OPEN, SHORT, LOAD, and LOW LOSS CAPACITOR standards. To obtain a particular array, suffix the command with the number that corresponds to the desired array. The following table lists the command suffix numbers associated with each array: (Query only)

1: Array that corresponds to first measurement pass for the OPEN standard

2: Array that corresponds to first measurement pass for the SHORT standard

3: Array that corresponds to first measurement pass for the LOAD standard

4: Array that corresponds to first measurement pass for the LOW LOSS CAPACITOR standard

5: Array that corresponds to second measurement pass for the OPEN standard

6: Array that corresponds to second measurement pass for the SHORT standard

7: Array that corresponds to second measurement pass for the LOAD standard

8: Array that corresponds to second measurement pass for the LOW LOSS CAPACITOR standard

Query response

{numeric 1},...,{numeric N× 2}<newline><^END>

Parameter | Array of Real
Description | {numeric n× 2-1} - Real part of measurement data (complex number) obtained at nth point {numeric n× 2} - Imaginary part of measurement data (complex number) obtained at nth point

The command returns the real and imaginary parts of the measurement data (complex number) obtained at each measurement point. Therefore, the number of returned values is equal to N× 2, where N represents the number of points defined in the active table while n represents an integer between 1 and N.

Equivalent key

No equivalent keys are available on the front panel.


:DATA:CCO:{1-6}

Syntax

:DATA[:DATA]:CCO{1|2|3|4|5|6} <numeric 1>,...,<numeric N× 2>

:DATA[:DATA]:CCO{1|2|3|4|5|6}?

where N represents the number of points defined in the active table.

Description

Sets or returns a calibration coefficient array. The instrument holds six calibration coefficient arrays that correspond to coefficients: A1, B1, C1, A2, B2, and C2. To obtain a particular array, suffix the command with the number that corresponds to the desired array. The following table lists the command suffix numbers associated with each array:

1: Array that corresponds to calibration coefficient A1

2: Array that corresponds to calibration coefficient B1

3: Array that corresponds to calibration coefficient C1

4: Array that corresponds to calibration coefficient A2

5: Array that corresponds to calibration coefficient B2

6: Array that corresponds to calibration coefficient C2

Variable

Parameter | Array of Real
Description | <numeric n× 2-1> - Real part of calibration coefficient (complex number) at nth point <numeric n× 2> - Imaginary part of calibration coefficient (complex number) at nth point
Range | -9.9E+37 to 9.9E+37
Resolution | 1E-18

You must break down the calibration coefficient (complex number) at each measurement point into the real and imaginary parts so that the command receives N× 2 parameters in all, where n represents an integer between 1 and N.

Query response

{numeric 1},...,{numeric N× 2}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:CMD:{1-2}?

Syntax

:DATA[:DATA]:CMD{1|2}?

Description

Returns a compensation data array (an array of measurement data obtained for calculating the compensation coefficients). The instrument holds two compensation data arrays that correspond to the OPEN and SHORT standards. To obtain a particular array, suffix the command with the number that corresponds to the desired array. The following table lists the command suffix numbers associated with each array: (Query only)

1: Array that corresponds to measurement data for the OPEN standard

2: Array that corresponds to measurement data for the SHORT standard

Query response

{numeric 1},...,{numeric N× 2}<newline><^END>

Parameter | Array of Real
Description | {numeric n× 2-1} - Real part of measurement data (complex number) obtained at nth point {numeric n× 2} - Imaginary part of measurement data (complex number) obtained at nth point

The command returns the real and imaginary parts of the measurement data (complex number) obtained at each measurement point. Therefore, the number of returned values is equal to N× 2, where N represents the number of points defined in the active table while n represents an integer between 1 and N.

Equivalent key

No equivalent keys are available on the front panel.


:DATA:CMP{1-3}

Syntax

:DATA[:DATA]:CMP{1|2|3} <numeric 1>,...,<numeric N× 2>

:DATA[:DATA]:CMP{1|2|3}?

where N represents the number of points defined in the active table.

Description

Sets or returns a compensation coefficient array. The instrument holds three compensation coefficient arrays that correspond to coefficients: A, B, and C. To obtain a particular array, suffix the command with the number that corresponds to the desired array. The following table lists the command suffix numbers associated each respective array:

1: Array that corresponds to compensation coefficient A

2: Array that corresponds to compensation coefficient B

3: Array that corresponds to compensation coefficient C

Variable

Parameter | Array of Real
Description | <numeric n× 2-1> - Real part of compensation coefficient (complex number) at nth point <numeric n× 2> - Imaginary part of compensation coefficient (complex number) at nth point
Range | -9.9E+37 to 9.9E+37
Resolution | 1E-18

You must break down the compensation coefficient (complex number) at each measurement point into the real and imaginary parts so that the command receives N× 2 parameters in all, where n represents an integer between 1 and N.

Query response

{numeric 1},...,{numeric N× 2}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:FDAT{1-4}?

Syntax

:DATA[:DATA]:FDATa{1|2|3|4}?

Description

Returns the display data array for one of these parameters - parameters 1 (:FDAT1) through 4 (:FDAT4). This array contains the display data obtained by performing measurement parameter conversion and data operations on the corresponding data array.

If the measurement fails because of overload, the command returns 9.9E37. (Query only)

Variable / Query response

Parameter | Array of Real
Description | For single-point measurement {numeric}<newline><^END> The command returns the value (real number) of the measured point For list measurement {numeric 1},...,{numeric N}<newline><^END>

The command returns as many values (real numbers) as the measurement points defined in the active table, in the order of measurement point numbers.

Equivalent key

No equivalent keys are available on the front panel.


:DATA:IMON?

Syntax

:DATA[:DATA]:IMON?

Description

Returns the result of monitoring the current level of the test signal. If the measurement failed because of overload, the command returns 9.9E37. (Query only)

Variable / Query Response

Parameter | Array of Real
Description | For single-point measurement {numeric}<newline><^END> The command returns the monitored value (real number) of the measured point For list measurement {numeric 1},...,{numeric N}<newline><^END>

The command returns the monitored value (real number) at each point defined in the active table. Therefore, the returned data contains as many monitored values as the number of measurement points (N) and is sent in the order of measurement point numbers.

Related objects

:DATA:VMON?

Equivalent key

No equivalent keys are available on the front panel.


:DATA:IMP

Syntax

:DATA[:DATA]:IMPedance?

Description

Returns the measured impedance data array, which contains complex-number data. The data of number of (test point)×2 is returned.

Calibration ,port extension by selecting fixture, and compensation are applied to the impedance data.

Variable / Query response

Parameter | Array of Real
Description | numeric N×2-1: Real part of data at nth point numeric N×2: Imaginary part of data at nth point

The command returns the real and imaginary parts of the data at each measurement point.

Thus the number of returned values is equal to N×2, where N represents the number of points defined in the active table while n represents an integer between 1 and N.

{numeric 1(real part for point 1)},{numeric 2 (imaginary part for point 1)},{numeric 3(real part for point 2)},{numeric 3 (imaginary part for point 2)},...,{numeric N×2-1 (real part for point n) },{numeric N×2 (imaginary part for point n) }<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RAW?

Syntax

:DATA[:DATA]:RAW?

Description

Returns the measurement data array, which contains complex-number data obtained by calibrating raw measurement data. (Query only)

Variable / Query response

Parameter | Array of Real
Description | {numeric n× 2-1} - Real part of data at nth point {numeric n× 2} - Imaginary part of data at nth point

For single-point measurement

{numeric 1},{numeric 2}<newline><^END>

The command returns the real and imaginary parts of the data of the measured point.

For list measurement

{numeric 1},...,{numeric N× 2}<newline><^END>

The command returns the real and imaginary parts of the data at each measurement point. Thus the number of returned values is equal to N× 2, where N represents the number of points defined in the active table while n represents an integer between 1 and N.

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RCAD{1-3}?

Syntax

:DATA[:DATA]:RCAD{1|2|3}?

Description

Returns a set of measurement data (real number) for calculating the calibration coefficients to use during Rdc measurement. The instrument holds three sets of calculation data, which are obtained by measuring the OPEN, SHORT, and LOAD standards. To obtain a particular data set, suffix the command with the number that corresponds to the desired data set. The command suffix numbers associated with each data set are listed below. (Query only)

1: OPEN measurement data

2: SHORT measurement data

3: LOAD measurement data

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RCCO{1-3}

Syntax

:DATA[:DATA]:RCCO{1|2|3} <numeric>

:DATA[:DATA]:RCCO{1|2|3}?

Description

Sets or returns a calibration coefficient for Rdc measurement. To set or obtain a particular coefficient, suffix the command with the number that corresponds to the desired coefficient. The command suffix numbers associated with each coefficient are listed below.

1: Calibration coefficient A for Rdc measurement

2: Calibration coefficient B for Rdc measurement

3: Calibration coefficient C for Rdc measurement

Variable

Parameter | Real
Description | Calibration coefficient (real number) for Rdc measurement
Range | -9.9E+37 to 9.9E+37
Resolution | 1E-18

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RCMD{1-2}?

Syntax

:DATA[:DATA]:RCMD{1|2}?

Description

Returns a set of measurement data (real number) for calculating the compensation coefficients to use during Rdc measurement. The instrument holds two sets of calculation data, which are obtained by measuring the OPEN and SHORT standards. To obtain a particular data set, suffix the command with the number that corresponds to the desired data set. The command suffix numbers associated with the respective data set are listed below. (Query only)

1: OPEN measurement data

2: SHORT measurement data

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RCMP{1-3}

Syntax

:DATA[:DATA]:RCMP{1|2|3} <numeric>

:DATA[:DATA]:RCMP{1|2|3}?

Description

Sets or returns a compensation coefficient for Rdc measurement. To set or obtain a particular coefficient, suffix the command with the number that corresponds to the desired coefficient. The command suffix numbers associated with each coefficient are listed below:

1: Compensation coefficient A for Rdc measurement

2: Compensation coefficient B for Rdc measurement

3: Compensation coefficient C for Rdc measurement

Variable

Parameter | Real
Description | Compensation coefficient (real number) for Rdc measurement
Range | -9.9E+37 to 9.9E+37
Resolution | 1E-18

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:DATA:RDC?

Syntax

:DATA[:DATA]:RDC?

Description

Returns the result of Rdc measurement. (Query only)

Query response

{numeric}<newline><^END>

If the Rdc measurement feature is disabled, the command fails and an error is generated.

Equivalent key

No equivalent keys are available on the front panel.


:DATA:VMON?

Syntax

:DATA[:DATA]:VMON?

Description

Returns the result of monitoring the voltage level of the test signal. If the measurement fails because of overload, the command returns 9.9E37. (Query only)

Query response

Parameter | Array of Real
Description | For single-point measurement {numeric}<newline><^END> The command returns the monitored value (real number) of the measured point. For list measurement {numeric 1},...,{numeric N}<newline><^END>

The command returns the monitored value (real number) at each point defined in the active table. Therefore, the returned data contains as many monitored values as the number of measurement points (N) and is sent in the order of measurement point numbers.

Related objects

:DATA:IMON?

Equivalent key

No equivalent keys are available on the front panel.


:DISP:BACK

Syntax

:DISPlay:BACKlight {ON|OFF|1|0}

:DISPlay:BACKlight?

Description

Turns ON or OFF the backlight of the LCD screen. If the backlight is OFF, you cannot read information displayed on the screen.

Variable

Parameter | State
Description | Turns ON/OFF the backlight of the LCD screen.
Range | Select from the following: ON or 1:Turns ON backlight. OFF or 0: Turns OFF backlight.
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

System > Service > Back Light > {ON|OFF}


:DISP

Syntax

:DISPlay[:WINDow][:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow][:STATe]?

Description

Turns ON or OFF the screen display of all of the measurement results, softkey labels, and instrument status information.

Variable

Parameter | State
Description | Turns ON/OFF the screen display.
Range | Select from the following: ON or 1:Turns ON screen display. OFF or 0: Turns OFF screen display.
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

Display > Display > {ON|OFF}


:DISP:CCL

Syntax

:DISPlay:CCLear

Description

Clears the error message displayed in the status display area (at the bottommost of the screen). (No query)

Equivalent key

No equivalent keys are available on the front panel.


:DISP:LIST:TYPE

Syntax

:DISPlay[:WINDow]:LIST:TYPE <type>

:DISPlay[:WINDow]:LIST:TYPE?

Description

Select the list mode or plotting mode for the list measurement display.

Variable

Parameter | Type
Description | Selection for the list measurement display
Range | LIST: List mode PLOT: Plotting mode
Preset value | LIST

Query response

{LIST|PLOT}<newline><^END>

Related objects

:SOUR:LIST:STAT

Equivalent key

Display > List Type or List Meas (toggle)


:DISP:LIST:PLOT:SCAL:Y:CALC{1-4}:SPAC

Syntax

:DISPlay[:WINDow]:LIST:PLOT:SCALe:Y:CALCulate{1-4}:SPACing <type>

:DISPlay[:WINDow]:LIST:PLOT:SCALe:Y:CALCulate{1-4}:SPACing?

Description

Select the scale type for Y-Axis.

Variable

Parameter | Type
Description | Selection for the scale type for Y-Axis
Range | LINear: Linear scale LOGarithm: Log scale
Preset value | LIN

Query response

{LIN|LOG}<newline><^END>

Related objects

:DISP:LIST:PLOT:SCAL:X:SPAC

Equivalent key

Display > Scale > Y-Axis > {Linear|Log}


:DISP:LIST:PLOT:SCAL:Y:CALC{1-4}:AUTO

Syntax

:DISPlay[:WINDow]:LIST:PLOT:SCALe:Y:CALCulate{1-4}:AUTO[:IMMediate]

Description

Execute auto scaling for the selected parameter.

Related objects

:DISP:LIST:PLOT:SCAL:Y:AUTO

Equivalent key

Display > Scale > Auto Scale (for each parameter)


:DISP:LIST:PLOT:SCAL:Y:AUTO

Syntax

:DISPlay[:WINDow]:LIST:PLOT:SCALe:Y:AUTO[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:LIST:PLOT:SCALe:Y:AUTO[:STATe]?

Description

Select the auto scaling continuous mode. If this function is ON, the auto scale is executed automatically when the displayed plot is changed. If this is OFF, the auto scale is executed automatically only when the :DISP:LIST:PLOT:SCAL:Y:CALC{1-4}:AUTO is executed.

Variable

Description | Selection for auto scaling mode
Parameter | State
Range | ON or 1: Continuous Auto scaling is ON OFF or 0: Continuous Auto scaling is OFF
Preset value | 1

Query response

{1|0}<newline><^END>

Related objects

:DISP:LIST:PLOT:SCAL:Y:CALC{1-4}:AUTO

Equivalent key

Display > Scale > Continuous


:DISP:LIST:PLOT:SCAL:X:SPAC

Syntax

:DISPlay[:WINDow]:LIST:PLOT:SCALe:X:SPACing <type>

:DISPlay[:WINDow]:LIST:PLOT:SCALe:X:SPACing?

Description

Select the scale type for X-Axis.

Variable

Parameter | Type
Description | Selection for the scale type for X-Axis
Range | LINear: Linear scale LOGarithm: Log scale OBASe: Order based
Preset value | LIN

Query response

{LIN|LOG|OBAS}<newline><^END>

Related objects

:DISP:LIST:PLOT:SCAL:Y:CALC{1-4}:SPAC

Equivalent key

Display > Scale > X-Axis


:DISP:TEXT1

Syntax

:DISPlay[:WINDow]:TEXT1[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT1[:STATe]?

Description

Turns ON or OFF the screen display of the measurement results (results of measurement parameters 1 to 4, results of test signal current/voltage level, and Rdc measurement results).

Variable

Parameter | State
Description | Turns ON/OFF the screen display of measurement results
Range | Select from the following: ON or 1:Turns ON screen display OFF or 0: Turns OFF screen display
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > Display > {ON|OFF}


:DISP:TEXT1:CALC{1-4}

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}[:STATe]?

Description

Turns ON or OFF the screen display of the measurement results for each of the parameters 1 (:CALC1) through 4 (:CALC4).

Variable

Parameter | State
Description | Turns ON/OFF the screen display
Range | Select from the following: ON or 1:Turns ON screen display OFF or 0: Turns OFF screen display
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Display > {ON|OFF}


:DISP:TEXT1:CAL{1-4}:DIG

:DISP:TEXT1:CALC{1-4}:DIG

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:DIGit <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:DIGit?

Description

Specifies the number of digits to use in the screen display of the measurement result for each of the parameters 1 (:CALC1) through 4 (:CALC4).

Variable

Parameter | Value
Description | Number of digits
Range | 4 to 6
Preset value | 4
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Sig Figs > {numeric}


:DISP:TEXT1:CALC{1-4}:FIX

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:FIX {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:FIX?

Description

Specifies whether to fix the decimal point in the screen display of the measurement result for each of parameters 1 (:CALC1) through 4 (:CALC4).

Variable

Parameter | State
Description | Turns ON/OFF to fix/not fix the decimal point
Range | Select from the following: ON or 1:Instructs instrument to fix the decimal point OFF or 0: Instructs instrument not to fix the decimal point
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > Fixed MSD > {ON|OFF}


:DISP:TEXT1:CALC{1-4}:MSD

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:MSD <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate{1|2|3|4}:MSD?

Description

When the instrument is configured to fix the decimal point in the screen display of the measurement result for each of the parameters 1 (:CALC1) through 4 (:CALC4), use this command to set the most significant digit. You can specify the most significant digit by its exponent. For example, to set the most significant digit to 100n (1E-7), specify -7 as the parameter value.

Variable

Parameter | Value
Description | Exponent that indicates the most significant digit
Range | -15 to 15
Preset value | 0
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or lesser than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Parameter 1|Parameter 2|Parameter 3|Parameter 4} > MSD > {numeric}


:DISP:TEXT1:CALC{11-12}

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}[:STATe]?

Description

Turns ON or OFF the screen display of the results of monitoring the test signal current level (:CALC11) or voltage level (:CALC12).

Variable

Parameter | State
Description | Turns ON/OFF the screen display
Range | Select from the following: ON or 1:Turns ON screen display OFF or 0: Turns OFF screen display
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {I-mon|V-mon} > Display > {ON|OFF}


:DISP:TEXT1:CALC{11-12}:DIG

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:DIGit <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:DIGit?

Description

Specifies the number of digits to use in the screen display of the results of monitoring the test signal current level (:CALC11) or voltage level (:CALC12).

Variable

Parameter | Value
Description | Number of digits
Range | 4 to 6
Preset value | 4
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {I-mon|V-mon} > Sig Figs > {numeric}


:DISP:TEXT1:CALC{11-12}:FIX

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:FIX {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:FIX?

Description

Specifies whether to fix the decimal point in the screen display of the results of monitoring the test signal current level (:CALC11) or voltage level (:CALC12).

Variable

Parameter | State
Description | Turns ON/OFF to fix/not fix the decimal point
Range | Select from the following: ON or 1:Instructs instrument to fix the decimal point OFF or 0: Instructs instrument not to fix the decimal point
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {I-mon|V-mon} > Fixed MSD > {ON|OFF}


:DISP:TEXT1:CALC{11-12}:MSD

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:MSD <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate{11|12}:MSD?

Description

When the instrument is configured to fix the decimal point in the screen display of the results of monitoring the test signal current level (:CALC11) or voltage level (:CALC12), use this command to set the most significant digit. You can specify the most significant digit by its exponent. For example, to set the most significant digit to 0.01 (1E-2), specify -2 as the parameter value.

Variable

Parameter | Value
Description | Exponent that indicates the most significant digit
Range | -15 to 15
Preset value | 0
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or lesser than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {I-mon|V-mon} > MSD > {numeric}


:DISP:TEXT1:CALC13:DIG

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate13:DIGit <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate13:DIGit?

Description

Specifies the number of digits to use in the screen display of the results of Rdc measurement.

Variable

Parameter | Value
Description | Number of digits
Range | 4 to 6
Preset value | 4
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or lesser than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Rdc} > Sig Figs > {numeric}


:DISP:TEXT1:CALC13:FIX

Syntax

:DISPlay[:WINDow][:TEXT1]:CALCulate13:FIX {ON|OFF|1|0}

:DISPlay[:WINDow][:TEXT1]:CALCulate13:FIX?

Description

Specifies whether to fix the decimal point in the screen display of the results of Rdc measurement.

Variable

Parameter | State
Description | Turns ON/OFF to fix/not fix the decimal point
Range | Select from the following: ON or 1:Instructs instrument to fix the decimal point OFF or 0: Instructs instrument not to fix the decimal point
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Rdc} > Fixed MSD > {ON|OFF}


:DISP:TEXT1:CALC13:MSD

Syntax

:DISPlay[:WINDow]:TEXT1:CALCulate13:MSD <numeric>

:DISPlay[:WINDow]:TEXT1:CALCulate13:MSD?

Description

When the instrument is configured to fix the decimal point in the screen display of the results of Rdc measurement, use this command to set the most significant digit. You can specify the most significant digit by its exponent. For example, to set the most significant digit to 100 (1E2), specify 2 as the parameter value.

Variable

Parameter | Value
Description | Exponent that indicates the most significant digit
Range | -15 to 15
Preset value | 0
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or lesser than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

Display > Setup Prmtr Display > {Rdc} > MSD > {numeric}


:DISP:TEXT10

Syntax

:DISPlay[:WINDow]:TEXT10[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT10[:STATe]?

Description

Specifies whether to display the title (defined with the :DISP:TEXT10:DATA command) in the title display area (uppermost part of the screen).

Variable

Parameter | State
Description | Shows/hides the title.
Range | Select from the following: ON or 1:Shows the title. OFF or 0: Hides the title.
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:DISP:TEXT10:DATA

Equivalent key

Display > Title Area > {ON|OFF}


:DISP:TEXT10:DATA

Syntax

:DISPlay[:WINDow]:TEXT10:DATA <string>

:DISPlay[:WINDow]:TEXT10:DATA?

Description

Defines the string to display in the title display area.

Variable

Parameter | Param
Description | String displayed in the title display area
Range (max length) | Up to 90 characters
Preset value | Blank (“”)

If your specified title exceeds the maximum allowable length, the title is truncated to the maximum length.

Query response

{string}<newline><^END>

Related objects

:DISP:TEXT10

Equivalent key

Display > Edit Title Label > Enter title


:DISP:TEXT11

Syntax

:DISPlay[:WINDow]:TEXT11[:STATe] {ON|OFF|1|0}

:DISPlay[:WINDow]:TEXT11[:STATe]?

Description

Specifies whether to display the date and time at the right-hand side of the status display area (lower-right part of the LCD screen).

Variable

Parameter | State
Description | Shows/hides date and time.
Range | Select from the following: ON or 1:Shows date and time OFF or 0: Hides date and time
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:DISP:TEXT11:MODE

Equivalent key

Display > Date & Time > {OFF|LIVE}


:DISP:TEXT11:MODE

Syntax

:DISPlay[:WINDow]:TEXT11:MODE {STAMp|LIVE}

:DISPlay[:WINDow]:TEXT11:MODE?

Description

Specifies whether to update the date and time displayed at the right-hand side of the status display area.

Variable

Parameter | Param
Description | Specifies weather to update/not to update date and time
Range | Select from the following: STAMp: Does not update date and time LIVE: Updates date and time
Preset value | STAMp

Query response

{STAM|LIVE}<newline><^END>

Related objects

:DISP:TEXT11

Equivalent key

Display > Date & Time > {STAMP|LIVE}


:DISP:TEXT2:LAB{1-7}

Syntax

:DISPlay[:WINDow]:TEXT2:LABel{1|2|3|4|5|6|7} {PARam1|PARam2|PARam3|PARam4|
VMONitor|IMONitor|FREQuency|AVERage|POWer|RDC|OFF}

:DISPlay[:WINDow]:TEXT2:LABel{1-7}?

Description

Defines each of the seven display items (:LAB1 through :LAB7) that appear on the list measurement screen.

Variable

Parameter | Param
Description | Defines the display items that appear on the list of measurement screen
Range | Select from the following: PARam1: Displays parameter 1 measurement result PARam2: Displays parameter 2 measurement result PARam3: Displays parameter 3 measurement result PARam4: Displays parameter 4 measurement result VMONitor: Displays result of monitoring the test signal voltage level IMONitor: Displays result of monitoring the test signal current level FREQuency: Displays frequency setting of the test signal AVERage: Displays averaging factor setting POWer: Displays test signal level setting RDC: Displays result of Rdc measurement OFF: Displays nothing

Display item 1 defaults to FREQuency; display item 2 defaults to AVERage; display item 3 defaults to POWer; display item 4 defaults to PARam1; display item 5 defaults to PARam2; display item 6 defaults to PARam3; display item 7 defaults to PARam4.

Query response

{PAR1|PAR2|PAR3|PAR4|VMON|IMON|FREQ|AVER|POW|RDC|OFF}<newline><^END>

Related objects

:SOUR:LIST:STAT

Equivalent key

Display > Select List Parameters > {Column 1|Column 2|Column 3|Column 4|Column 5|Column 6|Column 7} > {Parameter 1|Parameter 2|Parameter 3|Parameter 4|I-Monitor|V-Monitor|Frequency|Ave Count|Osc Level|Rdc|OFF}


:DISP:UPD

Format

:DISPlay:UPDate {ON|OFF|1|0}

:DISPlay:UPDate?

Description

This command sets periodic updates of the LCD to ON or OFF. When periodic updates is set to ON, measurement values are updated periodically even if the measurement time is long. When periodic updates is set to OFF, measurement values are updated only when the last point in the table is measured.

Variable

Parameter | State
Description | Dummy Parameter
Range | ON or 1 - Sets the periodic updates to ON OFF or 0 - Sets the periodic updates to OFF
Preset value | ON or 1

Query response

<state><^END>

Equivalent key

System > Misc Setup > Periodic Update


:FETC?

Syntax

:FETCh?

Description

This command returns the measurement data from the most recently performed measurement.

Query response

For single-point measurement

{stat},{par1},{par2},{par3},{par4},{Imon},{Vmon},{Rdc},{comp}<newline><^END>

The command returns the following data at the measured point.

{stat}:

Measurement status, which is represented as an integer between 0 and 3 as follows:

0: No error

1: Detection of measurement failure (overload)

2: Detection of Rdc out of range

3: Simultaneous detection of overload and Rdc out of range

{par1}:

Parameter 1 measurement result

{par2}:

Parameter 2 measurement result

{par3}:

Parameter 3 measurement result

{par4}:

Parameter 4 measurement result

{Imon}:

Result of monitoring test signal current level

{Vmon}:

Result of monitoring test signal voltage level

{Rdc}:

Result of Rdc measurement.

{comp}:

Bin sort result, which can be an integer between 0 and 14 as follows:

0: Indicates a DUT that was not sorted into any of bins 1 through 13

1: Sorted into bin 1

2: Sorted into bin 2

3: Sorted into bin 3

4: Sorted into bin 4

5: Sorted into bin 5

6: Sorted into bin 6

7: Sorted into bin 7

8: Sorted into bin 8

9: Sorted into bin 9

10: Sorted into bin 10

11: Sorted into bin 11

12: Sorted into bin 12

13: Sorted into bin 13

14: Sort failed

  • The result of parameter 1 is not returned if the display of parameter 1 is off. The results of parameters 2 through 4 as well as the test signal current/voltage levels are treated in a similar way.

  • The result of Rdc measurement is not returned if the Rdc measurement feature is off.

  • The bin sort result is not returned if the comparator is off.

  • If the measurement failed because of overload (that is, the measurement status is 1 or 3), the command returns 9.9E37 for the measurement results of parameters 1 through 4, the test signal monitor results, and the Rdc measurement result; the command returns 14 for the comparator result.

For list measurement

{stat 1},{par1 1},{par2 1},{par3 1},{par4 1},{Imon 1},{Vmon 1},{Rdc 1},...,
{stat N},{par1 N},{par2 N},{par3 N},{par4 N},{Imon N},{Vmon N},{Rdc N},
{comp}<newline><^END>

where N represents the number of points defined in the active table while n represents an integer between 1 and N.

The command returns data at all measurement points in the active table. The returned data consists of the following items:

{stat n}:

Measurement status at measurement point number n

{par1 n}:

Parameter 1 measurement result at measurement point number n

{par2 n}:

Parameter 2 measurement result at measurement point number n

{par3 n}:

Parameter 3 measurement result at measurement point number n

{par4 n}:

Parameter 4 measurement result at measurement point number n

{Imon n}:

Result of monitoring test signal current level at measurement point number n

{Vmon n}:

Result of monitoring test signal voltage level at measurement point number n

{Rdc n}:

Result of Rdc measurement

{comp}:

Bin sort result

  • The result of Rdc measurement is returned N times. However, all of the results of Rdc measurement have the same value because Rdc is measured only once.

  • The bin sort result is finally returned only once.

Related objects

:CALC:COMP

:DISP:TEXT1:CALC{1-4}

:DISP:TEXT1:CALC{11-12}

:READ?

:SOUR:LIST:RDC

:SOUR:LIST:STAT

*TRG

Equivalent key

No equivalent key is available on the front panel.


:FORM

Format

:FORMat[:DATA] {ASCii|REAL}

:FORMat[:DATA]?

Description

Specifies the format used for data transfer with the following commands.

:FETC

:READ

*TRG

Commands that begin with :DATA

Parameter

Description | Specifies the data transfer format
Range | Select from the following: ASCii: Specifies ASCII format REAL: Specifies binary format
Preset value | ASCii

Query response

{ASC|REAL}<newline><^END>

Related objects

:FORM:BORD

*RST

Equivalent key

No equivalent keys are available on the front panel.


:FORM:BORD

Format

:FORMat:BORDer {NORMal|SWAPped}

:FORMat:BORDer?

Description

Specifies the order for transferring each byte comprising 8-byte data if the binary format is selected as the data transfer format.

Parameter

 | Description
NORMal (initial value) | Specifies byte order so that data transfer begins at the byte containing MSB (Most Significant Bit)
SWAPped | Specifies byte order so that data transfer begins at the byte containing LSB (Least Significant Bit)

Query response

{NORM|SWAP}<newline><^END>

Related objects

:FORM

Equivalent key

No equivalent keys are available on the front panel.


:HCOP:SDUM:DATA:FORM

Syntax

:HCOPy:SDUMp:DATA:FORMat {PNG|BMP}

:HCOPy:SDUMp:DATA:FORMat?

Description

This command sets or gets the image format (print screen image).

Parameters

Description | Image format
Range | Select from the following: PNG: Portable Network Graphics BMP: Windows Bit Maps
Preset value | PNG

Query response

{PNG|BMP}<newline><^END>

Related objects

:HCOP:SDUM:DATA

Equivalent key

No equivalent keys are available on the front panel. However below is the key with similar functionality:

Data Export > Dump Screen Image...


:HCOP:SDUM:DATA

Syntax

:HCOPy:SDUMp:DATA[:IMMediate]?

Description

This command gets print screen image.

Example of use

'*** Save the screen image to the file

Age4982.WriteString ":HCOP:SDUM:DATA:FORM PNG", True

Age4982.WriteString ":HCOP:SDUM:DATA?", True

PNGdata = Age4982.ReadIEEEBlock(BinaryType_UI1, False, True)

Open "C:\TEST.png" For Binary As #1

Put #1, , PNGdata()

Close

Query response

<binary><newline><^END>

Related objects

:HCOP:SDUM:DATA:FORM

Equivalent key

No equivalent keys are available on the front panel. However below is the key with similar functionality:

Data Export > Dump Screen Image...


*CLS

Syntax

*CLS

Description

This command clears the following:

  • Error queue

  • Status Byte register

  • Standard Event Status register

  • Operation Status Event register

  • Questionable Status Event register

Equivalent key

No equivalent key is available on the front panel.


*ESE

Syntax

*ESE <numeric>

*ESE?

Description

This command sets/gets the value of the Standard Event Status Enable Register.

Variable

Parameter | Value
Description | Value of the Standard Event Status Enable Register
Data type | Integer
Range | 0 to 255
Preset value | 0
Resolution | 1

  • If the parameter is out of the allowable setup range, the result of bitwise AND with 255 (0xff) is set.

Query response

{numeric}<newline><^END>

Related objects

*SRE

Equivalent key

No equivalent key is available on the front panel.


*ESR

Syntax

*ESR?

Description

This command reads the value of the Standard Event Status register. Execution of this command clears the current register value.

Variable

Parameter | Value
Description | Value of the Standard Event Status Register
Data type | Integer
Initial value | 0

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


*IDN

Syntax

*IDN?

Description

This command returns the product information (manufacturer, model number, serial number and firmware version number) of the E4982A.

Variable

Parameter

Cont

Description

Product Information ("{string 1},{string 2},{string 3},{string 4}")

  • {string 1}: Manufacturer. Agilent Technologies is always read out.

  • {string 2}: Model number. E4982A is always read out.

  • {string 3}: Serial number (example: MY123400101).

  • {string 4}: Firmware revision number (example: A.01.00).

Data type

Character string type (String)

Query response

{string 1},{string 2},{string 3},{string 4}<newline><^END>

Equivalent key

No equivalent key is available on the front panel


*LRN

Syntax

*LRN?

Description

This command gets the device setup query. This command is defined as "Learn Device Setup Query" in IEEE 488.2. The command returns instrument settings by binary block data (same as Save/Recall state file contents) with "SYSTem:SET " prefix.

Example of use (VISA-COM)

Dim LRNData() As Byte, SETData() As Byte, NoofByte As Double

'*** Get the LRN data as Binaray data

Age4982.WriteString "*LRN?", True

LRNData = Age4982.ReadIEEEBlock(BinaryType_UI1, False, True)

'*** Save the LRN data in the file

Open "C:\LRN.dat" For Binary As #1

Put #1, , LRNData()

Close

MsgBox "Get Data"

'*** Recall the LRN data from the file

Open "C:\LRN.dat" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the LRN data to E4982A

Age4982.IO.Write SETData, NoofByte

Query Response

<binary><newline><^END>

Equivalent Key

No equivalent key is available on the front panel.


*OPC

Syntax

*OPC

*OPC?

Description

This command sets/gets the OPC bit (bit 0) in the Standard Event Status register when all pending operations are completed.

When this is used as query, 1 is returned when all pending operations are complete

Query response

{1}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


*OPT

Syntax

*OPT?

Description

This command returns option numbers which are equipped with the E4982A.

Query response

{String}<newline><^END>

option numbers are returned with comma separator.

Equivalent key

System > Product Information (Described as option:)


*RST

Syntax

*RST

Description

This command resets the E4982A to its preset state.

This command works similarly to the :SYST:PRES command except that it:

  • Turns off the continuous activation of the trigger system.

  • Sets the data transfer format to ASCII.

Related objects

:SYST:PRES

:INIT:CONT

Equivalent key

No equivalent key is available on the front panel.


*SRE

Syntax

*SRE <numeric>

*SRE?

Description

This command sets/gets the value of the Service Request enable register.

Variable

Parameter | Value
Description | Value of the Service Request Enable Register
Data type | Integer
Range | 0 to 255
Resolution | 1
Preset value | 0
  • If the specified variable is out of the allowable setup range, the result of bitwise AND with 255 (0xff) is set. Note that bit 6 cannot be set to 1.

Query response

{numeric}<newline><^END>

Related objects

*ESE

:STAT:.OPER:ENAB

Equivalent key

No equivalent key is available on the front panel.


*STB

Syntax

*STB?

Description

This command reads the value of the Status Byte register.

Variable

Parameter | Value
Description | Value of the Status Byte Register
Data type | Integer
Preset value | 0

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


*TRG

Syntax

*TRG

Description

If the trigger mode is set to GPIB/LAN/USB (BUS, with the :TRIG:SOUR command), this command triggers the E4982A and, after completion of measurement, reads out the measurement data.

  • This command responds to a query even though it is not suffixed with “?”.

Query response

Same as the :FETC? command.

Related objects

:FETC?

:TRIG:SOUR

Equivalent key

No equivalent key is available on the front panel.


*TST?

Syntax

*TST?

Description

This command reads the result of the self test executed at power ON.

Query response

{1|0}<newline><^END>

 | Description
1 | The result of the self-test is FAIL.
0 | The result of the self-test is PASS.

Equivalent key

System > Service > Internal Test


*WAI

Syntax

*WAI

Description

Waits for all commands sent before completing this command.

Equivalent key

No equivalent key is available on the front panel.


:INIT

Syntax

:INITiate[:IMMediate]

Description

When the trigger system is in the idle state, issuing this command activates the trigger system. The trigger system returns to the idle state after completing one trigger cycle. When the trigger system is not in the idle state or configured to be continuously activated (i.e., after you have issued the :INIT:CONT command by specifying “ON”), issuing this command generates an error. For more information on the trigger system, see Trigger system. (No query)

Related objects

:INIT:CONT

Equivalent key

No equivalent key is available on the front panel.


:INIT:CONT

Syntax

:INITiate:CONTinuous {ON|OFF|1|0}

:INITiate:CONTinuous?

Description

This command sets/gets the continuous trigger system. This setting is initialized to OFF when the *RST is issued. For more information on the trigger system, see Trigger system.

Variable

Parameter | Value
Description | Sets/gets continuous trigger system
Data type | Boolean
Range | ON or 1: Instructs instrument to continuously activate trigger system OFF or 0: Instructs instrument to NOT continuously activate trigger system
Initial value | :SYST:PRES=1(ON), *RST=0(OFF)
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Related objects

*RST

:SYST:PRES

Equivalent key

No equivalent key is available on the front panel.


:LXI:IDEN

Syntax

:LXI:IDENtify[:STATe] {ON|OFF|1|0}

:LXI:IDENtify[:STATe]?

Description

This command changes the state of the LXI status indicator.

Variable

Description | State of the LXI status indicator
Range | ON or 1: Sets the LXI Status Indicator to the "IDENTIFY" state. OFF or 0:Sets the LXI Status Indicator to the "NORMAL" state.
Preset value | OFF or 0

Query Response

{1|0}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:MMEM:CAT?

Syntax

:MMEMory:CATalog[:USER]?

Description

This command reads the following information about the D drive in the E4982A.

  • Capacity used

  • Free (available) capacity

  • Names and sizes of files

Query response

{used_size},{free_size},{name 1},{type 1},{size 1},...,{name N},{type N},{size N}<newline><^END>

N is the number of all files contained in the built-in storage.

  • {used_size}: Already used capacity (bytes) of built-in storage

  • {free_size}:Free capacity (bytes) of built-in storage

  • {name n}:Name of the nth file (Character string enclosed within double quotation marks (""))

  • {type n}:A pair of double quotation marks ("") are always read.

  • {size n}:Size (bytes) of the nth file

With n defined as integer 1 to N, N sets of {name n}, {type n}, and {size n} are read.

Related objects

:MMEM:CAT:DIR

Equivalent key

No equivalent key is available on the front panel.


:MMEM:CAT:DIR

Syntax

:MMEMory:CATalog:DIRectory? <string>

Description

This command reads the file and directory names under the selected drive in the E4982A.

Variable

Parameter | <string>
Description | Drive name
Range | A (Floppy Disk, if connected), C, D or G (USB Memory, if connected)
Preset Value | D

Query response

{number of file},{name 1},{type 1},...,{name N},{type N}<newline><^END>

  • {number of file}: Number of files and directories in the selected drive.

  • {name n}:Name of the nth file or directory (Character string enclosed within double quotation marks (")) If {type n} is -1 (error), this parameter shows error information.

  • {type n}: 0: file, 1: directory, -1: Error

Related objects

:MMEM:CAT

Equivalent key

No equivalent key is available on the front panel


:MMEM:COPY

Syntax

:MMEMory:COPY <string 1>,<string 2>

Description

This command copies a file.

To specify the file, use a file name accompanying an extension. If you want to specify a file residing on the floppy disk, you must attach "A:" to the head of the file name. To use the directory and file names for specification, separate them using a slash (/).

If the specified source file is not found, an error will occur and the command will be ignored. Note that, if the file that has the same name as the specified source file already exists, it will be overwritten. (No query)

Variable

Parameter | <string 1> | <string 2>
Description | Source file name | Destination file name
Data type | String | String
Range | Up to 248 characters (including extension) | Up to 248 characters (including extension)

Equivalent key

Save/Recall > File Utility...


:MMEM:CRE:DIR

Syntax

:MMEMory:CREate:DIRectory <string>

Description

This command creates a new directory (folder).

If you want a file created under an existing directory, use a slash (/) to separate directory names.

If the file that has the same name as the specified source file already exists, an error will occur and the command will be ignored. (No query)

Variable

Parameter | <string>
Description | Creates a new directory
Data type | String
Range | Up to 248 characters

Equivalent key

Save/Recall > File Utility...


:MMEM:DEL

Syntax

:MMEMory:DELete <string>

Description

This command deletes an existing file or directory (folder).

If a directory is specified, all files and directories in it will be deleted.

To specify a file, use a file name accompanying an extension. To specify a file (directory) under an existing directory, use a slash (/) to separate directory names or a directory and a file (or directory) name.

If you specify "D:/USER" for the directory name, all user-created files and directories in the E4982A built-in storage will be deleted.

If the specified file or directory is not found, an error will occur and the command will be ignored. (No query)

Variable

Parameter | <string>
Description | Deletes an existing file or directory
Data type | String
Range | Up to 248 characters (including extension)

Equivalent key

Save/Recall > File Utility...


:MMEM:LOAD

Syntax

:MMEMory:LOAD <filename>, [csv_type]

Description

Recalls the instrument settings from the file previously saved with the :MMEM:STOR command.

You can recall the file whose extension is *.sta or *.csv (setup table or bin table only).

You must specify the file name with the extension. When you specify a file under a directory, delimit the directory and file names with a slash (/).

If your specified file is not found, the command fails and an error is generated.

Variable

Parameter | <filename> | <csv_type>
Description | Name of file to recall | You should specify the second parameter only if the file extension is ".csv". When this parameter is not specified for any file with the extension ".csv", SETup will be used.
Data type | String | Enumerator
Range | - | SETup: Specifies that contents of all measurement point setup tables, contents of all calibration kit setup tables, and contents of all compensation kit setup tables are recalled. COMParator: Specifies that contents of all BIN sorting setup tables are recalled.
Length | Up to 248 characters (including extension) | Up to 248 characters (including extension)

Equivalent key

Save/Recall > Recall State


:MMEM:STOR

Syntax

:MMEMory:STORe <filename>[,{LOG|LIST|SETup|COMParator}]

Description

Saves the instrument settings (including calibration/compensation), images on the LCD stored in the volatile memory (clipboard) (images of the LCD when the [Capture] key is pressed), measurement data for statistical analysis, list measurement results, or the contents of the setup table as a file. Contents to be saved depend on the extension of the file specified (first parameter). However, you should specify the second parameter only if the extension is “.csv”. The list below shows each extension and the corresponding contents to be saved. (No Query)

When specifying a directory name and filename, you must separate them with a slash (/).

If a filename you specify already exists, note that the existing file may be overwritten by the new file.

  • A file for instrument settings saved as autorec.sta is automatically recalled during power-on of the E4982A.

Variable

Parameter

<filename>

Description

Name of file to save. Contents to be saved depend on the extension of the file specified

Extension | Description
.sta | Instrument settings (binary format)
.bmp | Images on the LCD*1 (bitmap format)
.png | Images on the LCD*1 (portable network graphics format)
.csv | Comma-separated data for the following items (ASCII format), Measurement data for statistical analysis*2 List measurement results or Contents of setup table depending on the second parameter.
.dta | Measurement data for statistical analysis*2 (binary format)

Data type

String

Range

Up to 248 characters (including extension)

*1. If no image exists on the clipboard, the images on the LCD are stored on the clipboard when the command is executed and then they are saved.

*2. In the ASCII format (extension “.csv”), up to 65,536 measurement data for statistical analysis can be saved. If the frequency of data measurement stored on the volatile memory exceeds 65,536, only the data of the first 65,536 measurements are saved and the remaining data are ignored. In the binary format (extension “.dta”), there is no limit to measurement frequency, and thus all of the stored measurement data for statistical analysis are saved.

You should specify the second parameter only if the file extension is “.csv”. When this parameter is not specified for any file with the extension “.csv”, measurement data for statistical analysis (LOG) are saved.

Description

Data type of .csv file

Range

LOG: Specifies that measurement data for statistical analysis are saved

LIST: Specifies that measurement results of list measurement at all measurement points are saved. This parameter is not available for single-point measurement.

SETup: Specifies that contents of all measurement point setup tables, contents of all calibration kit setup tables, and contents of all compensation kit setup tables are saved.

COMParator: Specifies that contents of all BIN sorting setup tables are saved.

Equivalent key

Data Export > Export Data Setup.. (:MMEM:STORe "<filename>.csv", SET)

Data Export > Export Bin Data... (:MMEM:STORe "<filename>.dta")

Data Export > Export List Data (:MMEM:STORe "<filename>.csv", LIST)

Data Export > Dump Screen Image (:MMEM:STORe "<filename>.png|bmp")


:MMEM:TRAN

Syntax

:MMEMory:TRANsfer <file_name>, <data>

:MMEMory:TRANsfer? <file_name>

Description

This command sets/returns data to/from a file on the built-in storage device.

Variable

Parameter | <file_name>
Description | File name on the built-in storage device
Data type | String
Range | Up to 248 characters

Parameter | <data>
Description | Data written on/read out from the file
Data type | Block

Query Response

{block}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:OUTP

Syntax

:OUTPut[:STATe] {ON|OFF|1|0}

:OUTPut[:STATe]?

Description

This command turns ON the RF signal source output.

Variable

Description | Selection RF signal source output
Range | ON or 1: RF Signal Output ON OFF or 0:RF Signal Output Off
Preset value | ON or 1

Query Response

{1|0}<newline><^END>

Equivalent key

System > Service > AC Output > ON|OFF


:READ?

Syntax

:READ? [<numeric>]

Description

When the instrument is configured to use an internal, manual or external trigger source (that is, after you have issued the :TRIG:SOUR command by specifying “INT”, “MAN” or “EXT”), issuing this command without the parameter sets the trigger system into trigger wait state. Then this command returns the measurement data when the instrument is triggered and has completed the measurement cycle.

When the instrument is configured to use an internal, manual or external trigger source, issuing this command with the parameter sets the active table to the number specified by the parameter. Then the E4982A is operated as described above. In other words, issuing this command with the parameter causes the same operation as when the :SOUR:LIST:TABL command is issued, and then the :READ? command is issued without the parameter.

When the instrument is configured to use the GPIB/LAN trigger source (that is, after you have issued the :TRIG:SOUR command by specifying “BUS”), this command fails and an error is generated. This is because issuing the command would prevent the instrument from being triggered.

  • When the instrument is configured to use a manual or external trigger source, it does not accept any additional command until it is triggered from the external source. To exit from this state without triggering the instrument from the external source, you must send the Device Clear command to abort query processing.

Variable

  • This is an optional parameter. You do not have to specify the parameter if you do not intend to change the active table for every measurement.
Parameter | Value
Description | Table number
Data type | Integer
Range | 1 to 8
Preset value | 1
Resolution | 1

If your specified parameter is beyond the valid range, the command fails and an error is generated.

Query response

Same as the :FETC? command.

Related objects

:FETC?

:TRIG:SOUR

:SOUR:LIST:TABL

Equivalent key

No equivalent key is available on the front panel.


:SERV:LOGG:CLE

Syntax

SERVice:LOGGing:CLEar

Description

This command clears all log files about Event, Power on test, Mech software, Overload, FW close, Recovery.

Equivalent key

No equivalent key is available on the front panel.


:SERV:PROG:EXEC

Syntax

SERVice:PROGram:EXECute <file_name>, [<params>]

Description

This command executes the specified program on windows.

Variable

Parameter | <file_name>
Description | Program or file name to be executed. If the specified file is not executable, a program associated with its extension opens the file
Data type | String
Range | Up to 255 characters

Parameter | <data>
Description | Parameter list. This is option.
Data type | String
Range | Up to 255 characters

Equivalent key

No equivalent keys are available on the front panel.


:SERV:SREV

Syntax

:SERVice:SREVision?

Description

This command returns the system version number of the E4982A.

Query Response

{numeric}<newline><^END>

Equivalent key

System > Product Information... (Described as System:)

  • "R" is added before the number which is returned by this function.


:SERV:SYST:OS:REV

Syntax

SERVice:SYSTem:OS:REVision?

Description

This command returns the HDD revision number of the E4982A.

Query Response

{String}<newline><^END>

Equivalent key

System > Product Information... (Described as HDD revision:)


:SOUR:LIST

Syntax

:SOURce:LIST[:DATA] <nop>,<freq 1>,<ave 1>,<pow 1>,...,<freq N>,<ave N>,<pow N>

:SOURce:LIST[:DATA]?

where N represents the number of points contained in the active table (this number is specified with the <nop> parameter).

Description

Sets up the active table by specifying the measurement frequency values, averaging factors, and oscillator levels for all measurement points.

Variable

Parameter | <nop> | <freq n> | <ave n>
Description | Number of measurement points (N) | Measurement frequency at nth point | Averaging factor at nth point
Data type | Long integer type (Long) | Long integer type (Long) | Long integer type (Long)
Range | 1 to 201 | 1E6 to 3000E6 | 1 to 100
Unit | - | Hz | -
Resolution | 1 | 100E3 | 1

Parameter | <pow n>
Description | Oscillator level at nth point
Unit to apply to setting *1 | dBm | mA | mV
Range | -40 to 1 | 0.1 to 10 | 5 to 502
Unit | dBm | mA | mV
Preset value | -13 | 2 | 100
Resolution | 0.1 dB *2

*1 Use the :SOUR:UNIT command to select the unit for the setting.

*2 The value is converted to dBm and then rounded off in resolutions of 0.1dB when mA or mV is selected as the unit of oscillator level.

where N represents an integer between 1 and N.

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{nop},{freq 1},{ave 1},{pow 1},...,{freq N},{ave N},{pow N}<newline><^END>

Related objects

:SOUR:LIST:SIZE?

:SOUR:LIST:FREQ?

:SOUR:UNIT

Equivalent key

Stim Table


:SOUR:LIST:CLE

Syntax

:SOURce:LIST:CLEar

Description

This command resets all of the measurement point setup tables to the factory default settings, regardless of the active table settings. (No query)

Equivalent key

Stim Table > Clear Table


:SOUR:LIST:POIN

Syntax

:SOURce:LIST:POINt <numeric>

:SOURce:LIST:POINt?

Description

Specifies the measurement point for single-point measurement. This setting is retained even if the active table is changed. If the specified point number exceeds the maximum point number allowed in the new active table, however, the instrument will perform single-point measurement using that maximum number instead of the previously specified number.

This setting is reset when settings in the measurement point setup table are changed by execution of the :SOUR:LIST or :SOUR:LIST:CLE command.

Variable

Parameter | Value
Description | Point number for single-point measurement
Data type | Long integer type (Long)
Range | 1 to 201
Preset value | 1
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Related object

:SOUR:LIST

:SOUR:LIST:CLE

:SOUR:LIST:STAT

Equivalent key

No equivalent key is available on the front panel.


:SOUR:LIST:RDC

Syntax

:SOURce:LIST:RDC[:STATe] {ON|OFF|1|0}

:SOURce:LIST:RDC[:DATA]?

Description

This command sets/gets Rdc measurement. This setting is retained even if the active table is changed.

Variable

Parameter | State
Description | Sets/gets Rdc measurement
Data type | Boolean
Range | ON or 1: Instructs instrument to perform Rdc measurement (turns on Rdc measurement function) OFF or 0: Instructs instrument to NOT perform Rdc measurement (turns off Rdc measurement function)
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

Meas Setup > Rdc Meas > ON|OFF


:SOUR:LIST:RDC:AVER

Syntax

:SOURce:LIST:RDC:AVERage <numeric>

:SOURce:LIST:RDC:AVERage?

Description

This command sets/gets the averaging factor of the Rdc measurement. This setting is valid for all tables.

Variable

Parameter | Numeric
Description | Averaging factor
Range | 1 to 6000
Initial value | 128
Resolution | 1

Query response

{numeric}<newline><^END>

Equivalent key

Meas Setup > Avg Count


:SOUR:LIST:RDC:OFSC

Syntax

:SOURce:LIST:RDC:OFSCancel {ON|OFF|1|0}

:SOURce:LIST:RDC:OFSCancel?

Description

This command turns ON/OFF the offset cancel function for the Rdc measurement.

  • Turn ON this setup before measuring calibration/compensation data.

Variable

Parameter | State
Description | Turns ON/OFF the offset cancel function for Rdc measurement
Data type | Boolean
Range | ON or 1: Turns ON the offset cancel function OFF or 0: Turns OFF the offset cancel function
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


:SOUR:LIST:RDC:RF

Syntax

:SOURce:LIST:RDC:RF[:STATe] {ON|OFF|1|0}

:SOURce:LIST:RDC:RF[:STATe]?

Description

Selects ON/OFF the RF signal while the Rdc measurement is made.

Variable

Description | RF signal ON/OFF selection during Rdc measurement
Range | ON or 1: Turns ON RF signal while the Rdc measurement is made. OFF or 0: Turns OFF RF signal while the Rdc measurement is made.
Preset value | ON or 1

Query response

{1|0}<newline><^END>

Equivalent key

Meas Setup > AC > ON|OFF


:SOUR:LIST:FREQ?

Syntax

:SOURce:LIST:FREQuency?

Description

This command returns the measurement frequency values for all points in the active table. (Query only)

Query response

{freq 1}, {freq 2}, .. , {freq N}<newline><^END>

Related objects

:SOUR:LIST:SIZE?

:SOUR:LIST

Equivalent key

Stim Table > Stimulus Tab

List Meas


:SOUR:LIST:SIZE?

Syntax

:SOURce:LIST:SIZE?

Description

This command returns the number of measurement points defined in the active table. (Query only)

Variable

Parameter | Value
Description | Number of measurement points in active table
Data type | Long integer type (Long)
Preset value | 1

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:SOUR:LIST:STAT

Syntax

:SOURce:LIST:STATe {ON|OFF|1|0}

:SOURce:LIST:STATe?

Description

This command sets/gets the measurement points to be used during measurement.

  • List measurement: The instrument measures the DUT’s characteristics at all points defined in the active table. The list mode or plotting mode can be selected by the :DISP:LIST:TYPE command.

  • Single-point measurement: The instrument measures the DUT’s characteristics only at the point specified by issuing the :SOUR:LIST:POIN command.

Variable

Parameter | State
Description | Sets/gets the measurement points
Data type | Boolean
Range | ON or 1: Instructs instrument to perform list measurement OFF or 0: Instructs instrument to perform single-point measurement
Preset value | OFF or 0

Query response

{1|0}<newline><^END>

Related objects

:SOUR:LIST:POIN

:DISP:LIST:TYPE

Equivalent key

List Meas


:SOUR:LIST:SWE:LIN

Syntax

:SOURce:LIST:SWEep:LINear <nop>,<freq start>,<freq stop>,<ave>,<osc lvl start>,[<osc lvl stop>]

Description

Sets up the active table by specifying the start/stop frequency values, averaging factor, and start/stop oscillator levels. Frequency values are expanded linearly. This command generates the same table as the Quick Edit.

  • Use the :SOUR:UNIT command to select the unit for the setting.

Variable

Parameter | <nop> | <freq start> | <freq stop>
Description | Number of measurement points | Start value of frequency | Stop value of frequency
Data type | Integer | Real | Real
Range | 1 to 201 | 1E6 to 3000E6 | 1E6 to 3000E6
Resolution | 1 | 100E3 | 100E3

Parameter | <ave> | <osc lvl start> | <osc lvl stop>
Description | Averaging factor | Start value of the oscillator level | Stop value of the oscillator level.*1
Data type | Integer | Real | Real
Range | 1 to 100 | Depends on the unit | Depends on the unit
Resolution | 1 | Depends on the unit | Depends on the unit

*1 Default value is the same as the <osc lvl start>

Related objects

:SOUR:UNIT

:SOUR:LIST:SWE:LOG

Equivalent key

Stim Table > Quick Edit


:SOUR:LIST:SWE:LOG

Syntax

:SOURce:LIST:SWEep:LOGarithm <nop>,<freq start>,<freq stop>,<ave>,<osc lvl start>,[<osc lvl stop>]

Description

Sets up the active table by specifying the start/stop frequency values, averaging factor, and start/stop oscillator levels. Frequency values are expanded logarithmically. This command generates the same table as the Quick Edit. Oscillator levels are always expanded linearly.

  • Use the :SOUR:UNIT command to select the unit for the setting.

Variable

Parameter | <nop> | <freq start> | <freq stop>
Description | Number of measurement points | Start value of frequency | Stop value of frequency
Data type | Integer | Real | Real
Range | 1 to 201 | 1E6 to 3000E6 | 1E6 to 3000E6
Resolution | 1 | 100E3 | 100E3

Parameter | <ave> | <osc lvl start> | <osc lvl stop>
Description | Averaging factor | Start value of the oscillator level | Stop value of the oscillator level.*1
Data type | Integer | Real | Real
Range | 1 to 100 | Depends on the unit | Depends on the unit
Resolution | 1 | Depends on the unit | Depends on the unit

*1 Default value is the same as the <osc lvl start>

Related objects

:SOUR:UNIT

:SOUR:LIST:SWE:LIN

Equivalent key

Stim Table > Quick Edit


:SOUR:LIST:TABL

Syntax

:SOURce:LIST:TABLe <numeric>

:SOURce:LIST:TABLe?

Description

This command specifies which table to use as the active table.

Variable

Parameter | Value
Description | Number of the table that should be the active table
Data type | Long integer type (Long)
Range | 1 to 8
Preset value | 1
Resolution | 1

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


:SOUR:UNIT

Syntax

:SOURce:UNIT {DBM|V|A}

:SOURce:UNIT?

Description

This command lets you select the unit to be used while displaying and setting the oscillator levels.

Variable

Parameter | String
Description | Unit of oscillator levels
Data type | String
Range | DBM: Uses dBm as display/setting unit V: Uses mV as display/setting unit A: Uses mA as display/setting unit
Preset value | DBM

Query response

{DBM|V|A}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


:STAT:OPER?

Syntax

:STATus:OPERation[:EVENt]?

Description

This command returns the value of the Operation Status Event register. (Query only)

Query response

{numeric}<newline><^END>

Related objects

*CLS

Equivalent key

No equivalent key is available on the front panel.


:STAT:OPER:COND?

Syntax

:STATus:OPERation:CONDition?

Description

This command returns the value of the Operation Status Condition register. (Query only)

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


:STAT:OPER:ENAB

Syntax

:STATus:OPERation:ENABle <numeric>

:STATus:OPERation:ENABle?

Description

Sets the value of the Operation Status enable register.

Variable

Parameter | <numeric>
Description | Value of enable register
Range | 0 to 32767
Preset value | 0
Resolution | 1

If you specify a parameter value beyond the valid range, the command assumes a bit-by-bit logical product (AND) with 32767 (0x7fff).

Query response

{numeric}<newline><^END>

Related objects

*SRE

:STAT:PRES

Equivalent key

No equivalent keys are available on the front panel.


:STAT:OPER:NTR

Syntax

:STATus:OPERation:NTRansition <numeric>

:STATus:OPERation:NTRansition?

Description

Sets the value of the negative transition filter of the operation status register.

Variable

Parameter | <numeric>
Description | Value of negative transition filter
Range | 0 to 32767
Preset value | 0
Resolution | 1

If you specify a parameter value beyond the valid range, the command assumes a bit-by-bit logical product (AND) with 32767 (0x7fff).

Query response

{numeric}<newline><^END>

Related Objects

:STAT:PRES

Equivalent key

Trigger Mode > Ext Trig Polarity > Negative


:STAT:OPER:PTR

Syntax

:STATus:OPERation:PTRansition <numeric>

:STATus:OPERation:PTRansition?

Description

Sets the value of the positive transition filter of operation status register.

Variable

Parameter | <numeric>
Description | Value of positive transition filter
Range | 0 to 32767
Preset value | 32767
Resolution | 1

If you specify a parameter value beyond the valid range, the command assumes a bit-by-bit logical product (AND) with 32767 (0x7fff).

Query response

{numeric}<newline><^END>

Related Objects

:STAT:PRES

Equivalent key

Trigger Mode > Ext Trig Polarity > Positive


:STAT:PRES

Syntax

:STATus:PRESet

Description

Initializes the values of the Operation Status register and Questionable Status register. (No query)

Equivalent key

No equivalent keys are available on the front panel.


:STAT:QUES?

Syntax

:STATus:QUEStionable[:EVENt]?

Description

Returns the value of the Questionable Status Event register. (Query only)

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:STAT:QUES:ENAB

Syntax

:STATus:QUEStionable:ENABle <numeric>

:STATus:QUEStionable:ENABle?

Description

This command sets/gets the value of the Questionable Status enable register.

Variable

Parameter | Value
Description | Value of enable register
Data type | Long integer type (Long)
Range | 0 to 32767
Preset value | 0
Resolution | 1

If you specify a parameter value beyond the valid range, the command assumes a bit-by-bit logical product (AND) with 32767 (0x7fff).

Query response

{numeric}<newline><^END>

Related objects

*SRE

:STAT:PRES

Equivalent key

No equivalent key is available on the front panel.


:SYST:BEEP1

Syntax

:SYSTem:BEEPer1[:IMMediate]

Description

Generates a beep to notify the user that a particular operation is complete.

Related Objects

:SYST:BEEP1:STAT

Equivalent key

System > Misc Setup > Beeper > Play Beep Done


:SYST:BEEP1:STAT

Syntax

:SYSTem:BEEPer1:STATe {ON|OFF|1|0}

:SYSTem:BEEPer1:STATe?

Description

Specifies whether to enable the beep mechanism used to notify the user that a particular operation (such as measuring the calibration data) is complete.

Parameters

 | Description
ON or 1 (initial value) | Enables beep mechanism
OFF or 0 | Disables beep mechanism

Query response

{1|0}<newline><^END>

Related Objects

:SYST:BEEP1

Equivalent key

System > Misc Setup > Beeper > Beep Done > ON|OFF


:SYST:BEEP2

Syntax

:SYSTem:BEEPer2[:IMMediate]

Description

Generates a beep to notify the user that a warning condition has occurred or that the comparator has returned a result. (No query)

Related Objects

:SYST:BEEP2:STAT

Equivalent key

System > Misc Setup > Beeper > Play Beep Warning


:SYST:BEEP2:STAT

Syntax

:SYSTem:BEEPer2:STATe {ON|OFF|1|0}

:SYSTem:BEEPer2:STATe?

Description

Specifies whether to enable the beep mechanism used to notify the user of a warning condition or a comparator result.

Parameters

 | Description
ON or 1 (initial value) | Enables beep mechanism
OFF or 0 | Disables beep mechanism

Query response

{1|0}<newline><^END>

Related Objects

:CALC:COMP:BEEP:COND

Equivalent key

System > Misc Setup > Beeper > Beep Warning > ON|OFF


:SYST:COMM:TCP:CONT

Syntax

:SYSTem:COMMunicate:TCPip:CONTrol

:SYSTem:COMMunicate:TCPip:CONTrol?

Description

Returns a unique dynamic port number for TCP socket connections. This command returns zero for any connection except TCP sockets.

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:SYST:DATE

Syntax

:SYSTem:DATE <year>,<month>,<day>

:SYSTem:DATE?

Description

Sets the date of the E4982A's internal clock.

Parameters

 | <year> | <month> | <day>
Description | Year part of the date | Month part of the date | Day part of the date
Range | 1980 to 2099 | 1 to 12 | 1 to 31
Resolution | 1 | 1 | 1

If your specified parameter is beyond the valid range, the command fails and an error is generated.

Query response

{year},{month},{day}<newline><^END>

Related Objects

:SYST:TIME

Equivalent key

System > Misc Setup > Set Date & Time...


:SYST:ERR?

Syntax

:SYSTem:ERRor[:DATA]?

Description

Returns the oldest error from the E4982A's error queue. The size of the error queue is 100. You can use the *CLS command to clear all errors contained in the error queue.

This commands cannot return an error that occurs by manual operation using the front panel, the mouse or keyboard.

Query response

{numeric},{string}<newline><^END>

{numeric}:

Error number

{string}:

Error message (a double-quoted string)

If the error queue contains no error, the command returns zero for the error number and “No error” for the error message.

Related Objects

*CLS

Equivalent key

No equivalent keys are available on the front panel.


:SYST:ERR:COUN?

Syntax

:SYSTem:ERRor:COUNt?

Description

Returns the number of errors contained in the error queue. (Query only)

Variable

Description | Error count contained in error queue
Data type | Long integer type (Long)
Initial value | 0

Query response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:SYST:EXTR?

Syntax

:SYSTem:EXTRef?

Description

Returns whether the external reference signal is inputted through the Ext Ref In connector on the rear panel. (Query only)

Query response

{1|0}<newline><^END>

 | Description
1 | External reference signal is inputted
0 | External reference signal is not inputted

Equivalent key

No equivalent keys are available on the front panel.


:SYST:HAND:TRIG:VOLT

Syntax

:SYSTem:HANDler:TRIGger:VOLTage <numeric>

:SYSTem:HANDler:TRIGger:VOLTage?

Description

Specifies the handler trigger input voltage.

  • The handler interface may get damaged if incorrect voltage is set.

Parameters

Parameter | <numeric>
Description | Input Voltage
Range | 5 to 24
Unit | Volt
Preset value | 24
Resolution | 0.1

Query Response

{numeric}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:SYST:KLOC

Syntax

:SYSTem:KLOCk[:FPANel] {ON|OFF|1|0}

:SYSTem:KLOCk[:FPANel]?

Description

Specifies whether to lock the front panel key, rotary knob and key board.

This command has the same function as :SYST:KLOC:KBD command.

Parameters

 | Description
ON or 1 | Locked
OFF or 0 (initial value) | Unlocked

Query response

{1|0}<newline><^END>

Related Objects

:SYST:KLOC:KBD

:SYST:KLOC:MOUS

Equivalent key

System > Misc Setup > Keyboard > Unlocked|Locked


:SYST:KLOC:KBD

Syntax

:SYSTem:KLOCk:KBD {ON|OFF|1|0}

:SYSTem:KLOCk:KBD?

Description

This command specifies whether to lock the front panel key, rotary knob and key board.

This command has the same function as :SYST:KLOC command.

Variable

Parameter | State
Description | State of front panel key, rotary knob and keyboard
Data type | Boolean
Range | ON or 1: Locked OFF or 0: Unlocked
Preset value | OFF or 0

Query Response

{1|0}<newline><^END>

Related objects

:SYST:KLOC

:SYST:KLOC:MOUS

Equivalent key

System > Misc Setup > Keyboard > Unlocked|Locked


:SYST:KLOC:MOUS

Syntax

:SYSTem:KLOCk:MOUSe {ON|OFF|1|0}

:SYSTem:KLOCk:MOUSe?

Description

This command specifies whether to lock the mouse.

Variable

Parameter | State
Description | State of mouse
Data type | Boolean
Range | ON or 1: Locked OFF or 0: Unlocked
Preset value | OFF or 0

Query Response

{1|0}<newline><^END>

Related objects

:SYST:KLOC

:SYST:KLOC:KBD

Equivalent key

System > Misc Setup > Mouse > Unlocked|Locked


:SYST:POFF

Syntax

:SYSTem:POFF

Description

This command turns off the power to the E4982A. (No query)

Equivalent key

Standby switch


:SYST:PRES

Syntax

:SYSTem:PRESet

Description

Resets the instrument to its preset state. This command works similarly to the *RST command, except that it: (No query)

Turns on the continuous activation of the trigger system.

Has no effect on the data transfer format setting.

Related Objects

*RST

Equivalent key

Preset


:SYST:SET

Syntax

:SYSTem:SET <data>

Description

This command recalls the state of the instrument when the *LRN? query was executed.

The result of *LRN? query contains ":SYST:SET " prefix, so that simply sending the *LRN? result to the instrument executes this command.

Example of use (VISA-COM)

Dim SETData() As Byte, NoofByte As Double

'*** Recall the State data from the file, State01.sta is a state file saved by E4982A

Open "C:\State01.sta" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the State file data to E4982A

Age4982x.WriteIEEEBlock ":SYST:SET ", SETData, True

Variable

Parameter | <data>
Description | Data read out from the file
Data type | Block

Query Response

{block}<newline><^END>

Equivalent key

No equivalent keys are available on the front panel.


:SYST:TIME

Syntax

:SYSTem:TIME <hour>,<min>,<sec>

:SYSTem:TIME?

Description

This command sets/gets the time of the E4982A's internal clock.

Variable

Parameter | <hour> | <min> | <sec>
Description | Hour part of the time (in 24-hour format) | Minute part of the time | Seconds part of the time
Data type | Long integer type (Long) | Long integer type (Long) | Long integer type (Long)
Range | 0 to 23 | 0 to 59 | 0 to 59
Resolution | 1 | 1 | 1

If your specified parameter is beyond the valid range, the command fails and an error is generated.

Query Response

{hour},{min},{sec}<newline><^END>

Related objects

:SYST:DATE

Equivalent key

System > Misc Setup > Set Date & Time...


:SYST:VERS?

Syntax

:SYSTem:VERSion?

Description

This command returns the SCPI version number the instrument complies with. (Query only)

Variable

Description | SCPI version number
Data type | String
Initial value | 1997.0

Query Response

{string}<newline><^END>

The command returns a string in a YYYY.V format. The YYYY part of this string indicates the year version while the V part indicates the version number within that year.

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:BIN

Syntax

:TEST:HANDler:BIN <numeric>

Description

This command can set the output of the Bin No on the handler interface for test purpose and can be used to check/troubleshoot the Test pin signal of Handler interface. To use this command, :TEST:HANDler:MODE should be set to ON.

Parameters

Parameter | Numeric
Description | Selection of Handler Interface Test mode on/off
Range | 0: OUT_OF_GOOD_BIN (Handler I/F Pin no. 10) 1 to 13: BIN 1 to 13 (Handler I/F Pin no. 1 to 9 and 19 to 21) 14: All Off
Resolution | 1

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:MODE

Syntax

:TEST:HANDler:MODE {ON|OFF|1|0}

:TEST:HANDler:MODE?

Description

Sets the handler interface test mode.

When this parameter is set to ON, the interface pin signal value can be controlled/read by :TEST:HAND:xxxx commands. After completing the test, :TEST:HANDler:MODE should set to OFF so that handler interface pin signal is generated according to the actual measurement result

Parameters

Description | Selection of Handler Interface Test mode on/off
Data type | Boolean
Range | ON or 1: Handler Interface Test mode OFF or 0: Normal
Preset value | OFF or 0

Query Response

{1|0}<newline><^END>

Related Objects

:TEST:HAND:BIN

:TEST:HAND:STAT:ALAR

:TEST:HAND:STAT:EOM

:TEST:HAND:STAT:IND

:TEST:HAND:STAT:KEYL

:TEST:HAND:STAT:OVLD

:TEST:HAND:STAT:RDC

:TEST:HAND:STAT:RDYT

:TEST:HAND:STAT:TRIG

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:ALAR

Syntax

:TEST:HANDler:STATus:ALARm {ON|OFF|1|0}

Description

This command sets the output of the alarm pin (pin no. 29) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the alarm pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:EOM

Syntax

:TEST:HANDler:STATus:EOM {ON|OFF|1|0}

Description

This command sets the output of the EOM (End of Measurement) pin (pin no. 31) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the EOM pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:IND

Syntax

:TEST:HANDler:STATus:INDex {ON|OFF|1|0}

Description

This command sets the output of the Index pin (pin no. 30) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the index pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:KEYL

Syntax

:TEST:HANDler:STATus:KEYLock?

Description

This command gets the status of the key lock pin (pin no. 25) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, 1 is returned when input signal level is low.

Variable

Description

Status of the key lock pin on handler interface

Range

ON or 1: Input Key Lock state is ON. Since the /KEY_LOCK signal is active low, input signal level is low.

OFF or 0:Input key Lock state is OFF. Since the /KEY_LOCK signal is active low, input signal level is high.

Preset value

OFF or 0

Query Response

{1|0}<newline><^END>

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:OVLD

Syntax

:TEST:HANDler:STATus:OVLD {ON|OFF|1|0}

Description

This command sets the output of the overload pin (pin no. 24) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the overload pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:RDC

Syntax

:TEST:HANDler:STATus:RDCout {ON|OFF|1|0}

Description

This command sets the output of the Rdc out of range pin (pin no. 23) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the Rdc out of range pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:RDYT

Syntax

:TEST:HANDler:STATus:RDYTrig {ON|OFF|1|0}

Description

This command sets the output of the ready for trigger pin (pin no. 22) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON. As this pin is active-low, output signal level becomes low when it is turned on.

Parameters

Description | Set the ready for trigger pin status on the handler interface
Range | ON or 1: Low OFF or 0: High

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TEST:HAND:STAT:TRIG

Syntax

:TEST:HANDler:STATus:TRIGger?

Description

This command gets the status of the trigger pin (pin no. 12 and 13) on the handler interface for test purpose. This can be used to check/troubleshoot for the handler interface operation. To use this command, :TEST:HANDler:MODE should be set to ON.

Variable

Description | Status of trigger pin on handler interface
Range | ON or 1: Input level is high. OFF or 0:Input level is low.

Query Response

{1|0}<newline><^END>

Related Objects

:TEST:HAND:MODE

Equivalent key

No equivalent keys are available on the front panel.


:TRIG

Syntax

:TRIGger[:SEQuence1][:IMMediate]

Description

When the trigger system is in trigger event detect state, you can use this command to immediately trigger the instrument to start measurement, regardless of the trigger setting. If the trigger system is not in trigger event detect state, however, issuing the command generates an error. For more information on the trigger system, see Trigger system. (No query)

Equivalent key

Trigger


:TRIG:DEL

Syntax

:TRIGger[:SEQuence1]:DELay <numeric>

:TRIGger[:SEQuence1]:DELay?

Description

This command specifies the wait time (trigger delay time) between triggering and the start of single-point or list measurement.

Variable

Parameter | Value
Description | Trigger delay time
Data type | Real
Range | 0 to 1
Preset value | 0
Unit | s (seconds)
Resolution | 100E-6

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query Response

{numeric}<newline><^END>

Related objects

:TRIG:SEQ2:DEL

Equivalent key

Trigger Mode > Trigger Delay


:TRIG:SEQ2:DEL

Syntax

:TRIGger:SEQuence2:DELay <numeric>

:TRIGger:SEQuence2:DELay?

Description

This command specifies the pre-measurement wait time (measurement point delay time) for each measurement point.

Variable

Parameter | Value
Description | Measurement point delay time
Data type | Real
Range | 0 to 1
Preset value | 0
Unit | s (seconds)
Resolution | 100E-6

If your specified parameter is beyond the valid range, the instrument ignores the parameter and uses either the maximum or minimum value depending on whether the parameter is greater than the upper limit or smaller than the lower limit.

Query Response

{numeric}<newline><^END>

Related objects

:TRIG:DEL

Equivalent key

Trigger Mode > Point Delay


:TRIG:SLOP

Syntax

:TRIGger:SLOPe {POSitive|NEGative}

:TRIGger:SLOPe?

Description

This command sets/gets the polarity of the external trigger signal input through the rear panel EXT TRIGGER terminal and the handler interface.

Variable

Parameter | String
Description | Polarity of external trigger signal input
Data type | String
Range | POSitive: Positive (triggering at the rising edge from the LOW level to the HIGH level) NEGative: Negative (triggering at the falling edge from the HIGH level to the LOW level)

Query Response

{POS|NEG}<newline><^END>

Equivalent key

Trigger Mode > Ext Trig Polarity > Positive|Negative


:TRIG:SOUR

Syntax

:TRIGger[:SEQuence1]:SOURce {INTernal|MANual|EXTernal|BUS}

:TRIGger[:SEQuence1]:SOURce?

Description

Lets you select one of the following four trigger sources:

Internal

Configures the instrument to use its internal trigger source so that is it automatically and continuously triggered.

Manual

Configures the instrument to be triggered when you press the [Trigger] key on the front panel.

External

Configures the instrument to be triggered when a trigger signal is input through the Ext TRIGGER terminal or handler interface.

GPIB/LAN

Configures the instrument to be triggered when the *TRG is issued.

Variable

Parameter | String
Description | Trigger source
Data type | String
Range | INTernal: Internal trigger source MANual: Manual trigger EXTernal: External trigger source BUS: GPIB/LAN trigger
Preset value | INTernal

Query Response

{INT|MAN|EXT|BUS}<newline><^END>

Equivalent key

Trigger Mode > Internal|Manual|External|Bus


:WAIT

Syntax

:WAIT?

Description

This command returns 1 when the instrument is ready for trigger status.

Query response

{1}<newline><^END>

Equivalent key

No equivalent key is available on the front panel.


Example

This is an example of a graphical popup windows. Unlike text only popup, it can contain graphics [image] as well.


Special Characters (Only for developers)

×

µ :micro

Ω :ohm

Γ :gamma

θ :theta

σ : sigma

Δ : delta

α : alpha

β : beta

ω :omega


How to Change Oscillator Level Setup Unit

Change the oscillator level setup unit by following these steps:

1. From the Table softkey menu, click on Quick Edit softkey.

2. At the Quick Edit window, click on the drop-down list box menu of Unit in the Oscillator Level group and select a new unit. As a result, the signal level unit of each measurement point is converted to the selected unit.

  • The setting resolution of the oscillator level is always 0.1 dBm regardless of the set unit. Accordingly, if the oscillator level is entered in V (volt) or A (ampere) units, the set value is automatically converted with 0.1 dB resolution based on the input value.

For example, if you have entered 50 mV as the oscillator voltage level, the value is equivalent to - 19.030... [dBm] in dBm units and the 4287A stores the settings as - 19.0 dBm. Next, the value -19.0 dBm is converted to V units and the result is 50.178... [mV]. As a result, the displayed value will be 50.2 mV.


Data Sheet Revision History

The data sheet revision history is shown as below. The print date is used to define the revision. See the last page of the data sheet for its print date.

Other topics about Revision History

This is the first revision.


Command Finder (Analysis)

Softkey under Analysis key |  | SCPI command
Comparator | ON|OFF | :CALC:COMP
Edit Comptr Table |  | None
RdcLimit - Upper |  | :CALC:COMP:RDC:LIM
Rdc Limit - Lower |  | :CALC:COMP:RDC:LIM
Rdc Limit - Good Bins |  | :CALC:COMP:OGB
Bin {1-13} - Good Bin | ON|OFF | :CALC:COMP:BIN{1-13}
Condition {1-4} | Stimulus | :CALC:COMP:COND{1-4}:SNUM
 | Parameter | :CALC:COMP:COND{1-4}:PAR
 | Mode | :CALC:COMP:COND{1-4}:MODE
 | Reference | :CALC:COMP:COND{1-4}:NOM
 | Upper Limit | :CALC:COMP:BIN{1-13}:COND{1-4}:LIM
 | Lower Limit | :CALC:COMP:BIN{1-13}:COND{1-4}:LIM
 | In/Out | :CALC:COMP:BIN{1-13}:COND{1-4}:LTYP
Bin Count |  | :CALC:COMP:COUN
Clear Bin Count |  | :CALC:COMP:COUN:CLE
Start Logging |  | :CALC:EXAM:STAR
Stop Logging |  | :CALC:EXAM:GET?
Log Size |  | :CALC:EXAM:SIZE
Export as Binary |  | None
Export as CSV |  | None
Open Results View/Statistics |  |
Start Logging |  | :CALC:EXAM:STAR
Stop Logging |  | :CALC:EXAM:GET?
Log Size |  | :CALC:EXAM:SIZE
Export as Binary... |  | None
Export as CSV... |  | None


Command Finder (Calibration)

Softkey under Calibration key |  | SCPI command
Option | All Tables | None
Option | Auto Recall | None
Averaging | Custom Averaging | :CORR:COLL:AVER
Averaging | Minimum Count | :CORR:COLL:AVER:MIN
OPEN | AC&DC | :CORR1:COLL
OPEN | AC | :CORR1:COLL:RF
OPEN | DC | :CORR1:COLL:DC
SHORT | AC&DC | :CORR1:COLL
SHORT | AC | :CORR1:COLL:RF
SHORT | DC | :CORR1:COLL:DC
LOAD | AC&DC | :CORR1:COLL
LOAD | AC | :CORR1:COLL:RF
LOAD | DC | :CORR1:COLL:DC
LLC | AC | :CORR1:COLL
Clear All |  | :CORR1:CLE
Clear STDs |  | :CORR1:COLL:CLE
Done |  | :CORR1:COLL:SAVE


Command Finder (System)

Softkey under System key |  |  | SCPI command
Product Information |  |  | *IDN *OPT :SYST:VERS? :SERV:SREV :SERV:SYST:OS:REV
Misc Setup |  |  |
Beeper | Beeper Done | ON|OFF | :SYST:BEEP1:STAT
Beeper | Play | Beep Done | :SYST:BEEP1
Beeper | Beep Warning | ON|OFF | :SYST:BEEP2:STAT
Beeper | Play | Beep Warning | :SYST:BEEP2
Beeper | Beep Comparator | PASS|FAIL | :CALC:COMP:BEEP:COND
Adjust Touch Screen... |  |  | None
Keyboard | Locked|Unlocked |  | :SYST:KLOC :SYST:KLOC:KBD
Mouse | Locked|Unlocked |  | :SYST:KLOC:MOUS
Set Date & Time... |  |  | :SYST:DATE :SYST:TIME
F1 Key |  |  | None
F2 Key |  |  | None
F3 Key |  |  | None
Full Screen | ON|OFF |  | None
Periodic Update | ON|OFF |  | :DISP:UPD
GPIB Address |  |  | None
Network Setup |  |  |
Telnet Server | ON|OFF |  | None
SICL-LAN | ON|OFF |  | None
Web Server | ON|OFF |  | None
VNC Server Configuration... |  |  | None
Network Configuration... |  |  | None
Network Identification... |  |  | None
LAN Dialog... |  |  | None
Tools |  |  |
Telnet localhost... |  |  | None
On-Screen Keyboard |  |  | None
Service |  |  |
Display |  |  | None
Keyboard |  |  | None
Internal |  |  | None
External |  |  | None
System Preference |  |  |
Export Preference... |  |  | None
Import Preference... |  |  | None
Restore Factory Settings |  |  | None
AC Output | ON|OFF |  | :OUTP
Handler Ext Trig |  |  | None
Back Light | ON|OFF |  | :DISP:BACK
Update |  |  |
Select File |  |  | None
Restart |  |  | None
Exit |  |  | None


Command Finder (Compensation)

Softkey under Compensation key |  | SCPI command
Option | All Tables | None
Option | Auto Recall | None
Averaging | Custom Averaging | :CORR:COLL:AVER
Averaging | Minimum Count | :CORR:COLL:AVER:MIN
OPEN | AC&DC | :CORR2:COLL :CORR2:COLL:SAVE
OPEN | AC | :CORR2:COLL:RF
OPEN | DC | :CORR2:COLL:DC
SHORT | AC&DC | :CORR2:COLL :CORR2:COLL:SAVE
SHORT | AC | :CORR2:COLL:RF
SHORT | DC | :CORR2:COLL:DC
Fixture |  | :CORR2:FIXT
Open (check box) |  | :CORR2:COLL:OPEN
Short (check box) |  | :CORR2:COLL:SHOR
Clear All |  | :CORR2:CLE
Clear STDs |  | :CORR2:COLL:CLE
Close |  | None


Command Finder (Data Export)

Softkey under Data Export key | SCPI command
Export All SetupTables... | :MMEM:STOR
Export All Bin Tables... | :MMEM:STOR
Export List Data... | :MMEM:STOR
Export as Binary... | :MMEM:STOR
Export as CSV... | :MMEM:STOR
Dump Screen Image... | :MMEM:STOR
File Utility... | Below are similar SCPI commands :MMEM:CAT :MMEM:CAT:DIR :MMEM:COPY :MMEM:CRE:DIR :MMEM:DEL


Command Finder (Display)

Softkey under Display key |  | SCPI command
Setup Prmtr Display |  | :DISP:TEXT2:LAB{1-7}
Parameter {1-4} | Sig Figs | :DISP:TEXT1:CAL{1-4}:DIG
 | Fixed MSD | :DISP:TEXT1:CALC{1-4}:FIX
 | MSD | :DISP:TEXT1:CALC{1-4}:MSD
 | Display | :DISP:TEXT1:CALC{1-4}
 | Math Mode | :CALC:PAR{1-4}:EXPR
 | OFF|Deviation|% Dev | :CALC:PAR{1-4}:EXPR:NAME
 | Reference | :CALC:PAR{1-4}:EXPR:CENT
 | Data ->Ref | :CALC:PAR{1-4}:EXPR:MEM
{I-Monitor},{V-Monitor} | Sig Figs | :DISP:TEXT1:CALC{11-12}:DIG
 | Fixed MSD | :DISP:TEXT1:CALC11-12:FIX
 | MSD | :DISP:TEXT1:CALC11-12:MSD
 | Display | :DISP:TEXT1:CALC{11-12}
{Rdc} | Sig Figs | :DISP:TEXT1:CALC13:DIG
 | Fixed MSD | :DISP:TEXT1:CALC13:FIX
 | MSD | :DISP:TEXT1:CALC13:MSD
Display | ON|OFF | :DISP:TEXT1


Command Finder (Function)

Softkey under Function key | SCPI command
F1 | A default, there is no equivalent SCPI command. However, the similar SPI command is: :HCOP:SDUM:DATA :HCOP:SDUM:DATA:FORM
F2 | None
F3 | At default :SYST:BEEP2


Instruction

Command Finder helps you to find the command easily. Click the hardkey above to show the equivalent command list for softkeys.


Command Finder (Meas Setup)

Softkey under Meas Setup key |  | SCPI command
Rdc Meas | ON|OFF | :SOUR:LIST:RDC
AC | ON|OFF | :SOUR:LIST:RDC:RF
Avg Count |  | :SOUR:LIST:RDC:AVER
Fixture |  | :CORR2:FIXT
Label |  | :CORR2:FIXT:LAB{1-8}
Length |  | :CORR2:FIXT:EDEL{1-8}:DIST
Cal/Compen Wizard Settings... |  | None
Options |  | None
Calibration |  | None
Calibration Rdc Limit |  | None
Averaging |  | :CORR:COLL:AVER :CORR:COLL:AVER:MIN
Compensation |  | None
Compensation Rdc Limit |  | None
Fixture |  | :CORR2:FIXT


No Equivalent SCPI Command

There is no equivalent SCPI commands for this hardkey.


Command Finder (Prmtr)

Softkey under Parameter key | SCPI command
Parameter {1-4} | :CALC:PAR{1-4}:FORM
Define User Formats... |
Label | :CALC:UFOR{1-4}:LAB
Equation | :CALC:UFOR{1-4}
Unit | :CALC:UFOR{1-4}:UNIT


Command Finder (Preset)

Softkey under Preset key | SCPI command
Preset | :SYST:PRES
Undo Preset | -


Command Finder (Save/Recall)

Softkey under Save/Recall key | SCPI command
Save State |
{State01-State08} | :MMEM:STOR
AutoRec.sta | :MMEM:STOR
Save As... | :MMEM:STOR
Recall State |
{State01-State08} | :MMEM:LOAD
State File... | :MMEM:LOAD
Undo Recall | None
Recall By Filename |
<Filename> | :MMEM:LOAD
Undo Recall | None
File Utility | Below are similar SCPI commands :MMEM:CAT :MMEM:CAT:DIR :MMEM:COPY :MMEM:CRE:DIR :MMEM:DEL


Command Finder (Stim Table)

Softkey under Stim Table key | SCPI command
Stimulus Table |
Quick Edit | :SOUR:LIST:SWE:LIN :SOUR:LIST:SWE:LOG
Copy Row | None
Paste Row | None
Insert Row | None
Delete Row | None
Copy Table | none
Paste Table | None
Clear Table | None
Mode 1 | :APER
Mode 2 | :APER
Mode 3 | :APER
Export All Setup Tables... | :MMEM:STOR
Import All Setup Tables... | None
Clear All Setup Tables... | None
Cal/Compen Table |
Copy Row | None
Paste Row | None
Copy Table | None
Paste Table | None
Clear Table | None
Export All Setup Tables... | :MMEM:STOR
Import All Setup Tables... | None
Clear All Setup Tables... | None
Comparator Table |
Copy Bin | None
Paste Bin | None
Clear Bin | None
Copy Comptr Table | None
Paste Comptr Table | None
Clear Comptr Table | None
Export All Setup Tables... | :MMEM:STOR
Import All Setup Tables... | None
Clear All Setup Tables... | None


Command Finder (Trigger Mode)

Softkey under Trigger Mode key | SCPI command
Internal | :TRIG:SOUR
Manual | :TRIG:SOUR
External | :TRIG:SOUR
Bus | :TRIG:SOUR
Trigger Delay | :TRIG:DEL
Point Delay | :TRIG:SEQ2:DEL
Ext Trig Polarity | :TRIG:SLOP


Remote Control Using HTTP

  • Enabling Web Server

  • Browser Web Control

Other topics about Setting Control Functions

You can access the web page installed in the E4982A by using the hypertext transfer protocol (http) and the E4982A's IP address from the external PC's web browser. This function is called an web-enabled analyzer. Through the built-in web page, you can control the E4982A remotely and display the measurement screen on external PCs.

The following browsers are recommended:

  • Internet Explorer 6.0 and later

Enabling Web Server

Network Configuration

To use web server, you have to configure the E4982A's network correctly. For detailed information on configuration and notes, see Configuring the Network.

Enabling Web Server

Enable the web server for the E4982A so that it may allow access from an external PC. Follow these steps:

  1. Press System.

  2. Click Misc Setup > Network Setup.

  3. Click Web Server > ON.

Access from an external PC

  1. Execute web browser on your PC.

  2. Check IP address of the E4982A.

  3. Enter IP address of the E4982A in the address bar and press Enter. The following screen appears:

To change LAN (TCP/IP) configuration

  1. Click View & Modify Configuration (1 in the Figure below). The following screen appears:

  2. Click Modify Configuration (2 in the Figure above). Modifying this setup affects the Windows Internet Protocol (TCP/IP) property. The following screen appears:

  3. Enter the password (Default: "Agilent") in the Password field (1 in the figure above) and click Login (2 in the figure above). The following screen appears:

Browser Web Control

Browser Web Control function allows you to control your E4982A from web browser. This function is executed by the VNC server.

  • The external PC must have the Java Runtime Environment installed otherwise the Browser Web Control function might not work properly. To install Java Runtime Environment, see http://www.java.com/.

The following is a description of how to start the VNC server configuration. Visit the web site at http://www.realvnc.com for information on the password setting procedure and VNC server.

  1. Press System.

  2. Click Network Setup > VNC Server Configuration... to start the VNC Server Properties.

  3. To restrict external access, set a password for the VNC server configuration. The default password at factory shipment is blank.

About VNC License

Redistribution of VNC is licensed under the General Public License version 2. Source code of VNC and a copy of the GPLv2 may be found in the directory of \opensource\vnc.

Portions of this software are distributed under one or more Open Source terms and are not warranted and supported by Agilent. This disclaimer does not affect any statutory rights that may exist in any country of distribution. The disclaimed Open Source software portions include the following software package(s): VNC. The text of the license for each software package is contained in a directory reflecting the name of the Open Source software that is found in the "\opensource" directory. The author and not Agilent grants a license to use and further distribute the Open Source software. Any license to use and further distribute the Open Source software is granted by the author(s) of such Open Source software in their Open Source license, not by Agilent in this license instrument. The author(s)’s license terms, if any, are found in text files and, if applicable, the source code of the separate Open Source software packages.

TO THE EXTENT PERMITTED BY LOCAL LAW:

Agilent provides the Open Source software listed above "as is" and any express or implied warranties, including, but not limited to any warranty of non-infringement, the implied warranties of merchantability, satisfactory quality, reasonable care and skill, and fitness for a particular purpose are expressly disclaimed; and

Agilent shall not be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including: procurement of substitute goods or services; loss of use, data, or profits; or business interruption) arising from the use of open source software, however caused and regardless of whether such claims are based upon contract, strict liability or tort (except gross negligence or willful misconduct of Agilent), or any other legal theory even if advised of the possibility of such damage and even if it has been ensured that such data can be reconstructed with reasonable expenditure from data material provided in machine-readable form.